diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 7727b56..c0da086 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -547,6 +547,21 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{AttributeRegistry}{ATTREG}
 \pagepic{ps/v102attributeregistry.ps}{ATTREG}{1.00}
+\begin{chunk}{AttributeRegistry.input}
+)set break resume
+)sys rm -f AttributeRegistry.output
+)spool AttributeRegistry.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AttributeRegistry
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
 \begin{chunk}{AttributeRegistry.help}
 ====================================================================
 AttributeRegistry examples
@@ -2965,6 +2980,23 @@ digraph pic {
 \pagehead{Type}{TYPE}
 \pagepic{ps/v102type.ps}{TYPE}{1.00}
 
+\begin{chunk}{Type.input}
+)set break resume
+)sys rm -f Type.output
+)spool Type.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Type
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
+
 \begin{chunk}{Type.help}
 ====================================================================
 Type examples
@@ -70894,7 +70926,7 @@ These exports come from \refto{FiniteFieldCategory}():
 \end{verbatim}
 
 \begin{chunk}{category PACFFC PseudoAlgebraicClosureOfFiniteFieldCategory}
-)abbrev category  PACFFC PseudoAlgebraicClosureOfFiniteFieldCategory
+)abbrev category PACFFC PseudoAlgebraicClosureOfFiniteFieldCategory
 -- PseudoAlgebraicClosureOfFiniteFieldCategory
 ++ Authors: Gaetan Hache
 ++ Date Created: june 1996 
@@ -74210,7 +74242,7 @@ These exports come from \refto{ExtensionField}(Fraction(Integer)):
 \end{verbatim}
 
 \begin{chunk}{category PACRATC PseudoAlgebraicClosureOfRationalNumberCategory}
-)abbrev category  PACRATC PseudoAlgebraicClosureOfRationalNumberCategory
+)abbrev category PACRATC PseudoAlgebraicClosureOfRationalNumberCategory
 ++ Authors: Gaetan Hache
 ++ Date Created: feb 1997 
 ++ Description: 
diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 05f9ef1..55138c9 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -370,7 +370,7 @@ AffinePlane(K):Exports == Implementation where
 )spool
 )lisp (bye)
 \end{chunk}
-\begin{chunk}{AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help}oooo
+\begin{chunk}{AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help}
 ====================================================================
 AffinePlaneOverPseudoAlgebraicClosureOfFiniteField examples
 ====================================================================
@@ -24094,6 +24094,44 @@ rectangular components, which are the sines and cosines of
 angles. This description may be related to rotations in which case the
 description is in terms of a vector and angle of rotation.
 
+\begin{chunk}{DenavitHartenbergMatrix.input}
+)set break resume
+)sys rm -f DenavitHartenbergMatrix.output
+)spool DenavitHartenbergMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DenavitHartenbergMatrix
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DenavitHartenbergMatrix.help}
+====================================================================
+DenavitHartenbergMatrix examples
+====================================================================
+
+4x4 Matrices for coordinate transformations
+
+This package contains functions to create 4x4 matrices
+useful for rotating and transforming coordinate systems.
+These matrices are useful for graphics and robotics.
+(Reference: Robot Manipulators Richard Paul MIT Press 1981) 
+
+A Denavit-Hartenberg Matrix is a 4x4 Matrix of the form:
+     nx ox ax px
+     ny oy ay py
+     nz oz az pz
+     0  0  0  1
+where n, o, and a are the direction cosines
+
+See Also:
+o )show DenavitHartenbergMatrix
+
+\end{chunk}
 \pagehead{DenavitHartenbergMatrix}{DHMATRIX}
 \pagepic{ps/v103denavithartenbergmatrix.ps}{DHMATRIX}{1.00}
 
@@ -45069,7 +45107,7 @@ o )show FortranCode
 \end{tabular}
 
 \begin{chunk}{domain FC FortranCode}
-)abbrev domain FC FortranCode 
+)abbrev domain FC FortranCode
 ++ Author: Mike Dewar
 ++ Date Created: April 1991
 ++ Date Last Updated: 9 January 1995 Added fortran2Lines to getCall, MCD
@@ -46281,7 +46319,7 @@ o )show FortranProgram
 \end{tabular}
 
 \begin{chunk}{domain FORTRAN FortranProgram}
-)abbrev domain FORTRAN FortranProgra\\
+)abbrev domain FORTRAN FortranProgram
 ++ Author: Mike Dewar
 ++ Date Created: October 1992
 ++ Date Last Updated: 23 January 1995 Added support for intrinsic functions
@@ -46971,7 +47009,7 @@ o )show FortranType
 \end{tabular}
 
 \begin{chunk}{domain FT FortranType}
-)abbrev domain FT FortranType 
+)abbrev domain FT FortranType
 ++ Author: Mike Dewar
 ++ Date Created:  October 1992
 ++ Description: 
@@ -112853,7 +112891,7 @@ o )show RightOpenIntervalRootCharacterization
 \end{tabular}
 
 \begin{chunk}{domain ROIRC RightOpenIntervalRootCharacterization}
-)abbrev domain ROIRC RightOpenIntervalRootCharacterization 
+)abbrev domain ROIRC RightOpenIntervalRootCharacterization
 ++ Author: Renaud Rioboo
 ++ Date Created: summer 1992
 ++ Date Last Updated: January 2004
@@ -135582,6 +135620,22 @@ TwoDimensionalArray(R):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VIEW2D TwoDimensionalViewport}
+\begin{chunk}{TwoDimensionalViewport.input}
+)set break resume
+)sys rm -f TwoDimensionalViewport.output
+)spool TwoDimensionalViewport.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TwoDimensionalViewport
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 
 \begin{chunk}{TwoDimensionalViewport.help}
 ====================================================================
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3155219..7770e82 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -283,7 +283,7 @@ o )show AffineAlgebraicSetComputeWithGroebnerBasis
 \end{tabular}
 
 \begin{chunk}{package AFALGGRO AffineAlgebraicSetComputeWithGroebnerBasis}
-)abbreviation package AFALGGRO AffineAlgebraicSetComputeWithGroebnerBasis
+)abbrev package AFALGGRO AffineAlgebraicSetComputeWithGroebnerBasis
 ++ Author: Gaetan Hache
 ++ Date Created: 17 nov 1992
 ++ Date Last Updated: May 2010 by Tim Daly
@@ -670,6 +670,32 @@ AffineAlgebraicSetComputeWithResultant(K,symb,PolyRing,E,ProjPt):Ex==Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package AF AlgebraicFunction}
+\begin{chunk}{AlgebraicFunction.input}
+)set break resume
+)sys rm -f AlgebraicFunction.output
+)spool AlgebraicFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraicFunction.help}
+====================================================================
+AlgebraicFunction examples
+====================================================================
+
+This package provides algebraic functions over an integral domain.
+
+See Also:
+o )show AlgebraicFunction
+
+\end{chunk}
 \pagehead{AlgebraicFunction}{AF}
 \pagepic{ps/v104algebraicfunction.ps}{AF}{1.00}
 
@@ -943,6 +969,32 @@ AlgebraicFunction(R, F): Exports == Implementation where
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTHERAL AlgebraicHermiteIntegration}
 \pagehead{AlgebraicHermiteIntegration}{INTHERAL}
+\begin{chunk}{AlgebraicHermiteIntegration.input}
+)set break resume
+)sys rm -f AlgebraicHermiteIntegration.output
+)spool AlgebraicHermiteIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicHermiteIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraicHermiteIntegration.help}
+====================================================================
+AlgebraicHermiteIntegration examples
+====================================================================
+
+Algebraic Hermite reduction.
+
+See Also:
+o )show AlgebraicHermiteIntegration
+
+\end{chunk}
 \pagepic{ps/v104algebraichermiteintegration.ps}{INTHERAL}{1.00}
 
 {\bf Exports:}\\
@@ -1032,6 +1084,33 @@ AlgebraicHermiteIntegration(F,UP,UPUP,R):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTALG AlgebraicIntegrate}
+\begin{chunk}{AlgebraicIntegrate.input}
+)set break resume
+)sys rm -f AlgebraicIntegrate.output
+)spool AlgebraicIntegrate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicIntegrate
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraicIntegrate.help}
+====================================================================
+AlgebraicIntegrate examples
+====================================================================
+
+This package provides functions for integrating a function
+on an algebraic curve.
+
+See Also:
+o )show AlgebraicIntegrate
+
+\end{chunk}
 \pagehead{AlgebraicIntegrate}{INTALG}
 \pagepic{ps/v104algebraicintegrate.ps}{INTALG}{1.00}
 
@@ -1354,6 +1433,33 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTAF AlgebraicIntegration}
+\begin{chunk}{AlgebraicIntegration.input}
+)set break resume
+)sys rm -f AlgebraicIntegration.output
+)spool AlgebraicIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraicIntegration.help}
+====================================================================
+AlgebraicIntegration examples
+====================================================================
+
+This package provides functions for the integration of
+algebraic integrands over transcendental functions;
+
+See Also:
+o )show AlgebraicIntegration
+
+\end{chunk}
 \pagehead{AlgebraicIntegration}{INTAF}
 \pagepic{ps/v104algebraicintegration.ps}{INTAF}{1.00}
 
@@ -1445,6 +1551,33 @@ AlgebraicIntegration(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ALGMANIP AlgebraicManipulations}
+\begin{chunk}{AlgebraicManipulations.input}
+)set break resume
+)sys rm -f AlgebraicManipulations.output
+)spool AlgebraicManipulations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicManipulations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraicManipulations.help}
+====================================================================
+AlgebraicManipulations examples
+====================================================================
+
+AlgebraicManipulations provides functions to simplify and expand
+expressions involving algebraic operators.
+
+See Also:
+o )show AlgebraicManipulations
+
+\end{chunk}
 \pagehead{AlgebraicManipulations}{ALGMANIP}
 \pagepic{ps/v104algebraicmanipulations.ps}{ALGMANIP}{1.00}
 
@@ -1672,6 +1805,34 @@ AlgebraicManipulations(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ALGMFACT AlgebraicMultFact}
+\begin{chunk}{AlgebraicMultFact.input}
+)set break resume
+)sys rm -f AlgebraicMultFact.output
+)spool AlgebraicMultFact.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicMultFact
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraicMultFact.help}
+====================================================================
+AlgebraicMultFact examples
+====================================================================
+
+This package factors multivariate polynomials over the domain of
+AlgebraicNumber by allowing the user to specify a list of algebraic
+numbers generating the particular extension to factor over.
+
+See Also:
+o )show AlgebraicMultFact
+
+\end{chunk}
 \pagehead{AlgebraicMultFact}{ALGMFACT}
 \pagepic{ps/v104algebraicmultfact.ps}{ALGMFACT}{1.00}
 
@@ -1736,6 +1897,32 @@ AlgebraicMultFact(OV,E,P) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ALGPKG AlgebraPackage}
+\begin{chunk}{AlgebraPackage.input}
+)set break resume
+)sys rm -f AlgebraPackage.output
+)spool AlgebraPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgebraPackage.help}
+====================================================================
+AlgebraPackage examples
+====================================================================
+
+AlgebraPackage assembles a variety of useful functions for general algebras.
+
+See Also:
+o )show AlgebraPackage
+
+\end{chunk}
 \pagehead{AlgebraPackage}{ALGPKG}
 \pagepic{ps/v104algebrapackage.ps}{ALGPKG}{1.00}
 
@@ -2227,6 +2414,32 @@ AlgebraPackage(R:IntegralDomain, A: FramedNonAssociativeAlgebra(R)): _
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ALGFACT AlgFactor}
+\begin{chunk}{AlgFactor.input}
+)set break resume
+)sys rm -f AlgFactor.output
+)spool AlgFactor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgFactor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AlgFactor.help}
+====================================================================
+AlgFactor examples
+====================================================================
+
+Factorization of univariate polynomials with coefficients in AlgebraicNumber.
+
+See Also:
+o )show AlgFactor
+
+\end{chunk}
 \pagehead{AlgFactor}{ALGFACT}
 \pagepic{ps/v104algfactor.ps}{ALGFACT}{1.00}
 
@@ -2346,6 +2559,33 @@ AlgFactor(UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTPACK AnnaNumericalIntegrationPackage}
+\begin{chunk}{AnnaNumericalIntegrationPackage.input}
+)set break resume
+)sys rm -f AnnaNumericalIntegrationPackage.output
+)spool AnnaNumericalIntegrationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AnnaNumericalIntegrationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AnnaNumericalIntegrationPackage.help}
+====================================================================
+AnnaNumericalIntegrationPackage examples
+====================================================================
+
+AnnaNumericalIntegrationPackage is a package of functions for the 
+category NumericalIntegrationCategory with measure and integrate.
+
+See Also:
+o )show AnnaNumericalIntegrationPackage
+
+\end{chunk}
 \pagehead{AnnaNumericalIntegrationPackage}{INTPACK}
 \pagepic{ps/v104annanumericalintegrationpackage.ps}{INTPACK}{1.00}
 
@@ -2862,6 +3102,33 @@ AnnaNumericalIntegrationPackage(): EE == II where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OPTPACK AnnaNumericalOptimizationPackage}
+\begin{chunk}{AnnaNumericalOptimizationPackage.input}
+)set break resume
+)sys rm -f AnnaNumericalOptimizationPackage.output
+)spool AnnaNumericalOptimizationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AnnaNumericalOptimizationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AnnaNumericalOptimizationPackage.help}
+====================================================================
+AnnaNumericalOptimizationPackage examples
+====================================================================
+
+AnnaNumericalOptimizationPackage is a package of functions for the 
+NumericalOptimizationCategory with measure and optimize.
+
+See Also:
+o )show AnnaNumericalOptimizationPackage
+
+\end{chunk}
 \pagehead{AnnaNumericalOptimizationPackage}{OPTPACK}
 \pagepic{ps/v104annanumericaloptimizationpackage.ps}{OPTPACK}{1.00}
 
@@ -3275,6 +3542,34 @@ AnnaNumericalOptimizationPackage(): EE == II where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODEPACK AnnaOrdinaryDifferentialEquationPackage}
+\begin{chunk}{AnnaOrdinaryDifferentialEquationPackage.input}
+)set break resume
+)sys rm -f AnnaOrdinaryDifferentialEquationPackage.output
+)spool AnnaOrdinaryDifferentialEquationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AnnaOrdinaryDifferentialEquationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AnnaOrdinaryDifferentialEquationPackage.help}
+====================================================================
+AnnaOrdinaryDifferentialEquationPackage examples
+====================================================================
+
+AnnaOrdinaryDifferentialEquationPackage is a package of functions for the 
+category OrdinaryDifferentialEquationsSolverCategory with measure and 
+solve.
+
+See Also:
+o )show AnnaOrdinaryDifferentialEquationPackage
+
+\end{chunk}
 \pagehead{AnnaOrdinaryDifferentialEquationPackage}{ODEPACK}
 \pagepic{ps/v104annaordinarydifferentialequationpackage.ps}{ODEPACK}{1.00}
 
@@ -3697,6 +3992,34 @@ AnnaOrdinaryDifferentialEquationPackage(): EE == II where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PDEPACK AnnaPartialDifferentialEquationPackage}
+\begin{chunk}{AnnaPartialDifferentialEquationPackage.input}
+)set break resume
+)sys rm -f AnnaPartialDifferentialEquationPackage.output
+)spool AnnaPartialDifferentialEquationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AnnaPartialDifferentialEquationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AnnaPartialDifferentialEquationPackage.help}
+====================================================================
+AnnaPartialDifferentialEquationPackage examples
+====================================================================
+
+AnnaPartialDifferentialEquationPackage is an uncompleted package for
+the interface to NAG PDE routines.  It has been realised that a new
+approach to solving PDEs will need to be created.
+
+See Also:
+o )show AnnaPartialDifferentialEquationPackage
+
+\end{chunk}
 \pagehead{AnnaPartialDifferentialEquationPackage}{PDEPACK}
 \pagepic{ps/v104annapartialdifferentialequationpackage.ps}{PDEPACK}{1.00}
 
@@ -3967,6 +4290,34 @@ AnnaPartialDifferentialEquationPackage(): EE == II where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ANY1 AnyFunctions1}
+\begin{chunk}{AnyFunctions1.input}
+)set break resume
+)sys rm -f AnyFunctions1.output
+)spool AnyFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AnyFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AnyFunctions1.help}
+====================================================================
+AnyFunctions1 examples
+====================================================================
+
+AnyFunctions1 implements several utility functions for working with 
+Any. These functions are used to go back and forth between objects 
+of Any and objects of other types.
+
+See Also:
+o )show AnyFunctions1
+
+\end{chunk}
 \pagehead{AnyFunctions1}{ANY1}
 \pagepic{ps/v104anyfunctions1.ps}{ANY1}{1.00}
 
@@ -4306,6 +4657,32 @@ ApplicationProgramInterface(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package APPRULE ApplyRules}
+\begin{chunk}{ApplyRules.input}
+)set break resume
+)sys rm -f ApplyRules.output
+)spool ApplyRules.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ApplyRules
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ApplyRules.help}
+====================================================================
+ApplyRules examples
+====================================================================
+
+This package apply rewrite rules to expressions, calling the pattern matcher.
+
+See Also:
+o )show ApplyRules
+
+\end{chunk}
 \pagehead{ApplyRules}{APPRULE}
 \pagepic{ps/v104applyrules.ps}{APPRULE}{1.00}
 
@@ -4442,6 +4819,33 @@ ApplyRules(Base, R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package APPLYORE ApplyUnivariateSkewPolynomial}
+\begin{chunk}{ApplyUnivariateSkewPolynomial.input}
+)set break resume
+)sys rm -f ApplyUnivariateSkewPolynomial.output
+)spool ApplyUnivariateSkewPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ApplyUnivariateSkewPolynomial
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ApplyUnivariateSkewPolynomial.help}
+====================================================================
+ApplyUnivariateSkewPolynomial examples
+====================================================================
+
+ApplyUnivariateSkewPolynomial (internal) allows univariate skew 
+polynomials to be applied to appropriate modules.
+
+See Also:
+o )show ApplyUnivariateSkewPolynomial
+
+\end{chunk}
 \pagehead{ApplyUnivariateSkewPolynomial}{APPLYORE}
 \pagepic{ps/v104applyunivariateskewpolynomial.ps}{APPLYORE}{1.00}
 
@@ -4481,6 +4885,33 @@ ApplyUnivariateSkewPolynomial(R:Ring, M: LeftModule R,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ASSOCEQ AssociatedEquations}
+\begin{chunk}{AssociatedEquations.input}
+)set break resume
+)sys rm -f AssociatedEquations.output
+)spool AssociatedEquations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AssociatedEquations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AssociatedEquations.help}
+====================================================================
+AssociatedEquations examples
+====================================================================
+
+AssociatedEquations provides functions to compute the associated
+equations needed for factoring operators
+
+See Also:
+o )show AssociatedEquations
+
+\end{chunk}
 \pagehead{AssociatedEquations}{ASSOCEQ}
 \pagepic{ps/v104associatedequations.ps}{ASSOCEQ}{1.00}
 
@@ -4608,6 +5039,32 @@ AssociatedEquations(R, L):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMPRED AttachPredicates}
+\begin{chunk}{AttachPredicates.input}
+)set break resume
+)sys rm -f AttachPredicates.output
+)spool AttachPredicates.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AttachPredicates
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AttachPredicates.help}
+====================================================================
+AttachPredicates examples
+====================================================================
+
+Attaching predicates to symbols for pattern matching.
+
+See Also:
+o )show AttachPredicates
+
+\end{chunk}
 \pagehead{AttachPredicates}{PMPRED}
 \pagepic{ps/v104attachpredicates.ps}{PMPRED}{1.00}
 
@@ -4650,6 +5107,33 @@ AttachPredicates(D:Type): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package AXSERV AxiomServer}
+\begin{chunk}{AxiomServer.input}
+)set break resume
+)sys rm -f AxiomServer.output
+)spool AxiomServer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AxiomServer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{AxiomServer.help}
+====================================================================
+AxiomServer examples
+====================================================================
+
+This package provides a functions to support a web server for the
+new Axiom Browser functions. 
+
+See Also:
+o )show AxiomServer
+
+\end{chunk}
 \pagehead{AxiomServer}{AXSERV}
 \pagepic{ps/v104axiomserver.ps}{AXSERV}{1.00}
 
@@ -5360,6 +5844,32 @@ input.
 \chapter{Chapter B}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package BALFACT BalancedFactorisation}
+\begin{chunk}{BalancedFactorisation.input}
+)set break resume
+)sys rm -f BalancedFactorisation.output
+)spool BalancedFactorisation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BalancedFactorisation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{BalancedFactorisation.help}
+====================================================================
+BalancedFactorisation examples
+====================================================================
+
+This package provides balanced factorisations of polynomials.
+
+See Also:
+o )show BalancedFactorisation
+
+\end{chunk}
 \pagehead{BalancedFactorisation}{BALFACT}
 \pagepic{ps/v104balancedfactorisation.ps}{BALFACT}{1.00}
 
@@ -5420,6 +5930,33 @@ BalancedFactorisation(R, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package BOP1 BasicOperatorFunctions1}
+\begin{chunk}{BasicOperatorFunctions1.input}
+)set break resume
+)sys rm -f BasicOperatorFunctions1.output
+)spool BasicOperatorFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BasicOperatorFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{BasicOperatorFunctions1.help}
+====================================================================
+BasicOperatorFunctions1 examples
+====================================================================
+
+This package exports functions to set some commonly used properties
+of operators, including properties which contain functions.
+
+See Also:
+o )show BasicOperatorFunctions1
+
+\end{chunk}
 \pagehead{BasicOperatorFunctions1}{BOP1}
 \pagepic{ps/v104basicoperatorfunctions1.ps}{BOP1}{1.00}
 
@@ -6474,6 +7011,33 @@ Bezier(R:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package BEZOUT BezoutMatrix}
+\begin{chunk}{BezoutMatrix.input}
+)set break resume
+)sys rm -f BezoutMatrix.output
+)spool BezoutMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BezoutMatrix
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{BezoutMatrix.help}
+====================================================================
+BezoutMatrix examples
+====================================================================
+
+BezoutMatrix contains functions for computing resultants and 
+discriminants using Bezout matrices.
+
+See Also:
+o )show BezoutMatrix
+
+\end{chunk}
 \pagehead{BezoutMatrix}{BEZOUT}
 \pagepic{ps/v104bezoutmatrix.ps}{BEZOUT}{1.00}
 
@@ -6948,6 +7512,33 @@ BlowUpPackage(K,symb,PolyRing,E,  BLMET):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package BOUNDZRO BoundIntegerRoots}
+\begin{chunk}{BoundIntegerRoots.input}
+)set break resume
+)sys rm -f BoundIntegerRoots.output
+)spool BoundIntegerRoots.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BoundIntegerRoots
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{BoundIntegerRoots.help}
+====================================================================
+BoundIntegerRoots examples
+====================================================================
+
+BoundIntegerRoots provides functions to find lower bounds on the
+integer roots of a polynomial.
+
+See Also:
+o )show BoundIntegerRoots
+
+\end{chunk}
 \pagehead{BoundIntegerRoots}{BOUNDZRO}
 \pagepic{ps/v104boundintegerroots.ps}{BOUNDZRO}{1.00}
 
@@ -7046,6 +7637,38 @@ BoundIntegerRoots(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package BRILL BrillhartTests}
+\begin{chunk}{BrillhartTests.input}
+)set break resume
+)sys rm -f BrillhartTests.output
+)spool BrillhartTests.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BrillhartTests
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{BrillhartTests.help}
+====================================================================
+BrillhartTests examples
+====================================================================
+
+This package has no description
+
+ [1] John Brillhart, Note on Irreducibility Testing,
+     Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
+ [2] James Davenport, On Brillhart Irreducibility. To appear.
+ [3] John Brillhart, On the Euler and Bernoulli polynomials,
+     J. Reine Angew. Math., v. 234, (1969), pp. 45-64
+
+See Also:
+o )show BrillhartTests
+
+\end{chunk}
 \pagehead{BrillhartTests}{BRILL}
 \pagepic{ps/v104brillharttests.ps}{BRILL}{1.00}
 
@@ -7168,6 +7791,33 @@ BrillhartTests(UP): Exports == Implementation where
 \chapter{Chapter C}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CARTEN2 CartesianTensorFunctions2}
+\begin{chunk}{CartesianTensorFunctions2.input}
+)set break resume
+)sys rm -f CartesianTensorFunctions2.output
+)spool CartesianTensorFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CartesianTensorFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CartesianTensorFunctions2.help}
+====================================================================
+CartesianTensorFunctions2 examples
+====================================================================
+
+This package provides functions to enable conversion of tensors
+given conversion of the components.
+
+See Also:
+o )show CartesianTensorFunctions2
+
+\end{chunk}
 \pagehead{CartesianTensorFunctions2}{CARTEN2}
 \pagepic{ps/v104cartesiantensorfunctions2.ps}{CARTEN2}{1.00}
 
@@ -7213,6 +7863,32 @@ CartesianTensorFunctions2(minix, dim, S, T): CTPcat == CTPdef where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CHVAR ChangeOfVariable}
+\begin{chunk}{ChangeOfVariable.input}
+)set break resume
+)sys rm -f ChangeOfVariable.output
+)spool ChangeOfVariable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ChangeOfVariable
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ChangeOfVariable.help}
+====================================================================
+ChangeOfVariable examples
+====================================================================
+
+Tools to send a point to infinity on an algebraic curve.
+
+See Also:
+o )show ChangeOfVariable
+
+\end{chunk}
 \pagehead{ChangeOfVariable}{CHVAR}
 \pagepic{ps/v104changeofvariable.ps}{CHVAR}{1.00}
 
@@ -7364,6 +8040,33 @@ ChangeOfVariable(F, UP, UPUP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CPIMA CharacteristicPolynomialInMonogenicalAlgebra}
+\begin{chunk}{CharacteristicPolynomialInMonogenicalAlgebra.input}
+)set break resume
+)sys rm -f CharacteristicPolynomialInMonogenicalAlgebra.output
+)spool CharacteristicPolynomialInMonogenicalAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CharacteristicPolynomialInMonogenicalAlgebra
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CharacteristicPolynomialInMonogenicalAlgebra.help}
+====================================================================
+CharacteristicPolynomialInMonogenicalAlgebra examples
+====================================================================
+
+This package implements characteristicPolynomials for monogenic algebras
+using resultants
+
+See Also:
+o )show CharacteristicPolynomialInMonogenicalAlgebra
+
+\end{chunk}
 \pagehead{CharacteristicPolynomialInMonogenicalAlgebra}{CPIMA}
 \pagepic{ps/v104characteristicpolynomialinmonogenicalalgebra.ps}{CPIMA}{1.00}
 
@@ -7408,6 +8111,33 @@ CharacteristicPolynomialInMonogenicalAlgebra(R : CommutativeRing,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CHARPOL CharacteristicPolynomialPackage}
+\begin{chunk}{CharacteristicPolynomialPackage.input}
+)set break resume
+)sys rm -f CharacteristicPolynomialPackage.output
+)spool CharacteristicPolynomialPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CharacteristicPolynomialPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CharacteristicPolynomialPackage.help}
+====================================================================
+CharacteristicPolynomialPackage examples
+====================================================================
+
+This package provides a characteristicPolynomial function for any
+matrix over a commutative ring.
+
+See Also:
+o )show CharacteristicPolynomialPackage
+
+\end{chunk}
 \pagehead{CharacteristicPolynomialPackage}{CHARPOL}
 \pagepic{ps/v104characteristicpolynomialpackage.ps}{CHARPOL}{1.00}
 
@@ -7451,6 +8181,32 @@ CharacteristicPolynomialPackage(R:CommutativeRing):C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IBACHIN ChineseRemainderToolsForIntegralBases}
+\begin{chunk}{ChineseRemainderToolsForIntegralBases.input}
+)set break resume
+)sys rm -f ChineseRemainderToolsForIntegralBases.output
+)spool ChineseRemainderToolsForIntegralBases.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ChineseRemainderToolsForIntegralBases
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ChineseRemainderToolsForIntegralBases.help}
+====================================================================
+ChineseRemainderToolsForIntegralBases examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show ChineseRemainderToolsForIntegralBases
+
+\end{chunk}
 \pagehead{ChineseRemainderToolsForIntegralBases}{IBACHIN}
 \pagepic{ps/v104chineseremaindertoolsforintegralbases.ps}{IBACHIN}{1.00}
 
@@ -7640,6 +8396,33 @@ ChineseRemainderToolsForIntegralBases(K,R,UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CVMP CoerceVectorMatrixPackage}
+\begin{chunk}{CoerceVectorMatrixPackage.input}
+)set break resume
+)sys rm -f CoerceVectorMatrixPackage.output
+)spool CoerceVectorMatrixPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CoerceVectorMatrixPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CoerceVectorMatrixPackage.help}
+====================================================================
+CoerceVectorMatrixPackage examples
+====================================================================
+
+CoerceVectorMatrixPackage is an unexposed, technical package
+for data conversions
+
+See Also:
+o )show CoerceVectorMatrixPackage
+
+\end{chunk}
 \pagehead{CoerceVectorMatrixPackage}{CVMP}
 \pagepic{ps/v104coercevectormatrixpackage.ps}{CVMP}{1.00}
 
@@ -8438,6 +9221,34 @@ CombinatorialFunction(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CDEN CommonDenominator}
+\begin{chunk}{CommonDenominator.input}
+)set break resume
+)sys rm -f CommonDenominator.output
+)spool CommonDenominator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CommonDenominator
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CommonDenominator.help}
+====================================================================
+CommonDenominator examples
+====================================================================
+
+CommonDenominator provides functions to compute the common denominator
+of a finite linear aggregate of elements of the quotient field of an
+integral domain.
+
+See Also:
+o )show CommonDenominator
+
+\end{chunk}
 \pagehead{CommonDenominator}{CDEN}
 \pagepic{ps/v104commondenominator.ps}{CDEN}{1.00}
 
@@ -8501,6 +9312,34 @@ CommonDenominator(R, Q, A): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package COMMONOP CommonOperators}
+\begin{chunk}{CommonOperators.input}
+)set break resume
+)sys rm -f CommonOperators.output
+)spool CommonOperators.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CommonOperators
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CommonOperators.help}
+====================================================================
+CommonOperators examples
+====================================================================
+
+This package exports the elementary operators, with some semantics
+already attached to them. The semantics that is attached here is not
+dependent on the set in which the operators will be applied.
+
+See Also:
+o )show CommonOperators
+
+\end{chunk}
 \pagehead{CommonOperators}{COMMONOP}
 \pagepic{ps/v104commonoperators.ps}{COMMONOP}{1.00}
 
@@ -8716,6 +9555,33 @@ CommonOperators(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package COMMUPC CommuteUnivariatePolynomialCategory}
+\begin{chunk}{CommuteUnivariatePolynomialCategory.input}
+)set break resume
+)sys rm -f CommuteUnivariatePolynomialCategory.output
+)spool CommuteUnivariatePolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CommuteUnivariatePolynomialCategory
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CommuteUnivariatePolynomialCategory.help}
+====================================================================
+CommuteUnivariatePolynomialCategory examples
+====================================================================
+
+A package for swapping the order of two variables in a tower of two
+UnivariatePolynomialCategory extensions.
+
+See Also:
+o )show CommuteUnivariatePolynomialCategory
+
+\end{chunk}
 \pagehead{CommuteUnivariatePolynomialCategory}{COMMUPC}
 \pagepic{ps/v104commuteunivariatepolynomialcategory.ps}{COMMUPC}{1.00}
 
@@ -8768,6 +9634,32 @@ CommuteUnivariatePolynomialCategory(R, UP, UPUP): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package COMPFACT ComplexFactorization}
+\begin{chunk}{ComplexFactorization.input}
+)set break resume
+)sys rm -f ComplexFactorization.output
+)spool ComplexFactorization.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexFactorization
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexFactorization.help}
+====================================================================
+ComplexFactorization examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show ComplexFactorization
+
+\end{chunk}
 \pagehead{ComplexFactorization}{COMPFACT}
 \pagepic{ps/v104complexfactorization.ps}{COMPFACT}{1.00}
 
@@ -8864,6 +9756,33 @@ ComplexFactorization(RR,PR) : C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package COMPLEX2 ComplexFunctions2}
+\begin{chunk}{ComplexFunctions2.input}
+)set break resume
+)sys rm -f ComplexFunctions2.output
+)spool ComplexFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexFunctions2.help}
+====================================================================
+ComplexFunctions2 examples
+====================================================================
+
+This package extends maps from underlying rings to maps between
+complex over those rings.
+
+See Also:
+o )show ComplexFunctions2
+
+\end{chunk}
 \pagehead{ComplexFunctions2}{COMPLEX2}
 \pagepic{ps/v104complexfunctions2.ps}{COMPLEX2}{1.00}
 
@@ -8891,6 +9810,33 @@ ComplexFunctions2(R:CommutativeRing, S:CommutativeRing): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CINTSLPE ComplexIntegerSolveLinearPolynomialEquation}
+\begin{chunk}{ComplexIntegerSolveLinearPolynomialEquation.input}
+)set break resume
+)sys rm -f ComplexIntegerSolveLinearPolynomialEquation.output
+)spool ComplexIntegerSolveLinearPolynomialEquation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexIntegerSolveLinearPolynomialEquation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexIntegerSolveLinearPolynomialEquation.help}
+====================================================================
+ComplexIntegerSolveLinearPolynomialEquation examples
+====================================================================
+
+This package provides the generalized euclidean algorithm which is
+needed as the basic step for factoring polynomials.
+
+See Also:
+o )show ComplexIntegerSolveLinearPolynomialEquation
+
+\end{chunk}
 \pagehead{ComplexIntegerSolveLinearPolynomialEquation}{CINTSLPE}
 \pagepic{ps/v104complexintegersolvelinearpolynomialequation.ps}{CINTSLPE}{1.00}
 
@@ -8949,6 +9895,32 @@ ComplexIntegerSolveLinearPolynomialEquation(R,CR): C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package COMPLPAT ComplexPattern}
+\begin{chunk}{ComplexPattern.input}
+)set break resume
+)sys rm -f ComplexPattern.output
+)spool ComplexPattern.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexPattern
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexPattern.help}
+====================================================================
+ComplexPattern examples
+====================================================================
+
+This package supports converting complex expressions to patterns
+
+See Also:
+o )show ComplexPattern
+
+\end{chunk}
 \pagehead{ComplexPattern}{COMPLPAT}
 \pagepic{ps/v104complexpattern.ps}{COMPLPAT}{1.00}
 
@@ -8987,6 +9959,32 @@ ComplexPattern(R, S, CS) : C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CPMATCH ComplexPatternMatch}
+\begin{chunk}{ComplexPatternMatch.input}
+)set break resume
+)sys rm -f ComplexPatternMatch.output
+)spool ComplexPatternMatch.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexPatternMatch
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexPatternMatch.help}
+====================================================================
+ComplexPatternMatch examples
+====================================================================
+
+This package supports matching patterns involving complex expressions
+
+See Also:
+o )show ComplexPatternMatch
+
+\end{chunk}
 \pagehead{ComplexPatternMatch}{CPMATCH}
 \pagepic{ps/v104complexpatternmatch.ps}{CPMATCH}{1.00}
 
@@ -9046,6 +10044,47 @@ ComplexPatternMatch(R, S, CS) : C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CRFP ComplexRootFindingPackage}
+\begin{chunk}{ComplexRootFindingPackage.input}
+)set break resume
+)sys rm -f ComplexRootFindingPackage.output
+)spool ComplexRootFindingPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexRootFindingPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexRootFindingPackage.help}
+====================================================================
+ComplexRootFindingPackage examples
+====================================================================
+
+ComplexRootFindingPackage provides functions to
+find all roots of a polynomial p over the complex number by
+using Plesken's idea to calculate in the polynomial ring
+modulo f and employing the Chinese Remainder Theorem.
+
+In this first version, the precision (see digits)
+is not increased when this is necessary to
+avoid rounding errors. Hence it is the user's responsibility to
+increase the precision if necessary.
+
+Note also, if this package is called with e.g. Fraction Integer,
+the precise calculations could require a lot of time.
+
+Also note that evaluating the zeros is not necessarily a good check
+whether the result is correct: already evaluation can cause
+rounding errors.
+
+See Also:
+o )show ComplexRootFindingPackage
+
+\end{chunk}
 \pagehead{ComplexRootFindingPackage}{CRFP}
 \pagepic{ps/v104complexrootfindingpackage.ps}{CRFP}{1.00}
 
@@ -9654,6 +10693,37 @@ ComplexRootFindingPackage(R, UP): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CMPLXRT ComplexRootPackage}
+\begin{chunk}{ComplexRootPackage.input}
+)set break resume
+)sys rm -f ComplexRootPackage.output
+)spool ComplexRootPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexRootPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexRootPackage.help}
+====================================================================
+ComplexRootPackage examples
+====================================================================
+
+This package provides functions complexZeros for finding the complex
+zeros of univariate polynomials with complex rational number
+coefficients.  The results are to any user specified precision and are
+returned as either complex rational number or complex floating point
+numbers depending on the type of the second argument which specifies
+the precision.
+
+See Also:
+o )show ComplexRootPackage
+
+\end{chunk}
 \pagehead{ComplexRootPackage}{CMPLXRT}
 \pagepic{ps/v104complexrootpackage.ps}{CMPLXRT}{1.00}
 
@@ -9716,6 +10786,33 @@ ComplexRootPackage(UP,Par) : T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CTRIGMNP ComplexTrigonometricManipulations}
+\begin{chunk}{ComplexTrigonometricManipulations.input}
+)set break resume
+)sys rm -f ComplexTrigonometricManipulations.output
+)spool ComplexTrigonometricManipulations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexTrigonometricManipulations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ComplexTrigonometricManipulations.help}
+====================================================================
+ComplexTrigonometricManipulations examples
+====================================================================
+
+ComplexTrigonometricManipulations provides function that
+compute the real and imaginary parts of complex functions.
+
+See Also:
+o )show ComplexTrigonometricManipulations
+
+\end{chunk}
 \pagehead{ComplexTrigonometricManipulations}{CTRIGMNP}
 \pagepic{ps/v104complextrigonometricmanipulations.ps}{CTRIGMNP}{1.00}
 
@@ -9844,6 +10941,32 @@ ComplexTrigonometricManipulations(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODECONST ConstantLODE}
+\begin{chunk}{ConstantLODE.input}
+)set break resume
+)sys rm -f ConstantLODE.output
+)spool ConstantLODE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ConstantLODE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ConstantLODE.help}
+====================================================================
+ConstantLODE examples
+====================================================================
+
+Solution of linear ordinary differential equations, constant coefficient case.
+
+See Also:
+o )show ConstantLODE
+
+\end{chunk}
 \pagehead{ConstantLODE}{ODECONST}
 \pagepic{ps/v104constantlode.ps}{ODECONST}{1.00}
 
@@ -9942,6 +11065,35 @@ ConstantLODE(R, F, L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package COORDSYS CoordinateSystems}
+\begin{chunk}{CoordinateSystems.input}
+)set break resume
+)sys rm -f CoordinateSystems.output
+)spool CoordinateSystems.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CoordinateSystems
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CoordinateSystems.help}
+====================================================================
+CoordinateSystems examples
+====================================================================
+
+CoordinateSystems provides coordinate transformation functions 
+for plotting.  Functions in this package return conversion functions 
+which take points expressed in other coordinate systems and return points 
+with the corresponding Cartesian coordinates.
+
+See Also:
+o )show CoordinateSystems
+
+\end{chunk}
 \pagehead{CoordinateSystems}{COORDSYS}
 \pagepic{ps/v104coordinatesystems.ps}{COORDSYS}{1.00}
 
@@ -10158,6 +11310,32 @@ CoordinateSystems(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CRAPACK CRApackage}
+\begin{chunk}{CRApackage.input}
+)set break resume
+)sys rm -f CRApackage.output
+)spool CRApackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CRApackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CRApackage.help}
+====================================================================
+CRApackage examples
+====================================================================
+
+This package has no documentation
+
+See Also:
+o )show CRApackage
+
+\end{chunk}
 \pagehead{CRApackage}{CRAPACK}
 \pagepic{ps/v104crapackage.ps}{CRAPACK}{1.00}
 
@@ -11413,6 +12591,32 @@ CycleIndicators: Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CSTTOOLS CyclicStreamTools}
+\begin{chunk}{CyclicStreamTools.input}
+)set break resume
+)sys rm -f CyclicStreamTools.output
+)spool CyclicStreamTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CyclicStreamTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CyclicStreamTools.help}
+====================================================================
+CyclicStreamTools examples
+====================================================================
+
+This package provides tools for working with cyclic streams.
+
+See Also:
+o )show CyclicStreamTools
+
+\end{chunk}
 \pagehead{CyclicStreamTools}{CSTTOOLS}
 \pagepic{ps/v104cyclicstreamtools.ps}{CSTTOOLS}{1.00}
 
@@ -11497,6 +12701,32 @@ CyclicStreamTools(S,ST): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CYCLOTOM CyclotomicPolynomialPackage}
+\begin{chunk}{CyclotomicPolynomialPackage.input}
+)set break resume
+)sys rm -f CyclotomicPolynomialPackage.output
+)spool CyclotomicPolynomialPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CyclotomicPolynomialPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{CyclotomicPolynomialPackage.help}
+====================================================================
+CyclotomicPolynomialPackage examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show CyclotomicPolynomialPackage
+
+\end{chunk}
 \pagehead{CyclotomicPolynomialPackage}{CYCLOTOM}
 \pagepic{ps/v104cyclotomicpolynomialpackage.ps}{CYCLOTOM}{1.00}
 
@@ -11573,6 +12803,33 @@ CyclotomicPolynomialPackage: public == private where
 \chapter{Chapter D}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DFINTTLS DefiniteIntegrationTools}
+\begin{chunk}{DefiniteIntegrationTools.input}
+)set break resume
+)sys rm -f DefiniteIntegrationTools.output
+)spool DefiniteIntegrationTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DefiniteIntegrationTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DefiniteIntegrationTools.help}
+====================================================================
+DefiniteIntegrationTools examples
+====================================================================
+
+DefiniteIntegrationTools provides common tools used by the definite
+integration of both rational and elementary functions.
+
+See Also:
+o )show DefiniteIntegrationTools
+
+\end{chunk}
 \pagehead{DefiniteIntegrationTools}{DFINTTLS}
 \pagepic{ps/v104definiteintegrationtools.ps}{DFINTTLS}{1.00}
 
@@ -11842,6 +13099,32 @@ DefiniteIntegrationTools(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DEGRED DegreeReductionPackage}
+\begin{chunk}{DegreeReductionPackage.input}
+)set break resume
+)sys rm -f DegreeReductionPackage.output
+)spool DegreeReductionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DegreeReductionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DegreeReductionPackage.help}
+====================================================================
+DegreeReductionPackage examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show DegreeReductionPackage
+
+\end{chunk}
 \pagehead{DegreeReductionPackage}{DEGRED}
 \pagepic{ps/v104degreereductionpackage.ps}{DEGRED}{1.00}
 
@@ -11979,7 +13262,7 @@ o )show DesingTreePackage
 \end{tabular}
 
 \begin{chunk}{package DTP DesingTreePackage}
-)abbreviation package DTP DesingTreePackage
+)abbrev package DTP DesingTreePackage
 ++ Author: Gaetan Hache
 ++ Date Created: 17 nov 1992
 ++ Date Last Updated: 31 jan 95
@@ -12410,6 +13693,45 @@ DesingTreePackage(K,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DIOSP DiophantineSolutionPackage}
+\begin{chunk}{DiophantineSolutionPackage.input}
+)set break resume
+)sys rm -f DiophantineSolutionPackage.output
+)spool DiophantineSolutionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DiophantineSolutionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DiophantineSolutionPackage.help}
+====================================================================
+DiophantineSolutionPackage examples
+====================================================================
+
+Any solution of a homogeneous linear Diophantine equation can be
+represented as a sum of minimal solutions, which form a "basis" (a
+minimal solution cannot be represented as a nontrivial sum of
+solutions) in the case of an inhomogeneous linear Diophantine
+equation, each solution is the sum of a inhomogeneous solution and any
+number of homogeneous solutions therefore, it suffices to compute two
+sets:
+
+  1. all minimal inhomogeneous solutions
+  2. all minimal homogeneous solutions
+
+the algorithm implemented is a completion procedure, which enumerates
+all solutions in a recursive depth-first-search it can be seen as
+finding monotone paths in a graph for more details see Reference
+
+See Also:
+o )show DiophantineSolutionPackage
+
+\end{chunk}
 \pagehead{DiophantineSolutionPackage}{DIOSP}
 \pagepic{ps/v104diophantinesolutionpackage.ps}{DIOSP}{1.00}
 
@@ -12595,6 +13917,35 @@ DiophantineSolutionPackage(): Cat == Capsule where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DIRPROD2 DirectProductFunctions2}
+\begin{chunk}{DirectProductFunctions2.input}
+)set break resume
+)sys rm -f DirectProductFunctions2.output
+)spool DirectProductFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DirectProductFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DirectProductFunctions2.help}
+====================================================================
+DirectProductFunctions2 examples
+====================================================================
+
+This package provides operations which all take as arguments direct
+products of elements of some type A and functions from A to another
+type B. The operations all iterate over their vector argument and
+either return a value of type B or a direct product over B.
+
+See Also:
+o )show DirectProductFunctions2
+
+\end{chunk}
 \pagehead{DirectProductFunctions2}{DIRPROD2}
 \pagepic{ps/v104directproductfunctions2.ps}{DIRPROD2}{1.00}
 
@@ -12652,6 +14003,33 @@ DirectProductFunctions2(dim, A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DLP DiscreteLogarithmPackage}
+\begin{chunk}{DiscreteLogarithmPackage.input}
+)set break resume
+)sys rm -f DiscreteLogarithmPackage.output
+)spool DiscreteLogarithmPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DiscreteLogarithmPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DiscreteLogarithmPackage.help}
+====================================================================
+DiscreteLogarithmPackage examples
+====================================================================
+
+DiscreteLogarithmPackage implements help functions for discrete logarithms
+in monoids using small cyclic groups.
+
+See Also:
+o )show DiscreteLogarithmPackage
+
+\end{chunk}
 \pagehead{DiscreteLogarithmPackage}{DLP}
 \pagepic{ps/v104discretelogarithmpackage.ps}{DLP}{1.00}
 
@@ -12742,6 +14120,33 @@ DiscreteLogarithmPackage(M): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DISPLAY DisplayPackage}
+\begin{chunk}{DisplayPackage.input}
+)set break resume
+)sys rm -f DisplayPackage.output
+)spool DisplayPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DisplayPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DisplayPackage.help}
+====================================================================
+DisplayPackage examples
+====================================================================
+
+DisplayPackage allows one to print strings in a nice manner,
+including highlighting substrings.
+
+See Also:
+o )show DisplayPackage
+
+\end{chunk}
 \pagehead{DisplayPackage}{DISPLAY}
 \pagepic{ps/v104displaypackage.ps}{DISPLAY}{1.00}
 
@@ -12874,6 +14279,36 @@ DisplayPackage: public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DDFACT DistinctDegreeFactorize}
+\begin{chunk}{DistinctDegreeFactorize.input}
+)set break resume
+)sys rm -f DistinctDegreeFactorize.output
+)spool DistinctDegreeFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DistinctDegreeFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DistinctDegreeFactorize.help}
+====================================================================
+DistinctDegreeFactorize examples
+====================================================================
+
+Package for the factorization of a univariate polynomial with
+coefficients in a finite field. The algorithm used is the
+"distinct degree" algorithm of Cantor-Zassenhaus, modified
+to use trace instead of the norm and a table for computing
+Frobenius as suggested by Naudin and Quitte .
+
+See Also:
+o )show DistinctDegreeFactorize
+
+\end{chunk}
 \pagehead{DistinctDegreeFactorize}{DDFACT}
 \pagepic{ps/v104distinctdegreefactorize.ps}{DDFACT}{1.00}
 
@@ -16114,6 +17549,33 @@ Axiom uses the power series at the zero point:
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DBLRESP DoubleResultantPackage}
+\begin{chunk}{DoubleResultantPackage.input}
+)set break resume
+)sys rm -f DoubleResultantPackage.output
+)spool DoubleResultantPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DoubleResultantPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DoubleResultantPackage.help}
+====================================================================
+DoubleResultantPackage examples
+====================================================================
+
+This package provides functions for computing the residues of a
+function on an algebraic curve.
+
+See Also:
+o )show DoubleResultantPackage
+
+\end{chunk}
 \pagehead{DoubleResultantPackage}{DBLRESP}
 \pagepic{ps/v104doubleresultantpackage.ps}{DBLRESP}{1.00}
 
@@ -16180,6 +17642,32 @@ DoubleResultantPackage(F, UP, UPUP, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DRAWCX DrawComplex}
+\begin{chunk}{DrawComplex.input}
+)set break resume
+)sys rm -f DrawComplex.output
+)spool DrawComplex.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DrawComplex
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DrawComplex.help}
+====================================================================
+DrawComplex examples
+====================================================================
+
+DrawComplex provides some facilities for drawing complex functions.
+
+See Also:
+o )show DrawComplex
+
+\end{chunk}
 \pagehead{DrawComplex}{DRAWCX}
 \pagepic{ps/v104drawcomplex.ps}{DRAWCX}{1.00}
 
@@ -16375,6 +17863,38 @@ DrawComplex(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DRAWHACK DrawNumericHack}
+\begin{chunk}{DrawNumericHack.input}
+)set break resume
+)sys rm -f DrawNumericHack.output
+)spool DrawNumericHack.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DrawNumericHack
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DrawNumericHack.help}
+====================================================================
+DrawNumericHack examples
+====================================================================
+
+Hack for the draw interface. DrawNumericHack provides a "coercion"
+from something of the form x = a..b where a and b are formal
+expressions to a binding of the form x = c..d where c and d are the
+numerical values of a and b. This "coercion" fails if a and b contains
+symbolic variables, but is meant for expressions involving %pi.
+
+Note that this package is meant for internal use only.
+
+See Also:
+o )show DrawNumericHack
+
+\end{chunk}
 \pagehead{DrawNumericHack}{DRAWHACK}
 \pagepic{ps/v104drawnumerichack.ps}{DRAWHACK}{1.00}
 
@@ -16413,6 +17933,32 @@ DrawNumericHack(R:Join(OrderedSet,IntegralDomain,ConvertibleTo Float)):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DROPT0 DrawOptionFunctions0}
+\begin{chunk}{DrawOptionFunctions0.input}
+)set break resume
+)sys rm -f DrawOptionFunctions0.output
+)spool DrawOptionFunctions0.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DrawOptionFunctions0
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DrawOptionFunctions0.help}
+====================================================================
+DrawOptionFunctions0 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show DrawOptionFunctions0
+
+\end{chunk}
 \pagehead{DrawOptionFunctions0}{DROPT0}
 \pagepic{ps/v104drawoptionfunctions0.ps}{DROPT0}{1.00}
 
@@ -16613,6 +18159,32 @@ DrawOptionFunctions0(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DROPT1 DrawOptionFunctions1}
+\begin{chunk}{DrawOptionFunctions1.input}
+)set break resume
+)sys rm -f DrawOptionFunctions1.output
+)spool DrawOptionFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DrawOptionFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{DrawOptionFunctions1.help}
+====================================================================
+DrawOptionFunctions1 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show DrawOptionFunctions1
+
+\end{chunk}
 \pagehead{DrawOptionFunctions1}{DROPT1}
 \pagepic{ps/v104drawoptionfunctions1.ps}{DROPT1}{1.00}
 
@@ -16653,6 +18225,38 @@ DrawOptionFunctions1(S:Type): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package D01AGNT d01AgentsPackage}
+\begin{chunk}{d01AgentsPackage.input}
+)set break resume
+)sys rm -f d01AgentsPackage.output
+)spool d01AgentsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01AgentsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{d01AgentsPackage.help}
+====================================================================
+d01AgentsPackage examples
+====================================================================
+
+d01AgentsPackage is a package of numerical agents to be used
+to investigate attributes of an input function so as to decide the
+measure of an appropriate numerical integration routine.
+
+It contains functions rangeIsFinite to test the input range and
+functionIsContinuousAtEndPoints to check for continuity at 
+the end points of the range.
+
+See Also:
+o )show d01AgentsPackage
+
+\end{chunk}
 \pagehead{d01AgentsPackage}{D01AGNT}
 \pagepic{ps/v104d01agentspackage.ps}{D01AGNT}{1.00}
 
@@ -16954,6 +18558,36 @@ d01AgentsPackage(): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package D01WGTS d01WeightsPackage}
+\begin{chunk}{d01WeightsPackage.input}
+)set break resume
+)sys rm -f d01WeightsPackage.output
+)spool d01WeightsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01WeightsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{d01WeightsPackage.help}
+====================================================================
+d01WeightsPackage examples
+====================================================================
+
+d01WeightsPackage is a package for functions used to investigate
+whether a function can be divided into a simpler function and a weight
+function.  The types of weights investigated are those giving rise to
+end-point singularities of the algebraico-logarithmic type, and 
+trigonometric weights.
+
+See Also:
+o )show d01WeightsPackage
+
+\end{chunk}
 \pagehead{d01WeightsPackage}{D01WGTS}
 \pagepic{ps/v104d01weightspackage.ps}{D01WGTS}{1.00}
 
@@ -17227,6 +18861,33 @@ d01WeightsPackage(): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package D02AGNT d02AgentsPackage}
+\begin{chunk}{d02AgentsPackage.input}
+)set break resume
+)sys rm -f d02AgentsPackage.output
+)spool d02AgentsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d02AgentsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{d02AgentsPackage.help}
+====================================================================
+d02AgentsPackage examples
+====================================================================
+
+d02AgentsPackage contains a set of computational agents 
+for use with Ordinary Differential Equation solvers.
+
+See Also:
+o )show d02AgentsPackage
+
+\end{chunk}
 \pagehead{d02AgentsPackage}{D02AGNT}
 \pagepic{ps/v104d02agentspackage.ps}{D02AGNT}{1.00}
 
@@ -17250,8 +18911,6 @@ d01WeightsPackage(): E == I where
 ++ Date Created: May 1994
 ++ Date Last Updated: January 1997
 ++ Description:
-++ \axiom{d02AgentsPackage} contains a set of computational agents 
-++ for use with Ordinary Differential Equation solvers.
 
 d02AgentsPackage(): E == I where
   LEDF  ==> List Expression DoubleFloat
@@ -17541,6 +19200,33 @@ d02AgentsPackage(): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package D03AGNT d03AgentsPackage}
+\begin{chunk}{d03AgentsPackage.input}
+)set break resume
+)sys rm -f d03AgentsPackage.output
+)spool d03AgentsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d03AgentsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{d03AgentsPackage.help}
+====================================================================
+d03AgentsPackage examples
+====================================================================
+
+d03AgentsPackage contains a set of computational agents 
+for use with Partial Differential Equation solvers.
+
+See Also:
+o )show d03AgentsPackage
+
+\end{chunk}
 \pagehead{d03AgentsPackage}{D03AGNT}
 \pagepic{ps/v104d03agentspackage.ps}{D03AGNT}{1.00}
 
@@ -17654,6 +19340,37 @@ d03AgentsPackage(): E == I where
 \chapter{Chapter E}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EP EigenPackage}
+\begin{chunk}{EigenPackage.input}
+)set break resume
+)sys rm -f EigenPackage.output
+)spool EigenPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EigenPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{EigenPackage.help}
+====================================================================
+EigenPackage examples
+====================================================================
+
+This is a package for the exact computation of eigenvalues and eigenvectors.
+This package can be made to work for matrices with coefficients which are
+rational functions over a ring where we can factor polynomials.
+Rational eigenvalues are always explicitly computed while the
+non-rational ones are expressed in terms of their minimal
+polynomial.
+
+See Also:
+o )show EigenPackage
+
+\end{chunk}
 \pagehead{EigenPackage}{EP}
 \pagepic{ps/v104eigenpackage.ps}{EP}{1.00}
 
@@ -19390,6 +21107,33 @@ ElementaryFunction(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DEFINTEF ElementaryFunctionDefiniteIntegration}
+\begin{chunk}{ElementaryFunctionDefiniteIntegration.input}
+)set break resume
+)sys rm -f ElementaryFunctionDefiniteIntegration.output
+)spool ElementaryFunctionDefiniteIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionDefiniteIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionDefiniteIntegration.help}
+====================================================================
+ElementaryFunctionDefiniteIntegration examples
+====================================================================
+
+ElementaryFunctionDefiniteIntegration provides functions to compute definite
+integrals of elementary functions.
+
+See Also:
+o )show ElementaryFunctionDefiniteIntegration
+
+\end{chunk}
 \pagehead{ElementaryFunctionDefiniteIntegration}{DEFINTEF}
 \pagepic{ps/v104elementaryfunctiondefiniteintegration.ps}{DEFINTEF}{1.00}
 
@@ -19620,6 +21364,34 @@ ElementaryFunctionDefiniteIntegration(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LODEEF ElementaryFunctionLODESolver}
+\begin{chunk}{ElementaryFunctionLODESolver.input}
+)set break resume
+)sys rm -f ElementaryFunctionLODESolver.output
+)spool ElementaryFunctionLODESolver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionLODESolver
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionLODESolver.help}
+====================================================================
+ElementaryFunctionLODESolver examples
+====================================================================
+
+ElementaryFunctionLODESolver provides the top-level functions for
+finding closed form solutions of linear ordinary differential
+equations and initial value problems.
+
+See Also:
+o )show ElementaryFunctionLODESolver
+
+\end{chunk}
 \pagehead{ElementaryFunctionLODESolver}{LODEEF}
 \pagepic{ps/v104elementaryfunctionlodesolver.ps}{LODEEF}{1.00}
 
@@ -19890,6 +21662,34 @@ ElementaryFunctionLODESolver(R, F, L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODEEF ElementaryFunctionODESolver}
+\begin{chunk}{ElementaryFunctionODESolver.input}
+)set break resume
+)sys rm -f ElementaryFunctionODESolver.output
+)spool ElementaryFunctionODESolver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionODESolver
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionODESolver.help}
+====================================================================
+ElementaryFunctionODESolver examples
+====================================================================
+
+ElementaryFunctionODESolver provides the top-level functions for
+finding closed form solutions of ordinary differential equations and
+initial value problems.
+
+See Also:
+o )show ElementaryFunctionODESolver
+
+\end{chunk}
 \pagehead{ElementaryFunctionODESolver}{ODEEF}
 \pagepic{ps/v104elementaryfunctionodesolver.ps}{ODEEF}{1.00}
 
@@ -20166,6 +21966,33 @@ ElementaryFunctionODESolver(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SIGNEF ElementaryFunctionSign}
+\begin{chunk}{ElementaryFunctionSign.input}
+)set break resume
+)sys rm -f ElementaryFunctionSign.output
+)spool ElementaryFunctionSign.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionSign
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionSign.help}
+====================================================================
+ElementaryFunctionSign examples
+====================================================================
+
+This package provides functions to determine the sign of an
+elementary function around a point or infinity.
+
+See Also:
+o )show ElementaryFunctionSign
+
+\end{chunk}
 \pagehead{ElementaryFunctionSign}{SIGNEF}
 \pagepic{ps/v104elementaryfunctionsign.ps}{SIGNEF}{1.00}
 
@@ -20366,6 +22193,36 @@ ElementaryFunctionSign(R,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EFSTRUC ElementaryFunctionStructurePackage}
+\begin{chunk}{ElementaryFunctionStructurePackage.input}
+)set break resume
+)sys rm -f ElementaryFunctionStructurePackage.output
+)spool ElementaryFunctionStructurePackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionStructurePackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionStructurePackage.help}
+====================================================================
+ElementaryFunctionStructurePackage examples
+====================================================================
+
+ElementaryFunctionStructurePackage provides functions to test the
+algebraic independence of various elementary functions, using the
+Risch structure theorem (real and complex versions).
+It also provides transformations on elementary functions
+which are not considered simplifications.
+
+See Also:
+o )show ElementaryFunctionStructurePackage
+
+\end{chunk}
 \pagehead{ElementaryFunctionStructurePackage}{EFSTRUC}
 \pagepic{ps/v104elementaryfunctionstructurepackage.ps}{EFSTRUC}{1.00}
 
@@ -20782,6 +22639,38 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EFULS ElementaryFunctionsUnivariateLaurentSeries}
+\begin{chunk}{ElementaryFunctionsUnivariateLaurentSeries.input}
+)set break resume
+)sys rm -f ElementaryFunctionsUnivariateLaurentSeries.output
+)spool ElementaryFunctionsUnivariateLaurentSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionsUnivariateLaurentSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionsUnivariateLaurentSeries.help}
+====================================================================
+ElementaryFunctionsUnivariateLaurentSeries examples
+====================================================================
+
+This package provides elementary functions on any Laurent series
+domain over a field which was constructed from a Taylor series
+domain.  These functions are implemented by calling the
+corresponding functions on the Taylor series domain.  We also
+provide 'partial functions' which compute transcendental
+functions of Laurent series when possible and return "failed"
+when this is not possible.
+
+See Also:
+o )show ElementaryFunctionsUnivariateLaurentSeries
+
+\end{chunk}
 \pagehead{ElementaryFunctionsUnivariateLaurentSeries}{EFULS}
 \pagepic{ps/v104elementaryfunctionsunivariatelaurentseries.ps}{EFULS}{1.00}
 
@@ -21194,6 +23083,38 @@ ElementaryFunctionsUnivariateLaurentSeries(Coef,UTS,ULS):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
+\begin{chunk}{ElementaryFunctionsUnivariatePuiseuxSeries.input}
+)set break resume
+)sys rm -f ElementaryFunctionsUnivariatePuiseuxSeries.output
+)spool ElementaryFunctionsUnivariatePuiseuxSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionsUnivariatePuiseuxSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionsUnivariatePuiseuxSeries.help}
+====================================================================
+ElementaryFunctionsUnivariatePuiseuxSeries examples
+====================================================================
+
+This package provides elementary functions on any Laurent series
+domain over a field which was constructed from a Taylor series
+domain.  These functions are implemented by calling the
+corresponding functions on the Taylor series domain.  We also
+provide 'partial functions' which compute transcendental
+functions of Laurent series when possible and return "failed"
+when this is not possible.
+
+See Also:
+o )show ElementaryFunctionsUnivariatePuiseuxSeries
+
+\end{chunk}
 \pagehead{ElementaryFunctionsUnivariatePuiseuxSeries}{EFUPXS}
 \pagepic{ps/v104elementaryfunctionsunivariatepuiseuxseries.ps}{EFUPXS}{1.00}
 
@@ -21521,6 +23442,34 @@ ElementaryFunctionsUnivariatePuiseuxSeries(Coef,ULS,UPXS,EFULS):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTEF ElementaryIntegration}
+\begin{chunk}{ElementaryIntegration.input}
+)set break resume
+)sys rm -f ElementaryIntegration.output
+)spool ElementaryIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryIntegration.help}
+====================================================================
+ElementaryIntegration examples
+====================================================================
+
+This package provides functions for integration, limited integration,
+extended integration and the risch differential equation for
+elementary functions.
+
+See Also:
+o )show ElementaryIntegration
+
+\end{chunk}
 \pagehead{ElementaryIntegration}{INTEF}
 \pagepic{ps/v104elementaryintegration.ps}{INTEF}{1.00}
 
@@ -21945,6 +23894,32 @@ See the above discussion for why this causes an infinite loop.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RDEEF ElementaryRischDE}
+\begin{chunk}{ElementaryRischDE.input}
+)set break resume
+)sys rm -f ElementaryRischDE.output
+)spool ElementaryRischDE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryRischDE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryRischDE.help}
+====================================================================
+ElementaryRischDE examples
+====================================================================
+
+Risch differential equation, elementary case.
+
+See Also:
+o )show ElementaryRischDE
+
+\end{chunk}
 \pagehead{ElementaryRischDE}{RDEEF}
 \pagepic{ps/v104elementaryrischde.ps}{RDEEF}{1.00}
 
@@ -22335,6 +24310,32 @@ ElementaryRischDE(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RDEEFS ElementaryRischDESystem}
+\begin{chunk}{ElementaryRischDESystem.input}
+)set break resume
+)sys rm -f ElementaryRischDESystem.output
+)spool ElementaryRischDESystem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryRischDESystem
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryRischDESystem.help}
+====================================================================
+ElementaryRischDESystem examples
+====================================================================
+
+Risch differential equation, elementary case.
+
+See Also:
+o )show ElementaryRischDESystem
+
+\end{chunk}
 \pagehead{ElementaryRischDESystem}{RDEEFS}
 \pagepic{ps/v104elementaryrischdesystem.ps}{RDEEFS}{1.00}
 
@@ -22444,6 +24445,32 @@ ElementaryRischDESystem(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ELFUTS EllipticFunctionsUnivariateTaylorSeries}
+\begin{chunk}{EllipticFunctionsUnivariateTaylorSeries.input}
+)set break resume
+)sys rm -f EllipticFunctionsUnivariateTaylorSeries.output
+)spool EllipticFunctionsUnivariateTaylorSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EllipticFunctionsUnivariateTaylorSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{EllipticFunctionsUnivariateTaylorSeries.help}
+====================================================================
+EllipticFunctionsUnivariateTaylorSeries examples
+====================================================================
+
+The elliptic functions sn, sc and dn are expanded as Taylor series.
+
+See Also:
+o )show EllipticFunctionsUnivariateTaylorSeries
+
+\end{chunk}
 \pagehead{EllipticFunctionsUnivariateTaylorSeries}{ELFUTS}
 \pagepic{ps/v104ellipticfunctionsunivariatetaylorseries.ps}{ELFUTS}{1.00}
 
@@ -22515,6 +24542,32 @@ EllipticFunctionsUnivariateTaylorSeries(Coef,UTS):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EQ2 EquationFunctions2}
+\begin{chunk}{EquationFunctions2.input}
+)set break resume
+)sys rm -f EquationFunctions2.output
+)spool EquationFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EquationFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{EquationFunctions2.help}
+====================================================================
+EquationFunctions2 examples
+====================================================================
+
+This package provides operations for mapping the sides of equations.
+
+See Also:
+o )show EquationFunctions2
+
+\end{chunk}
 \pagehead{EquationFunctions2}{EQ2}
 \pagepic{ps/v104equationfunctions2.ps}{EQ2}{1.00}
 
@@ -22542,6 +24595,71 @@ EquationFunctions2(S: Type, R: Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ERROR ErrorFunctions}
+\begin{chunk}{ErrorFunctions.input}
+)set break resume
+)sys rm -f ErrorFunctions.output
+)spool ErrorFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ErrorFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ErrorFunctions.help}
+====================================================================
+ErrorFunctions examples
+====================================================================
+
+ErrorFunctions implements error functions callable from the system
+interpreter.  Typically, these functions would be called in user
+functions.  The simple forms of the functions take one argument
+which is either a string (an error message) or a list of strings
+which all together make up a message.  The list can contain
+formatting codes (see below).  The more sophisticated versions takes
+two arguments where the first argument is the name of the function
+from which the error was invoked and the second argument is either a
+string or a list of strings, as above.  When you use the one
+argument version in an interpreter function, the system will
+automatically insert the name of the function as the new first
+argument.  Thus in the user interpreter function
+
+     f x == if x < 0 then error "negative argument" else x
+
+the call to error will actually be of the form
+
+    error("f","negative argument")
+
+because the interpreter will have created a new first argument.
+
+Formatting codes:  error messages may contain the following
+formatting codes (they should either start or end a string or
+else have blanks around them):
+
+     %l       start a new line
+     %b       start printing in a bold font (where available)
+     %d       stop  printing in a bold font (where available)
+     %ceon    start centering message lines
+     %ceoff   stop  centering message lines
+     %rjon    start displaying lines "ragged left"
+     %rjoff   stop  displaying lines "ragged left"
+     %i       indent   following lines 3 additional spaces
+     %u       unindent following lines 3 additional spaces
+     %xN      insert N blanks (eg, %x10 inserts 10 blanks)
+
+Examples:
+   1. error "Whoops, you made a %l %ceon %b big %d %ceoff %l mistake!"
+   2. error ["Whoops, you made a","%l %ceon %b","big",
+             "%d %ceoff %l","mistake!"]
+
+See Also:
+o )show ErrorFunctions
+
+\end{chunk}
 \pagehead{ErrorFunctions}{ERROR}
 \pagepic{ps/v104errorfunctions.ps}{ERROR}{1.00}
 
@@ -24333,6 +26451,33 @@ EuclideanGroebnerBasisPackage(Dom, Expon, VarSet, Dpol): T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EVALCYC EvaluateCycleIndicators}
+\begin{chunk}{EvaluateCycleIndicators.input}
+)set break resume
+)sys rm -f EvaluateCycleIndicators.output
+)spool EvaluateCycleIndicators.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EvaluateCycleIndicators
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{EvaluateCycleIndicators.help}
+====================================================================
+EvaluateCycleIndicators examples
+====================================================================
+
+This package is to be used in conjuction with the CycleIndicators package.
+It provides an evaluation function for SymmetricPolynomials.
+
+See Also:
+o )show EvaluateCycleIndicators
+
+\end{chunk}
 \pagehead{EvaluateCycleIndicators}{EVALCYC}
 \pagepic{ps/v104evaluatecycleindicators.ps}{EVALCYC}{1.00}
 
@@ -24385,6 +26530,33 @@ EvaluateCycleIndicators(F):T==C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ESCONT ExpertSystemContinuityPackage}
+\begin{chunk}{ExpertSystemContinuityPackage.input}
+)set break resume
+)sys rm -f ExpertSystemContinuityPackage.output
+)spool ExpertSystemContinuityPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpertSystemContinuityPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpertSystemContinuityPackage.help}
+====================================================================
+ExpertSystemContinuityPackage examples
+====================================================================
+
+ExpertSystemContinuityPackage is a package of functions for the use of 
+domains belonging to the category NumericalIntegration.
+
+See Also:
+o )show ExpertSystemContinuityPackage
+
+\end{chunk}
 \pagehead{ExpertSystemContinuityPackage}{ESCONT}
 \pagepic{ps/v104expertsystemcontinuitypackage.ps}{ESCONT}{1.00}
 
@@ -24662,6 +26834,32 @@ ExpertSystemContinuityPackage(): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ESCONT1 ExpertSystemContinuityPackage1}
+\begin{chunk}{ExpertSystemContinuityPackage1.input}
+)set break resume
+)sys rm -f ExpertSystemContinuityPackage1.output
+)spool ExpertSystemContinuityPackage1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpertSystemContinuityPackage1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpertSystemContinuityPackage1.help}
+====================================================================
+ExpertSystemContinuityPackage1 examples
+====================================================================
+
+ExpertSystemContinuityPackage1 exports a function to check range inclusion
+
+See Also:
+o )show ExpertSystemContinuityPackage1
+
+\end{chunk}
 \pagehead{ExpertSystemContinuityPackage1}{ESCONT1}
 \pagepic{ps/v104expertsystemcontinuitypackage1.ps}{ESCONT1}{1.00}
 
@@ -24721,6 +26919,33 @@ ExpertSystemContinuityPackage1(A:DF,B:DF): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ESTOOLS ExpertSystemToolsPackage}
+\begin{chunk}{ExpertSystemToolsPackage.input}
+)set break resume
+)sys rm -f ExpertSystemToolsPackage.output
+)spool ExpertSystemToolsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpertSystemToolsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpertSystemToolsPackage.help}
+====================================================================
+ExpertSystemToolsPackage examples
+====================================================================
+
+ExpertSystemToolsPackage contains some useful functions for use
+by the computational agents of numerical solvers.
+
+See Also:
+o )show ExpertSystemToolsPackage
+
+\end{chunk}
 \pagehead{ExpertSystemToolsPackage}{ESTOOLS}
 \pagepic{ps/v104expertsystemtoolspackage.ps}{ESTOOLS}{1.00}
 
@@ -25144,6 +27369,33 @@ ExpertSystemToolsPackage():E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ESTOOLS1 ExpertSystemToolsPackage1}
+\begin{chunk}{ExpertSystemToolsPackage1.input}
+)set break resume
+)sys rm -f ExpertSystemToolsPackage1.output
+)spool ExpertSystemToolsPackage1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpertSystemToolsPackage1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpertSystemToolsPackage1.help}
+====================================================================
+ExpertSystemToolsPackage1 examples
+====================================================================
+
+ExpertSystemToolsPackage1 contains some useful functions for use
+by the computational agents of Ordinary Differential Equation solvers.
+
+See Also:
+o )show ExpertSystemToolsPackage1
+
+\end{chunk}
 \pagehead{ExpertSystemToolsPackage1}{ESTOOLS1}
 \pagepic{ps/v104expertsystemtoolspackage1.ps}{ESTOOLS1}{1.00}
 
@@ -25176,6 +27428,33 @@ ExpertSystemToolsPackage1(R1:OR): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ESTOOLS2 ExpertSystemToolsPackage2}
+\begin{chunk}{ExpertSystemToolsPackage2.input}
+)set break resume
+)sys rm -f ExpertSystemToolsPackage2.output
+)spool ExpertSystemToolsPackage2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpertSystemToolsPackage2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpertSystemToolsPackage2.help}
+====================================================================
+ExpertSystemToolsPackage2 examples
+====================================================================
+
+ExpertSystemToolsPackage2 contains some useful functions for use
+by the computational agents of Ordinary Differential Equation solvers.
+
+See Also:
+o )show ExpertSystemToolsPackage2
+
+\end{chunk}
 \pagehead{ExpertSystemToolsPackage2}{ESTOOLS2}
 \pagepic{ps/v104expertsystemtoolspackage2.ps}{ESTOOLS2}{1.00}
 
@@ -25212,6 +27491,32 @@ ExpertSystemToolsPackage2(R1:R,R2:R): E == I where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EXPR2 ExpressionFunctions2}
+\begin{chunk}{ExpressionFunctions2.input}
+)set break resume
+)sys rm -f ExpressionFunctions2.output
+)spool ExpressionFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionFunctions2.help}
+====================================================================
+ExpressionFunctions2 examples
+====================================================================
+
+Lifting of maps to Expressions.
+
+See Also:
+o )show ExpressionFunctions2
+
+\end{chunk}
 \pagehead{ExpressionFunctions2}{EXPR2}
 \pagepic{ps/v104ExpressionFunctions2.ps}{EXPR2}{1.00}
 
@@ -25278,6 +27583,32 @@ works. This is probably due to missing ``/'' in UFPS.
   TranscendentalFunctionCategory.
 \end{verbatim}
 
+\begin{chunk}{ExpressionSolve.input}
+)set break resume
+)sys rm -f ExpressionSolve.output
+)spool ExpressionSolve.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionSolve
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionSolve.help}
+====================================================================
+ExpressionSolve examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show ExpressionSolve
+
+\end{chunk}
 \pagehead{ExpressionSolve}{EXPRSOL}
 \pagepic{ps/v104expressionsolve.ps}{EXPRSOL}{1.00}
 
@@ -25377,6 +27708,34 @@ coefficient ring, since it will complain otherwise.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ES1 ExpressionSpaceFunctions1}
+\begin{chunk}{ExpressionSpaceFunctions1.input}
+)set break resume
+)sys rm -f ExpressionSpaceFunctions1.output
+)spool ExpressionSpaceFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionSpaceFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionSpaceFunctions1.help}
+====================================================================
+ExpressionSpaceFunctions1 examples
+====================================================================
+
+This package allows a map from any expression space into any object
+to be lifted to a kernel over the expression set, using a given
+property of the operator of the kernel.
+
+See Also:
+o )show ExpressionSpaceFunctions1
+
+\end{chunk}
 \pagehead{ExpressionSpaceFunctions1}{ES1}
 \pagepic{ps/v104expressionspacefunctions1.ps}{ES1}{1.00}
 
@@ -25416,6 +27775,35 @@ ExpressionSpaceFunctions1(F:ExpressionSpace, S:Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ES2 ExpressionSpaceFunctions2}
+\begin{chunk}{ExpressionSpaceFunctions2.input}
+)set break resume
+)sys rm -f ExpressionSpaceFunctions2.output
+)spool ExpressionSpaceFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionSpaceFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionSpaceFunctions2.help}
+====================================================================
+ExpressionSpaceFunctions2 examples
+====================================================================
+
+This package allows a mapping E -> F to be lifted to a kernel over E;
+This lifting can fail if the operator of the kernel cannot be applied
+in F; Do not use this package with E = F, since this may
+drop some properties of the operators.
+
+See Also:
+o )show ExpressionSpaceFunctions2
+
+\end{chunk}
 \pagehead{ExpressionSpaceFunctions2}{ES2}
 \pagepic{ps/v104expressionspacefunctions2.ps}{ES2}{1.00}
 
@@ -25450,6 +27838,32 @@ ExpressionSpaceFunctions2(E:ExpressionSpace, F:ExpressionSpace): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EXPRODE ExpressionSpaceODESolver}
+\begin{chunk}{ExpressionSpaceODESolver.input}
+)set break resume
+)sys rm -f ExpressionSpaceODESolver.output
+)spool ExpressionSpaceODESolver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionSpaceODESolver
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionSpaceODESolver.help}
+====================================================================
+ExpressionSpaceODESolver examples
+====================================================================
+
+Taylor series solutions of explicit ODE's;
+
+See Also:
+o )show ExpressionSpaceODESolver
+
+\end{chunk}
 \pagehead{ExpressionSpaceODESolver}{EXPRODE}
 \pagepic{ps/v104expressionspaceodesolver.ps}{EXPRODE}{1.00}
 
@@ -25665,6 +28079,33 @@ ExpressionSpaceODESolver(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OMEXPR ExpressionToOpenMath}
+\begin{chunk}{ExpressionToOpenMath.input}
+)set break resume
+)sys rm -f ExpressionToOpenMath.output
+)spool ExpressionToOpenMath.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionToOpenMath
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionToOpenMath.help}
+====================================================================
+ExpressionToOpenMath examples
+====================================================================
+
+ExpressionToOpenMath provides support for converting objects of type
+Expression into OpenMath.
+
+See Also:
+o )show ExpressionToOpenMath
+
+\end{chunk}
 \pagehead{ExpressionToOpenMath}{OMEXPR}
 \pagepic{ps/v104expressiontoopenmath.ps}{OMEXPR}{1.00}
 
@@ -25949,6 +28390,33 @@ ExpressionToOpenMath(R: Join(OpenMath, OrderedSet, Ring)): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EXPR2UPS ExpressionToUnivariatePowerSeries}
+\begin{chunk}{ExpressionToUnivariatePowerSeries.input}
+)set break resume
+)sys rm -f ExpressionToUnivariatePowerSeries.output
+)spool ExpressionToUnivariatePowerSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionToUnivariatePowerSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionToUnivariatePowerSeries.help}
+====================================================================
+ExpressionToUnivariatePowerSeries examples
+====================================================================
+
+This package provides functions to convert functional expressions
+to power series.
+
+See Also:
+o )show ExpressionToUnivariatePowerSeries
+
+\end{chunk}
 \pagehead{ExpressionToUnivariatePowerSeries}{EXPR2UPS}
 \pagepic{ps/v104expressiontounivariatepowerseries.ps}{EXPR2UPS}{1.00}
 
@@ -26289,6 +28757,32 @@ ExpressionToUnivariatePowerSeries(R,FE): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package EXPRTUBE ExpressionTubePlot}
+\begin{chunk}{ExpressionTubePlot.input}
+)set break resume
+)sys rm -f ExpressionTubePlot.output
+)spool ExpressionTubePlot.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionTubePlot
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ExpressionTubePlot.help}
+====================================================================
+ExpressionTubePlot examples
+====================================================================
+
+Package for constructing tubes around 3-dimensional parametric curves.
+
+See Also:
+o )show ExpressionTubePlot
+
+\end{chunk}
 \pagehead{ExpressionTubePlot}{EXPRTUBE}
 \pagepic{ps/v104expressiontubeplot.ps}{EXPRTUBE}{1.00}
 
@@ -26630,6 +29124,34 @@ Export3D(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package E04AGNT e04AgentsPackage}
+\begin{chunk}{e04AgentsPackage.input}
+)set break resume
+)sys rm -f e04AgentsPackage.output
+)spool e04AgentsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04AgentsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{e04AgentsPackage.help}
+====================================================================
+e04AgentsPackage examples
+====================================================================
+
+e04AgentsPackage is a package of numerical agents to be used to
+investigate attributes of an input function so as to decide the
+measure of an appropriate numerical optimization routine.
+
+See Also:
+o )show e04AgentsPackage
+
+\end{chunk}
 \pagehead{e04AgentsPackage}{E04AGNT}
 \pagepic{ps/v104e04agentspackage.ps}{E04AGNT}{1.00}
 
@@ -26920,6 +29442,32 @@ e04AgentsPackage(): E == I where
 \chapter{Chapter F}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FACTFUNC FactoredFunctions}
+\begin{chunk}{FactoredFunctions.input}
+)set break resume
+)sys rm -f FactoredFunctions.output
+)spool FactoredFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FactoredFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FactoredFunctions.help}
+====================================================================
+FactoredFunctions examples
+====================================================================
+
+Computes various functions on factored arguments.
+
+See Also:
+o )show FactoredFunctions
+
+\end{chunk}
 \pagehead{FactoredFunctions}{FACTFUNC}
 \pagepic{ps/v104factoredfunctions.ps}{FACTFUNC}{1.00}
 
@@ -27142,6 +29690,33 @@ FactoredFunctions2(R, S): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FRUTIL FactoredFunctionUtilities}
+\begin{chunk}{FactoredFunctionUtilities.input}
+)set break resume
+)sys rm -f FactoredFunctionUtilities.output
+)spool FactoredFunctionUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FactoredFunctionUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FactoredFunctionUtilities.help}
+====================================================================
+FactoredFunctionUtilities examples
+====================================================================
+
+FactoredFunctionUtilities implements some utility functions for 
+manipulating factored objects.
+
+See Also:
+o )show FactoredFunctionUtilities
+
+\end{chunk}
 \pagehead{FactoredFunctionUtilities}{FRUTIL}
 \pagepic{ps/v104factoredfunctionutilities.ps}{FRUTIL}{1.00}
 
@@ -27208,6 +29783,34 @@ FactoredFunctionUtilities(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FACUTIL FactoringUtilities}
+\begin{chunk}{FactoringUtilities.input}
+)set break resume
+)sys rm -f FactoringUtilities.output
+)spool FactoringUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FactoringUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FactoringUtilities.help}
+====================================================================
+FactoringUtilities examples
+====================================================================
+
+This package provides utilities used by the factorizers which operate
+on polynomials represented as univariate polynomials with multivariate
+coefficients.
+
+See Also:
+o )show FactoringUtilities
+
+\end{chunk}
 \pagehead{FactoringUtilities}{FACUTIL}
 \pagepic{ps/v104factoringutilities.ps}{FACUTIL}{1.00}
 
@@ -27683,6 +30286,36 @@ FactorisationOverPseudoAlgebraicClosureOfRationalNumber(K):Exports ==
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FGLMICPK FGLMIfCanPackage}
+\begin{chunk}{FGLMIfCanPackage.input}
+)set break resume
+)sys rm -f FGLMIfCanPackage.output
+)spool FGLMIfCanPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FGLMIfCanPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FGLMIfCanPackage.help}
+====================================================================
+FGLMIfCanPackage examples
+====================================================================
+
+This is just an interface between several packages and domains.  The
+goal is to compute lexicographical Groebner bases of sets of
+polynomial with type Polynomial R by the FGLM algorithm if this is
+possible (i.e.  if the input system generates a zero-dimensional
+ideal).
+
+See Also:
+o )show FGLMIfCanPackage
+
+\end{chunk}
 \pagehead{FGLMIfCanPackage}{FGLMICPK}
 \pagepic{ps/v104fglmifcanpackage.ps}{FGLMICPK}{1.00}
 
@@ -27784,6 +30417,32 @@ FGLMIfCanPackage(R,ls): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FORDER FindOrderFinite}
+\begin{chunk}{FindOrderFinite.input}
+)set break resume
+)sys rm -f FindOrderFinite.output
+)spool FindOrderFinite.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FindOrderFinite
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FindOrderFinite.help}
+====================================================================
+FindOrderFinite examples
+====================================================================
+
+Finds the order of a divisor over a finite field
+
+See Also:
+o )show FindOrderFinite
+
+\end{chunk}
 \pagehead{FindOrderFinite}{FORDER}
 \pagepic{ps/v104findorderfinite.ps}{FORDER}{1.00}
 
@@ -27823,6 +30482,34 @@ FindOrderFinite(F, UP, UPUP, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FAMR2 FiniteAbelianMonoidRingFunctions2}
+\begin{chunk}{FiniteAbelianMonoidRingFunctions2.input}
+)set break resume
+)sys rm -f FiniteAbelianMonoidRingFunctions2.output
+)spool FiniteAbelianMonoidRingFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteAbelianMonoidRingFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteAbelianMonoidRingFunctions2.help}
+====================================================================
+FiniteAbelianMonoidRingFunctions2 examples
+====================================================================
+
+FiniteAbelianMonoidRing 
+The packages defined in this file provide fast fraction free rational
+interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)
+
+See Also:
+o )show FiniteAbelianMonoidRingFunctions2
+
+\end{chunk}
 \pagehead{FiniteAbelianMonoidRingFunctions2}{FAMR2}
 \pagepic{ps/v104finiteabelianmonoidringfunctions2.ps}{FAMR2}{1.00}
 
@@ -27866,6 +30553,32 @@ FiniteAbelianMonoidRingFunctions2(E: OrderedAbelianMonoid,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FDIV2 FiniteDivisorFunctions2}
+\begin{chunk}{FiniteDivisorFunctions2.input}
+)set break resume
+)sys rm -f FiniteDivisorFunctions2.output
+)spool FiniteDivisorFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteDivisorFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteDivisorFunctions2.help}
+====================================================================
+FiniteDivisorFunctions2 examples
+====================================================================
+
+Lift a map to finite divisors.
+
+See Also:
+o )show FiniteDivisorFunctions2
+
+\end{chunk}
 \pagehead{FiniteDivisorFunctions2}{FDIV2}
 \pagepic{ps/v104finitedivisorfunctions2.ps}{FDIV2}{1.00}
 
@@ -28206,6 +30919,33 @@ FiniteFieldFactorizationWithSizeParseBySideEffect(K : FiniteFieldCategory,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFF FiniteFieldFunctions}
+\begin{chunk}{FiniteFieldFunctions.input}
+)set break resume
+)sys rm -f FiniteFieldFunctions.output
+)spool FiniteFieldFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteFieldFunctions.help}
+====================================================================
+FiniteFieldFunctions examples
+====================================================================
+
+FiniteFieldFunctions(GF) is a package with functions concerning finite
+extension fields of the finite ground field GF, e.g. Zech logarithms.
+
+See Also:
+o )show FiniteFieldFunctions
+
+\end{chunk}
 \pagehead{FiniteFieldFunctions}{FFF}
 \pagepic{ps/v104finitefieldfunctions.ps}{FFF}{1.00}
 
@@ -28463,6 +31203,34 @@ FiniteFieldFunctions(GF): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFHOM FiniteFieldHomomorphisms}
+\begin{chunk}{FiniteFieldHomomorphisms.input}
+)set break resume
+)sys rm -f FiniteFieldHomomorphisms.output
+)spool FiniteFieldHomomorphisms.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldHomomorphisms
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteFieldHomomorphisms.help}
+====================================================================
+FiniteFieldHomomorphisms examples
+====================================================================
+
+FiniteFieldHomomorphisms(F1,GF,F2) exports coercion functions of
+elements between the fields F1 and F2, which both must be
+finite simple algebraic extensions of the finite ground field GF.
+
+See Also:
+o )show FiniteFieldHomomorphisms
+
+\end{chunk}
 \pagehead{FiniteFieldHomomorphisms}{FFHOM}
 \pagepic{ps/v104finitefieldhomomorphisms.ps}{FFHOM}{1.00}
 
@@ -28836,6 +31604,34 @@ FiniteFieldHomomorphisms(F1,GF,F2): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFPOLY FiniteFieldPolynomialPackage}
+\begin{chunk}{FiniteFieldPolynomialPackage.input}
+)set break resume
+)sys rm -f FiniteFieldPolynomialPackage.output
+)spool FiniteFieldPolynomialPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldPolynomialPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteFieldPolynomialPackage.help}
+====================================================================
+FiniteFieldPolynomialPackage examples
+====================================================================
+
+This package provides a number of functions for generating, counting
+and testing irreducible, normal, primitive, random polynomials
+over finite fields.
+
+See Also:
+o )show FiniteFieldPolynomialPackage
+
+\end{chunk}
 \pagehead{FiniteFieldPolynomialPackage}{FFPOLY}
 \pagepic{ps/v104finitefieldpolynomialpackage.ps}{FFPOLY}{1.00}
 
@@ -29839,6 +32635,34 @@ FiniteFieldPolynomialPackage GF : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFPOLY2 FiniteFieldPolynomialPackage2}
+\begin{chunk}{FiniteFieldPolynomialPackage2.input}
+)set break resume
+)sys rm -f FiniteFieldPolynomialPackage2.output
+)spool FiniteFieldPolynomialPackage2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldPolynomialPackage2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteFieldPolynomialPackage2.help}
+====================================================================
+FiniteFieldPolynomialPackage2 examples
+====================================================================
+
+FiniteFieldPolynomialPackage2(F,GF) exports some functions concerning
+finite fields, which depend on a finite field GF and an algebraic
+extension F of GF, e.g. a zero of a polynomial over GF in F.
+
+See Also:
+o )show FiniteFieldPolynomialPackage2
+
+\end{chunk}
 \pagehead{FiniteFieldPolynomialPackage2}{FFPOLY2}
 \pagepic{ps/v104finitefieldpolynomialpackage2.ps}{FFPOLY2}{1.00}
 
@@ -29965,6 +32789,33 @@ FiniteFieldPolynomialPackage2(F,GF):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFSLPE FiniteFieldSolveLinearPolynomialEquation}
+\begin{chunk}{FiniteFieldSolveLinearPolynomialEquation.input}
+)set break resume
+)sys rm -f FiniteFieldSolveLinearPolynomialEquation.output
+)spool FiniteFieldSolveLinearPolynomialEquation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldSolveLinearPolynomialEquation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteFieldSolveLinearPolynomialEquation.help}
+====================================================================
+FiniteFieldSolveLinearPolynomialEquation examples
+====================================================================
+
+This package solves linear diophantine equations for Bivariate polynomials
+over finite fields
+
+See Also:
+o )show FiniteFieldSolveLinearPolynomialEquation
+
+\end{chunk}
 \pagehead{FiniteFieldSolveLinearPolynomialEquation}{FFSLPE}
 \pagepic{ps/v104finitefieldsolvelinearpolynomialequation.ps}{FFSLPE}{1.00}
 
@@ -30173,6 +33024,36 @@ FiniteFieldSquareFreeDecomposition (K : FiniteFieldCategory,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FLAGG2 FiniteLinearAggregateFunctions2}
+\begin{chunk}{FiniteLinearAggregateFunctions2.input}
+)set break resume
+)sys rm -f FiniteLinearAggregateFunctions2.output
+)spool FiniteLinearAggregateFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteLinearAggregateFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteLinearAggregateFunctions2.help}
+====================================================================
+FiniteLinearAggregateFunctions2 examples
+====================================================================
+
+FiniteLinearAggregateFunctions2 provides functions involving two
+FiniteLinearAggregates where the underlying domains might be
+different. An example of this might be creating a list of rational
+numbers by mapping a function across a list of integers where the
+function divides each integer by 1000.
+
+See Also:
+o )show FiniteLinearAggregateFunctions2
+
+\end{chunk}
 \pagehead{FiniteLinearAggregateFunctions2}{FLAGG2}
 \pagepic{ps/v104finitelinearaggregatefunctions2.ps}{FLAGG2}{1.00}
 
@@ -30301,6 +33182,34 @@ FiniteLinearAggregateFunctions2(S, A, R, B):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FLASORT FiniteLinearAggregateSort}
+\begin{chunk}{FiniteLinearAggregateSort.input}
+)set break resume
+)sys rm -f FiniteLinearAggregateSort.output
+)spool FiniteLinearAggregateSort.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteLinearAggregateSort
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteLinearAggregateSort.help}
+====================================================================
+FiniteLinearAggregateSort examples
+====================================================================
+
+This package exports 3 sorting algorithms which work over
+FiniteLinearAggregates.  Sort package (in-place) for shallowlyMutable
+Finite Linear Aggregates
+
+See Also:
+o )show FiniteLinearAggregateSort
+
+\end{chunk}
 \pagehead{FiniteLinearAggregateSort}{FLASORT}
 \pagepic{ps/v104finitelinearaggregatesort.ps}{FLASORT}{1.00}
 
@@ -30417,6 +33326,36 @@ FiniteLinearAggregateSort(S, V): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSAGG2 FiniteSetAggregateFunctions2}
+\begin{chunk}{FiniteSetAggregateFunctions2.input}
+)set break resume
+)sys rm -f FiniteSetAggregateFunctions2.output
+)spool FiniteSetAggregateFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteSetAggregateFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FiniteSetAggregateFunctions2.help}
+====================================================================
+FiniteSetAggregateFunctions2 examples
+====================================================================
+
+FiniteSetAggregateFunctions2 provides functions involving two
+finite set aggregates where the underlying domains might be
+different. An example of this is to create a set of rational
+numbers by mapping a function across a set of integers, where the
+function divides each integer by 1000.
+
+See Also:
+o )show FiniteSetAggregateFunctions2
+
+\end{chunk}
 \pagehead{FiniteSetAggregateFunctions2}{FSAGG2}
 \pagepic{ps/v104finitesetaggregatefunctions2.ps}{FSAGG2}{1.00}
 
@@ -30482,6 +33421,36 @@ FiniteSetAggregateFunctions2(S, A, R, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FLOATCP FloatingComplexPackage}
+\begin{chunk}{FloatingComplexPackage.input}
+)set break resume
+)sys rm -f FloatingComplexPackage.output
+)spool FloatingComplexPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FloatingComplexPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FloatingComplexPackage.help}
+====================================================================
+FloatingComplexPackage examples
+====================================================================
+
+This is a package for the approximation of complex solutions for
+systems of equations of rational functions with complex rational
+coefficients. The results are expressed as either complex rational
+numbers or complex floats depending on the type of the precision
+parameter which can be either a rational number or a floating point number.
+
+See Also:
+o )show FloatingComplexPackage
+
+\end{chunk}
 \pagehead{FloatingComplexPackage}{FLOATCP}
 \pagepic{ps/v104floatingcomplexpackage.ps}{FLOATCP}{1.00}
 
@@ -30611,6 +33580,36 @@ FloatingComplexPackage(Par): Cat == Cap where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FLOATRP FloatingRealPackage}
+\begin{chunk}{FloatingRealPackage.input}
+)set break resume
+)sys rm -f FloatingRealPackage.output
+)spool FloatingRealPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FloatingRealPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FloatingRealPackage.help}
+====================================================================
+FloatingRealPackage examples
+====================================================================
+
+This is a package for the approximation of real solutions for
+systems of polynomial equations over the rational numbers.
+The results are expressed as either rational numbers or floats
+depending on the type of the precision parameter which can be
+either a rational number or a floating point number.
+
+See Also:
+o )show FloatingRealPackage
+
+\end{chunk}
 \pagehead{FloatingRealPackage}{FLOATRP}
 \pagepic{ps/v104floatingrealpackage.ps}{FLOATRP}{1.00}
 
@@ -30738,6 +33737,45 @@ FloatingRealPackage(Par): Cat == Cap where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FCPAK1 FortranCodePackage1}
+\begin{chunk}{FortranCodePackage1.input}
+)set break resume
+)sys rm -f FortranCodePackage1.output
+)spool FortranCodePackage1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranCodePackage1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FortranCodePackage1.help}
+====================================================================
+FortranCodePackage1 examples
+====================================================================
+
+FortranCodePackage1 provides some utilities for producing useful
+objects in FortranCode domain.
+
+The Package may be used with the FortranCode domain and its
+printCode or possibly via an outputAsFortran.
+
+The package provides items of use in connection with ASPs
+in the AXIOM-NAG link and, where appropriate, naming accords
+with that in IRENA.
+
+The easy-to-use functions use Fortran loop variables I1, I2,
+and it is users' responsibility to check that this is sensible.
+The advanced functions use SegmentBinding to allow users control
+over Fortran loop variable names.
+
+See Also:
+o )show FortranCodePackage1
+
+\end{chunk}
 \pagehead{FortranCodePackage1}{FCPAK1}
 \pagepic{ps/v104fortrancodepackage1.ps}{FCPAK1}{1.00}
 
@@ -30891,6 +33929,32 @@ FortranCodePackage1: Exports  == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FOP FortranOutputStackPackage}
+\begin{chunk}{FortranOutputStackPackage.input}
+)set break resume
+)sys rm -f FortranOutputStackPackage.output
+)spool FortranOutputStackPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranOutputStackPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FortranOutputStackPackage.help}
+====================================================================
+FortranOutputStackPackage examples
+====================================================================
+
+Code to manipulate Fortran Output Stack
+
+See Also:
+o )show FortranOutputStackPackage
+
+\end{chunk}
 \pagehead{FortranOutputStackPackage}{FOP}
 \pagepic{ps/v104fortranoutputstackpackage.ps}{FOP}{1.00}
 
@@ -30988,6 +34052,32 @@ FortranOutputStackPackage() : specification == implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FORT FortranPackage}
+\begin{chunk}{FortranPackage.input}
+)set break resume
+)sys rm -f FortranPackage.output
+)spool FortranPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FortranPackage.help}
+====================================================================
+FortranPackage examples
+====================================================================
+
+This package provides an interface to the boot code for calling Fortran
+
+See Also:
+o )show FortranPackage
+
+\end{chunk}
 \pagehead{FortranPackage}{FORT}
 \pagepic{ps/v104fortranpackage.ps}{FORT}{1.00}
 
@@ -31095,6 +34185,32 @@ FortranPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FRIDEAL2 FractionalIdealFunctions2}
+\begin{chunk}{FractionalIdealFunctions2.input}
+)set break resume
+)sys rm -f FractionalIdealFunctions2.output
+)spool FractionalIdealFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FractionalIdealFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FractionalIdealFunctions2.help}
+====================================================================
+FractionalIdealFunctions2 examples
+====================================================================
+
+Lifting of morphisms to fractional ideals.
+
+See Also:
+o )show FractionalIdealFunctions2
+
+\end{chunk}
 \pagehead{FractionalIdealFunctions2}{FRIDEAL2}
 \pagepic{ps/v104fractionalidealfunctions2.ps}{FRIDEAL2}{1.00}
 
@@ -31146,6 +34262,38 @@ FractionalIdealFunctions2(R1, F1, U1, A1, R2, F2, U2, A2):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFFG FractionFreeFastGaussian}
+\begin{chunk}{FractionFreeFastGaussian.input}
+)set break resume
+)sys rm -f FractionFreeFastGaussian.output
+)spool FractionFreeFastGaussian.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FractionFreeFastGaussian
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FractionFreeFastGaussian.help}
+====================================================================
+FractionFreeFastGaussian examples
+====================================================================
+
+This package implements the interpolation algorithm proposed in Beckermann,
+Bernhard and Labahn, George, Fraction-free computation of matrix rational
+interpolants and matrix GCDs, SIAM Journal on Matrix Analysis and
+Applications 22.
+
+The packages defined in this file provide fast fraction free rational
+interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)
+
+See Also:
+o )show FractionFreeFastGaussian
+
+\end{chunk}
 \pagehead{FractionFreeFastGaussian}{FFFG}
 \pagepic{ps/v104fractionfreefastgaussian.ps}{FFFG}{1.00}
 
@@ -31652,6 +34800,36 @@ $c_{\sigma,\sigma}$.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFFGF FractionFreeFastGaussianFractions}
+\begin{chunk}{FractionFreeFastGaussianFractions.input}
+)set break resume
+)sys rm -f FractionFreeFastGaussianFractions.output
+)spool FractionFreeFastGaussianFractions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FractionFreeFastGaussianFractions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FractionFreeFastGaussianFractions.help}
+====================================================================
+FractionFreeFastGaussianFractions examples
+====================================================================
+
+This package lifts the interpolation functions from
+FractionFreeFastGaussian to fractions.
+
+The packages defined in this file provide fast fraction free rational
+interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)
+
+See Also:
+o )show FractionFreeFastGaussianFractions
+
+\end{chunk}
 \pagehead{FractionFreeFastGaussianFractions}{FFFGF}
 \pagepic{ps/v104fractionfreefastgaussianfractions.ps}{FFFGF}{1.00}
 
@@ -31766,6 +34944,34 @@ FractionFreeFastGaussianFractions(D, V, VF): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FRAC2 FractionFunctions2}
+\begin{chunk}{FractionFunctions2.input}
+)set break resume
+)sys rm -f FractionFunctions2.output
+)spool FractionFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FractionFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FractionFunctions2.help}
+====================================================================
+FractionFunctions2 examples
+====================================================================
+
+This package extends a map between integral domains to a map between
+Fractions over those domains by applying the map to the numerators and
+denominators.
+
+See Also:
+o )show FractionFunctions2
+
+\end{chunk}
 \pagehead{FractionFunctions2}{FRAC2}
 \pagepic{ps/v104fractionfunctions2.ps}{FRAC2}{1.00}
 
@@ -31802,6 +35008,35 @@ FractionFunctions2(A, B): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FRNAAF2 FramedNonAssociativeAlgebraFunctions2}
+\begin{chunk}{FramedNonAssociativeAlgebraFunctions2.input}
+)set break resume
+)sys rm -f FramedNonAssociativeAlgebraFunctions2.output
+)spool FramedNonAssociativeAlgebraFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FramedNonAssociativeAlgebraFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FramedNonAssociativeAlgebraFunctions2.help}
+====================================================================
+FramedNonAssociativeAlgebraFunctions2 examples
+====================================================================
+
+FramedNonAssociativeAlgebraFunctions2 implements functions between
+two framed non associative algebra domains defined over different rings.
+The function map is used to coerce between algebras over different
+domains having the same structural constants.
+
+See Also:
+o )show FramedNonAssociativeAlgebraFunctions2
+
+\end{chunk}
 \pagehead{FramedNonAssociativeAlgebraFunctions2}{FRNAAF2}
 \pagepic{ps/v104framednonassociativealgebrafunctions2.ps}{FRNAAF2}{1.00}
 
@@ -31857,6 +35092,32 @@ Gregory Vanuxem supplied the fix below.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSPECF FunctionalSpecialFunction}
+\begin{chunk}{FunctionalSpecialFunction.input}
+)set break resume
+)sys rm -f FunctionalSpecialFunction.output
+)spool FunctionalSpecialFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionalSpecialFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionalSpecialFunction.help}
+====================================================================
+FunctionalSpecialFunction examples
+====================================================================
+
+Provides some special functions over an integral domain.
+
+See Also:
+o )show FunctionalSpecialFunction
+
+\end{chunk}
 \pagehead{FunctionalSpecialFunction}{FSPECF}
 \pagepic{ps/v104functionalspecialfunction.ps}{FSPECF}{1.00}
 
@@ -32282,6 +35543,32 @@ integrate(D(besselJ(a,x),a),a).
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFCAT2 FunctionFieldCategoryFunctions2}
+\begin{chunk}{FunctionFieldCategoryFunctions2.input}
+)set break resume
+)sys rm -f FunctionFieldCategoryFunctions2.output
+)spool FunctionFieldCategoryFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionFieldCategoryFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionFieldCategoryFunctions2.help}
+====================================================================
+FunctionFieldCategoryFunctions2 examples
+====================================================================
+
+Lifts a map from rings to function fields over them.
+
+See Also:
+o )show FunctionFieldCategoryFunctions2
+
+\end{chunk}
 \pagehead{FunctionFieldCategoryFunctions2}{FFCAT2}
 \pagepic{ps/v104functionfieldcategoryfunctions2.ps}{FFCAT2}{1.00}
 
@@ -32324,6 +35611,37 @@ FunctionFieldCategoryFunctions2(R1, UP1, UPUP1, F1, R2, UP2, UPUP2, F2):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FFINTBAS FunctionFieldIntegralBasis}
+\begin{chunk}{FunctionFieldIntegralBasis.input}
+)set break resume
+)sys rm -f FunctionFieldIntegralBasis.output
+)spool FunctionFieldIntegralBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionFieldIntegralBasis
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionFieldIntegralBasis.help}
+====================================================================
+FunctionFieldIntegralBasis examples
+====================================================================
+
+Integral bases for function fields of dimension one
+In this package R is a Euclidean domain and F is a framed algebra
+over R.  The package provides functions to compute the integral
+closure of R in the quotient field of F.  It is assumed that
+char(R/P) = char(R) for any prime P of R.  A typical instance of
+this is when R = K[x] and F is a function field over R.
+
+See Also:
+o )show FunctionFieldIntegralBasis
+
+\end{chunk}
 \pagehead{FunctionFieldIntegralBasis}{FFINTBAS}
 \pagepic{ps/v104functionfieldintegralbasis.ps}{FFINTBAS}{1.00}
 
@@ -32459,6 +35777,32 @@ FunctionFieldIntegralBasis(R,UP,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMASSFS FunctionSpaceAssertions}
+\begin{chunk}{FunctionSpaceAssertions.input}
+)set break resume
+)sys rm -f FunctionSpaceAssertions.output
+)spool FunctionSpaceAssertions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceAssertions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceAssertions.help}
+====================================================================
+FunctionSpaceAssertions examples
+====================================================================
+
+Attaching assertions to symbols for pattern matching;
+
+See Also:
+o )show FunctionSpaceAssertions
+
+\end{chunk}
 \pagehead{FunctionSpaceAssertions}{PMASSFS}
 \pagepic{ps/v104functionspaceassertions.ps}{PMASSFS}{1.00}
 
@@ -32550,6 +35894,32 @@ FunctionSpaceAssertions(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMPREDFS FunctionSpaceAttachPredicates}
+\begin{chunk}{FunctionSpaceAttachPredicates.input}
+)set break resume
+)sys rm -f FunctionSpaceAttachPredicates.output
+)spool FunctionSpaceAttachPredicates.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceAttachPredicates
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceAttachPredicates.help}
+====================================================================
+FunctionSpaceAttachPredicates examples
+====================================================================
+
+Attaching predicates to symbols for pattern matching.
+
+See Also:
+o )show FunctionSpaceAttachPredicates
+
+\end{chunk}
 \pagehead{FunctionSpaceAttachPredicates}{PMPREDFS}
 \pagepic{ps/v104functionspaceattachpredicates.ps}{PMPREDFS}{1.00}
 
@@ -32613,6 +35983,34 @@ FunctionSpaceAttachPredicates(R, F, D): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSCINT FunctionSpaceComplexIntegration}
+\begin{chunk}{FunctionSpaceComplexIntegration.input}
+)set break resume
+)sys rm -f FunctionSpaceComplexIntegration.output
+)spool FunctionSpaceComplexIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceComplexIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceComplexIntegration.help}
+====================================================================
+FunctionSpaceComplexIntegration examples
+====================================================================
+
+Top-level complex function integration FunctionSpaceComplexIntegration
+provides functions for the indefinite integration of complex-valued
+functions.
+
+See Also:
+o )show FunctionSpaceComplexIntegration
+
+\end{chunk}
 \pagehead{FunctionSpaceComplexIntegration}{FSCINT}
 \pagepic{ps/v104functionspacecomplexintegration.ps}{FSCINT}{1.00}
 
@@ -32705,6 +36103,34 @@ FunctionSpaceComplexIntegration(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FS2 FunctionSpaceFunctions2}
+\begin{chunk}{FunctionSpaceFunctions2.input}
+)set break resume
+)sys rm -f FunctionSpaceFunctions2.output
+)spool FunctionSpaceFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceFunctions2.help}
+====================================================================
+FunctionSpaceFunctions2 examples
+====================================================================
+
+Lifting of maps to function spaces. This package allows a mapping 
+R -> S to be lifted to a mapping from a function space over R to 
+a function space over S.
+
+See Also:
+o )show FunctionSpaceFunctions2
+
+\end{chunk}
 \pagehead{FunctionSpaceFunctions2}{FS2}
 \pagepic{ps/v104functionspacefunctions2.ps}{FS2}{1.00}
 
@@ -32758,6 +36184,33 @@ FunctionSpaceFunctions2(R, A, S, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSINT FunctionSpaceIntegration}
+\begin{chunk}{FunctionSpaceIntegration.input}
+)set break resume
+)sys rm -f FunctionSpaceIntegration.output
+)spool FunctionSpaceIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceIntegration.help}
+====================================================================
+FunctionSpaceIntegration examples
+====================================================================
+
+Top-level real function integration FunctionSpaceIntegration provides
+functions for the indefinite integration of real-valued functions.
+
+See Also:
+o )show FunctionSpaceIntegration
+
+\end{chunk}
 \pagehead{FunctionSpaceIntegration}{FSINT}
 \pagepic{ps/v104functionspaceintegration.ps}{FSINT}{1.00}
 
@@ -32903,6 +36356,33 @@ FunctionSpaceIntegration(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSPRMELT FunctionSpacePrimitiveElement}
+\begin{chunk}{FunctionSpacePrimitiveElement.input}
+)set break resume
+)sys rm -f FunctionSpacePrimitiveElement.output
+)spool FunctionSpacePrimitiveElement.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpacePrimitiveElement
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpacePrimitiveElement.help}
+====================================================================
+FunctionSpacePrimitiveElement examples
+====================================================================
+
+FunctionsSpacePrimitiveElement provides functions to compute
+primitive elements in functions spaces;
+
+See Also:
+o )show FunctionSpacePrimitiveElement
+
+\end{chunk}
 \pagehead{FunctionSpacePrimitiveElement}{FSPRMELT}
 \pagepic{ps/v104functionspaceprimitiveelement.ps}{FSPRMELT}{1.00}
 
@@ -33024,6 +36504,35 @@ FunctionSpacePrimitiveElement(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSRED FunctionSpaceReduce}
+\begin{chunk}{FunctionSpaceReduce.input}
+)set break resume
+)sys rm -f FunctionSpaceReduce.output
+)spool FunctionSpaceReduce.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceReduce
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceReduce.help}
+====================================================================
+FunctionSpaceReduce examples
+====================================================================
+
+Reduction from a function space to the rational numbers
+This package provides function which replaces transcendental kernels
+in a function space by random integers. The correspondence between
+the kernels and the integers is fixed between calls to new().
+
+See Also:
+o )show FunctionSpaceReduce
+
+\end{chunk}
 \pagehead{FunctionSpaceReduce}{FSRED}
 \pagepic{ps/v104functionspacereduce.ps}{FSRED}{1.00}
 
@@ -33100,6 +36609,32 @@ FunctionSpaceReduce(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SUMFS FunctionSpaceSum}
+\begin{chunk}{FunctionSpaceSum.input}
+)set break resume
+)sys rm -f FunctionSpaceSum.output
+)spool FunctionSpaceSum.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceSum
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceSum.help}
+====================================================================
+FunctionSpaceSum examples
+====================================================================
+
+Computes sums of top-level expressions
+
+See Also:
+o )show FunctionSpaceSum
+
+\end{chunk}
 \pagehead{FunctionSpaceSum}{SUMFS}
 \pagepic{ps/v104functionspacesum.ps}{SUMFS}{1.00}
 
@@ -33172,6 +36707,33 @@ FunctionSpaceSum(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FS2EXPXP FunctionSpaceToExponentialExpansion}
+\begin{chunk}{FunctionSpaceToExponentialExpansion.input}
+)set break resume
+)sys rm -f FunctionSpaceToExponentialExpansion.output
+)spool FunctionSpaceToExponentialExpansion.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceToExponentialExpansion
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceToExponentialExpansion.help}
+====================================================================
+FunctionSpaceToExponentialExpansion examples
+====================================================================
+
+This package converts expressions in some function space to exponential
+expansions.
+
+See Also:
+o )show FunctionSpaceToExponentialExpansion
+
+\end{chunk}
 \pagehead{FunctionSpaceToExponentialExpansion}{FS2EXPXP}
 \pagepic{ps/v104functionspacetoexponentialexpansion.ps}{FS2EXPXP}{1.00}
 
@@ -33726,6 +37288,37 @@ FunctionSpaceToExponentialExpansion(R,FE,x,cen):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FS2UPS FunctionSpaceToUnivariatePowerSeries}
+\begin{chunk}{FunctionSpaceToUnivariatePowerSeries.input}
+)set break resume
+)sys rm -f FunctionSpaceToUnivariatePowerSeries.output
+)spool FunctionSpaceToUnivariatePowerSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceToUnivariatePowerSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceToUnivariatePowerSeries.help}
+====================================================================
+FunctionSpaceToUnivariatePowerSeries examples
+====================================================================
+
+This package converts expressions in some function space to power
+series in a variable x with coefficients in that function space.
+The function exprToUPS converts expressions to power series
+whose coefficients do not contain the variable x. The function
+exprToGenUPS converts functional expressions to power series
+whose coefficients may involve functions of log(x).
+
+See Also:
+o )show FunctionSpaceToUnivariatePowerSeries
+
+\end{chunk}
 \pagehead{FunctionSpaceToUnivariatePowerSeries}{FS2UPS}
 \pagepic{ps/v104functionspacetounivariatepowerseries.ps}{FS2UPS}{1.00}
 
@@ -34501,6 +38094,32 @@ FunctionSpaceToUnivariatePowerSeries(R,FE,Expon,UPS,TRAN,x):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FSUPFACT FunctionSpaceUnivariatePolynomialFactor}
+\begin{chunk}{FunctionSpaceUnivariatePolynomialFactor.input}
+)set break resume
+)sys rm -f FunctionSpaceUnivariatePolynomialFactor.output
+)spool FunctionSpaceUnivariatePolynomialFactor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpaceUnivariatePolynomialFactor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{FunctionSpaceUnivariatePolynomialFactor.help}
+====================================================================
+FunctionSpaceUnivariatePolynomialFactor examples
+====================================================================
+
+This package is used internally by IR2F
+
+See Also:
+o )show FunctionSpaceUnivariatePolynomialFactor
+
+\end{chunk}
 \pagehead{FunctionSpaceUnivariatePolynomialFactor}{FSUPFACT}
 \pagepic{ps/v104functionspaceunivariatepolynomialfactor.ps}{FSUPFACT}{1.00}
 
@@ -34663,6 +38282,33 @@ FunctionSpaceUnivariatePolynomialFactor(R, F, UP):
 \chapter{Chapter G}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GALFACTU GaloisGroupFactorizationUtilities}
+\begin{chunk}{GaloisGroupFactorizationUtilities.input}
+)set break resume
+)sys rm -f GaloisGroupFactorizationUtilities.output
+)spool GaloisGroupFactorizationUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GaloisGroupFactorizationUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GaloisGroupFactorizationUtilities.help}
+====================================================================
+GaloisGroupFactorizationUtilities examples
+====================================================================
+
+GaloisGroupFactorizationUtilities provides functions that will be used
+by the factorizer.
+
+See Also:
+o )show GaloisGroupFactorizationUtilities
+
+\end{chunk}
 \pagehead{GaloisGroupFactorizationUtilities}{GALFACTU}
 \pagepic{ps/v104galoisgroupfactorizationutilities.ps}{GALFACTU}{1.00}
 
@@ -34841,6 +38487,32 @@ GaloisGroupFactorizationUtilities(R,UP,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GALFACT GaloisGroupFactorizer}
+\begin{chunk}{GaloisGroupFactorizer.input}
+)set break resume
+)sys rm -f GaloisGroupFactorizer.output
+)spool GaloisGroupFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GaloisGroupFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GaloisGroupFactorizer.help}
+====================================================================
+GaloisGroupFactorizer examples
+====================================================================
+
+GaloisGroupFactorizer provides functions to factor resolvents.
+
+See Also:
+o )show GaloisGroupFactorizer
+
+\end{chunk}
 \pagehead{GaloisGroupFactorizer}{GALFACT}
 \pagepic{ps/v104galoisgroupfactorizer.ps}{GALFACT}{1.00}
 
@@ -35672,6 +39344,34 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GALPOLYU GaloisGroupPolynomialUtilities}
+\begin{chunk}{GaloisGroupPolynomialUtilities.input}
+)set break resume
+)sys rm -f GaloisGroupPolynomialUtilities.output
+)spool GaloisGroupPolynomialUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GaloisGroupPolynomialUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GaloisGroupPolynomialUtilities.help}
+====================================================================
+GaloisGroupPolynomialUtilities examples
+====================================================================
+
+GaloisGroupPolynomialUtilities provides useful functions for
+univariate polynomials which should be added to
+UnivariatePolynomialCategory or to Factored.
+
+See Also:
+o )show GaloisGroupPolynomialUtilities
+
+\end{chunk}
 \pagehead{GaloisGroupPolynomialUtilities}{GALPOLYU}
 \pagepic{ps/v104galoisgrouppolynomialutilities.ps}{GALPOLYU}{1.00}
 
@@ -35789,6 +39489,32 @@ GaloisGroupPolynomialUtilities(R,UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GALUTIL GaloisGroupUtilities}
+\begin{chunk}{GaloisGroupUtilities.input}
+)set break resume
+)sys rm -f GaloisGroupUtilities.output
+)spool GaloisGroupUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GaloisGroupUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GaloisGroupUtilities.help}
+====================================================================
+GaloisGroupUtilities examples
+====================================================================
+
+GaloisGroupUtilities provides several useful functions.
+
+See Also:
+o )show GaloisGroupUtilities
+
+\end{chunk}
 \pagehead{GaloisGroupUtilities}{GALUTIL}
 \pagepic{ps/v104galoisgrouputilities.ps}{GALUTIL}{1.00}
 
@@ -35923,6 +39649,32 @@ GaloisGroupUtilities(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GAUSSFAC GaussianFactorizationPackage}
+\begin{chunk}{GaussianFactorizationPackage.input}
+)set break resume
+)sys rm -f GaussianFactorizationPackage.output
+)spool GaussianFactorizationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GaussianFactorizationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GaussianFactorizationPackage.help}
+====================================================================
+GaussianFactorizationPackage examples
+====================================================================
+
+Package for the factorization of complex or gaussian integers.
+
+See Also:
+o )show GaussianFactorizationPackage
+
+\end{chunk}
 \pagehead{GaussianFactorizationPackage}{GAUSSFAC}
 \pagepic{ps/v104gaussianfactorizationpackage.ps}{GAUSSFAC}{1.00}
 
@@ -36113,6 +39865,32 @@ GaussianFactorizationPackage() : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GHENSEL GeneralHenselPackage}
+\begin{chunk}{GeneralHenselPackage.input}
+)set break resume
+)sys rm -f GeneralHenselPackage.output
+)spool GeneralHenselPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralHenselPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GeneralHenselPackage.help}
+====================================================================
+GeneralHenselPackage examples
+====================================================================
+
+Used for Factorization of bivariate polynomials over a finite field.
+
+See Also:
+o )show GeneralHenselPackage
+
+\end{chunk}
 \pagehead{GeneralHenselPackage}{GHENSEL}
 \pagepic{ps/v104generalhenselpackage.ps}{GHENSEL}{1.00}
 
@@ -36280,6 +40058,33 @@ GeneralHenselPackage(RP,TP):C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GENMFACT GeneralizedMultivariateFactorize}
+\begin{chunk}{GeneralizedMultivariateFactorize.input}
+)set break resume
+)sys rm -f GeneralizedMultivariateFactorize.output
+)spool GeneralizedMultivariateFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralizedMultivariateFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GeneralizedMultivariateFactorize.help}
+====================================================================
+GeneralizedMultivariateFactorize examples
+====================================================================
+
+This is the top level package for doing multivariate factorization
+over basic domains like Integer or Fraction Integer.
+
+See Also:
+o )show GeneralizedMultivariateFactorize
+
+\end{chunk}
 \pagehead{GeneralizedMultivariateFactorize}{GENMFACT}
 \pagepic{ps/v104generalizedmultivariatefactorize.ps}{GENMFACT}{1.00}
 
@@ -37117,6 +40922,32 @@ GeneralPackageForAlgebraicFunctionField( K,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GENPGCD GeneralPolynomialGcdPackage}
+\begin{chunk}{GeneralPolynomialGcdPackage.input}
+)set break resume
+)sys rm -f GeneralPolynomialGcdPackage.output
+)spool GeneralPolynomialGcdPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralPolynomialGcdPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GeneralPolynomialGcdPackage.help}
+====================================================================
+GeneralPolynomialGcdPackage examples
+====================================================================
+
+This package provides operations for GCD computations on polynomials 
+
+See Also:
+o )show GeneralPolynomialGcdPackage
+
+\end{chunk}
 \pagehead{GeneralPolynomialGcdPackage}{GENPGCD}
 \pagepic{ps/v104generalpolynomialgcdpackage.ps}{GENPGCD}{1.00}
 
@@ -37129,7 +40960,6 @@ GeneralPackageForAlgebraicFunctionField( K,
 \begin{chunk}{package GENPGCD GeneralPolynomialGcdPackage}
 )abbrev package GENPGCD GeneralPolynomialGcdPackage
 ++ Description:
-++ This package provides operations for GCD computations on polynomials 
 
 GeneralPolynomialGcdPackage(E,OV,R,P):C == T where
     R     :  PolynomialFactorizationExplicit
@@ -37770,6 +41600,33 @@ GeneralPolynomialGcdPackage(E,OV,R,P):C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GENUPS GenerateUnivariatePowerSeries}
+\begin{chunk}{GenerateUnivariatePowerSeries.input}
+)set break resume
+)sys rm -f GenerateUnivariatePowerSeries.output
+)spool GenerateUnivariatePowerSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GenerateUnivariatePowerSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GenerateUnivariatePowerSeries.help}
+====================================================================
+GenerateUnivariatePowerSeries examples
+====================================================================
+
+GenerateUnivariatePowerSeries provides functions that create
+power series from explicit formulas for their n-th coefficient.
+
+See Also:
+o )show GenerateUnivariatePowerSeries
+
+\end{chunk}
 \pagehead{GenerateUnivariatePowerSeries}{GENUPS}
 \pagepic{ps/v104generateunivariatepowerseries.ps}{GENUPS}{1.00}
 
@@ -37981,6 +41838,41 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GENEEZ GenExEuclid}
+\begin{chunk}{GenExEuclid.input}
+)set break resume
+)sys rm -f GenExEuclid.output
+)spool GenExEuclid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GenExEuclid
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GenExEuclid.help}
+====================================================================
+GenExEuclid examples
+====================================================================
+
+The equation Af+Bg=h and its generalization to n polynomials
+is solved for solutions over the R, euclidean domain.
+
+A table containing the solutions of Af+Bg=x**k is used.
+
+The operations are performed modulus a prime which are in principle
+big enough, but the solutions are tested and, in case of failure, a
+hensel lifting process is used to get to the right solutions.  It will
+be used in the factorization of multivariate polynomials over finite
+field, with R=F[x].
+
+See Also:
+o )show GenExEuclid
+
+\end{chunk}
 \pagehead{GenExEuclid}{GENEEZ}
 \pagepic{ps/v104genexeuclid.ps}{GENEEZ}{1.00}
 
@@ -37998,15 +41890,6 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
 ++ Author : P.Gianni.
 ++ Date Created: January 1990
 ++ Description:
-++ The equation \spad{Af+Bg=h} and its generalization to n polynomials
-++ is solved for solutions over the R, euclidean domain.
-++ A table containing the solutions of \spad{Af+Bg=x**k} is used.
-++ The operations are performed modulus a prime 
-++ which are in principle big enough,
-++ but the solutions are tested and, in case of failure, a hensel
-++ lifting process is used to get to the right solutions.
-++ It will be used in the factorization of multivariate polynomials
-++ over finite field, with \spad{R=F[x]}.
 
 GenExEuclid(R,BP) : C == T
  where
@@ -38198,6 +42081,34 @@ GenExEuclid(R,BP) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GENUFACT GenUFactorize}
+\begin{chunk}{GenUFactorize.input}
+)set break resume
+)sys rm -f GenUFactorize.output
+)spool GenUFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GenUFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GenUFactorize.help}
+====================================================================
+GenUFactorize examples
+====================================================================
+
+This package provides operations for the factorization of univariate
+polynomials with integer coefficients. The factorization is done by
+"lifting" the finite "berlekamp's" factorization
+
+See Also:
+o )show GenUFactorize
+
+\end{chunk}
 \pagehead{GenUFactorize}{GENUFACT}
 \pagepic{ps/v104genufactorize.ps}{GENUFACT}{1.00}
 
@@ -38277,6 +42188,40 @@ GenUFactorize(R) : public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTG0 GenusZeroIntegration}
+\begin{chunk}{GenusZeroIntegration.input}
+)set break resume
+)sys rm -f GenusZeroIntegration.output
+)spool GenusZeroIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GenusZeroIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GenusZeroIntegration.help}
+====================================================================
+GenusZeroIntegration examples
+====================================================================
+
+Rationalization of several types of genus 0 integrands;
+This internal package rationalises integrands on curves of the form:
+
+     y^2 = a x^2 + b x + c
+     y^2 = (a x + b) / (c x + d)
+     f(x, y) = 0} where f has degree 1 in x
+
+The rationalization is done for integration, limited integration,
+extended integration and the risch differential equation;
+
+See Also:
+o )show GenusZeroIntegration
+
+\end{chunk}
 \pagehead{GenusZeroIntegration}{INTG0}
 \pagepic{ps/v104genuszerointegration.ps}{INTG0}{1.00}
 
@@ -38704,6 +42649,32 @@ GnuDraw(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GOSPER GosperSummationMethod}
+\begin{chunk}{GosperSummationMethod.input}
+)set break resume
+)sys rm -f GosperSummationMethod.output
+)spool GosperSummationMethod.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GosperSummationMethod
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GosperSummationMethod.help}
+====================================================================
+GosperSummationMethod examples
+====================================================================
+
+Gosper's summation algorithm.
+
+See Also:
+o )show GosperSummationMethod
+
+\end{chunk}
 \pagehead{GosperSummationMethod}{GOSPER}
 \pagepic{ps/v104gospersummationmethod.ps}{GOSPER}{1.00}
 
@@ -38931,6 +42902,33 @@ GosperSummationMethod(E, V, R, P, Q): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GRDEF GraphicsDefaults}
+\begin{chunk}{GraphicsDefaults.input}
+)set break resume
+)sys rm -f GraphicsDefaults.output
+)spool GraphicsDefaults.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GraphicsDefaults
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GraphicsDefaults.help}
+====================================================================
+GraphicsDefaults examples
+====================================================================
+
+TwoDimensionalPlotSettings sets global flags and constants 
+for 2-dimensional plotting.
+
+See Also:
+o )show GraphicsDefaults
+
+\end{chunk}
 \pagehead{GraphicsDefaults}{GRDEF}
 \pagepic{ps/v104graphicsdefaults.ps}{GRDEF}{1.00}
 
@@ -39034,6 +43032,33 @@ GraphicsDefaults(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GRAY GrayCode}
+\begin{chunk}{GrayCode.input}
+)set break resume
+)sys rm -f GrayCode.output
+)spool GrayCode.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GrayCode
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GrayCode.help}
+====================================================================
+GrayCode examples
+====================================================================
+
+GrayCode provides a function for efficiently running through all
+subsets of a finite set, only changing one element by another one.
+
+See Also:
+o )show GrayCode
+
+\end{chunk}
 \pagehead{GrayCode}{GRAY}
 \pagepic{ps/v104graycode.ps}{GRAY}{1.00}
 
@@ -39358,7 +43383,7 @@ o )show EuclideanGroebnerBasisPackage
 ++ Date Last Updated: 01 January 1992
 ++ Description:
 ++ \spadtype{GroebnerFactorizationPackage} provides the function
-++ groebnerFactor" which uses the factorization routines of \Language{} to
+++ groebnerFactor" which uses the factorization routines of Axiom to
 ++ factor each polynomial under consideration while doing the groebner basis
 ++ algorithm. Then it writes the ideal as an intersection of ideals
 ++ determined by the irreducible factors. Note that the whole ring may
@@ -39691,6 +43716,32 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GBINTERN GroebnerInternalPackage}
+\begin{chunk}{GroebnerInternalPackage.input}
+)set break resume
+)sys rm -f GroebnerInternalPackage.output
+)spool GroebnerInternalPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GroebnerInternalPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GroebnerInternalPackage.help}
+====================================================================
+GroebnerInternalPackage examples
+====================================================================
+
+This package provides low level tools for Groebner basis computations
+
+See Also:
+o )show GroebnerInternalPackage
+
+\end{chunk}
 \pagehead{GroebnerInternalPackage}{GBINTERN}
 \pagepic{ps/v104groebnerinternalpackage.ps}{GBINTERN}{1.00}
 
@@ -41664,6 +45715,34 @@ GroebnerPackage(Dom, Expon, VarSet, Dpol): T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GROEBSOL GroebnerSolve}
+\begin{chunk}{GroebnerSolve.input}
+)set break resume
+)sys rm -f GroebnerSolve.output
+)spool GroebnerSolve.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GroebnerSolve
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GroebnerSolve.help}
+====================================================================
+GroebnerSolve examples
+====================================================================
+
+Solve systems of polynomial equations using Groebner bases Total order
+Groebner bases are computed and then converted to lex ones. 
+This package is mostly intended for internal use.
+
+See Also:
+o )show GroebnerSolve
+
+\end{chunk}
 \pagehead{GroebnerSolve}{GROEBSOL}
 \pagepic{ps/v104groebnersolve.ps}{GROEBSOL}{1.00}
 
@@ -41876,11 +45955,40 @@ GroebnerSolve(lv,F,R) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESS Guess}
+\begin{chunk}{Guess.input}
+)set break resume
+)sys rm -f Guess.output
+)spool Guess.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Guess
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{Guess.help}
+====================================================================
+Guess examples
+====================================================================
+
 The packages defined in this file enable {Axiom} to guess formulas for
-sequences of, for example, rational numbers or rational functions, given the
-first few terms.  It extends and complements Christian Krattenthaler's
-program Rate and the relevant parts of Bruno Salvy and Paul Zimmermann's
-GFUN.
+sequences of, for example, rational numbers or rational functions,
+given the first few terms.  It extends and complements Christian
+Krattenthaler's program Rate and the relevant parts of Bruno Salvy and
+Paul Zimmermann's GFUN.
+
+
+This package implements guessing of sequences. Packages for the
+most common cases are provided as GuessInteger, GuessPolynomial, etc.
+
+See Also:
+o )show Guess
+
+\end{chunk}
 \pagehead{Guess}{GUESS}
 \pagepic{ps/v104guess.ps}{GUESS}{1.00}
 
@@ -43647,6 +47755,32 @@ Guess(F, S, EXPRR, R, retract, coerce): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESSAN GuessAlgebraicNumber}
+\begin{chunk}{GuessAlgebraicNumber.input}
+)set break resume
+)sys rm -f GuessAlgebraicNumber.output
+)spool GuessAlgebraicNumber.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessAlgebraicNumber
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GuessAlgebraicNumber.help}
+====================================================================
+GuessAlgebraicNumber examples
+====================================================================
+
+This package exports guessing of sequences of rational functions
+
+See Also:
+o )show GuessAlgebraicNumber
+
+\end{chunk}
 \pagehead{GuessAlgebraicNumber}{GUESSAN}
 \pagepic{ps/v104guessalgebraicnumber.ps}{GUESSAN}{1.00}
 
@@ -43687,6 +47821,32 @@ GuessAlgebraicNumber() == Guess(AlgebraicNumber, AlgebraicNumber,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESSF GuessFinite}
+\begin{chunk}{GuessFinite.input}
+)set break resume
+)sys rm -f GuessFinite.output
+)spool GuessFinite.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessFinite
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GuessFinite.help}
+====================================================================
+GuessFinite examples
+====================================================================
+
+This package exports guessing of sequences of numbers in a finite field
+
+See Also:
+o )show GuessFinite
+
+\end{chunk}
 \pagehead{GuessFinite}{GUESSF}
 \pagepic{ps/v104guessfinite.ps}{GUESSF}{1.00}
 
@@ -43725,6 +47885,32 @@ GuessFinite(F:Join(FiniteFieldCategory, ConvertibleTo Integer)) ==
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESSF1 GuessFiniteFunctions}
+\begin{chunk}{GuessFiniteFunctions.input}
+)set break resume
+)sys rm -f GuessFiniteFunctions.output
+)spool GuessFiniteFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessFiniteFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GuessFiniteFunctions.help}
+====================================================================
+GuessFiniteFunctions examples
+====================================================================
+
+This package exports guessing of sequences of numbers in a finite field
+
+See Also:
+o )show GuessFiniteFunctions
+
+\end{chunk}
 \pagehead{GuessFiniteFunctions}{GUESSF1}
 \pagepic{ps/v104guessfinitefunctions.ps}{GUESSF1}{1.00}
 
@@ -43758,6 +47944,32 @@ GuessFiniteFunctions(F:Join(FiniteFieldCategory, ConvertibleTo Integer)):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESSINT GuessInteger}
+\begin{chunk}{GuessInteger.input}
+)set break resume
+)sys rm -f GuessInteger.output
+)spool GuessInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessInteger
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GuessInteger.help}
+====================================================================
+GuessInteger examples
+====================================================================
+
+This package exports guessing of sequences of rational numbers
+
+See Also:
+o )show GuessInteger
+
+\end{chunk}
 \pagehead{GuessInteger}{GUESSINT}
 \pagepic{ps/v104guessinteger.ps}{GUESSINT}{1.00}
 
@@ -43799,6 +48011,32 @@ GuessInteger() == Guess(Fraction Integer, Integer, Expression Integer,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESSP GuessPolynomial}
+\begin{chunk}{GuessPolynomial.input}
+)set break resume
+)sys rm -f GuessPolynomial.output
+)spool GuessPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessPolynomial
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GuessPolynomial.help}
+====================================================================
+GuessPolynomial examples
+====================================================================
+
+This package exports guessing of sequences of rational functions
+
+See Also:
+o )show GuessPolynomial
+
+\end{chunk}
 \pagehead{GuessPolynomial}{GUESSP}
 \pagepic{ps/v104guesspolynomial.ps}{GUESSP}{1.00}
 
@@ -43839,6 +48077,32 @@ GuessPolynomial() == Guess(Fraction Polynomial Integer, Polynomial Integer,
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GUESSUP GuessUnivariatePolynomial}
+\begin{chunk}{GuessUnivariatePolynomial.input}
+)set break resume
+)sys rm -f GuessUnivariatePolynomial.output
+)spool GuessUnivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessUnivariatePolynomial
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{GuessUnivariatePolynomial.help}
+====================================================================
+GuessUnivariatePolynomial examples
+====================================================================
+
+This package exports guessing of sequences of univariate rational functions
+
+See Also:
+o )show GuessUnivariatePolynomial
+
+\end{chunk}
 \pagehead{GuessUnivariatePolynomial}{GUESSUP}
 \pagepic{ps/v104guessunivariatepolynomial.ps}{GUESSUP}{1.00}
 
@@ -44086,6 +48350,34 @@ GuessUnivariatePolynomial(q: Symbol): Exports == Implementation where
 \chapter{Chapter H}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package HB HallBasis}
+\begin{chunk}{HallBasis.input}
+)set break resume
+)sys rm -f HallBasis.output
+)spool HallBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HallBasis
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{HallBasis.help}
+====================================================================
+HallBasis examples
+====================================================================
+
+Generate a basis for the free Lie algebra on n generators over a ring
+R with identity up to basic commutators of length c using the
+algorithm of P. Hall as given in Serre's book Lie Groups -- Lie Algebras
+
+See Also:
+o )show HallBasis
+
+\end{chunk}
 \pagehead{HallBasis}{HB}
 \pagepic{ps/v104hallbasis.ps}{HB}{1.00}
 
@@ -44194,6 +48486,33 @@ HallBasis() : Export == Implement where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package HEUGCD HeuGcd}
+\begin{chunk}{HeuGcd.input}
+)set break resume
+)sys rm -f HeuGcd.output
+)spool HeuGcd.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HeuGcd
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{HeuGcd.help}
+====================================================================
+HeuGcd examples
+====================================================================
+
+This package provides the functions for the heuristic integer gcd.
+Geddes's algorithm,for univariate polynomials with integer coefficients
+
+See Also:
+o )show HeuGcd
+
+\end{chunk}
 \pagehead{HeuGcd}{HEUGCD}
 \pagepic{ps/v104heugcd.ps}{HEUGCD}{1.00}
 
@@ -44432,6 +48751,35 @@ HeuGcd (BP):C == T
 \chapter{Chapter I}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IDECOMP IdealDecompositionPackage}
+\begin{chunk}{IdealDecompositionPackage.input}
+)set break resume
+)sys rm -f IdealDecompositionPackage.output
+)spool IdealDecompositionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IdealDecompositionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IdealDecompositionPackage.help}
+====================================================================
+IdealDecompositionPackage examples
+====================================================================
+
+This package provides functions for the primary decomposition of
+polynomial ideals over the rational numbers. The ideals are members
+of the PolynomialIdeals domain, and the polynomial generators are
+required to be from the DistributedMultivariatePolynomial domain.
+
+See Also:
+o )show IdealDecompositionPackage
+
+\end{chunk}
 \pagehead{IdealDecompositionPackage}{IDECOMP}
 \pagepic{ps/v104idealdecompositionpackage.ps}{IDECOMP}{1.00}
 
@@ -44835,6 +49183,32 @@ IdealDecompositionPackage(vl,nv) : C == T -- take away nv, now doesn't
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INCRMAPS IncrementingMaps}
+\begin{chunk}{IncrementingMaps.input}
+)set break resume
+)sys rm -f IncrementingMaps.output
+)spool IncrementingMaps.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IncrementingMaps
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IncrementingMaps.help}
+====================================================================
+IncrementingMaps examples
+====================================================================
+
+This package provides operations to create incrementing functions.
+
+See Also:
+o )show IncrementingMaps
+
+\end{chunk}
 \pagehead{IncrementingMaps}{INCRMAPS}
 \pagepic{ps/v104incrementingmaps.ps}{INCRMAPS}{1.00}
 
@@ -44872,6 +49246,33 @@ IncrementingMaps(R:Join(Monoid, AbelianSemiGroup)): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INFPROD0 InfiniteProductCharacteristicZero}
+\begin{chunk}{InfiniteProductCharacteristicZero.input}
+)set break resume
+)sys rm -f InfiniteProductCharacteristicZero.output
+)spool InfiniteProductCharacteristicZero.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InfiniteProductCharacteristicZero
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InfiniteProductCharacteristicZero.help}
+====================================================================
+InfiniteProductCharacteristicZero examples
+====================================================================
+
+This package computes infinite products of univariate Taylor series
+over an integral domain of characteristic 0.
+
+See Also:
+o )show InfiniteProductCharacteristicZero
+
+\end{chunk}
 \pagehead{InfiniteProductCharacteristicZero}{INFPROD0}
 \pagepic{ps/v104infiniteproductcharacteristiczero.ps}{INFPROD0}{1.00}
 
@@ -44934,6 +49335,33 @@ InfiniteProductCharacteristicZero(Coef,UTS):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INPRODFF InfiniteProductFiniteField}
+\begin{chunk}{InfiniteProductFiniteField.input}
+)set break resume
+)sys rm -f InfiniteProductFiniteField.output
+)spool InfiniteProductFiniteField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InfiniteProductFiniteField
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InfiniteProductFiniteField.help}
+====================================================================
+InfiniteProductFiniteField examples
+====================================================================
+
+This package computes infinite products of univariate Taylor series
+over an arbitrary finite field.
+
+See Also:
+o )show InfiniteProductFiniteField
+
+\end{chunk}
 \pagehead{InfiniteProductFiniteField}{INPRODFF}
 \pagepic{ps/v104infiniteproductfinitefield.ps}{INPRODFF}{1.00}
 
@@ -45056,6 +49484,33 @@ InfiniteProductFiniteField(K,UP,Coef,UTS):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INPRODPF InfiniteProductPrimeField}
+\begin{chunk}{InfiniteProductPrimeField.input}
+)set break resume
+)sys rm -f InfiniteProductPrimeField.output
+)spool InfiniteProductPrimeField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InfiniteProductPrimeField
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InfiniteProductPrimeField.help}
+====================================================================
+InfiniteProductPrimeField examples
+====================================================================
+
+This package computes infinite products of univariate Taylor series
+over a field of prime order.
+
+See Also:
+o )show InfiniteProductPrimeField
+
+\end{chunk}
 \pagehead{InfiniteProductPrimeField}{INPRODPF}
 \pagepic{ps/v104infiniteproductprimefield.ps}{INPRODPF}{1.00}
 
@@ -45127,6 +49582,32 @@ InfiniteProductPrimeField(Coef,UTS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ITFUN2 InfiniteTupleFunctions2}
+\begin{chunk}{InfiniteTupleFunctions2.input}
+)set break resume
+)sys rm -f InfiniteTupleFunctions2.output
+)spool InfiniteTupleFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InfiniteTupleFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InfiniteTupleFunctions2.help}
+====================================================================
+InfiniteTupleFunctions2 examples
+====================================================================
+
+Functions defined on streams with entries in two sets.
+
+See Also:
+o )show InfiniteTupleFunctions2
+
+\end{chunk}
 \pagehead{InfiniteTupleFunctions2}{ITFUN2}
 \pagepic{ps/v104infinitetuplefunctions2.ps}{ITFUN2}{1.00}
 
@@ -45159,6 +49640,32 @@ InfiniteTupleFunctions2(A:Type,B:Type): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ITFUN3 InfiniteTupleFunctions3}
+\begin{chunk}{InfiniteTupleFunctions3.input}
+)set break resume
+)sys rm -f InfiniteTupleFunctions3.output
+)spool InfiniteTupleFunctions3.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InfiniteTupleFunctions3
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InfiniteTupleFunctions3.help}
+====================================================================
+InfiniteTupleFunctions3 examples
+====================================================================
+
+Functions defined on streams with entries in two sets.
+
+See Also:
+o )show InfiniteTupleFunctions3
+
+\end{chunk}
 \pagehead{InfiniteTupleFunctions3}{ITFUN3}
 \pagepic{ps/v104infinitetuplefunctions3.ps}{ITFUN3}{1.00}
 
@@ -45202,6 +49709,32 @@ InfiniteTupleFunctions3(A:Type, B:Type,C:Type): Exports
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INFINITY Infinity}
+\begin{chunk}{Infinity.input}
+)set break resume
+)sys rm -f Infinity.output
+)spool Infinity.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Infinity
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{Infinity.help}
+====================================================================
+Infinity examples
+====================================================================
+
+Default infinity signatures for the interpreter;
+
+See Also:
+o )show Infinity
+
+\end{chunk}
 \pagehead{Infinity}{INFINITY}
 \pagepic{ps/v104infinity.ps}{INFINITY}{1.00}
 
@@ -45244,6 +49777,34 @@ Infinity(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IALGFACT InnerAlgFactor}
+\begin{chunk}{InnerAlgFactor.input}
+)set break resume
+)sys rm -f InnerAlgFactor.output
+)spool InnerAlgFactor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerAlgFactor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerAlgFactor.help}
+====================================================================
+InnerAlgFactor examples
+====================================================================
+
+Factorisation in a simple algebraic extension. Factorization of
+univariate polynomials with coefficients in an algebraic extension of
+a field over which we can factor UP's;
+
+See Also:
+o )show InnerAlgFactor
+
+\end{chunk}
 \pagehead{InnerAlgFactor}{IALGFACT}
 \pagepic{ps/v104inneralgfactor.ps}{IALGFACT}{1.00}
 
@@ -45344,6 +49905,34 @@ InnerAlgFactor(F, UP, AlExt, AlPol): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ICDEN InnerCommonDenominator}
+\begin{chunk}{InnerCommonDenominator.input}
+)set break resume
+)sys rm -f InnerCommonDenominator.output
+)spool InnerCommonDenominator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerCommonDenominator
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerCommonDenominator.help}
+====================================================================
+InnerCommonDenominator examples
+====================================================================
+
+InnerCommonDenominator provides functions to compute the common
+denominator of a finite linear aggregate of elements of the quotient
+field of an integral domain.
+
+See Also:
+o )show InnerCommonDenominator
+
+\end{chunk}
 \pagehead{InnerCommonDenominator}{ICDEN}
 \pagepic{ps/v104innercommondenominator.ps}{ICDEN}{1.00}
 
@@ -45407,6 +49996,34 @@ InnerCommonDenominator(R, Q, A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IMATLIN InnerMatrixLinearAlgebraFunctions}
+\begin{chunk}{InnerMatrixLinearAlgebraFunctions.input}
+)set break resume
+)sys rm -f InnerMatrixLinearAlgebraFunctions.output
+)spool InnerMatrixLinearAlgebraFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerMatrixLinearAlgebraFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerMatrixLinearAlgebraFunctions.help}
+====================================================================
+InnerMatrixLinearAlgebraFunctions examples
+====================================================================
+
+InnerMatrixLinearAlgebraFunctions is an internal package which
+provides standard linear algebra functions on domains in
+MatrixCategory.
+
+See Also:
+o )show InnerMatrixLinearAlgebraFunctions
+
+\end{chunk}
 \pagehead{InnerMatrixLinearAlgebraFunctions}{IMATLIN}
 \pagepic{ps/v104innermatrixlinearalgebrafunctions.ps}{IMATLIN}{1.00}
 
@@ -45638,6 +50255,35 @@ InnerMatrixLinearAlgebraFunctions(R,Row,Col,M):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IMATQF InnerMatrixQuotientFieldFunctions}
+\begin{chunk}{InnerMatrixQuotientFieldFunctions.input}
+)set break resume
+)sys rm -f InnerMatrixQuotientFieldFunctions.output
+)spool InnerMatrixQuotientFieldFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerMatrixQuotientFieldFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerMatrixQuotientFieldFunctions.help}
+====================================================================
+InnerMatrixQuotientFieldFunctions examples
+====================================================================
+
+InnerMatrixQuotientFieldFunctions provides functions on matrices over
+an integral domain which involve the quotient field of that integral
+domain.  The functions rowEchelon and inverse return matrices with
+entries in the quotient field.
+
+See Also:
+o )show InnerMatrixQuotientFieldFunctions
+
+\end{chunk}
 \pagehead{InnerMatrixQuotientFieldFunctions}{IMATQF}
 \pagepic{ps/v104innermatrixquotientfieldfunctions.ps}{IMATQF}{1.00}
 
@@ -45709,6 +50355,36 @@ InnerMatrixQuotientFieldFunctions(R,Row,Col,M,QF,Row2,Col2,M2):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INMODGCD InnerModularGcd}
+\begin{chunk}{InnerModularGcd.input}
+)set break resume
+)sys rm -f InnerModularGcd.output
+)spool InnerModularGcd.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerModularGcd
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerModularGcd.help}
+====================================================================
+InnerModularGcd examples
+====================================================================
+
+This file contains the functions for modular gcd algorithm for
+univariate polynomials with coefficients in a non-trivial euclidean
+domain (i.e. not a field).  The package parametrised by the
+coefficient domain, the polynomial domain, a prime, and a function for
+choosing the next prime
+
+See Also:
+o )show InnerModularGcd
+
+\end{chunk}
 \pagehead{InnerModularGcd}{INMODGCD}
 \pagepic{ps/v104innermodulargcd.ps}{INMODGCD}{1.00}
 
@@ -45989,6 +50665,35 @@ InnerModularGcd(R,BP,pMod,nextMod):C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INNMFACT InnerMultFact}
+\begin{chunk}{InnerMultFact.input}
+)set break resume
+)sys rm -f InnerMultFact.output
+)spool InnerMultFact.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerMultFact
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerMultFact.help}
+====================================================================
+InnerMultFact examples
+====================================================================
+
+This is an inner package for factoring multivariate polynomials over
+various coefficient domains in characteristic 0.  The univariate
+factor operation is passed as a parameter.  Multivariate hensel
+lifting is used to lift the univariate factorization
+
+See Also:
+o )show InnerMultFact
+
+\end{chunk}
 \pagehead{InnerMultFact}{INNMFACT}
 \pagepic{ps/v104innermultfact.ps}{INNMFACT}{1.00}
 
@@ -46432,6 +51137,33 @@ InnerMultFact(OV,E,R,P) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INBFF InnerNormalBasisFieldFunctions}
+\begin{chunk}{InnerNormalBasisFieldFunctions.input}
+)set break resume
+)sys rm -f InnerNormalBasisFieldFunctions.output
+)spool InnerNormalBasisFieldFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerNormalBasisFieldFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerNormalBasisFieldFunctions.help}
+====================================================================
+InnerNormalBasisFieldFunctions examples
+====================================================================
+
+InnerNormalBasisFieldFunctions(GF) (unexposed): This package has
+functions used by every normal basis finite field extension domain.
+
+See Also:
+o )show InnerNormalBasisFieldFunctions
+
+\end{chunk}
 \pagehead{InnerNormalBasisFieldFunctions}{INBFF}
 \pagepic{ps/v104innernormalbasisfieldfunctions.ps}{INBFF}{1.00}
 
@@ -46814,6 +51546,34 @@ InnerNormalBasisFieldFunctions(GF): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INEP InnerNumericEigenPackage}
+\begin{chunk}{InnerNumericEigenPackage.input}
+)set break resume
+)sys rm -f InnerNumericEigenPackage.output
+)spool InnerNumericEigenPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerNumericEigenPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerNumericEigenPackage.help}
+====================================================================
+InnerNumericEigenPackage examples
+====================================================================
+
+This package is the inner package to be used by NumericRealEigenPackage
+and NumericComplexEigenPackage for the computation of numeric
+eigenvalues and eigenvectors.
+
+See Also:
+o )show InnerNumericEigenPackage
+
+\end{chunk}
 \pagehead{InnerNumericEigenPackage}{INEP}
 \pagepic{ps/v104innernumericeigenpackage.ps}{INEP}{1.00}
 
@@ -47025,6 +51785,41 @@ InnerNumericEigenPackage(K,F,Par) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INFSP InnerNumericFloatSolvePackage}
+\begin{chunk}{InnerNumericFloatSolvePackage.input}
+)set break resume
+)sys rm -f InnerNumericFloatSolvePackage.output
+)spool InnerNumericFloatSolvePackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerNumericFloatSolvePackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerNumericFloatSolvePackage.help}
+====================================================================
+InnerNumericFloatSolvePackage examples
+====================================================================
+
+This is an internal package
+for computing approximate solutions to systems of polynomial equations.
+The parameter K specifies the coefficient field of the input polynomials
+and must be either Fraction(Integer) or 
+Complex(Fraction Integer).
+
+The parameter F specifies where the solutions must lie and can
+be one of the following: Float, Fraction(Integer), Complex(Float), or
+Complex(Fraction Integer). The last parameter specifies the type
+of the precision operand and must be either Fraction(Integer) or Float.
+
+See Also:
+o )show InnerNumericFloatSolvePackage
+
+\end{chunk}
 \pagehead{InnerNumericFloatSolvePackage}{INFSP}
 \pagepic{ps/v104innernumericfloatsolvepackage.ps}{INFSP}{1.00}
 
@@ -47230,6 +52025,32 @@ InnerNumericFloatSolvePackage(K,F,Par): Cat == Cap where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INPSIGN InnerPolySign}
+\begin{chunk}{InnerPolySign.input}
+)set break resume
+)sys rm -f InnerPolySign.output
+)spool InnerPolySign.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerPolySign
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerPolySign.help}
+====================================================================
+InnerPolySign examples
+====================================================================
+
+Find the sign of a polynomial around a point or infinity.
+
+See Also:
+o )show InnerPolySign
+
+\end{chunk}
 \pagehead{InnerPolySign}{INPSIGN}
 \pagepic{ps/v104innerpolysign.ps}{INPSIGN}{1.00}
 
@@ -47288,6 +52109,32 @@ InnerPolySign(R, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ISUMP InnerPolySum}
+\begin{chunk}{InnerPolySum.input}
+)set break resume
+)sys rm -f InnerPolySum.output
+)spool InnerPolySum.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerPolySum
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerPolySum.help}
+====================================================================
+InnerPolySum examples
+====================================================================
+
+Tools for the summation packages of polynomials
+
+See Also:
+o )show InnerPolySum
+
+\end{chunk}
 \pagehead{InnerPolySum}{ISUMP}
 \pagepic{ps/v104innerpolysum.ps}{ISUMP}{1.00}
 
@@ -47358,6 +52205,35 @@ InnerPolySum(E, V, R, P): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ITRIGMNP InnerTrigonometricManipulations}
+\begin{chunk}{InnerTrigonometricManipulations.input}
+)set break resume
+)sys rm -f InnerTrigonometricManipulations.output
+)spool InnerTrigonometricManipulations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerTrigonometricManipulations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InnerTrigonometricManipulations.help}
+====================================================================
+InnerTrigonometricManipulations examples
+====================================================================
+
+This package provides transformations from trigonometric functions
+to exponentials and logarithms, and back.
+
+F and FG should be the same type of function space.
+
+See Also:
+o )show InnerTrigonometricManipulations
+
+\end{chunk}
 \pagehead{InnerTrigonometricManipulations}{ITRIGMNP}
 \pagepic{ps/v104innertrigonometricmanipulations.ps}{ITRIGMNP}{1.00}
 
@@ -47544,6 +52420,32 @@ InnerTrigonometricManipulations(R,F,FG): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INFORM1 InputFormFunctions1}
+\begin{chunk}{InputFormFunctions1.input}
+)set break resume
+)sys rm -f InputFormFunctions1.output
+)spool InputFormFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InputFormFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InputFormFunctions1.help}
+====================================================================
+InputFormFunctions1 examples
+====================================================================
+
+Tools for manipulating input forms.
+
+See Also:
+o )show InputFormFunctions1
+
+\end{chunk}
 \pagehead{InputFormFunctions1}{INFORM1}
 \pagepic{ps/v104inputformfunctions1.ps}{INFORM1}{1.00}
 
@@ -47703,13 +52605,39 @@ InterfaceGroebnerPackage(K,symb,E,OV,R):Exports == Implementation where
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{package INTBIT IntegerBits}
+\begin{chunk}{IntegerBits.input}
 Bug! Cannot precompute params and return a function which
 simply computes the last call.  e.g. ridHack1, below.
 
 Functions related to the binary representation of integers.
 These functions directly access the bits in the big integer
 representation and so are much facter than using a quotient loop.
+\section{package INTBIT IntegerBits}
+)set break resume
+)sys rm -f IntegerBits.output
+)spool IntegerBits.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerBits
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegerBits.help}
+====================================================================
+IntegerBits examples
+====================================================================
+
+This  package provides functions to lookup bits in integers 
+
+See Also:
+o )show IntegerBits
+
+\end{chunk}
 \pagehead{IntegerBits}{INTBIT}
 \pagepic{ps/v104integerbits.ps}{INTBIT}{1.00}
 
@@ -48020,6 +52948,37 @@ IntegerCombinatoricFunctions(I:IntegerNumberSystem): EE == II where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTFACT IntegerFactorizationPackage}
+\begin{chunk}{IntegerFactorizationPackage.input}
+)set break resume
+)sys rm -f IntegerFactorizationPackage.output
+)spool IntegerFactorizationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerFactorizationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegerFactorizationPackage.help}
+====================================================================
+IntegerFactorizationPackage examples
+====================================================================
+
+This Package contains basic methods for integer factorization.  The
+factor operation employs trial division up to 10,000.  It then tests
+to see if n is a perfect power before using Pollards rho method.
+Because Pollards method may fail, the result of factor may contain
+composite factors.  We should also employ Lenstra's eliptic curve
+method.
+
+See Also:
+o )show IntegerFactorizationPackage
+
+\end{chunk}
 \pagehead{IntegerFactorizationPackage}{INTFACT}
 \pagepic{ps/v104integerfactorizationpackage.ps}{INTFACT}{1.00}
 
@@ -49508,6 +54467,34 @@ IntegerNumberTheoryFunctions(): Exports == Implementation where
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PRIMES IntegerPrimesPackage}
 We've expanded the list of small primes to include those between 1 and 10000.
+\begin{chunk}{IntegerPrimesPackage.input}
+)set break resume
+)sys rm -f IntegerPrimesPackage.output
+)spool IntegerPrimesPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerPrimesPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegerPrimesPackage.help}
+====================================================================
+IntegerPrimesPackage examples
+====================================================================
+
+The IntegerPrimesPackage implements a modification of Rabin's
+probabilistic primality test and the utility functions nextPrime,
+prevPrime, and primes.
+
+See Also:
+o )show IntegerPrimesPackage
+
+\end{chunk}
 \pagehead{IntegerPrimesPackage}{PRIMES}
 \pagepic{ps/v104integerprimespackage.ps}{PRIMES}{1.00}
 
@@ -49945,6 +54932,32 @@ that is the square of the upper bound of the table range, in this case
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTRET IntegerRetractions}
+\begin{chunk}{IntegerRetractions.input}
+)set break resume
+)sys rm -f IntegerRetractions.output
+)spool IntegerRetractions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerRetractions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegerRetractions.help}
+====================================================================
+IntegerRetractions examples
+====================================================================
+
+Provides integer testing and retraction functions.
+
+See Also:
+o )show IntegerRetractions
+
+\end{chunk}
 \pagehead{IntegerRetractions}{INTRET}
 \pagepic{ps/v104integerretractions.ps}{INTRET}{1.00}
 
@@ -49986,6 +54999,33 @@ IntegerRetractions(S:RetractableTo(Integer)): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IROOT IntegerRoots}
+\begin{chunk}{IntegerRoots.input}
+)set break resume
+)sys rm -f IntegerRoots.output
+)spool IntegerRoots.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerRoots
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegerRoots.help}
+====================================================================
+IntegerRoots examples
+====================================================================
+
+The IntegerRoots package computes square roots and nth roots of
+integers efficiently.
+
+See Also:
+o )show IntegerRoots
+
+\end{chunk}
 \pagehead{IntegerRoots}{IROOT}
 \pagepic{ps/v104integerroots.ps}{IROOT}{1.00}
 
@@ -50135,6 +55175,34 @@ IntegerRoots(I:IntegerNumberSystem): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTSLPE IntegerSolveLinearPolynomialEquation}
+\begin{chunk}{IntegerSolveLinearPolynomialEquation.input}
+)set break resume
+)sys rm -f IntegerSolveLinearPolynomialEquation.output
+)spool IntegerSolveLinearPolynomialEquation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerSolveLinearPolynomialEquation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegerSolveLinearPolynomialEquation.help}
+====================================================================
+IntegerSolveLinearPolynomialEquation examples
+====================================================================
+
+This package provides the implementation for the
+solveLinearPolynomialEquation operation over the integers. 
+It uses a lifting technique from the package GenExEuclid.
+
+See Also:
+o )show IntegerSolveLinearPolynomialEquation
+
+\end{chunk}
 \pagehead{IntegerSolveLinearPolynomialEquation}{INTSLPE}
 \pagepic{ps/v104integersolvelinearpolynomialequation.ps}{INTSLPE}{1.00}
 
@@ -50190,6 +55258,33 @@ IntegerSolveLinearPolynomialEquation(): C ==T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IBATOOL IntegralBasisTools}
+\begin{chunk}{IntegralBasisTools.input}
+)set break resume
+)sys rm -f IntegralBasisTools.output
+)spool IntegralBasisTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegralBasisTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegralBasisTools.help}
+====================================================================
+IntegralBasisTools examples
+====================================================================
+
+This package contains functions used in the packages
+FunctionFieldIntegralBasis and NumberFieldIntegralBasis.
+
+See Also:
+o )show IntegralBasisTools
+
+\end{chunk}
 \pagehead{IntegralBasisTools}{IBATOOL}
 \pagepic{ps/v104integralbasistools.ps}{IBATOOL}{1.00}
 
@@ -50349,6 +55444,33 @@ IntegralBasisTools(R,UP,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IBPTOOLS IntegralBasisPolynomialTools}
+\begin{chunk}{IntegralBasisPolynomialTools.input}
+)set break resume
+)sys rm -f IntegralBasisPolynomialTools.output
+)spool IntegralBasisPolynomialTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegralBasisPolynomialTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegralBasisPolynomialTools.help}
+====================================================================
+IntegralBasisPolynomialTools examples
+====================================================================
+
+IntegralBasisPolynomialTools provides functions for mapping functions 
+on the coefficients of univariate and bivariate polynomials.
+
+See Also:
+o )show IntegralBasisPolynomialTools
+
+\end{chunk}
 \pagehead{IntegralBasisPolynomialTools}{IBPTOOLS}
 \pagepic{ps/v104integralbasispolynomialtools.ps}{IBPTOOLS}{1.00}
 
@@ -50451,6 +55573,32 @@ IntegralBasisPolynomialTools(K,R,UP,L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IR2 IntegrationResultFunctions2}
+\begin{chunk}{IntegrationResultFunctions2.input}
+)set break resume
+)sys rm -f IntegrationResultFunctions2.output
+)spool IntegrationResultFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegrationResultFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegrationResultFunctions2.help}
+====================================================================
+IntegrationResultFunctions2 examples
+====================================================================
+
+Internally used by the integration packages
+
+See Also:
+o )show IntegrationResultFunctions2
+
+\end{chunk}
 \pagehead{IntegrationResultFunctions2}{IR2}
 \pagepic{ps/v104integrationresultfunctions2.ps}{IR2}{1.00}
 
@@ -50531,6 +55679,35 @@ IntegrationResultFunctions2(E, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IRRF2F IntegrationResultRFToFunction}
+\begin{chunk}{IntegrationResultRFToFunction.input}
+)set break resume
+)sys rm -f IntegrationResultRFToFunction.output
+)spool IntegrationResultRFToFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegrationResultRFToFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegrationResultRFToFunction.help}
+====================================================================
+IntegrationResultRFToFunction examples
+====================================================================
+
+Conversion of integration results to top-level expressions.
+This package allows a sum of logs over the roots of a polynomial
+to be expressed as explicit logarithms and arc tangents, provided
+that the indexing polynomial can be factored into quadratics.
+
+See Also:
+o )show IntegrationResultRFToFunction
+
+\end{chunk}
 \pagehead{IntegrationResultRFToFunction}{IRRF2F}
 \pagepic{ps/v104integrationresultrftofunction.ps}{IRRF2F}{1.00}
 
@@ -50617,6 +55794,35 @@ IntegrationResultRFToFunction(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IR2F IntegrationResultToFunction}
+\begin{chunk}{IntegrationResultToFunction.input}
+)set break resume
+)sys rm -f IntegrationResultToFunction.output
+)spool IntegrationResultToFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegrationResultToFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegrationResultToFunction.help}
+====================================================================
+IntegrationResultToFunction examples
+====================================================================
+
+Conversion of integration results to top-level expressions
+This package allows a sum of logs over the roots of a polynomial
+to be expressed as explicit logarithms and arc tangents, provided
+that the indexing polynomial can be factored into quadratics.
+
+See Also:
+o )show IntegrationResultToFunction
+
+\end{chunk}
 \pagehead{IntegrationResultToFunction}{IR2F}
 \pagepic{ps/v104integrationresulttofunction.ps}{IR2F}{1.00}
 
@@ -50850,6 +56056,32 @@ IntegrationResultToFunction(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTTOOLS IntegrationTools}
+\begin{chunk}{IntegrationTools.input}
+)set break resume
+)sys rm -f IntegrationTools.output
+)spool IntegrationTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegrationTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IntegrationTools.help}
+====================================================================
+IntegrationTools examples
+====================================================================
+
+Tools for the integrator
+
+See Also:
+o )show IntegrationTools
+
+\end{chunk}
 \pagehead{IntegrationTools}{INTTOOLS}
 \pagepic{ps/v104integrationtools.ps}{INTTOOLS}{1.00}
 
@@ -51009,6 +56241,32 @@ IntegrationTools(R:OrderedSet, F:FunctionSpace R): Exp == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IPRNTPK InternalPrintPackage}
+\begin{chunk}{InternalPrintPackage.input}
+)set break resume
+)sys rm -f InternalPrintPackage.output
+)spool InternalPrintPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InternalPrintPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InternalPrintPackage.help}
+====================================================================
+InternalPrintPackage examples
+====================================================================
+
+A package to print strings without line-feed nor carriage-return.
+
+See Also:
+o )show InternalPrintPackage
+
+\end{chunk}
 \pagehead{InternalPrintPackage}{IPRNTPK}
 \pagepic{ps/v104internalprintpackage.ps}{IPRNTPK}{1.00}
 
@@ -51044,6 +56302,34 @@ InternalPrintPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IRURPK InternalRationalUnivariateRepresentationPackage}
+\begin{chunk}{InternalRationalUnivariateRepresentationPackage.input}
+)set break resume
+)sys rm -f InternalRationalUnivariateRepresentationPackage.output
+)spool InternalRationalUnivariateRepresentationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InternalRationalUnivariateRepresentationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InternalRationalUnivariateRepresentationPackage.help}
+====================================================================
+InternalRationalUnivariateRepresentationPackage examples
+====================================================================
+
+An internal package for computing the rational univariate representation
+of a zero-dimensional algebraic variety given by a square-free 
+triangular set. The main operation is rur.
+
+See Also:
+o )show InternalRationalUnivariateRepresentationPackage
+
+\end{chunk}
 \pagehead{InternalRationalUnivariateRepresentationPackage}{IRURPK}
 \pagepic{ps/v104internalrationalunivariaterepresentationpackage.ps}{IRURPK}{1.00}
 
@@ -51062,9 +56348,6 @@ InternalPrintPackage(): Exports == Implementation where
 ++  [1] D. LAZARD "Solving Zero-dimensional Algebraic Systems"
 ++      Journal of Symbolic Computation, 1992, 13, 117-131
 ++ Description: 
-++ An internal package for computing the rational univariate representation
-++ of a zero-dimensional algebraic variety given by a square-free 
-++ triangular set. The main operation is rur
 
 InternalRationalUnivariateRepresentationPackage(R,E,V,P,TS): Exports == Implementation where
   R : Join(EuclideanDomain,CharacteristicZero)
@@ -51652,7 +56935,7 @@ o )show IntersectionDivisorPackage
 \end{tabular}
 
 \begin{chunk}{package INTDIVP IntersectionDivisorPackage}
-)abbreviation package INTDIVP IntersectionDivisorPackage
+)abbrev package INTDIVP IntersectionDivisorPackage
 ++ Author: Gaetan Hache
 ++ Date Created: 17 nov 1992
 ++ Date Last Updated: May 2010 by Tim Daly
@@ -51762,6 +57045,33 @@ IntersectionDivisorPackage(K,symb,PolyRing,E,ProjPt, PCS,Plc,DIVISOR,_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IRREDFFX IrredPolyOverFiniteField}
+\begin{chunk}{IrredPolyOverFiniteField.input}
+)set break resume
+)sys rm -f IrredPolyOverFiniteField.output
+)spool IrredPolyOverFiniteField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IrredPolyOverFiniteField
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IrredPolyOverFiniteField.help}
+====================================================================
+IrredPolyOverFiniteField examples
+====================================================================
+
+This package exports the function generateIrredPoly that computes
+a monic irreducible polynomial of degree n over a finite field.
+
+See Also:
+o )show IrredPolyOverFiniteField
+
+\end{chunk}
 \pagehead{IrredPolyOverFiniteField}{IRREDFFX}
 \pagepic{ps/v104irredpolyoverfinitefield.ps}{IRREDFFX}{1.00}
 
@@ -51840,6 +57150,41 @@ IrredPolyOverFiniteField(GF:FiniteFieldCategory): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package IRSN IrrRepSymNatPackage}
+\begin{chunk}{IrrRepSymNatPackage.input}
+)set break resume
+)sys rm -f IrrRepSymNatPackage.output
+)spool IrrRepSymNatPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IrrRepSymNatPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{IrrRepSymNatPackage.help}
+====================================================================
+IrrRepSymNatPackage examples
+====================================================================
+
+IrrRepSymNatPackage contains functions for computing
+the ordinary irreducible representations of symmetric groups on
+n letters {1,2,...,n} in Young's natural form and their dimensions.
+
+These representations can be labelled by number partitions of n,
+i.e. a weakly decreasing sequence of integers summing up to n, e.g.
+[3,3,3,1] labels an irreducible representation for n equals 10.
+
+Note that whenever a \spadtype{List Integer} appears in a signature,
+a partition required.
+
+See Also:
+o )show IrrRepSymNatPackage
+
+\end{chunk}
 \pagehead{IrrRepSymNatPackage}{IRSN}
 \pagepic{ps/v104irrrepsymnatpackage.ps}{IRSN}{1.00}
 
@@ -52160,6 +57505,32 @@ IrrRepSymNatPackage(): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INVLAPLA InverseLaplaceTransform}
+\begin{chunk}{InverseLaplaceTransform.input}
+)set break resume
+)sys rm -f InverseLaplaceTransform.output
+)spool InverseLaplaceTransform.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InverseLaplaceTransform
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{InverseLaplaceTransform.help}
+====================================================================
+InverseLaplaceTransform examples
+====================================================================
+
+This package computes the inverse Laplace Transform.
+
+See Also:
+o )show InverseLaplaceTransform
+
+\end{chunk}
 \pagehead{InverseLaplaceTransform}{INVLAPLA}
 \pagepic{ps/v104inverselaplacetransform.ps}{INVLAPLA}{1.00}
 
@@ -52274,6 +57645,32 @@ InverseLaplaceTransform(R, F): Exports == Implementation where
 \chapter{Chapter K}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package KERNEL2 KernelFunctions2}
+\begin{chunk}{KernelFunctions2.input}
+)set break resume
+)sys rm -f KernelFunctions2.output
+)spool KernelFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show KernelFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{KernelFunctions2.help}
+====================================================================
+KernelFunctions2 examples
+====================================================================
+
+This package exports some auxiliary functions on kernels
+
+See Also:
+o )show KernelFunctions2
+
+\end{chunk}
 \pagehead{KernelFunctions2}{KERNEL2}
 \pagepic{ps/v104kernelfunctions2.ps}{KERNEL2}{1.00}
 
@@ -52309,6 +57706,34 @@ KernelFunctions2(R:OrderedSet, S:OrderedSet): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package KOVACIC Kovacic}
+\begin{chunk}{Kovacic.input}
+)set break resume
+)sys rm -f Kovacic.output
+)spool Kovacic.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Kovacic
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{Kovacic.help}
+====================================================================
+Kovacic examples
+====================================================================
+
+Kovacic provides a modified Kovacic's algorithm for solving
+explicitely irreducible 2nd order linear ordinary differential
+equations.
+
+See Also:
+o )show Kovacic
+
+\end{chunk}
 \pagehead{Kovacic}{KOVACIC}
 \pagepic{ps/v104kovacic.ps}{KOVACIC}{1.00}
 
@@ -52418,6 +57843,32 @@ Kovacic(F, UP): Exports == Impl where
 \chapter{Chapter L}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LAPLACE LaplaceTransform}
+\begin{chunk}{LaplaceTransform.input}
+)set break resume
+)sys rm -f LaplaceTransform.output
+)spool LaplaceTransform.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LaplaceTransform
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LaplaceTransform.help}
+====================================================================
+LaplaceTransform examples
+====================================================================
+
+This package computes the forward Laplace Transform.
+
+See Also:
+o )show LaplaceTransform
+
+\end{chunk}
 \pagehead{LaplaceTransform}{LAPLACE}
 \pagepic{ps/v104laplacetransform.ps}{LAPLACE}{1.00}
 
@@ -53795,6 +59246,33 @@ LazardSetSolvingPackage(R,E,V,P,TS,ST): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LEADCDET LeadingCoefDetermination}
+\begin{chunk}{LeadingCoefDetermination.input}
+)set break resume
+)sys rm -f LeadingCoefDetermination.output
+)spool LeadingCoefDetermination.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LeadingCoefDetermination
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LeadingCoefDetermination.help}
+====================================================================
+LeadingCoefDetermination examples
+====================================================================
+
+Package for leading coefficient determination in the lifting step.
+Package working for every R euclidean with property "F".
+
+See Also:
+o )show LeadingCoefDetermination
+
+\end{chunk}
 \pagehead{LeadingCoefDetermination}{LEADCDET}
 \pagepic{ps/v104leadingcoefdetermination.ps}{LEADCDET}{1.00}
 
@@ -57624,6 +63102,32 @@ LexTriangularPackage(R,ls): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LINDEP LinearDependence}
+\begin{chunk}{LinearDependence.input}
+)set break resume
+)sys rm -f LinearDependence.output
+)spool LinearDependence.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearDependence
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearDependence.help}
+====================================================================
+LinearDependence examples
+====================================================================
+
+Test for linear dependence.
+
+See Also:
+o )show LinearDependence
+
+\end{chunk}
 \pagehead{LinearDependence}{LINDEP}
 \pagepic{ps/v104lineardependence.ps}{LINDEP}{1.00}
 
@@ -57716,6 +63220,34 @@ LinearDependence(S, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LODOF LinearOrdinaryDifferentialOperatorFactorizer}
+\begin{chunk}{LinearOrdinaryDifferentialOperatorFactorizer.input}
+)set break resume
+)sys rm -f LinearOrdinaryDifferentialOperatorFactorizer.output
+)spool LinearOrdinaryDifferentialOperatorFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearOrdinaryDifferentialOperatorFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearOrdinaryDifferentialOperatorFactorizer.help}
+====================================================================
+LinearOrdinaryDifferentialOperatorFactorizer examples
+====================================================================
+
+LinearOrdinaryDifferentialOperatorFactorizer provides a factorizer for
+linear ordinary differential operators whose coefficients are rational
+functions.
+
+See Also:
+o )show LinearOrdinaryDifferentialOperatorFactorizer
+
+\end{chunk}
 \pagehead{LinearOrdinaryDifferentialOperatorFactorizer}{LODOF}
 \pagepic{ps/v104linearordinarydifferentialoperatorfactorizer.ps}{LODOF}{1.00}
 
@@ -57857,6 +63389,33 @@ LinearOrdinaryDifferentialOperatorFactorizer(F, UP): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LODOOPS LinearOrdinaryDifferentialOperatorsOps}
+\begin{chunk}{LinearOrdinaryDifferentialOperatorsOps.input}
+)set break resume
+)sys rm -f LinearOrdinaryDifferentialOperatorsOps.output
+)spool LinearOrdinaryDifferentialOperatorsOps.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearOrdinaryDifferentialOperatorsOps
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearOrdinaryDifferentialOperatorsOps.help}
+====================================================================
+LinearOrdinaryDifferentialOperatorsOps examples
+====================================================================
+
+LinearOrdinaryDifferentialOperatorsOps provides symmetric
+products and sums for linear ordinary differential operators.
+
+See Also:
+o )show LinearOrdinaryDifferentialOperatorsOps
+
+\end{chunk}
 \pagehead{LinearOrdinaryDifferentialOperatorsOps}{LODOOPS}
 \pagepic{ps/v104linearordinarydifferentialoperatorsops.ps}{LODOOPS}{1.00}
 
@@ -57979,6 +63538,35 @@ LinearOrdinaryDifferentialOperatorsOps(A, L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LPEFRAC LinearPolynomialEquationByFractions}
+\begin{chunk}{LinearPolynomialEquationByFractions.input}
+)set break resume
+)sys rm -f LinearPolynomialEquationByFractions.output
+)spool LinearPolynomialEquationByFractions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearPolynomialEquationByFractions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearPolynomialEquationByFractions.help}
+====================================================================
+LinearPolynomialEquationByFractions examples
+====================================================================
+
+Given a PolynomialFactorizationExplicit ring, this package provides a
+defaulting rule for the solveLinearPolynomialEquation operation, by
+moving into the field of fractions, and solving it there via the
+multiEuclidean operation.
+
+See Also:
+o )show LinearPolynomialEquationByFractions
+
+\end{chunk}
 \pagehead{LinearPolynomialEquationByFractions}{LPEFRAC}
 \pagepic{ps/v104linearpolynomialequationbyfractions.ps}{LPEFRAC}{1.00}
 
@@ -58161,6 +63749,32 @@ LinearSystemFromPowerSeriesPackage(K,PCS):P==T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LSMP LinearSystemMatrixPackage}
+\begin{chunk}{LinearSystemMatrixPackage.input}
+)set break resume
+)sys rm -f LinearSystemMatrixPackage.output
+)spool LinearSystemMatrixPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearSystemMatrixPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearSystemMatrixPackage.help}
+====================================================================
+LinearSystemMatrixPackage examples
+====================================================================
+
+This package solves linear system in the matrix form AX = B.
+
+See Also:
+o )show LinearSystemMatrixPackage
+
+\end{chunk}
 \pagehead{LinearSystemMatrixPackage}{LSMP}
 \pagepic{ps/v104linearsystemmatrixpackage.ps}{LSMP}{1.00}
 
@@ -58267,6 +63881,35 @@ LinearSystemMatrixPackage(F, Row, Col, M): Cat == Capsule where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LSMP1 LinearSystemMatrixPackage1}
+\begin{chunk}{LinearSystemMatrixPackage1.input}
+)set break resume
+)sys rm -f LinearSystemMatrixPackage1.output
+)spool LinearSystemMatrixPackage1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearSystemMatrixPackage1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearSystemMatrixPackage1.help}
+====================================================================
+LinearSystemMatrixPackage1 examples
+====================================================================
+
+This package solves linear system in the matrix form AX = B.  It is
+essentially a particular instantiation of the package
+LinearSystemMatrixPackage for Matrix and Vector. This package's
+existence makes it easier to use solve in the Axiom interpreter.
+
+See Also:
+o )show LinearSystemMatrixPackage1
+
+\end{chunk}
 \pagehead{LinearSystemMatrixPackage1}{LSMP1}
 \pagepic{ps/v104linearsystemmatrixpackage1.ps}{LSMP1}{1.00}
 
@@ -58345,6 +63988,33 @@ LinearSystemMatrixPackage1(F): Cat == Capsule where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LSPP LinearSystemPolynomialPackage}
+\begin{chunk}{LinearSystemPolynomialPackage.input}
+)set break resume
+)sys rm -f LinearSystemPolynomialPackage.output
+)spool LinearSystemPolynomialPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearSystemPolynomialPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinearSystemPolynomialPackage.help}
+====================================================================
+LinearSystemPolynomialPackage examples
+====================================================================
+
+This package finds the solutions of linear systems presented as a
+list of polynomials.
+
+See Also:
+o )show LinearSystemPolynomialPackage
+
+\end{chunk}
 \pagehead{LinearSystemPolynomialPackage}{LSPP}
 \pagepic{ps/v104linearsystempolynomialpackage.ps}{LSPP}{1.00}
 
@@ -58417,6 +64087,34 @@ LinearSystemPolynomialPackage(R, E, OV, P): Cat == Capsule where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LGROBP LinGroebnerPackage}
+\begin{chunk}{LinGroebnerPackage.input}
+)set break resume
+)sys rm -f LinGroebnerPackage.output
+)spool LinGroebnerPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinGroebnerPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LinGroebnerPackage.help}
+====================================================================
+LinGroebnerPackage examples
+====================================================================
+
+Given a Groebner basis B with respect to the total degree ordering for
+a zero-dimensional ideal I, compute a Groebner basis with respect to
+the lexicographical ordering by using linear algebra.
+
+See Also:
+o )show LinGroebnerPackage
+
+\end{chunk}
 \pagehead{LinGroebnerPackage}{LGROBP}
 \pagepic{ps/v104lingroebnerpackage.ps}{LGROBP}{1.00}
 
@@ -58910,6 +64608,32 @@ LinesOpPack(K):P==T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LF LiouvillianFunction}
+\begin{chunk}{LiouvillianFunction.input}
+)set break resume
+)sys rm -f LiouvillianFunction.output
+)spool LiouvillianFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LiouvillianFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{LiouvillianFunction.help}
+====================================================================
+LiouvillianFunction examples
+====================================================================
+
+This package provides liouvillian functions over an integral domain.
+
+See Also:
+o )show LiouvillianFunction
+
+\end{chunk}
 \pagehead{LiouvillianFunction}{LF}
 \pagepic{ps/v104liouvillianfunction.ps}{LF}{1.00}
 
@@ -59139,6 +64863,33 @@ LiouvillianFunction(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LIST2 ListFunctions2}
+\begin{chunk}{ListFunctions2.input}
+)set break resume
+)sys rm -f ListFunctions2.output
+)spool ListFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ListFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ListFunctions2.help}
+====================================================================
+ListFunctions2 examples
+====================================================================
+
+ListFunctions2 implements utility functions that operate on two kinds
+of lists, each with a possibly different type of element.
+
+See Also:
+o )show ListFunctions2
+
+\end{chunk}
 \pagehead{ListFunctions2}{LIST2}
 \pagepic{ps/v104listfunctions2.ps}{LIST2}{1.00}
 
@@ -59197,6 +64948,33 @@ ListFunctions2(A:Type, B:Type): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LIST3 ListFunctions3}
+\begin{chunk}{ListFunctions3.input}
+)set break resume
+)sys rm -f ListFunctions3.output
+)spool ListFunctions3.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ListFunctions3
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ListFunctions3.help}
+====================================================================
+ListFunctions3 examples
+====================================================================
+
+ListFunctions3 implements utility functions that operate on three
+kinds of lists, each with a possibly different type of element.
+
+See Also:
+o )show ListFunctions3
+
+\end{chunk}
 \pagehead{ListFunctions3}{LIST3}
 \pagepic{ps/v104listfunctions3.ps}{LIST3}{1.00}
 
@@ -59239,6 +65017,37 @@ ListFunctions3(A:Type, B:Type, C:Type): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LIST2MAP ListToMap}
+\begin{chunk}{ListToMap.input}
+)set break resume
+)sys rm -f ListToMap.output
+)spool ListToMap.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ListToMap
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ListToMap.help}
+====================================================================
+ListToMap examples
+====================================================================
+
+ListToMap allows mappings to be described by a pair of lists of equal
+lengths.  The image of an element x, which appears in position n in
+the first list, is then the n-th element of the second list.  A
+default value or default function can be specified to be used when x
+does not appear in the first list.  In the absence of defaults, an
+error will occur in that case.
+
+See Also:
+o )show ListToMap
+
+\end{chunk}
 \pagehead{ListToMap}{LIST2MAP}
 \pagepic{ps/v104listtomap.ps}{LIST2MAP}{1.00}
 
@@ -59389,7 +65198,7 @@ o )show LocalParametrizationOfSimplePointPackage
 \end{tabular}
 
 \begin{chunk}{package LPARSPT LocalParametrizationOfSimplePointPackage}
-)abbreviation package LPARSPT LocalParametrizationOfSimplePointPackage
+)abbrev package LPARSPT LocalParametrizationOfSimplePointPackage
 ++ Author: Gaetan Hache
 ++ Date Created: 17 nov 1992
 ++ Date Last Updated: May 2010 by Tim Daly
@@ -59644,6 +65453,33 @@ LocalParametrizationOfSimplePointPackage(K,symb,PolyRing,E,ProjPt,PCS,Plc):_
 \chapter{Chapter M}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MKBCFUNC MakeBinaryCompiledFunction}
+\begin{chunk}{MakeBinaryCompiledFunction.input}
+)set break resume
+)sys rm -f MakeBinaryCompiledFunction.output
+)spool MakeBinaryCompiledFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MakeBinaryCompiledFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MakeBinaryCompiledFunction.help}
+====================================================================
+MakeBinaryCompiledFunction examples
+====================================================================
+
+Tools and transforms for making compiled functions from top-level
+expressions
+
+See Also:
+o )show MakeBinaryCompiledFunction
+
+\end{chunk}
 \pagehead{MakeBinaryCompiledFunction}{MKBCFUNC}
 \pagepic{ps/v104makebinarycompiledfunction.ps}{MKBCFUNC}{1.00}
 
@@ -59701,6 +65537,36 @@ MakeBinaryCompiledFunction(S, D1, D2, I):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MKFLCFN MakeFloatCompiledFunction}
+\begin{chunk}{MakeFloatCompiledFunction.input}
+)set break resume
+)sys rm -f MakeFloatCompiledFunction.output
+)spool MakeFloatCompiledFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MakeFloatCompiledFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MakeFloatCompiledFunction.help}
+====================================================================
+MakeFloatCompiledFunction examples
+====================================================================
+
+Tools for making compiled functions from top-level expressions
+MakeFloatCompiledFunction transforms top-level objects into compiled
+Lisp functions whose arguments are Lisp floats.  This by-passes the
+Axiom compiler and interpreter, thereby gaining several orders of
+magnitude.
+
+See Also:
+o )show MakeFloatCompiledFunction
+
+\end{chunk}
 \pagehead{MakeFloatCompiledFunction}{MKFLCFN}
 \pagepic{ps/v104makefloatcompiledfunction.ps}{MKFLCFN}{1.00}
 
@@ -59717,7 +65583,7 @@ MakeBinaryCompiledFunction(S, D1, D2, I):Exports == Implementation where
 ++ Tools for making compiled functions from top-level expressions
 ++ MakeFloatCompiledFunction transforms top-level objects into
 ++ compiled Lisp functions whose arguments are Lisp floats.
-++ This by-passes the \Language{} compiler and interpreter,
+++ This by-passes the Axiom compiler and interpreter,
 ++ thereby gaining several orders of magnitude.
 
 MakeFloatCompiledFunction(S): Exports == Implementation where
@@ -60096,6 +65962,33 @@ MakeFunction(S:ConvertibleTo InputForm): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MKRECORD MakeRecord}
+\begin{chunk}{MakeRecord.input}
+)set break resume
+)sys rm -f MakeRecord.output
+)spool MakeRecord.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MakeRecord
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MakeRecord.help}
+====================================================================
+MakeRecord examples
+====================================================================
+
+MakeRecord is used internally by the interpreter to create record
+types which are used for doing parallel iterations on streams.
+
+See Also:
+o )show MakeRecord
+
+\end{chunk}
 \pagehead{MakeRecord}{MKRECORD}
 \pagepic{ps/v104makerecord.ps}{MKRECORD}{1.00}
 
@@ -60129,6 +66022,33 @@ MakeRecord(S: Type, T: Type): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MKUCFUNC MakeUnaryCompiledFunction}
+\begin{chunk}{MakeUnaryCompiledFunction.input}
+)set break resume
+)sys rm -f MakeUnaryCompiledFunction.output
+)spool MakeUnaryCompiledFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MakeUnaryCompiledFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MakeUnaryCompiledFunction.help}
+====================================================================
+MakeUnaryCompiledFunction examples
+====================================================================
+
+Tools for making compiled functions from top-level expressions
+Transforms top-level objects into compiled functions.
+
+See Also:
+o )show MakeUnaryCompiledFunction
+
+\end{chunk}
 \pagehead{MakeUnaryCompiledFunction}{MKUCFUNC}
 \pagepic{ps/v104makeunarycompiledfunction.ps}{MKUCFUNC}{1.00}
 
@@ -60187,6 +66107,32 @@ MakeUnaryCompiledFunction(S, D, I): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MAPHACK1 MappingPackageInternalHacks1}
+\begin{chunk}{MappingPackageInternalHacks1.input}
+)set break resume
+)sys rm -f MappingPackageInternalHacks1.output
+)spool MappingPackageInternalHacks1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MappingPackageInternalHacks1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MappingPackageInternalHacks1.help}
+====================================================================
+MappingPackageInternalHacks1 examples
+====================================================================
+
+Various Currying operations.
+
+See Also:
+o )show MappingPackageInternalHacks1
+
+\end{chunk}
 \pagehead{MappingPackageInternalHacks1}{MAPHACK1}
 \pagepic{ps/v104mappingpackageinternalhacks1.ps}{MAPHACK1}{1.00}
 
@@ -60232,6 +66178,32 @@ MappingPackageInternalHacks1(A: SetCategory): MPcat == MPdef where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MAPHACK2 MappingPackageInternalHacks2}
+\begin{chunk}{MappingPackageInternalHacks2.input}
+)set break resume
+)sys rm -f MappingPackageInternalHacks2.output
+)spool MappingPackageInternalHacks2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MappingPackageInternalHacks2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MappingPackageInternalHacks2.help}
+====================================================================
+MappingPackageInternalHacks2 examples
+====================================================================
+
+Various Currying operations.
+
+See Also:
+o )show MappingPackageInternalHacks2
+
+\end{chunk}
 \pagehead{MappingPackageInternalHacks2}{MAPHACK2}
 \pagepic{ps/v104mappingpackageinternalhacks2.ps}{MAPHACK2}{1.00}
 
@@ -60271,6 +66243,32 @@ MappingPackageInternalHacks2(A: SetCategory, C: SetCategory):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MAPHACK3 MappingPackageInternalHacks3}
+\begin{chunk}{MappingPackageInternalHacks3.input}
+)set break resume
+)sys rm -f MappingPackageInternalHacks3.output
+)spool MappingPackageInternalHacks3.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MappingPackageInternalHacks3
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MappingPackageInternalHacks3.help}
+====================================================================
+MappingPackageInternalHacks3 examples
+====================================================================
+
+Various Currying operations.
+
+See Also:
+o )show MappingPackageInternalHacks3
+
+\end{chunk}
 \pagehead{MappingPackageInternalHacks3}{MAPHACK3}
 \pagepic{ps/v104mappingpackageinternalhacks3.ps}{MAPHACK3}{1.00}
 
@@ -62128,6 +68126,33 @@ MappingPackage4(A:SetCategory, B:Ring):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MATCAT2 MatrixCategoryFunctions2}
+\begin{chunk}{MatrixCategoryFunctions2.input}
+)set break resume
+)sys rm -f MatrixCategoryFunctions2.output
+)spool MatrixCategoryFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MatrixCategoryFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MatrixCategoryFunctions2.help}
+====================================================================
+MatrixCategoryFunctions2 examples
+====================================================================
+
+MatrixCategoryFunctions2 provides functions between two matrix
+domains.  The functions provided are map and reduce.
+
+See Also:
+o )show MatrixCategoryFunctions2
+
+\end{chunk}
 \pagehead{MatrixCategoryFunctions2}{MATCAT2}
 \pagepic{ps/v104MatrixCategoryFunctions2.ps}{MATCAT2}{1.00}
 
@@ -62203,6 +68228,34 @@ MatrixCategoryFunctions2(R1,Row1,Col1,M1,R2,Row2,Col2,M2):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MCDEN MatrixCommonDenominator}
+\begin{chunk}{MatrixCommonDenominator.input}
+)set break resume
+)sys rm -f MatrixCommonDenominator.output
+)spool MatrixCommonDenominator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MatrixCommonDenominator
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MatrixCommonDenominator.help}
+====================================================================
+MatrixCommonDenominator examples
+====================================================================
+
+MatrixCommonDenominator provides functions to compute the common
+denominator of a matrix of elements of the quotient field of an
+integral domain.
+
+See Also:
+o )show MatrixCommonDenominator
+
+\end{chunk}
 \pagehead{MatrixCommonDenominator}{MCDEN}
 \pagepic{ps/v104matrixcommondenominator.ps}{MCDEN}{1.00}
 
@@ -62267,6 +68320,33 @@ MatrixCommonDenominator(R, Q): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MATLIN MatrixLinearAlgebraFunctions}
+\begin{chunk}{MatrixLinearAlgebraFunctions.input}
+)set break resume
+)sys rm -f MatrixLinearAlgebraFunctions.output
+)spool MatrixLinearAlgebraFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MatrixLinearAlgebraFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MatrixLinearAlgebraFunctions.help}
+====================================================================
+MatrixLinearAlgebraFunctions examples
+====================================================================
+
+MatrixLinearAlgebraFunctions provides functions to compute inverses
+and canonical forms.
+
+See Also:
+o )show MatrixLinearAlgebraFunctions
+
+\end{chunk}
 \pagehead{MatrixLinearAlgebraFunctions}{MATLIN}
 \pagepic{ps/v104matrixlinearalgebrafunctions.ps}{MATLIN}{1.00}
 
@@ -62621,6 +68701,32 @@ MatrixLinearAlgebraFunctions(R,Row,Col,M):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MTHING MergeThing}
+\begin{chunk}{MergeThing.input}
+)set break resume
+)sys rm -f MergeThing.output
+)spool MergeThing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MergeThing
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MergeThing.help}
+====================================================================
+MergeThing examples
+====================================================================
+
+This package exports tools for merging lists
+
+See Also:
+o )show MergeThing
+
+\end{chunk}
 \pagehead{MergeThing}{MTHING}
 \pagepic{ps/v104mergething.ps}{MTHING}{1.00}
 
@@ -62669,6 +68775,32 @@ MergeThing(S:OrderedSet): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MESH MeshCreationRoutinesForThreeDimensions}
+\begin{chunk}{MeshCreationRoutinesForThreeDimensions.input}
+)set break resume
+)sys rm -f MeshCreationRoutinesForThreeDimensions.output
+)spool MeshCreationRoutinesForThreeDimensions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MeshCreationRoutinesForThreeDimensions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MeshCreationRoutinesForThreeDimensions.help}
+====================================================================
+MeshCreationRoutinesForThreeDimensions examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show MeshCreationRoutinesForThreeDimensions
+
+\end{chunk}
 \pagehead{MeshCreationRoutinesForThreeDimensions}{MESH}
 \pagepic{ps/v104meshcreationroutinesforthreedimensions.ps}{MESH}{1.00}
 
@@ -62823,6 +68955,35 @@ MeshCreationRoutinesForThreeDimensions():Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MDDFACT ModularDistinctDegreeFactorizer}
+\begin{chunk}{ModularDistinctDegreeFactorizer.input}
+)set break resume
+)sys rm -f ModularDistinctDegreeFactorizer.output
+)spool ModularDistinctDegreeFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModularDistinctDegreeFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ModularDistinctDegreeFactorizer.help}
+====================================================================
+ModularDistinctDegreeFactorizer examples
+====================================================================
+
+This package supports factorization and gcds of univariate polynomials
+over the integers modulo different primes. The inputs are given as
+polynomials over the integers with the prime passed explicitly as an
+extra argument.
+
+See Also:
+o )show ModularDistinctDegreeFactorizer
+
+\end{chunk}
 \pagehead{ModularDistinctDegreeFactorizer}{MDDFACT}
 \pagepic{ps/v104modulardistinctdegreefactorizer.ps}{MDDFACT}{1.00}
 
@@ -63063,6 +69224,32 @@ ModularDistinctDegreeFactorizer(U):C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MHROWRED ModularHermitianRowReduction}
+\begin{chunk}{ModularHermitianRowReduction.input}
+)set break resume
+)sys rm -f ModularHermitianRowReduction.output
+)spool ModularHermitianRowReduction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModularHermitianRowReduction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ModularHermitianRowReduction.help}
+====================================================================
+ModularHermitianRowReduction examples
+====================================================================
+
+Modular hermitian row reduction.
+
+See Also:
+o )show ModularHermitianRowReduction
+
+\end{chunk}
 \pagehead{ModularHermitianRowReduction}{MHROWRED}
 \pagepic{ps/v104modularhermitianrowreduction.ps}{MHROWRED}{1.00}
 
@@ -63325,6 +69512,33 @@ ModularHermitianRowReduction(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MRF2 MonoidRingFunctions2}
+\begin{chunk}{MonoidRingFunctions2.input}
+)set break resume
+)sys rm -f MonoidRingFunctions2.output
+)spool MonoidRingFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MonoidRingFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MonoidRingFunctions2.help}
+====================================================================
+MonoidRingFunctions2 examples
+====================================================================
+
+MonoidRingFunctions2 implements functions between two monoid rings
+defined with the same monoid over different rings.
+
+See Also:
+o )show MonoidRingFunctions2
+
+\end{chunk}
 \pagehead{MonoidRingFunctions2}{MRF2}
 \pagepic{ps/v104monoidringfunctions2.ps}{MRF2}{1.00}
 
@@ -63367,6 +69581,32 @@ MonoidRingFunctions2(R,S,M) : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MONOTOOL MonomialExtensionTools}
+\begin{chunk}{MonomialExtensionTools.input}
+)set break resume
+)sys rm -f MonomialExtensionTools.output
+)spool MonomialExtensionTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MonomialExtensionTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MonomialExtensionTools.help}
+====================================================================
+MonomialExtensionTools examples
+====================================================================
+
+Tools for handling monomial extensions.
+
+See Also:
+o )show MonomialExtensionTools
+
+\end{chunk}
 \pagehead{MonomialExtensionTools}{MONOTOOL}
 \pagepic{ps/v104monomialextensiontools.ps}{MONOTOOL}{1.00}
 
@@ -63459,6 +69699,35 @@ MonomialExtensionTools(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MSYSCMD MoreSystemCommands}
+\begin{chunk}{MoreSystemCommands.input}
+)set break resume
+)sys rm -f MoreSystemCommands.output
+)spool MoreSystemCommands.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MoreSystemCommands
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MoreSystemCommands.help}
+====================================================================
+MoreSystemCommands examples
+====================================================================
+
+MoreSystemCommands implements an interface with the system command
+facility. These are the commands that are issued from source files or
+the system interpreter and they start with a close parenthesis, e.g.,
+the "what" commands.
+
+See Also:
+o )show MoreSystemCommands
+
+\end{chunk}
 \pagehead{MoreSystemCommands}{MSYSCMD}
 \pagepic{ps/v104moresystemcommands.ps}{MSYSCMD}{1.00}
 
@@ -63496,6 +69765,37 @@ MoreSystemCommands: public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MPCPF MPolyCatPolyFactorizer}
+\begin{chunk}{MPolyCatPolyFactorizer.input}
+)set break resume
+)sys rm -f MPolyCatPolyFactorizer.output
+)spool MPolyCatPolyFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MPolyCatPolyFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MPolyCatPolyFactorizer.help}
+====================================================================
+MPolyCatPolyFactorizer examples
+====================================================================
+
+This package exports a factor operation for multivariate polynomials
+with coefficients which are polynomials over some ring R over which we
+can factor. It is used internally by packages such as the solve
+package which need to work with polynomials in a specific set of
+variables with coefficients which are polynomials in all the other
+variables.
+
+See Also:
+o )show MPolyCatPolyFactorizer
+
+\end{chunk}
 \pagehead{MPolyCatPolyFactorizer}{MPCPF}
 \pagepic{ps/v104mpolycatpolyfactorizer.ps}{MPCPF}{1.00}
 
@@ -63564,6 +69864,36 @@ MPolyCatPolyFactorizer(E,OV,R,PPR) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MPRFF MPolyCatRationalFunctionFactorizer}
+\begin{chunk}{MPolyCatRationalFunctionFactorizer.input}
+)set break resume
+)sys rm -f MPolyCatRationalFunctionFactorizer.output
+)spool MPolyCatRationalFunctionFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MPolyCatRationalFunctionFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MPolyCatRationalFunctionFactorizer.help}
+====================================================================
+MPolyCatRationalFunctionFactorizer examples
+====================================================================
+
+This package exports a factor operation for multivariate polynomials
+with coefficients which are rational functions over some ring R over
+which we can factor. It is used internally by packages such as primary
+decomposition which need to work with polynomials with rational
+function coefficients, i.e. themselves fractions of polynomials.
+
+See Also:
+o )show MPolyCatRationalFunctionFactorizer
+
+\end{chunk}
 \pagehead{MPolyCatRationalFunctionFactorizer}{MPRFF}
 \pagepic{ps/v104mpolycatrationalfunctionfactorizer.ps}{MPRFF}{1.00}
 
@@ -63725,6 +70055,32 @@ MPolyCatRationalFunctionFactorizer(E,OV,R,PRF) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MPC2 MPolyCatFunctions2}
+\begin{chunk}{MPolyCatFunctions2.input}
+)set break resume
+)sys rm -f MPolyCatFunctions2.output
+)spool MPolyCatFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MPolyCatFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MPolyCatFunctions2.help}
+====================================================================
+MPolyCatFunctions2 examples
+====================================================================
+
+Utilities for MPolyCat
+
+See Also:
+o )show MPolyCatFunctions2
+
+\end{chunk}
 \pagehead{MPolyCatFunctions2}{MPC2}
 \pagepic{ps/v104mpolycatfunctions2.ps}{MPC2}{1.00}
 
@@ -63786,6 +70142,32 @@ MPolyCatFunctions2(VarSet,E1,E2,R,S,PR,PS) : public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MPC3 MPolyCatFunctions3}
+\begin{chunk}{MPolyCatFunctions3.input}
+)set break resume
+)sys rm -f MPolyCatFunctions3.output
+)spool MPolyCatFunctions3.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MPolyCatFunctions3
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MPolyCatFunctions3.help}
+====================================================================
+MPolyCatFunctions3 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show MPolyCatFunctions3
+
+\end{chunk}
 \pagehead{MPolyCatFunctions3}{MPC3}
 \pagepic{ps/v104mpolycatfunctions3.ps}{MPC3}{1.00}
 
@@ -63833,6 +70215,34 @@ MPolyCatFunctions3(Vars1,Vars2,E1,E2,R,PR1,PR2): C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MRATFAC MRationalFactorize}
+\begin{chunk}{MRationalFactorize.input}
+)set break resume
+)sys rm -f MRationalFactorize.output
+)spool MRationalFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MRationalFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MRationalFactorize.help}
+====================================================================
+MRationalFactorize examples
+====================================================================
+
+MRationalFactorize contains the factor function for multivariate
+polynomials over the quotient field of a ring R such that the package
+MultivariateFactorize can factor multivariate polynomials over R.
+
+See Also:
+o )show MRationalFactorize
+
+\end{chunk}
 \pagehead{MRationalFactorize}{MRATFAC}
 \pagepic{ps/v104mrationalfactorize.ps}{MRATFAC}{1.00}
 
@@ -63892,6 +70302,32 @@ MRationalFactorize(E,OV,R,P) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MFINFACT MultFiniteFactorize}
+\begin{chunk}{MultFiniteFactorize.input}
+)set break resume
+)sys rm -f MultFiniteFactorize.output
+)spool MultFiniteFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultFiniteFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MultFiniteFactorize.help}
+====================================================================
+MultFiniteFactorize examples
+====================================================================
+
+Package for factorization of multivariate polynomials over finite fields.
+
+See Also:
+o )show MultFiniteFactorize
+
+\end{chunk}
 \pagehead{MultFiniteFactorize}{MFINFACT}
 \pagepic{ps/v104multfinitefactorize.ps}{MFINFACT}{1.00}
 
@@ -64393,6 +70829,32 @@ MultFiniteFactorize(OV,E,F,PG) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MMAP MultipleMap}
+\begin{chunk}{MultipleMap.input}
+)set break resume
+)sys rm -f MultipleMap.output
+)spool MultipleMap.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultipleMap
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MultipleMap.help}
+====================================================================
+MultipleMap examples
+====================================================================
+
+Lifting of a map through 2 levels of polynomials;
+
+See Also:
+o )show MultipleMap
+
+\end{chunk}
 \pagehead{MultipleMap}{MMAP}
 \pagepic{ps/v104multiplemap.ps}{MMAP}{1.00}
 
@@ -64442,6 +70904,35 @@ MultipleMap(R1,UP1,UPUP1,R2,UP2,UPUP2): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MCALCFN MultiVariableCalculusFunctions}
+\begin{chunk}{MultiVariableCalculusFunctions.input}
+)set break resume
+)sys rm -f MultiVariableCalculusFunctions.output
+)spool MultiVariableCalculusFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultiVariableCalculusFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MultiVariableCalculusFunctions.help}
+====================================================================
+MultiVariableCalculusFunctions examples
+====================================================================
+
+MultiVariableCalculusFunctions Package provides several functions for
+multivariable calculus.  These include gradient, hessian and jacobian,
+divergence and laplacian.  Various forms for banded and sparse storage
+of matrices are included.
+
+See Also:
+o )show MultiVariableCalculusFunctions
+
+\end{chunk}
 \pagehead{MultiVariableCalculusFunctions}{MCALCFN}
 \pagepic{ps/v104multivariablecalculusfunctions.ps}{MCALCFN}{1.00}
 
@@ -64619,6 +71110,33 @@ MultiVariableCalculusFunctions(S,F,FLAF,FLAS) : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MULTFACT MultivariateFactorize}
+\begin{chunk}{MultivariateFactorize.input}
+)set break resume
+)sys rm -f MultivariateFactorize.output
+)spool MultivariateFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultivariateFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MultivariateFactorize.help}
+====================================================================
+MultivariateFactorize examples
+====================================================================
+
+This is the top level package for doing multivariate factorization
+over basic domains like Integer or Fraction Integer.
+
+See Also:
+o )show MultivariateFactorize
+
+\end{chunk}
 \pagehead{MultivariateFactorize}{MULTFACT}
 \pagepic{ps/v104multivariatefactorize.ps}{MULTFACT}{1.00}
 
@@ -64682,6 +71200,38 @@ MultivariateFactorize(OV,E,R,P) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MLIFT MultivariateLifting}
+\begin{chunk}{MultivariateLifting.input}
+)set break resume
+)sys rm -f MultivariateLifting.output
+)spool MultivariateLifting.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultivariateLifting
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MultivariateLifting.help}
+====================================================================
+MultivariateLifting examples
+====================================================================
+
+See Also:
+o )show MultivariateLifting
+
+\pagehead{MultivariateLifting}{MLIFT}
+\pagepic{ps/v104multivariatelifting.ps}{MLIFT}{1.00}
+
+{\bf Exports:}\\
+\cross{MLIFT}{corrPoly}
+\cross{MLIFT}{lifting}
+\cross{MLIFT}{lifting1}
+
+\end{chunk}
 \begin{chunk}{package MLIFT MultivariateLifting}
 )abbrev package MLIFT MultivariateLifting
 ++ Author : P.Gianni.
@@ -64911,6 +71461,36 @@ MultivariateLifting(E,OV,R,P) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MULTSQFR MultivariateSquareFree}
+\begin{chunk}{MultivariateSquareFree.input}
+)set break resume
+)sys rm -f MultivariateSquareFree.output
+)spool MultivariateSquareFree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultivariateSquareFree
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{MultivariateSquareFree.help}
+====================================================================
+MultivariateSquareFree examples
+====================================================================
+
+This package provides the functions for the computation of the square
+free decomposition of a multivariate polynomial.  It uses the package
+GenExEuclid for the resolution of the equation Af + Bg = h and its
+generalization to n polynomials over an integral domain and the
+package MultivariateLifting for the "multivariate" lifting.
+
+See Also:
+o )show MultivariateSquareFree
+
+\end{chunk}
 \pagehead{MultivariateSquareFree}{MULTSQFR}
 \pagepic{ps/v104multivariatesquarefree.ps}{MULTSQFR}{1.00}
 
@@ -65281,6 +71861,21 @@ MultivariateSquareFree (E,OV,R,P) : C == T where
 \chapter{Chapter N}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGF02 NagEigenPackage}
+\begin{chunk}{NagEigenPackage.input}
+)set break resume
+)sys rm -f NagEigenPackage.output
+)spool NagEigenPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagEigenPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
 \begin{chunk}{NagEigenPackage.help}
 
 This package uses the NAG Library to compute
@@ -69183,6 +75778,21 @@ NagEigenPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGE02 NagFittingPackage}
+\begin{chunk}{NagFittingPackage.input}
+)set break resume
+)sys rm -f NagFittingPackage.output
+)spool NagFittingPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagFittingPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
 \begin{chunk}{NagFittingPackage.help}
 
 This package uses the NAG Library to find a function which
@@ -76304,6 +82914,22 @@ NagFittingPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGF04 NagLinearEquationSolvingPackage}
+\begin{chunk}{NagLinearEquationSolvingPackage.input}
+)set break resume
+)sys rm -f NagLinearEquationSolvingPackage.output
+)spool NagLinearEquationSolvingPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagLinearEquationSolvingPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagLinearEquationSolvingPackage.help}
 
 This package uses the NAG Library to solve the matrix equation 
@@ -79981,6 +86607,32 @@ NagLinearEquationSolvingPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGSP NAGLinkSupportPackage}
+\begin{chunk}{NAGLinkSupportPackage.input}
+)set break resume
+)sys rm -f NAGLinkSupportPackage.output
+)spool NAGLinkSupportPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NAGLinkSupportPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NAGLinkSupportPackage.help}
+====================================================================
+NAGLinkSupportPackage examples
+====================================================================
+
+Support functions for the NAG Library Link functions
+
+See Also:
+o )show NAGLinkSupportPackage
+
+\end{chunk}
 \pagehead{NAGLinkSupportPackage}{NAGSP}
 \pagepic{ps/v104naglinksupportpackage.ps}{NAGSP}{1.00}
 
@@ -80072,6 +86724,22 @@ NAGLinkSupportPackage() : exports == implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGD01 NagIntegrationPackage}
+\begin{chunk}{NagIntegrationPackage.input}
+)set break resume
+)sys rm -f NagIntegrationPackage.output
+)spool NagIntegrationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagIntegrationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagIntegrationPackage.help}
 
 This package uses the NAG Library to calculate the numerical value of
@@ -84360,6 +91028,22 @@ NagIntegrationPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGE01 NagInterpolationPackage}
+\begin{chunk}{NagInterpolationPackage.input}
+)set break resume
+)sys rm -f NagInterpolationPackage.output
+)spool NagInterpolationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagInterpolationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagInterpolationPackage.help}
 
 This package uses the NAG Library to calculate the interpolation of a 
@@ -86613,6 +93297,22 @@ NagInterpolationPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGF07 NagLapack}
+\begin{chunk}{NagLapack.input}
+)set break resume
+)sys rm -f NagLapack.output
+)spool NagLapack.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagLapack
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagLapack.help}
 
 This package uses the NAG Library to compute matrix factorizations,
@@ -87452,6 +94152,22 @@ NagLapack(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGF01 NagMatrixOperationsPackage}
+\begin{chunk}{NagMatrixOperationsPackage.input}
+)set break resume
+)sys rm -f NagMatrixOperationsPackage.output
+)spool NagMatrixOperationsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagMatrixOperationsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagMatrixOperationsPackage.help}
 
 This package uses the NAG Library to provide facilities for matrix 
@@ -90580,6 +97296,22 @@ NagMatrixOperationsPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGE04 NagOptimisationPackage}
+\begin{chunk}{NagOptimisationPackage.input}
+)set break resume
+)sys rm -f NagOptimisationPackage.output
+)spool NagOptimisationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagOptimisationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagOptimisationPackage.help}
 
 This package uses the NAG Library to perform optimization.  An
@@ -98580,6 +105312,22 @@ NagOptimisationPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGD02 NagOrdinaryDifferentialEquationsPackage}
+\begin{chunk}{NagOrdinaryDifferentialEquationsPackage.input}
+)set break resume
+)sys rm -f NagOrdinaryDifferentialEquationsPackage.output
+)spool NagOrdinaryDifferentialEquationsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagOrdinaryDifferentialEquationsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagOrdinaryDifferentialEquationsPackage.help}
 
 This package uses the NAG Library to calculate the numerical solution
@@ -103576,6 +110324,22 @@ NagOrdinaryDifferentialEquationsPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGD03 NagPartialDifferentialEquationsPackage}
+\begin{chunk}{NagPartialDifferentialEquationsPackage.input}
+)set break resume
+)sys rm -f NagPartialDifferentialEquationsPackage.output
+)spool NagPartialDifferentialEquationsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagPartialDifferentialEquationsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagPartialDifferentialEquationsPackage.help}
 
 This package uses the NAG Library to solve partial differential equations.
@@ -105539,6 +112303,22 @@ NagPartialDifferentialEquationsPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGC02 NagPolynomialRootsPackage}
+\begin{chunk}{NagPolynomialRootsPackage.input}
+)set break resume
+)sys rm -f NagPolynomialRootsPackage.output
+)spool NagPolynomialRootsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagPolynomialRootsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagPolynomialRootsPackage.help}
 
 This package uses the NAG Library to compute the zeros of a polynomial
@@ -106312,6 +113092,22 @@ NagPolynomialRootsPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGC05 NagRootFindingPackage}
+\begin{chunk}{NagRootFindingPackage.input}
+)set break resume
+)sys rm -f NagRootFindingPackage.output
+)spool NagRootFindingPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagRootFindingPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagRootFindingPackage.help}
 
 This package uses the NAG Library to calculate real zeros of continuous
@@ -107282,6 +114078,22 @@ NagRootFindingPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGC06 NagSeriesSummationPackage}
+\begin{chunk}{NagSeriesSummationPackage.input}
+)set break resume
+)sys rm -f NagSeriesSummationPackage.output
+)spool NagSeriesSummationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagSeriesSummationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagSeriesSummationPackage.help}
 
 This package uses the NAG Library to calculate the discrete Fourier
@@ -109819,6 +116631,22 @@ NagSeriesSummationPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGS NagSpecialFunctionsPackage}
+\begin{chunk}{NagSpecialFunctionsPackage.input}
+)set break resume
+)sys rm -f NagSpecialFunctionsPackage.output
+)spool NagSpecialFunctionsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NagSpecialFunctionsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+
 \begin{chunk}{NagSpecialFunctionsPackage.help}
 
 This package uses the NAG Library to compute some commonly occurring
@@ -117936,6 +124764,36 @@ NagSpecialFunctionsPackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NSUP2 NewSparseUnivariatePolynomialFunctions2}
+\begin{chunk}{NewSparseUnivariatePolynomialFunctions2.input}
+)set break resume
+)sys rm -f NewSparseUnivariatePolynomialFunctions2.output
+)spool NewSparseUnivariatePolynomialFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NewSparseUnivariatePolynomialFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NewSparseUnivariatePolynomialFunctions2.help}
+====================================================================
+NewSparseUnivariatePolynomialFunctions2 examples
+====================================================================
+
+This package lifts a mapping from coefficient rings R to S to a
+mapping from sparse univariate polynomial over R to a sparse
+univariate polynomial over S.  Note that the mapping is assumed to
+send zero to zero, since it will only be applied to the non-zero
+coefficients of the polynomial.
+
+See Also:
+o )show NewSparseUnivariatePolynomialFunctions2
+
+\end{chunk}
 \pagehead{NewSparseUnivariatePolynomialFunctions2}{NSUP2}
 \pagepic{ps/v104newsparseunivariatepolynomialfunctions2.ps}{NSUP2}{1.00}
 
@@ -117971,6 +124829,35 @@ NewSparseUnivariatePolynomialFunctions2(R:Ring, S:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NEWTON NewtonInterpolation}
+\begin{chunk}{NewtonInterpolation.input}
+)set break resume
+)sys rm -f NewtonInterpolation.output
+)spool NewtonInterpolation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NewtonInterpolation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NewtonInterpolation.help}
+====================================================================
+NewtonInterpolation examples
+====================================================================
+
+This package exports Newton interpolation for the special case where
+the result is known to be in the original integral domain The packages
+defined in this file provide fast fraction free rational interpolation
+algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)
+
+See Also:
+o )show NewtonInterpolation
+
+\end{chunk}
 \pagehead{NewtonInterpolation}{NEWTON}
 \pagepic{ps/v104newtoninterpolation.ps}{NEWTON}{1.00}
 
@@ -118291,6 +125178,38 @@ NewtonPolygon(K,PolyRing,E,dim):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NCODIV NonCommutativeOperatorDivision}
+\begin{chunk}{NonCommutativeOperatorDivision.input}
+)set break resume
+)sys rm -f NonCommutativeOperatorDivision.output
+)spool NonCommutativeOperatorDivision.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonCommutativeOperatorDivision
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NonCommutativeOperatorDivision.help}
+====================================================================
+NonCommutativeOperatorDivision examples
+====================================================================
+
+This package provides a division and related operations for
+MonogenicLinearOperator over a Field.
+Since the multiplication is in general non-commutative,
+these operations all have left- and right-hand versions.
+This package provides the operations based on left-division.
+
+     [q,r] = leftDivide(a,b) means a=b*q+r
+
+See Also:
+o )show NonCommutativeOperatorDivision
+
+\end{chunk}
 \pagehead{NonCommutativeOperatorDivision}{NCODIV}
 \pagepic{ps/v104noncommutativeoperatordivision.ps}{NCODIV}{1.00}
 
@@ -118400,6 +125319,34 @@ NonCommutativeOperatorDivision(P, F): PDcat == PDdef  where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NONE1 NoneFunctions1}
+\begin{chunk}{NoneFunctions1.input}
+)set break resume
+)sys rm -f NoneFunctions1.output
+)spool NoneFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NoneFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NoneFunctions1.help}
+====================================================================
+NoneFunctions1 examples
+====================================================================
+
+NoneFunctions1 implements functions on None.  It particular it
+includes a particulary dangerous coercion from any other type to
+\spadtype{None}.
+
+See Also:
+o )show NoneFunctions1
+
+\end{chunk}
 \pagehead{NoneFunctions1}{NONE1}
 \pagepic{ps/v104nonefunctions1.ps}{NONE1}{1.00}
 
@@ -118431,6 +125378,34 @@ NoneFunctions1(S:Type): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NODE1 NonLinearFirstOrderODESolver}
+\begin{chunk}{NonLinearFirstOrderODESolver.input}
+)set break resume
+)sys rm -f NonLinearFirstOrderODESolver.output
+)spool NonLinearFirstOrderODESolver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonLinearFirstOrderODESolver
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NonLinearFirstOrderODESolver.help}
+====================================================================
+NonLinearFirstOrderODESolver examples
+====================================================================
+
+NonLinearFirstOrderODESolver provides a function for finding closed
+form first integrals of nonlinear ordinary differential equations of
+order 1.
+
+See Also:
+o )show NonLinearFirstOrderODESolver
+
+\end{chunk}
 \pagehead{NonLinearFirstOrderODESolver}{NODE1}
 \pagepic{ps/v104nonlinearfirstorderodesolver.ps}{NODE1}{1.00}
 
@@ -118595,6 +125570,35 @@ NonLinearFirstOrderODESolver(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NLINSOL NonLinearSolvePackage}
+\begin{chunk}{NonLinearSolvePackage.input}
+)set break resume
+)sys rm -f NonLinearSolvePackage.output
+)spool NonLinearSolvePackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonLinearSolvePackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NonLinearSolvePackage.help}
+====================================================================
+NonLinearSolvePackage examples
+====================================================================
+
+NonLinearSolvePackage is an interface to SystemSolvePackage that
+attempts to retract the coefficients of the equations before
+solving. The solutions are given in the algebraic closure of R
+whenever possible.
+
+See Also:
+o )show NonLinearSolvePackage
+
+\end{chunk}
 \pagehead{NonLinearSolvePackage}{NLINSOL}
 \pagepic{ps/v104nonlinearsolvepackage.ps}{NLINSOL}{1.00}
 
@@ -118711,6 +125715,33 @@ NonLinearSolvePackage(R:IntegralDomain): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NORMPK NormalizationPackage}
+\begin{chunk}{NormalizationPackage.input}
+)set break resume
+)sys rm -f NormalizationPackage.output
+)spool NormalizationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NormalizationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NormalizationPackage.help}
+====================================================================
+NormalizationPackage examples
+====================================================================
+
+A package for computing normalized assocites of univariate polynomials
+with coefficients in a tower of simple extensions of a field.
+
+See Also:
+o )show NormalizationPackage
+
+\end{chunk}
 \pagehead{NormalizationPackage}{NORMPK}
 \pagepic{ps/v104normalizationpackage.ps}{NORMPK}{1.00}
 
@@ -118923,6 +125954,33 @@ NormalizationPackage(R,E,V,P,TS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NORMMA NormInMonogenicAlgebra}
+\begin{chunk}{NormInMonogenicAlgebra.input}
+)set break resume
+)sys rm -f NormInMonogenicAlgebra.output
+)spool NormInMonogenicAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NormInMonogenicAlgebra
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NormInMonogenicAlgebra.help}
+====================================================================
+NormInMonogenicAlgebra examples
+====================================================================
+
+This package implements the norm of a polynomial with coefficients
+in a monogenic algebra (using resultants)
+
+See Also:
+o )show NormInMonogenicAlgebra
+
+\end{chunk}
 \pagehead{NormInMonogenicAlgebra}{NORMMA}
 \pagepic{ps/v104norminmonogenicalgebra.ps}{NORMMA}{1.00}
 
@@ -118975,6 +126033,32 @@ NormInMonogenicAlgebra(R, PolR, E, PolE): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NORMRETR NormRetractPackage}
+\begin{chunk}{NormRetractPackage.input}
+)set break resume
+)sys rm -f NormRetractPackage.output
+)spool NormRetractPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NormRetractPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NormRetractPackage.help}
+====================================================================
+NormRetractPackage examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show NormRetractPackage
+
+\end{chunk}
 \pagehead{NormRetractPackage}{NORMRETR}
 \pagepic{ps/v104normretractpackage.ps}{NORMRETR}{1.00}
 
@@ -119050,6 +126134,35 @@ NormRetractPackage(F, ExtF, SUEx, ExtP, n):C  == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NPCOEF NPCoef}
+\begin{chunk}{NPCoef.input}
+)set break resume
+)sys rm -f NPCoef.output
+)spool NPCoef.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NPCoef
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NPCoef.help}
+====================================================================
+NPCoef examples
+====================================================================
+
+Package for the determination of the coefficients in the lifting
+process. Used by MultivariateLifting.  This package will work for
+every euclidean domain R which has property F, i.e. there exists a
+factor operation in R[x].
+
+See Also:
+o )show NPCoef
+
+\end{chunk}
 \pagehead{NPCoef}{NPCOEF}
 \pagepic{ps/v104npcoef.ps}{NPCOEF}{1.00}
 
@@ -119225,6 +126338,35 @@ NPCoef(BP,E,OV,R,P) : C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NFINTBAS NumberFieldIntegralBasis}
+\begin{chunk}{NumberFieldIntegralBasis.input}
+)set break resume
+)sys rm -f NumberFieldIntegralBasis.output
+)spool NumberFieldIntegralBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumberFieldIntegralBasis
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumberFieldIntegralBasis.help}
+====================================================================
+NumberFieldIntegralBasis examples
+====================================================================
+
+In this package F is a framed algebra over the integers (typically
+F = Z[a] for some algebraic integer a).  The package provides
+functions to compute the integral closure of Z in the quotient
+quotient field of F.
+
+See Also:
+o )show NumberFieldIntegralBasis
+
+\end{chunk}
 \pagehead{NumberFieldIntegralBasis}{NFINTBAS}
 \pagepic{ps/v104numberfieldintegralbasis.ps}{NFINTBAS}{1.00}
 
@@ -119465,6 +126607,33 @@ NumberFieldIntegralBasis(UP,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NUMFMT NumberFormats}
+\begin{chunk}{NumberFormats.input}
+)set break resume
+)sys rm -f NumberFormats.output
+)spool NumberFormats.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumberFormats
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumberFormats.help}
+====================================================================
+NumberFormats examples
+====================================================================
+
+NumberFormats provides function to format and read arabic and roman
+numbers, to convert numbers to strings and to read floating-point numbers.
+
+See Also:
+o )show NumberFormats
+
+\end{chunk}
 \pagehead{NumberFormats}{NUMFMT}
 \pagepic{ps/v104numberformats.ps}{NUMFMT}{1.00}
 
@@ -119678,6 +126847,32 @@ NumberFormats(): NFexports == NFimplementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NTPOLFN NumberTheoreticPolynomialFunctions}
+\begin{chunk}{NumberTheoreticPolynomialFunctions.input}
+)set break resume
+)sys rm -f NumberTheoreticPolynomialFunctions.output
+)spool NumberTheoreticPolynomialFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumberTheoreticPolynomialFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumberTheoreticPolynomialFunctions.help}
+====================================================================
+NumberTheoreticPolynomialFunctions examples
+====================================================================
+
+This package provides polynomials as functions on a ring.
+
+See Also:
+o )show NumberTheoreticPolynomialFunctions
+
+\end{chunk}
 \pagehead{NumberTheoreticPolynomialFunctions}{NTPOLFN}
 \pagepic{ps/v104numbertheoreticpolynomialfunctions.ps}{NTPOLFN}{1.00}
 
@@ -119758,6 +126953,33 @@ NumberTheoreticPolynomialFunctions(R: CommutativeRing): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NUMERIC Numeric}
+\begin{chunk}{Numeric.input}
+)set break resume
+)sys rm -f Numeric.output
+)spool Numeric.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Numeric
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{Numeric.help}
+====================================================================
+Numeric examples
+====================================================================
+
+Numeric provides real and complex numerical evaluation functions for
+various symbolic types.
+
+See Also:
+o )show Numeric
+
+\end{chunk}
 \pagehead{Numeric}{NUMERIC}
 \pagepic{ps/v104numeric.ps}{NUMERIC}{1.00}
 
@@ -120206,6 +127428,158 @@ Numeric(S:ConvertibleTo Float): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NUMODE NumericalOrdinaryDifferentialEquations}
+\begin{chunk}{NumericalOrdinaryDifferentialEquations.input}
+)set break resume
+)sys rm -f NumericalOrdinaryDifferentialEquations.output
+)spool NumericalOrdinaryDifferentialEquations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalOrdinaryDifferentialEquations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumericalOrdinaryDifferentialEquations.help}
+====================================================================
+NumericalOrdinaryDifferentialEquations examples
+====================================================================
+
+This package is a suite of functions for the numerical integration of an
+ordinary differential equation of n variables:
+
+     dy/dx = f(y,x)     y is an n-vector
+
+All the routines are based on a 4-th order Runge-Kutta kernel.
+
+These routines generally have as arguments:
+
+     n,      the number of dependent variables;\br
+     x1,     the initial point;\br
+     h,      the step size;\br
+     y,      a vector of initial conditions of length n\br
+
+which upon exit contains the solution at x1 + h
+
+derivs, a function which computes the right hand side of the
+ordinary differential equation: 
+
+     derivs(dydx,y,x) 
+
+computes dydx, a vector which contains the derivative information.
+
+In order of increasing complexity:
+
+     rk4(y,n,x1,h,derivs) 
+
+advances the solution vector to
+
+     x1 + h               
+
+and return the values in y.
+
+     rk4(y,n,x1,h,derivs,t1,t2,t3,t4) 
+
+is the same as
+
+     rk4(y,n,x1,h,derivs)     
+
+except that you must provide 4 scratch
+
+     arrays t1-t4 of size n
+
+Starting with y at x1, 
+
+     rk4f(y,n,x1,x2,ns,derivs)
+
+uses ns fixed steps of a 4-th order Runge-Kutta integrator to advance 
+the solution vector to x2 and return the values in y.  Argument x2, is 
+the final point, and ns, the number of steps to take.
+
+     rk4qc(y,n,x1,step,eps,yscal,derivs) 
+
+takes a 5-th order Runge-Kutta step with monitoring of local truncation 
+to ensure accuracy and adjust stepsize.
+
+The function takes two half steps and one full step and scales
+the difference in solutions at the final point. If the error is
+within eps, the step is taken and the result is returned.
+
+If the error is not within eps, the stepsize if decreased
+and the procedure is tried again until the desired accuracy is
+reached. Upon input, an trial step size must be given and upon
+return, an estimate of the next step size to use is returned as
+well as the step size which produced the desired accuracy.
+
+The scaled error is computed as
+
+     error = MAX(ABS((y2steps(i) - y1step(i))/yscal(i)))
+
+and this is compared against eps. If this is greater than eps, 
+the step size is reduced accordingly to 
+
+     hnew = 0.9 * hdid * (error/eps)**(-1/4)
+
+If the error criterion is satisfied, then we check if the
+step size was too fine and return a more efficient one. If
+     
+      error > eps * (6.0E-04) 
+
+then the next step size should be 
+
+     hnext = 0.9 * hdid * (error/eps)**(-1/5)
+
+Otherwise 
+
+     hnext = 4.0 * hdid
+
+is returned.
+
+A more detailed discussion of this and related topics can be
+found in the book "Numerical Recipies" by W.Press, B.P. Flannery, 
+S.A. Teukolsky, W.T. Vetterling published by Cambridge University Press.
+
+Argument step is a record of 3 floating point numbers (try , did , next),
+epsis the required accuracy, yscal is the scaling vector for the 
+difference in solutions.
+
+On input, step.try should be the guess at a step size to achieve the accuracy.
+On output, step.did contains the step size which achieved the accuracy 
+and step.next is the next step size to use.
+
+     rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7) 
+
+is the same as 
+
+     rk4qc(y,n,x1,step,eps,yscal,derivs) 
+
+except that the user must provide the 7 scratch arrays t1-t7 of size n.
+
+     rk4a(y,n,x1,x2,eps,h,ns,derivs)
+
+is a driver program which uses rk4qc to integrate n ordinary
+differential equations starting at x1 to x2, keeping the local
+truncation error to within eps by changing the local step size.
+
+The scaling vector is defined as
+
+     yscal(i) = abs(y(i)) + abs(h*dydx(i)) + tiny
+
+where y(i) is the solution at location x, dydx is the ordinary 
+differential equation's right hand side, h is the current step size 
+and tiny is 10 times the smallest positive number representable.
+
+The user must supply an estimate for a trial step size and the 
+maximum number of calls to rk4qc to use. Argument x2 is the final point,
+eps is local truncation, ns is the maximum number of call to rk4qc to use.
+
+See Also:
+o )show NumericalOrdinaryDifferentialEquations
+
+\end{chunk}
 \pagehead{NumericalOrdinaryDifferentialEquations}{NUMODE}
 \pagepic{ps/v104numericalordinarydifferentialequations.ps}{NUMODE}{1.00}
 
@@ -120575,6 +127949,94 @@ NumericalOrdinaryDifferentialEquations(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NUMQUAD NumericalQuadrature}
+\begin{chunk}{NumericalQuadrature.input}
+)set break resume
+)sys rm -f NumericalQuadrature.output
+)spool NumericalQuadrature.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalQuadrature
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumericalQuadrature.help}
+====================================================================
+NumericalQuadrature examples
+====================================================================
+
+This suite of routines performs numerical quadrature using
+algorithms derived from the basic trapezoidal rule. Because
+the error term of this rule contains only even powers of the
+step size (for open and closed versions), fast convergence
+can be obtained if the integrand is sufficiently smooth.
+
+Each routine returns a Record of type TrapAns, which contains
+   value Float:      estimate of the integral
+   error Float:      estimate of the error in the computation
+   totalpts Integer: total number of function evaluations
+   success Boolean:  if the integral was computed within the user 
+                     specified error criterion
+
+To produce this estimate, each routine generates an internal
+sequence of sub-estimates, denoted by S(i), depending on the
+routine, to which the various convergence criteria are applied.
+The user must supply a relative accuracy, eps_r, and an absolute
+accuracy, eps_a. Convergence is obtained when either
+
+     ABS(S(i) - S(i-1)) < eps_r * ABS(S(i-1))
+or 
+     ABS(S(i) - S(i-1)) < eps_a
+are true statements.
+
+The routines come in three families and three flavors:
+   closed: romberg, simpson, trapezoidal
+   open: rombergo, simpsono, trapezoidalo
+   adaptive closed: aromberg, asimpson, atrapezoidal
+
+The S(i) for the trapezoidal family is the value of the integral using
+an equally spaced absicca trapezoidal rule for that level of refinement.
+
+The S(i) for the simpson family is the value of the integral using an
+equally spaced absicca simpson rule for that level of refinement.
+
+The S(i) for the romberg family is the estimate of the integral using
+an equally spaced absicca romberg method. For the i-th level, this is
+an appropriate combination of all the previous trapezodial estimates
+so that the error term starts with the 2*(i+1) power only.  
+
+The three families come in a closed version, where the formulas include
+the endpoints, an open version where the formulas do not include
+the endpoints and an adaptive version, where the user is required
+to input the number of subintervals over which the appropriate
+closed family integrator will apply with the usual convergence
+parmeters for each subinterval. This is useful where a large number
+of points are needed only in a small fraction of the entire domain.
+
+Each routine takes as arguments:
+      f integrand  
+      a starting point
+      b ending point
+      eps_r relative error
+      eps_a absolute error
+      nmin refinement level when to start checking for convergence (> 1)
+      nmax maximum level of refinement
+
+The adaptive routines take as an additional parameter, 
+     nint, the number of independent intervals to apply a closed 
+           family integrator of the same name.  
+
+Note that closed family level i uses 1 + 2**i points. 
+Open family level i uses 1 + 3**i points.
+
+See Also:
+o )show NumericalQuadrature
+
+\end{chunk}
 \pagehead{NumericalQuadrature}{NUMQUAD}
 \pagepic{ps/v104numericalquadrature.ps}{NUMQUAD}{1.00}
 
@@ -121140,6 +128602,35 @@ NumericalQuadrature(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NCEP NumericComplexEigenPackage}
+\begin{chunk}{NumericComplexEigenPackage.input}
+)set break resume
+)sys rm -f NumericComplexEigenPackage.output
+)spool NumericComplexEigenPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericComplexEigenPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumericComplexEigenPackage.help}
+====================================================================
+NumericComplexEigenPackage examples
+====================================================================
+
+This package computes explicitly eigenvalues and eigenvectors of
+matrices with entries over the complex rational numbers.
+The results are expressed either as complex floating numbers or as
+complex rational numbers depending on the type of the precision parameter.
+
+See Also:
+o )show NumericComplexEigenPackage
+
+\end{chunk}
 \pagehead{NumericComplexEigenPackage}{NCEP}
 \pagepic{ps/v104numericcomplexeigenpackage.ps}{NCEP}{1.00}
 
@@ -121233,6 +128724,33 @@ NumericComplexEigenPackage(Par) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NCNTFRAC NumericContinuedFraction}
+\begin{chunk}{NumericContinuedFraction.input}
+)set break resume
+)sys rm -f NumericContinuedFraction.output
+)spool NumericContinuedFraction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericContinuedFraction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumericContinuedFraction.help}
+====================================================================
+NumericContinuedFraction examples
+====================================================================
+
+NumericContinuedFraction provides functions for converting floating 
+point numbers to continued fractions.
+
+See Also:
+o )show NumericContinuedFraction
+
+\end{chunk}
 \pagehead{NumericContinuedFraction}{NCNTFRAC}
 \pagepic{ps/v104numericcontinuedfraction.ps}{NCNTFRAC}{1.00}
 
@@ -121284,6 +128802,35 @@ NumericContinuedFraction(F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NREP NumericRealEigenPackage}
+\begin{chunk}{NumericRealEigenPackage.input}
+)set break resume
+)sys rm -f NumericRealEigenPackage.output
+)spool NumericRealEigenPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericRealEigenPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumericRealEigenPackage.help}
+====================================================================
+NumericRealEigenPackage examples
+====================================================================
+
+This package computes explicitly eigenvalues and eigenvectors of
+matrices with entries over the Rational Numbers.  The results are
+expressed as floating numbers or as rational numbers depending on the
+type of the parameter Par.
+
+See Also:
+o )show NumericRealEigenPackage
+
+\end{chunk}
 \pagehead{NumericRealEigenPackage}{NREP}
 \pagepic{ps/v104numericrealeigenpackage.ps}{NREP}{1.00}
 
@@ -121375,6 +128922,32 @@ NumericRealEigenPackage(Par) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NUMTUBE NumericTubePlot}
+\begin{chunk}{NumericTubePlot.input}
+)set break resume
+)sys rm -f NumericTubePlot.output
+)spool NumericTubePlot.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericTubePlot
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{NumericTubePlot.help}
+====================================================================
+NumericTubePlot examples
+====================================================================
+
+Package for constructing tubes around 3-dimensional parametric curves.
+
+See Also:
+o )show NumericTubePlot
+
+\end{chunk}
 \pagehead{NumericTubePlot}{NUMTUBE}
 \pagepic{ps/v104numerictubeplot.ps}{NUMTUBE}{1.00}
 
@@ -121496,6 +129069,34 @@ NumericTubePlot(Curve): Exports == Implementation where
 \chapter{Chapter O}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OCTCT2 OctonionCategoryFunctions2}
+\begin{chunk}{OctonionCategoryFunctions2.input}
+)set break resume
+)sys rm -f OctonionCategoryFunctions2.output
+)spool OctonionCategoryFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OctonionCategoryFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OctonionCategoryFunctions2.help}
+====================================================================
+OctonionCategoryFunctions2 examples
+====================================================================
+
+OctonionCategoryFunctions2 implements functions between two octonion
+domains defined over different rings.  The function map is used to
+coerce between octonion types.
+
+See Also:
+o )show OctonionCategoryFunctions2
+
+\end{chunk}
 \pagehead{OctonionCategoryFunctions2}{OCTCT2}
 \pagepic{ps/v104octonioncategoryfunctions2.ps}{OCTCT2}{1.00}
 
@@ -121536,6 +129137,34 @@ OctonionCategoryFunctions2(OR,R,OS,S) : Exports ==
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODEINT ODEIntegration}
+\begin{chunk}{ODEIntegration.input}
+)set break resume
+)sys rm -f ODEIntegration.output
+)spool ODEIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ODEIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ODEIntegration.help}
+====================================================================
+ODEIntegration examples
+====================================================================
+
+ODEIntegration provides an interface to the integrator.
+This package is intended for use by the differential equations 
+solver but not at top-level.
+
+See Also:
+o )show ODEIntegration
+
+\end{chunk}
 \pagehead{ODEIntegration}{ODEINT}
 \pagepic{ps/v104odeintegration.ps}{ODEINT}{1.00}
 
@@ -121646,6 +129275,32 @@ ODEIntegration(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODETOOLS ODETools}
+\begin{chunk}{ODETools.input}
+)set break resume
+)sys rm -f ODETools.output
+)spool ODETools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ODETools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ODETools.help}
+====================================================================
+ODETools examples
+====================================================================
+
+ODETools provides tools for the linear ODE solver.
+
+See Also:
+o )show ODETools
+
+\end{chunk}
 \pagehead{ODETools}{ODETOOLS}
 \pagepic{ps/v104odetools.ps}{ODETOOLS}{1.00}
 
@@ -121732,6 +129387,33 @@ ODETools(F, LODO): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ARRAY12 OneDimensionalArrayFunctions2}
+\begin{chunk}{OneDimensionalArrayFunctions2.input}
+)set break resume
+)sys rm -f OneDimensionalArrayFunctions2.output
+)spool OneDimensionalArrayFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OneDimensionalArrayFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OneDimensionalArrayFunctions2.help}
+====================================================================
+OneDimensionalArrayFunctions2 examples
+====================================================================
+
+This package provides tools for operating on one-dimensional arrays
+with unary and binary functions involving different underlying types
+
+See Also:
+o )show OneDimensionalArrayFunctions2
+
+\end{chunk}
 \pagehead{OneDimensionalArrayFunctions2}{ARRAY12}
 \pagepic{ps/v104onedimensionalarrayfunctions2.ps}{ARRAY12}{1.00}
 
@@ -121802,6 +129484,32 @@ OneDimensionalArrayFunctions2(A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ONECOMP2 OnePointCompletionFunctions2}
+\begin{chunk}{OnePointCompletionFunctions2.input}
+)set break resume
+)sys rm -f OnePointCompletionFunctions2.output
+)spool OnePointCompletionFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OnePointCompletionFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OnePointCompletionFunctions2.help}
+====================================================================
+OnePointCompletionFunctions2 examples
+====================================================================
+
+Lifting of maps to one-point completions.
+
+See Also:
+o )show OnePointCompletionFunctions2
+
+\end{chunk}
 \pagehead{OnePointCompletionFunctions2}{ONECOMP2}
 \pagepic{ps/v104onepointcompletionfunctions2.ps}{ONECOMP2}{1.00}
 
@@ -121848,6 +129556,33 @@ OnePointCompletionFunctions2(R, S): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OMPKG OpenMathPackage}
+\begin{chunk}{OpenMathPackage.input}
+)set break resume
+)sys rm -f OpenMathPackage.output
+)spool OpenMathPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OpenMathPackage.help}
+====================================================================
+OpenMathPackage examples
+====================================================================
+
+OpenMathPackage provides some simple utilities to make reading
+OpenMath objects easier.
+
+See Also:
+o )show OpenMathPackage
+
+\end{chunk}
 \pagehead{OpenMathPackage}{OMPKG}
 \pagepic{ps/v104openmathpackage.ps}{OMPKG}{1.00}
 
@@ -121941,6 +129676,36 @@ OpenMathPackage(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OMSERVER OpenMathServerPackage}
+\begin{chunk}{OpenMathServerPackage.input}
+)set break resume
+)sys rm -f OpenMathServerPackage.output
+)spool OpenMathServerPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathServerPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OpenMathServerPackage.help}
+====================================================================
+OpenMathServerPackage examples
+====================================================================
+
+OpenMathServerPackage provides the necessary operations to run Axiom
+as an OpenMath server, reading/writing objects to/from a port.  Please
+note the facilities available here are very basic.  The idea is that a
+user calls e.g. Omserve(4000,60) and then another process sends
+OpenMath objects to port 4000 and reads the result.
+
+See Also:
+o )show OpenMathServerPackage
+
+\end{chunk}
 \pagehead{OpenMathServerPackage}{OMSERVER}
 \pagepic{ps/v104openmathserverpackage.ps}{OMSERVER}{1.00}
 
@@ -122017,6 +129782,32 @@ OpenMathServerPackage(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OPQUERY OperationsQuery}
+\begin{chunk}{OperationsQuery.input}
+)set break resume
+)sys rm -f OperationsQuery.output
+)spool OperationsQuery.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OperationsQuery
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OperationsQuery.help}
+====================================================================
+OperationsQuery examples
+====================================================================
+
+This package exports tools to create Axiom Library information databases.
+
+See Also:
+o )show OperationsQuery
+
+\end{chunk}
 \pagehead{OperationsQuery}{OPQUERY}
 \pagepic{ps/v104operationsquery.ps}{OPQUERY}{1.00}
 
@@ -122046,6 +129837,32 @@ OperationsQuery(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ORDCOMP2 OrderedCompletionFunctions2}
+\begin{chunk}{OrderedCompletionFunctions2.input}
+)set break resume
+)sys rm -f OrderedCompletionFunctions2.output
+)spool OrderedCompletionFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedCompletionFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OrderedCompletionFunctions2.help}
+====================================================================
+OrderedCompletionFunctions2 examples
+====================================================================
+
+Lifting of maps to ordered completions.
+
+See Also:
+o )show OrderedCompletionFunctions2
+
+\end{chunk}
 \pagehead{OrderedCompletionFunctions2}{ORDCOMP2}
 \pagepic{ps/v104orderedcompletionfunctions2.ps}{ORDCOMP2}{1.00}
 
@@ -122095,6 +129912,33 @@ OrderedCompletionFunctions2(R, S): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ORDFUNS OrderingFunctions}
+\begin{chunk}{OrderingFunctions.input}
+)set break resume
+)sys rm -f OrderingFunctions.output
+)spool OrderingFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderingFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OrderingFunctions.help}
+====================================================================
+OrderingFunctions examples
+====================================================================
+
+This package provides ordering functions on vectors which are suitable
+parameters for OrderedDirectProduct.
+
+See Also:
+o )show OrderingFunctions
+
+\end{chunk}
 \pagehead{OrderingFunctions}{ORDFUNS}
 \pagepic{ps/v104orderingfunctions.ps}{ORDFUNS}{1.00}
 
@@ -122177,6 +130021,32 @@ OrderingFunctions(dim,S) : T == C  where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ORTHPOL OrthogonalPolynomialFunctions}
+\begin{chunk}{OrthogonalPolynomialFunctions.input}
+)set break resume
+)sys rm -f OrthogonalPolynomialFunctions.output
+)spool OrthogonalPolynomialFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrthogonalPolynomialFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OrthogonalPolynomialFunctions.help}
+====================================================================
+OrthogonalPolynomialFunctions examples
+====================================================================
+
+This package provides orthogonal polynomials as functions on a ring.
+
+See Also:
+o )show OrthogonalPolynomialFunctions
+
+\end{chunk}
 \pagehead{OrthogonalPolynomialFunctions}{ORTHPOL}
 \pagepic{ps/v104orthogonalpolynomialfunctions.ps}{ORTHPOL}{1.00}
 
@@ -122297,6 +130167,32 @@ OrthogonalPolynomialFunctions(R: CommutativeRing): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OUT OutputPackage}
+\begin{chunk}{OutputPackage.input}
+)set break resume
+)sys rm -f OutputPackage.output
+)spool OutputPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OutputPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{OutputPackage.help}
+====================================================================
+OutputPackage examples
+====================================================================
+
+OutPackage allows pretty-printing from programs.
+
+See Also:
+o )show OutputPackage
+
+\end{chunk}
 \pagehead{OutputPackage}{OUT}
 \pagepic{ps/v104outputpackage.ps}{OUT}{1.00}
 
@@ -123617,6 +131513,33 @@ PackageForPoly(R,PolyRing,E,dim): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PADEPAC PadeApproximantPackage}
+\begin{chunk}{PadeApproximantPackage.input}
+)set break resume
+)sys rm -f PadeApproximantPackage.output
+)spool PadeApproximantPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PadeApproximantPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PadeApproximantPackage.help}
+====================================================================
+PadeApproximantPackage examples
+====================================================================
+
+This package computes reliable Pad&ea. approximants using a
+generalized Viskovatov continued fraction algorithm.
+
+See Also:
+o )show PadeApproximantPackage
+
+\end{chunk}
 \pagehead{PadeApproximantPackage}{PADEPAC}
 \pagepic{ps/v104padeapproximantpackage.ps}{PADEPAC}{1.00}
 
@@ -123707,6 +131630,15 @@ PadeApproximantPackage(R: Field, x:Symbol, pt:R): Exports == Implementation wher
 )spool
 )lisp (bye)
 \end{chunk}
+\begin{chunk}{PadeApproximants.help}
+====================================================================
+PadeApproximants examples
+====================================================================
+
+See Also:
+o )show PadeApproximants
+
+\end{chunk}
 \pagehead{PadeApproximants}{PADE}
 \pagepic{ps/v104padeapproximants.ps}{PADE}{1.00}
 
@@ -123866,6 +131798,39 @@ PadeApproximants(R,PS,UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PWFFINTB PAdicWildFunctionFieldIntegralBasis}
+\begin{chunk}{PAdicWildFunctionFieldIntegralBasis.input}
+)set break resume
+)sys rm -f PAdicWildFunctionFieldIntegralBasis.output
+)spool PAdicWildFunctionFieldIntegralBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PAdicWildFunctionFieldIntegralBasis
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PAdicWildFunctionFieldIntegralBasis.help}
+====================================================================
+PAdicWildFunctionFieldIntegralBasis examples
+====================================================================
+
+In this package K is a finite field, R is a ring of univariate
+polynomials over K, and F is a monogenic algebra over R.
+
+We require that F is monogenic, i.e. that F = K[x,y]/(f(x,y)),
+because the integral basis algorithm used will factor the polynomial
+f(x,y).  The package provides a function to compute the integral
+closure of R in the quotient field of F as well as a function to compute
+a "local integral basis" at a specific prime.
+
+See Also:
+o )show PAdicWildFunctionFieldIntegralBasis
+
+\end{chunk}
 \pagehead{PAdicWildFunctionFieldIntegralBasis}{PWFFINTB}
 \pagepic{ps/v104padicwildfunctionfieldintegralbasis.ps}{PWFFINTB}{1.00}
 
@@ -124123,6 +132088,32 @@ PAdicWildFunctionFieldIntegralBasis(K,R,UP,F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package YSTREAM ParadoxicalCombinatorsForStreams}
+\begin{chunk}{ParadoxicalCombinatorsForStreams.input}
+)set break resume
+)sys rm -f ParadoxicalCombinatorsForStreams.output
+)spool ParadoxicalCombinatorsForStreams.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParadoxicalCombinatorsForStreams
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ParadoxicalCombinatorsForStreams.help}
+====================================================================
+ParadoxicalCombinatorsForStreams examples
+====================================================================
+
+Computation of fixed points of mappings on streams
+
+See Also:
+o )show ParadoxicalCombinatorsForStreams
+
+\end{chunk}
 \pagehead{ParadoxicalCombinatorsForStreams}{YSTREAM}
 \pagepic{ps/v104paradoxicalcombinatorsforstreams.ps}{YSTREAM}{1.00}
 
@@ -124177,6 +132168,52 @@ ParadoxicalCombinatorsForStreams(A):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PLEQN ParametricLinearEquations}
+\begin{chunk}{ParametricLinearEquations.input}
+)set break resume
+)sys rm -f ParametricLinearEquations.output
+)spool ParametricLinearEquations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricLinearEquations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ParametricLinearEquations.help}
+====================================================================
+ParametricLinearEquations examples
+====================================================================
+
+This package completely solves a parametric linear system of equations
+by decomposing the set of all parametric values for which the linear
+system is consistent into a union of quasi-algebraic sets (which need
+not be irredundant, but most of the time is). Each quasi-algebraic set
+is described by a list of polynomials that vanish on the set, and a
+list of polynomials that vanish at no point of the set.  For each
+quasi-algebraic set, the solution of the linear system is given, as a
+particular solution and a basis of the homogeneous system.
+
+The parametric linear system should be given in matrix form, with a
+coefficient matrix and a right hand side vector. The entries of the
+coefficient matrix and right hand side vector should be polynomials in
+the parametric variables, over a Euclidean domain of characteristic zero.
+
+If the system is homogeneous, the right hand side need not be given.
+The right hand side can also be replaced by an indeterminate vector,
+in which case, the conditions required for consistency will also be given.
+
+The package has other facilities for saving results to external
+files, as well as solving the system for a specified minimum rank.
+Altogether there are 12 mode maps for psolve, as explained below.
+
+See Also:
+o )show ParametricLinearEquations
+
+\end{chunk}
 \pagehead{ParametricLinearEquations}{PLEQN}
 \pagepic{ps/v104parametriclinearequations.ps}{PLEQN}{1.00}
 
@@ -124851,6 +132888,32 @@ ParametricLinearEquations(R,Var,Expon,GR):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PARPC2 ParametricPlaneCurveFunctions2}
+\begin{chunk}{ParametricPlaneCurveFunctions2.input}
+)set break resume
+)sys rm -f ParametricPlaneCurveFunctions2.output
+)spool ParametricPlaneCurveFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricPlaneCurveFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ParametricPlaneCurveFunctions2.help}
+====================================================================
+ParametricPlaneCurveFunctions2 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show ParametricPlaneCurveFunctions2
+
+\end{chunk}
 \pagehead{ParametricPlaneCurveFunctions2}{PARPC2}
 \pagepic{ps/v104parametricplanecurvefunctions2.ps}{PARPC2}{1.00}
 
@@ -124877,6 +132940,32 @@ ParametricPlaneCurveFunctions2(CF1: Type, CF2:Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PARSC2 ParametricSpaceCurveFunctions2}
+\begin{chunk}{ParametricSpaceCurveFunctions2.input}
+)set break resume
+)sys rm -f ParametricSpaceCurveFunctions2.output
+)spool ParametricSpaceCurveFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricSpaceCurveFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ParametricSpaceCurveFunctions2.help}
+====================================================================
+ParametricSpaceCurveFunctions2 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show ParametricSpaceCurveFunctions2
+
+\end{chunk}
 \pagehead{ParametricSpaceCurveFunctions2}{PARSC2}
 \pagepic{ps/v104parametricspacecurvefunctions2.ps}{PARSC2}{1.00}
 
@@ -124903,6 +132992,32 @@ ParametricSpaceCurveFunctions2(CF1: Type, CF2:Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PARSU2 ParametricSurfaceFunctions2}
+\begin{chunk}{ParametricSurfaceFunctions2.input}
+)set break resume
+)sys rm -f ParametricSurfaceFunctions2.output
+)spool ParametricSurfaceFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricSurfaceFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ParametricSurfaceFunctions2.help}
+====================================================================
+ParametricSurfaceFunctions2 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show ParametricSurfaceFunctions2
+
+\end{chunk}
 \pagehead{ParametricSurfaceFunctions2}{PARSU2}
 \pagepic{ps/v104parametricsurfacefunctions2.ps}{PARSU2}{1.00}
 
@@ -124974,7 +133089,7 @@ o )show ParametrizationPackage
 \cross{PARAMP}{parametrize}
 
 \begin{chunk}{package PARAMP ParametrizationPackage}
-)abbreviation package PARAMP ParametrizationPackage
+)abbrev package PARAMP ParametrizationPackage
 ++ Author: Gaetan Hache
 ++ Date Created: 17 nov 1992
 ++ Date Last Updated: May 2010 by Tim Daly
@@ -125219,6 +133334,34 @@ PartialFractionPackage(R): Cat == Capsule where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PARTPERM PartitionsAndPermutations}
+\begin{chunk}{PartitionsAndPermutations.input}
+)set break resume
+)sys rm -f PartitionsAndPermutations.output
+)spool PartitionsAndPermutations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PartitionsAndPermutations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PartitionsAndPermutations.help}
+====================================================================
+PartitionsAndPermutations examples
+====================================================================
+
+PartitionsAndPermutations contains functions for generating streams of
+integer partitions, and streams of sequences of integers composed from
+a multi-set.
+
+See Also:
+o )show PartitionsAndPermutations
+
+\end{chunk}
 \pagehead{PartitionsAndPermutations}{PARTPERM}
 \pagepic{ps/v104partitionsandpermutations.ps}{PARTPERM}{1.00}
 
@@ -125350,6 +133493,32 @@ PartitionsAndPermutations: Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PATTERN1 PatternFunctions1}
+\begin{chunk}{PatternFunctions1.input}
+)set break resume
+)sys rm -f PatternFunctions1.output
+)spool PatternFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternFunctions1.help}
+====================================================================
+PatternFunctions1 examples
+====================================================================
+
+Utilities for handling patterns
+
+See Also:
+o )show PatternFunctions1
+
+\end{chunk}
 \pagehead{PatternFunctions1}{PATTERN1}
 \pagepic{ps/v104patternfunctions1.ps}{PATTERN1}{1.00}
 
@@ -125437,6 +133606,32 @@ PatternFunctions1(R:SetCategory, D:Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PATTERN2 PatternFunctions2}
+\begin{chunk}{PatternFunctions2.input}
+)set break resume
+)sys rm -f PatternFunctions2.output
+)spool PatternFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternFunctions2.help}
+====================================================================
+PatternFunctions2 examples
+====================================================================
+
+Lifts maps to patterns
+
+See Also:
+o )show PatternFunctions2
+
+\end{chunk}
 \pagehead{PatternFunctions2}{PATTERN2}
 \pagepic{ps/v104patternfunctions2.ps}{PATTERN2}{1.00}
 
@@ -125489,6 +133684,32 @@ PatternFunctions2(R:SetCategory, S:SetCategory): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PATMATCH PatternMatch}
+\begin{chunk}{PatternMatch.input}
+)set break resume
+)sys rm -f PatternMatch.output
+)spool PatternMatch.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatch
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatch.help}
+====================================================================
+PatternMatch examples
+====================================================================
+
+This package provides the top-level pattern macthing functions.
+
+See Also:
+o )show PatternMatch
+
+\end{chunk}
 \pagehead{PatternMatch}{PATMATCH}
 \pagepic{ps/v104patternmatch.ps}{PATMATCH}{1.00}
 
@@ -125584,6 +133805,32 @@ PatternMatch(Base, Subject, Pat): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMASS PatternMatchAssertions}
+\begin{chunk}{PatternMatchAssertions.input}
+)set break resume
+)sys rm -f PatternMatchAssertions.output
+)spool PatternMatchAssertions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchAssertions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchAssertions.help}
+====================================================================
+PatternMatchAssertions examples
+====================================================================
+
+Attaching assertions to symbols for pattern matching.
+
+See Also:
+o )show PatternMatchAssertions
+
+\end{chunk}
 \pagehead{PatternMatchAssertions}{PMASS}
 \pagepic{ps/v104patternmatchassertions.ps}{PMASS}{1.00}
 
@@ -125640,6 +133887,32 @@ PatternMatchAssertions(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMFS PatternMatchFunctionSpace}
+\begin{chunk}{PatternMatchFunctionSpace.input}
+)set break resume
+)sys rm -f PatternMatchFunctionSpace.output
+)spool PatternMatchFunctionSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchFunctionSpace
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchFunctionSpace.help}
+====================================================================
+PatternMatchFunctionSpace examples
+====================================================================
+
+This package provides pattern matching functions on function spaces.
+
+See Also:
+o )show PatternMatchFunctionSpace
+
+\end{chunk}
 \pagehead{PatternMatchFunctionSpace}{PMFS}
 \pagepic{ps/v104patternmatchfunctionspace.ps}{PMFS}{1.00}
 
@@ -125727,6 +134000,32 @@ PatternMatchFunctionSpace(S, R, F): Exports== Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMINS PatternMatchIntegerNumberSystem}
+\begin{chunk}{PatternMatchIntegerNumberSystem.input}
+)set break resume
+)sys rm -f PatternMatchIntegerNumberSystem.output
+)spool PatternMatchIntegerNumberSystem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchIntegerNumberSystem
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchIntegerNumberSystem.help}
+====================================================================
+PatternMatchIntegerNumberSystem examples
+====================================================================
+
+This package provides pattern matching functions on integers.
+
+See Also:
+o )show PatternMatchIntegerNumberSystem
+
+\end{chunk}
 \pagehead{PatternMatchIntegerNumberSystem}{PMINS}
 \pagepic{ps/v104patternmatchintegernumbersystem.ps}{PMINS}{1.00}
 
@@ -125820,6 +134119,34 @@ PatternMatchIntegerNumberSystem(I:IntegerNumberSystem): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTPM PatternMatchIntegration}
+\begin{chunk}{PatternMatchIntegration.input}
+)set break resume
+)sys rm -f PatternMatchIntegration.output
+)spool PatternMatchIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchIntegration.help}
+====================================================================
+PatternMatchIntegration examples
+====================================================================
+
+PatternMatchIntegration provides functions that use the pattern
+matcher to find some indefinite and definite integrals involving
+special functions and found in the litterature.
+
+See Also:
+o )show PatternMatchIntegration
+
+\end{chunk}
 \pagehead{PatternMatchIntegration}{INTPM}
 \pagepic{ps/v104patternmatchintegration.ps}{INTPM}{1.00}
 
@@ -126163,6 +134490,32 @@ PatternMatchIntegration(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMKERNEL PatternMatchKernel}
+\begin{chunk}{PatternMatchKernel.input}
+)set break resume
+)sys rm -f PatternMatchKernel.output
+)spool PatternMatchKernel.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchKernel
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchKernel.help}
+====================================================================
+PatternMatchKernel examples
+====================================================================
+
+This package provides pattern matching functions on kernels.
+
+See Also:
+o )show PatternMatchKernel
+
+\end{chunk}
 \pagehead{PatternMatchKernel}{PMKERNEL}
 \pagepic{ps/v104patternmatchkernel.ps}{PMKERNEL}{1.00}
 
@@ -126272,6 +134625,32 @@ PatternMatchKernel(S, E): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMLSAGG PatternMatchListAggregate}
+\begin{chunk}{PatternMatchListAggregate.input}
+)set break resume
+)sys rm -f PatternMatchListAggregate.output
+)spool PatternMatchListAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchListAggregate
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchListAggregate.help}
+====================================================================
+PatternMatchListAggregate examples
+====================================================================
+
+This package provides pattern matching functions on lists.
+
+See Also:
+o )show PatternMatchListAggregate
+
+\end{chunk}
 \pagehead{PatternMatchListAggregate}{PMLSAGG}
 \pagepic{ps/v104patternmatchlistaggregate.ps}{PMLSAGG}{1.00}
 
@@ -126330,6 +134709,32 @@ PatternMatchListAggregate(S, R, L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMPLCAT PatternMatchPolynomialCategory}
+\begin{chunk}{PatternMatchPolynomialCategory.input}
+)set break resume
+)sys rm -f PatternMatchPolynomialCategory.output
+)spool PatternMatchPolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchPolynomialCategory
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchPolynomialCategory.help}
+====================================================================
+PatternMatchPolynomialCategory examples
+====================================================================
+
+This package provides pattern matching functions on polynomials.
+
+See Also:
+o )show PatternMatchPolynomialCategory
+
+\end{chunk}
 \pagehead{PatternMatchPolynomialCategory}{PMPLCAT}
 \pagepic{ps/v104patternmatchpolynomialcategory.ps}{PMPLCAT}{1.00}
 
@@ -126426,6 +134831,32 @@ PatternMatchPolynomialCategory(S,E,V,R,P):Exports== Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMDOWN PatternMatchPushDown}
+\begin{chunk}{PatternMatchPushDown.input}
+)set break resume
+)sys rm -f PatternMatchPushDown.output
+)spool PatternMatchPushDown.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchPushDown
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchPushDown.help}
+====================================================================
+PatternMatchPushDown examples
+====================================================================
+
+This packages provides tools for matching recursively in type towers.
+
+See Also:
+o )show PatternMatchPushDown
+
+\end{chunk}
 \pagehead{PatternMatchPushDown}{PMDOWN}
 \pagepic{ps/v104patternmatchpushdown.ps}{PMDOWN}{1.00}
 
@@ -126541,6 +134972,32 @@ PatternMatchPushDown(S, A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMQFCAT PatternMatchQuotientFieldCategory}
+\begin{chunk}{PatternMatchQuotientFieldCategory.input}
+)set break resume
+)sys rm -f PatternMatchQuotientFieldCategory.output
+)spool PatternMatchQuotientFieldCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchQuotientFieldCategory
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchQuotientFieldCategory.help}
+====================================================================
+PatternMatchQuotientFieldCategory examples
+====================================================================
+
+This package provides pattern matching functions on quotients.
+
+See Also:
+o )show PatternMatchQuotientFieldCategory
+
+\end{chunk}
 \pagehead{PatternMatchQuotientFieldCategory}{PMQFCAT}
 \pagepic{ps/v104patternmatchquotientfieldcategory.ps}{PMQFCAT}{1.00}
 
@@ -126591,6 +135048,32 @@ PatternMatchQuotientFieldCategory(S,R,Q):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PATRES2 PatternMatchResultFunctions2}
+\begin{chunk}{PatternMatchResultFunctions2.input}
+)set break resume
+)sys rm -f PatternMatchResultFunctions2.output
+)spool PatternMatchResultFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchResultFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchResultFunctions2.help}
+====================================================================
+PatternMatchResultFunctions2 examples
+====================================================================
+
+Lifts maps to pattern matching results.
+
+See Also:
+o )show PatternMatchResultFunctions2
+
+\end{chunk}
 \pagehead{PatternMatchResultFunctions2}{PATRES2}
 \pagepic{ps/v104patternmatchresultfunctions2.ps}{PATRES2}{1.00}
 
@@ -126631,6 +135114,32 @@ PatternMatchResultFunctions2(R, A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMSYM PatternMatchSymbol}
+\begin{chunk}{PatternMatchSymbol.input}
+)set break resume
+)sys rm -f PatternMatchSymbol.output
+)spool PatternMatchSymbol.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchSymbol
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchSymbol.help}
+====================================================================
+PatternMatchSymbol examples
+====================================================================
+
+This package provides pattern matching functions on symbols.
+
+See Also:
+o )show PatternMatchSymbol
+
+\end{chunk}
 \pagehead{PatternMatchSymbol}{PMSYM}
 \pagepic{ps/v104patternmatchsymbol.ps}{PMSYM}{1.00}
 
@@ -126671,6 +135180,32 @@ PatternMatchSymbol(S:SetCategory): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PMTOOLS PatternMatchTools}
+\begin{chunk}{PatternMatchTools.input}
+)set break resume
+)sys rm -f PatternMatchTools.output
+)spool PatternMatchTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PatternMatchTools.help}
+====================================================================
+PatternMatchTools examples
+====================================================================
+
+This package provides tools for the pattern matcher.
+
+See Also:
+o )show PatternMatchTools
+
+\end{chunk}
 \pagehead{PatternMatchTools}{PMTOOLS}
 \pagepic{ps/v104patternmatchtools.ps}{PMTOOLS}{1.00}
 
@@ -127124,6 +135659,37 @@ Permanent(n : PositiveInteger, R : Ring with commutative("*")):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PGE PermutationGroupExamples}
+\begin{chunk}{PermutationGroupExamples.input}
+)set break resume
+)sys rm -f PermutationGroupExamples.output
+)spool PermutationGroupExamples.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PermutationGroupExamples
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PermutationGroupExamples.help}
+====================================================================
+PermutationGroupExamples examples
+====================================================================
+
+PermutationGroupExamples provides permutation groups for some classes
+of groups: symmetric, alternating, dihedral, cyclic, direct products
+of cyclic, which are in fact the finite abelian groups of symmetric
+groups called Young subgroups.  Furthermore, Rubik's group as
+permutation group of 48 integers and a list of sporadic simple groups
+derived from the atlas of finite groups.
+
+See Also:
+o )show PermutationGroupExamples
+
+\end{chunk}
 \pagehead{PermutationGroupExamples}{PGE}
 \pagepic{ps/v104permutationgroupexamples.ps}{PGE}{1.00}
 
@@ -127520,6 +136086,33 @@ PermutationGroupExamples():public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PICOERCE PiCoercions}
+\begin{chunk}{PiCoercions.input}
+)set break resume
+)sys rm -f PiCoercions.output
+)spool PiCoercions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PiCoercions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PiCoercions.help}
+====================================================================
+PiCoercions examples
+====================================================================
+
+Provides a coercion from the symbolic fractions in %pi with integer
+coefficients to any Expression type.
+
+See Also:
+o )show PiCoercions
+
+\end{chunk}
 \pagehead{PiCoercions}{PICOERCE}
 \pagepic{ps/v104picoercions.ps}{PICOERCE}{1.00}
 
@@ -127559,6 +136152,33 @@ PiCoercions(R:Join(OrderedSet, IntegralDomain)): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PLOT1 PlotFunctions1}
+\begin{chunk}{PlotFunctions1.input}
+)set break resume
+)sys rm -f PlotFunctions1.output
+)spool PlotFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PlotFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PlotFunctions1.help}
+====================================================================
+PlotFunctions1 examples
+====================================================================
+
+PlotFunctions1 provides facilities for plotting curves
+where functions SF -> SF are specified by giving an expression
+
+See Also:
+o )show PlotFunctions1
+
+\end{chunk}
 \pagehead{PlotFunctions1}{PLOT1}
 \pagepic{ps/v104plotfunctions1.ps}{PLOT1}{1.00}
 
@@ -127608,6 +136228,32 @@ PlotFunctions1(S:ConvertibleTo InputForm): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PLOTTOOL PlotTools}
+\begin{chunk}{PlotTools.input}
+)set break resume
+)sys rm -f PlotTools.output
+)spool PlotTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PlotTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PlotTools.help}
+====================================================================
+PlotTools examples
+====================================================================
+
+This package exports plotting tools 
+
+See Also:
+o )show PlotTools
+
+\end{chunk}
 \pagehead{PlotTools}{PLOTTOOL}
 \pagepic{ps/v104plottools.ps}{PLOTTOOL}{1.00}
 
@@ -127917,6 +136563,32 @@ ProjectiveAlgebraicSetPackage(K,symb,PolyRing,E,ProjPt):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PTFUNC2 PointFunctions2}
+\begin{chunk}{PointFunctions2.input}
+)set break resume
+)sys rm -f PointFunctions2.output
+)spool PointFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PointFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PointFunctions2.help}
+====================================================================
+PointFunctions2 examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show PointFunctions2
+
+\end{chunk}
 \pagehead{PointFunctions2}{PTFUNC2}
 \pagepic{ps/v104pointfunctions2.ps}{PTFUNC2}{1.00}
 
@@ -127952,6 +136624,32 @@ PointFunctions2(R1:Ring,R2:Ring):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PTPACK PointPackage}
+\begin{chunk}{PointPackage.input}
+)set break resume
+)sys rm -f PointPackage.output
+)spool PointPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PointPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PointPackage.help}
+====================================================================
+PointPackage examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show PointPackage
+
+\end{chunk}
 \pagehead{PointPackage}{PTPACK}
 \pagepic{ps/v104pointpackage.ps}{PTPACK}{1.00}
 
@@ -128065,6 +136763,33 @@ PointPackage(R:Ring):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PFO PointsOfFiniteOrder}
+\begin{chunk}{PointsOfFiniteOrder.input}
+)set break resume
+)sys rm -f PointsOfFiniteOrder.output
+)spool PointsOfFiniteOrder.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PointsOfFiniteOrder
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PointsOfFiniteOrder.help}
+====================================================================
+PointsOfFiniteOrder examples
+====================================================================
+
+This package provides function for testing whether a divisor on a
+curve is a torsion divisor.
+
+See Also:
+o )show PointsOfFiniteOrder
+
+\end{chunk}
 \pagehead{PointsOfFiniteOrder}{PFO}
 \pagepic{ps/v104pointsoffiniteorder.ps}{PFO}{1.00}
 
@@ -128362,6 +137087,33 @@ PointsOfFiniteOrder(R0, F, UP, UPUP, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PFOQ PointsOfFiniteOrderRational}
+\begin{chunk}{PointsOfFiniteOrderRational.input}
+)set break resume
+)sys rm -f PointsOfFiniteOrderRational.output
+)spool PointsOfFiniteOrderRational.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PointsOfFiniteOrderRational
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PointsOfFiniteOrderRational.help}
+====================================================================
+PointsOfFiniteOrderRational examples
+====================================================================
+
+This package provides function for testing whether a divisor on a
+curve is a torsion divisor.
+
+See Also:
+o )show PointsOfFiniteOrderRational
+
+\end{chunk}
 \pagehead{PointsOfFiniteOrderRational}{PFOQ}
 \pagepic{ps/v104pointsoffiniteorderrational.ps}{PFOQ}{1.00}
 
@@ -128459,6 +137211,32 @@ PointsOfFiniteOrderRational(UP, UPUP, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PFOTOOLS PointsOfFiniteOrderTools}
+\begin{chunk}{PointsOfFiniteOrderTools.input}
+)set break resume
+)sys rm -f PointsOfFiniteOrderTools.output
+)spool PointsOfFiniteOrderTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PointsOfFiniteOrderTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PointsOfFiniteOrderTools.help}
+====================================================================
+PointsOfFiniteOrderTools examples
+====================================================================
+
+Utilities for PFOQ and PFO
+
+See Also:
+o )show PointsOfFiniteOrderTools
+
+\end{chunk}
 \pagehead{PointsOfFiniteOrderTools}{PFOTOOLS}
 \pagepic{ps/v104pointsoffiniteordertools.ps}{PFOTOOLS}{1.00}
 
@@ -128688,6 +137466,32 @@ PolynomialPackageForCurve(K,PolyRing,E,dim,ProjPt):Exp == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLTOPOL PolToPol}
+\begin{chunk}{PolToPol.input}
+)set break resume
+)sys rm -f PolToPol.output
+)spool PolToPol.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolToPol
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolToPol.help}
+====================================================================
+PolToPol examples
+====================================================================
+
+Package with the conversion functions among different kind of polynomials
+
+See Also:
+o )show PolToPol
+
+\end{chunk}
 \pagehead{PolToPol}{POLTOPOL}
 \pagepic{ps/v104poltopol.ps}{POLTOPOL}{1.00}
 
@@ -128781,6 +137585,41 @@ PolToPol(lv,R) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PGROEB PolyGroebner}
+\begin{chunk}{PolyGroebner.input}
+)set break resume
+)sys rm -f PolyGroebner.output
+)spool PolyGroebner.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolyGroebner
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolyGroebner.help}
+====================================================================
+PolyGroebner examples
+====================================================================
+
+This package is an interface package to the groebner basis
+package which allows you to compute groebner bases for polynomials
+in either lexicographic ordering or total degree ordering refined
+by reverse lex. The input is the ordinary polynomial type which
+is internally converted to a type with the required ordering. 
+The resulting grobner basis is converted back to ordinary polynomials.
+The ordering among the variables is controlled by an explicit list
+of variables which is passed as a second argument. The coefficient
+domain is allowed to be any gcd domain, but the groebner basis is
+computed as if the polynomials were over a field.
+
+See Also:
+o )show PolyGroebner
+
+\end{chunk}
 \pagehead{PolyGroebner}{PGROEB}
 \pagepic{ps/v104polygroebner.ps}{PGROEB}{1.00}
 
@@ -128857,6 +137696,33 @@ PolyGroebner(F) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PAN2EXPR PolynomialAN2Expression}
+\begin{chunk}{PolynomialAN2Expression.input}
+)set break resume
+)sys rm -f PolynomialAN2Expression.output
+)spool PolynomialAN2Expression.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialAN2Expression
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialAN2Expression.help}
+====================================================================
+PolynomialAN2Expression examples
+====================================================================
+
+This package provides a coerce from polynomials over algebraic numbers
+to Expression AlgebraicNumber.
+
+See Also:
+o )show PolynomialAN2Expression
+
+\end{chunk}
 \pagehead{PolynomialAN2Expression}{PAN2EXPR}
 \pagepic{ps/v104polynomialan2expression.ps}{PAN2EXPR}{1.00}
 
@@ -128902,6 +137768,35 @@ PolynomialAN2Expression():Target == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLYLIFT PolynomialCategoryLifting}
+\begin{chunk}{PolynomialCategoryLifting.input}
+)set break resume
+)sys rm -f PolynomialCategoryLifting.output
+)spool PolynomialCategoryLifting.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialCategoryLifting
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialCategoryLifting.help}
+====================================================================
+PolynomialCategoryLifting examples
+====================================================================
+
+This package provides a very general map function, which given a set S
+and polynomials over R with maps from the variables into S and the
+coefficients into S, maps polynomials into S. S is assumed to support
++, * and **.
+
+See Also:
+o )show PolynomialCategoryLifting
+
+\end{chunk}
 \pagehead{PolynomialCategoryLifting}{POLYLIFT}
 \pagepic{ps/v104polynomialcategorylifting.ps}{POLYLIFT}{1.00}
 
@@ -128955,6 +137850,33 @@ PolynomialCategoryLifting(E,Vars,R,P,S): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLYCATQ PolynomialCategoryQuotientFunctions}
+\begin{chunk}{PolynomialCategoryQuotientFunctions.input}
+)set break resume
+)sys rm -f PolynomialCategoryQuotientFunctions.output
+)spool PolynomialCategoryQuotientFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialCategoryQuotientFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialCategoryQuotientFunctions.help}
+====================================================================
+PolynomialCategoryQuotientFunctions examples
+====================================================================
+
+This package transforms multivariate polynomials or fractions into
+univariate polynomials or fractions, and back.
+
+See Also:
+o )show PolynomialCategoryQuotientFunctions
+
+\end{chunk}
 \pagehead{PolynomialCategoryQuotientFunctions}{POLYCATQ}
 \pagepic{ps/v104polynomialcategoryquotientfunctions.ps}{POLYCATQ}{1.00}
 
@@ -129110,6 +138032,34 @@ PolynomialCategoryQuotientFunctions(E, V, R, P, F):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PCOMP PolynomialComposition}
+\begin{chunk}{PolynomialComposition.input}
+)set break resume
+)sys rm -f PolynomialComposition.output
+)spool PolynomialComposition.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialComposition
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialComposition.help}
+====================================================================
+PolynomialComposition examples
+====================================================================
+
+Polynomial composition and decomposition functions.
+
+If f = g o h then g=leftFactor(f,h) and h=rightFactor(f,g)
+
+See Also:
+o )show PolynomialComposition
+
+\end{chunk}
 \pagehead{PolynomialComposition}{PCOMP}
 \pagepic{ps/v104polynomialcomposition.ps}{PCOMP}{1.00}
 
@@ -129143,6 +138093,34 @@ PolynomialComposition(UP: UnivariatePolynomialCategory(R), R: Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PDECOMP PolynomialDecomposition}
+\begin{chunk}{PolynomialDecomposition.input}
+)set break resume
+)sys rm -f PolynomialDecomposition.output
+)spool PolynomialDecomposition.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialDecomposition
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialDecomposition.help}
+====================================================================
+PolynomialDecomposition examples
+====================================================================
+
+Polynomial composition and decomposition functions
+
+If f = g o h then g=leftFactor(f,h) and h=rightFactor(f,g)
+
+See Also:
+o )show PolynomialDecomposition
+
+\end{chunk}
 \pagehead{PolynomialDecomposition}{PDECOMP}
 \pagepic{ps/v104polynomialdecomposition.ps}{PDECOMP}{1.00}
 
@@ -129223,6 +138201,34 @@ PolynomialDecomposition(UP, F): PDcat == PDdef where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PFBR PolynomialFactorizationByRecursion}
+\begin{chunk}{PolynomialFactorizationByRecursion.input}
+)set break resume
+)sys rm -f PolynomialFactorizationByRecursion.output
+)spool PolynomialFactorizationByRecursion.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialFactorizationByRecursion
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialFactorizationByRecursion.help}
+====================================================================
+PolynomialFactorizationByRecursion examples
+====================================================================
+
+PolynomialFactorizationByRecursion(R,E,VarSet,S)
+is used for factorization of sparse univariate polynomials over
+a domain S of multivariate polynomials over R.
+
+See Also:
+o )show PolynomialFactorizationByRecursion
+
+\end{chunk}
 \pagehead{PolynomialFactorizationByRecursion}{PFBR}
 \pagepic{ps/v104polynomialfactorizationbyrecursion.ps}{PFBR}{1.00}
 
@@ -129539,6 +138545,36 @@ PolynomialFactorizationByRecursion(R,E, VarSet:OrderedSet, S): public ==
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PFBRU PolynomialFactorizationByRecursionUnivariate}
+\begin{chunk}{PolynomialFactorizationByRecursionUnivariate.input}
+)set break resume
+)sys rm -f PolynomialFactorizationByRecursionUnivariate.output
+)spool PolynomialFactorizationByRecursionUnivariate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialFactorizationByRecursionUnivariate
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialFactorizationByRecursionUnivariate.help}
+====================================================================
+PolynomialFactorizationByRecursionUnivariate examples
+====================================================================
+
+PolynomialFactorizationByRecursionUnivariate
+R is a PolynomialFactorizationExplicit domain,
+S is univariate polynomials over R
+We are interested in handling SparseUnivariatePolynomials over
+S, is a variable we shall call z
+
+See Also:
+o )show PolynomialFactorizationByRecursionUnivariate
+
+\end{chunk}
 \pagehead{PolynomialFactorizationByRecursionUnivariate}{PFBRU}
 \pagepic{ps/v104polynomialfactorizationbyrecursionunivariate.ps}{PFBRU}{1.00}
 
@@ -129801,6 +138837,33 @@ PolynomialFactorizationByRecursionUnivariate(R, S): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLY2 PolynomialFunctions2}
+\begin{chunk}{PolynomialFunctions2.input}
+)set break resume
+)sys rm -f PolynomialFunctions2.output
+)spool PolynomialFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialFunctions2.help}
+====================================================================
+PolynomialFunctions2 examples
+====================================================================
+
+This package takes a mapping between coefficient rings, and lifts
+it to a mapping between polynomials over those rings.
+
+See Also:
+o )show PolynomialFunctions2
+
+\end{chunk}
 \pagehead{PolynomialFunctions2}{POLY2}
 \pagepic{ps/v104polynomialfunctions2.ps}{POLY2}{1.00}
 
@@ -129832,6 +138895,36 @@ PolynomialFunctions2(R:Ring, S:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PGCD PolynomialGcdPackage}
+\begin{chunk}{PolynomialGcdPackage.input}
+)set break resume
+)sys rm -f PolynomialGcdPackage.output
+)spool PolynomialGcdPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialGcdPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialGcdPackage.help}
+====================================================================
+PolynomialGcdPackage examples
+====================================================================
+
+This package computes multivariate polynomial gcd's using a hensel
+lifting strategy. The contraint on the coefficient domain is imposed
+by the lifting strategy. It is assumed that the coefficient domain has
+the property that almost all specializations preserve the degree of
+the gcd.
+
+See Also:
+o )show PolynomialGcdPackage
+
+\end{chunk}
 \pagehead{PolynomialGcdPackage}{PGCD}
 \pagepic{ps/v104polynomialgcdpackage.ps}{PGCD}{1.00}
 
@@ -130229,6 +139322,32 @@ PolynomialGcdPackage(E,OV,R,P):C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PINTERP PolynomialInterpolation}
+\begin{chunk}{PolynomialInterpolation.input}
+)set break resume
+)sys rm -f PolynomialInterpolation.output
+)spool PolynomialInterpolation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialInterpolation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialInterpolation.help}
+====================================================================
+PolynomialInterpolation examples
+====================================================================
+
+This package exports interpolation algorithms
+
+See Also:
+o )show PolynomialInterpolation
+
+\end{chunk}
 \pagehead{PolynomialInterpolation}{PINTERP}
 \pagepic{ps/v104polynomialinterpolation.ps}{PINTERP}{1.00}
 
@@ -130271,6 +139390,32 @@ PolynomialInterpolation(xx, F): Cat == Body   where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PINTERPA PolynomialInterpolationAlgorithms}
+\begin{chunk}{PolynomialInterpolationAlgorithms.input}
+)set break resume
+)sys rm -f PolynomialInterpolationAlgorithms.output
+)spool PolynomialInterpolationAlgorithms.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialInterpolationAlgorithms
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialInterpolationAlgorithms.help}
+====================================================================
+PolynomialInterpolationAlgorithms examples
+====================================================================
+
+This package exports interpolation algorithms
+
+See Also:
+o )show PolynomialInterpolationAlgorithms
+
+\end{chunk}
 \pagehead{PolynomialInterpolationAlgorithms}{PINTERPA}
 \pagepic{ps/v104polynomialinterpolationalgorithms.ps}{PINTERPA}{1.00}
 
@@ -130313,6 +139458,33 @@ PolynomialInterpolationAlgorithms(F, P): Cat == Body   where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PNTHEORY PolynomialNumberTheoryFunctions}
+\begin{chunk}{PolynomialNumberTheoryFunctions.input}
+)set break resume
+)sys rm -f PolynomialNumberTheoryFunctions.output
+)spool PolynomialNumberTheoryFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialNumberTheoryFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialNumberTheoryFunctions.help}
+====================================================================
+PolynomialNumberTheoryFunctions examples
+====================================================================
+
+This package provides various polynomial number theoretic functions
+over the integers.
+
+See Also:
+o )show PolynomialNumberTheoryFunctions
+
+\end{chunk}
 \pagehead{PolynomialNumberTheoryFunctions}{PNTHEORY}
 \pagepic{ps/v104polynomialnumbertheoryfunctions.ps}{PNTHEORY}{1.00}
 
@@ -130543,6 +139715,32 @@ PolynomialNumberTheoryFunctions(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLYROOT PolynomialRoots}
+\begin{chunk}{PolynomialRoots.input}
+)set break resume
+)sys rm -f PolynomialRoots.output
+)spool PolynomialRoots.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialRoots
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialRoots.help}
+====================================================================
+PolynomialRoots examples
+====================================================================
+
+Computes n-th roots of quotients of multivariate polynomials
+
+See Also:
+o )show PolynomialRoots
+
+\end{chunk}
 \pagehead{PolynomialRoots}{POLYROOT}
 \pagepic{ps/v104polynomialroots.ps}{POLYROOT}{1.00}
 
@@ -130691,6 +139889,35 @@ PolynomialRoots(E, V, R, P, F):Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PSETPK PolynomialSetUtilitiesPackage}
+\begin{chunk}{PolynomialSetUtilitiesPackage.input}
+)set break resume
+)sys rm -f PolynomialSetUtilitiesPackage.output
+)spool PolynomialSetUtilitiesPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialSetUtilitiesPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialSetUtilitiesPackage.help}
+====================================================================
+PolynomialSetUtilitiesPackage examples
+====================================================================
+
+This package provides modest routines for polynomial system solving.
+The aim of many of the operations of this package is to remove certain
+factors in some polynomials in order to avoid unnecessary computations
+in algorithms involving splitting techniques by partial factorization.
+
+See Also:
+o )show PolynomialSetUtilitiesPackage
+
+\end{chunk}
 \pagehead{PolynomialSetUtilitiesPackage}{PSETPK}
 \pagepic{ps/v104polynomialsetutilitiespackage.ps}{PSETPK}{1.00}
 
@@ -131547,6 +140774,35 @@ PolynomialSetUtilitiesPackage (R,E,V,P) : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SOLVEFOR PolynomialSolveByFormulas}
+\begin{chunk}{PolynomialSolveByFormulas.input}
+)set break resume
+)sys rm -f PolynomialSolveByFormulas.output
+)spool PolynomialSolveByFormulas.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialSolveByFormulas
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialSolveByFormulas.help}
+====================================================================
+PolynomialSolveByFormulas examples
+====================================================================
+
+This package factors the formulas out of the general solve code,
+allowing their recursive use over different domains.  Care is taken to
+introduce few radicals so that radical extension domains can more
+easily simplify the results.
+
+See Also:
+o )show PolynomialSolveByFormulas
+
+\end{chunk}
 \pagehead{PolynomialSolveByFormulas}{SOLVEFOR}
 \pagepic{ps/v104polynomialsolvebyformulas.ps}{SOLVEFOR}{1.00}
 
@@ -131843,6 +141099,37 @@ PolynomialSolveByFormulas(UP, F): PSFcat == PSFdef where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PSQFR PolynomialSquareFree}
+\begin{chunk}{PolynomialSquareFree.input}
+)set break resume
+)sys rm -f PolynomialSquareFree.output
+)spool PolynomialSquareFree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialSquareFree
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialSquareFree.help}
+====================================================================
+PolynomialSquareFree examples
+====================================================================
+
+This package computes square-free decomposition of multivariate
+polynomials over a coefficient ring which is an arbitrary gcd domain.
+The requirement on the coefficient domain guarantees that the content
+can be removed so that factors will be primitive as well as
+square-free.  Over an infinite ring of finite characteristic,it may
+not be possible to guarantee that the factors are square-free.
+
+See Also:
+o )show PolynomialSquareFree
+
+\end{chunk}
 \pagehead{PolynomialSquareFree}{PSQFR}
 \pagepic{ps/v104polynomialsquarefree.ps}{PSQFR}{1.00}
 
@@ -131976,6 +141263,35 @@ PolynomialSquareFree(VarSet:OrderedSet,E,RC:GcdDomain,P):C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLY2UP PolynomialToUnivariatePolynomial}
+\begin{chunk}{PolynomialToUnivariatePolynomial.input}
+)set break resume
+)sys rm -f PolynomialToUnivariatePolynomial.output
+)spool PolynomialToUnivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialToUnivariatePolynomial
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PolynomialToUnivariatePolynomial.help}
+====================================================================
+PolynomialToUnivariatePolynomial examples
+====================================================================
+
+This package is primarily to help the interpreter do coercions.  It
+allows you to view a polynomial as a univariate polynomial in one of
+its variables with coefficients which are again a polynomial in all
+the other variables.
+
+See Also:
+o )show PolynomialToUnivariatePolynomial
+
+\end{chunk}
 \pagehead{PolynomialToUnivariatePolynomial}{POLY2UP}
 \pagepic{ps/v104polynomialtounivariatepolynomial.ps}{POLY2UP}{1.00}
 
@@ -132012,6 +141328,35 @@ PolynomialToUnivariatePolynomial(x:Symbol, R:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LIMITPS PowerSeriesLimitPackage}
+\begin{chunk}{PowerSeriesLimitPackage.input}
+)set break resume
+)sys rm -f PowerSeriesLimitPackage.output
+)spool PowerSeriesLimitPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PowerSeriesLimitPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PowerSeriesLimitPackage.help}
+====================================================================
+PowerSeriesLimitPackage examples
+====================================================================
+
+PowerSeriesLimitPackage implements limits of expressions
+in one or more variables as one of the variables approaches a
+limiting value.  Included are two-sided limits, left- and right-
+hand limits, and limits at plus or minus infinity.
+
+See Also:
+o )show PowerSeriesLimitPackage
+
+\end{chunk}
 \pagehead{PowerSeriesLimitPackage}{LIMITPS}
 \pagepic{ps/v104powerserieslimitpackage.ps}{LIMITPS}{1.00}
 
@@ -132548,6 +141893,34 @@ PowerSeriesLimitPackage(R,FE): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PREASSOC PrecomputedAssociatedEquations}
+\begin{chunk}{PrecomputedAssociatedEquations.input}
+)set break resume
+)sys rm -f PrecomputedAssociatedEquations.output
+)spool PrecomputedAssociatedEquations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrecomputedAssociatedEquations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PrecomputedAssociatedEquations.help}
+====================================================================
+PrecomputedAssociatedEquations examples
+====================================================================
+
+PrecomputedAssociatedEquations stores some generic precomputations
+which speed up the computations of the associated equations needed for
+factoring operators.
+
+See Also:
+o )show PrecomputedAssociatedEquations
+
+\end{chunk}
 \pagehead{PrecomputedAssociatedEquations}{PREASSOC}
 \pagepic{ps/v104precomputedassociatedequations.ps}{PREASSOC}{1.00}
 
@@ -132660,6 +142033,33 @@ PrecomputedAssociatedEquations(R, L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PRIMARR2 PrimitiveArrayFunctions2}
+\begin{chunk}{PrimitiveArrayFunctions2.input}
+)set break resume
+)sys rm -f PrimitiveArrayFunctions2.output
+)spool PrimitiveArrayFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimitiveArrayFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PrimitiveArrayFunctions2.help}
+====================================================================
+PrimitiveArrayFunctions2 examples
+====================================================================
+
+This package provides tools for operating on primitive arrays
+with unary and binary functions involving different underlying types
+
+See Also:
+o )show PrimitiveArrayFunctions2
+
+\end{chunk}
 \pagehead{PrimitiveArrayFunctions2}{PRIMARR2}
 \pagepic{ps/v104primitivearrayfunctions2.ps}{PRIMARR2}{1.00}
 
@@ -132729,6 +142129,33 @@ PrimitiveArrayFunctions2(A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PRIMELT PrimitiveElement}
+\begin{chunk}{PrimitiveElement.input}
+)set break resume
+)sys rm -f PrimitiveElement.output
+)spool PrimitiveElement.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimitiveElement
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PrimitiveElement.help}
+====================================================================
+PrimitiveElement examples
+====================================================================
+
+PrimitiveElement provides functions to compute primitive elements
+in algebraic extensions;
+
+See Also:
+o )show PrimitiveElement
+
+\end{chunk}
 \pagehead{PrimitiveElement}{PRIMELT}
 \pagepic{ps/v104primitiveelement.ps}{PRIMELT}{1.00}
 
@@ -132847,6 +142274,34 @@ PrimitiveElement(F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODEPRIM PrimitiveRatDE}
+\begin{chunk}{PrimitiveRatDE.input}
+)set break resume
+)sys rm -f PrimitiveRatDE.output
+)spool PrimitiveRatDE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimitiveRatDE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PrimitiveRatDE.help}
+====================================================================
+PrimitiveRatDE examples
+====================================================================
+
+PrimitiveRatDE provides functions for in-field solutions of linear
+ordinary differential equations, in the transcendental case.
+The derivation to use is given by the parameter L.
+
+See Also:
+o )show PrimitiveRatDE
+
+\end{chunk}
 \pagehead{PrimitiveRatDE}{ODEPRIM}
 \pagepic{ps/v104primitiveratde.ps}{ODEPRIM}{1.00}
 
@@ -133044,6 +142499,32 @@ PrimitiveRatDE(F, UP, L, LQ): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODEPRRIC PrimitiveRatRicDE}
+\begin{chunk}{PrimitiveRatRicDE.input}
+)set break resume
+)sys rm -f PrimitiveRatRicDE.output
+)spool PrimitiveRatRicDE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimitiveRatRicDE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PrimitiveRatRicDE.help}
+====================================================================
+PrimitiveRatRicDE examples
+====================================================================
+
+In-field solution of Riccati equations, primitive case.
+
+See Also:
+o )show PrimitiveRatRicDE
+
+\end{chunk}
 \pagehead{PrimitiveRatRicDE}{ODEPRRIC}
 \pagepic{ps/v104primitiveratricde.ps}{ODEPRRIC}{1.00}
 
@@ -133324,6 +142805,32 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PRINT PrintPackage}
+\begin{chunk}{PrintPackage.input}
+)set break resume
+)sys rm -f PrintPackage.output
+)spool PrintPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrintPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PrintPackage.help}
+====================================================================
+PrintPackage examples
+====================================================================
+
+PrintPackage provides a print function for output forms.
+
+See Also:
+o )show PrintPackage
+
+\end{chunk}
 \pagehead{PrintPackage}{PRINT}
 \pagepic{ps/v104printpackage.ps}{PRINT}{1.00}
 
@@ -133353,6 +142860,33 @@ PrintPackage(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PSEUDLIN PseudoLinearNormalForm}
+\begin{chunk}{PseudoLinearNormalForm.input}
+)set break resume
+)sys rm -f PseudoLinearNormalForm.output
+)spool PseudoLinearNormalForm.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PseudoLinearNormalForm
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PseudoLinearNormalForm.help}
+====================================================================
+PseudoLinearNormalForm examples
+====================================================================
+
+PseudoLinearNormalForm provides a function for computing a block-companion
+form for pseudo-linear operators.
+
+See Also:
+o )show PseudoLinearNormalForm
+
+\end{chunk}
 \pagehead{PseudoLinearNormalForm}{PSEUDLIN}
 \pagepic{ps/v104pseudolinearnormalform.ps}{PSEUDLIN}{1.00}
 
@@ -133525,11 +143059,39 @@ PseudoLinearNormalForm(K:Field): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PRS PseudoRemainderSequence}
-The package constructor {\bf PseudoRemainderSequence} provides
+\begin{chunk}{PseudoRemainderSequence.input}
+)set break resume
+)sys rm -f PseudoRemainderSequence.output
+)spool PseudoRemainderSequence.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PseudoRemainderSequence
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PseudoRemainderSequence.help}
+====================================================================
+PseudoRemainderSequence examples
+====================================================================
+
+The package constructor PseudoRemainderSequence provides
 efficient algorithms by Lionel Ducos (University of Poitiers, France)
 for computing sub-resultants. This leads to a speed up in many places
 in Axiom where sub-resultants are computed (polynomial system solving,
 algebraic factorization, integration).
+
+This package contains some functions from improvements of the 
+subresultants algorithm.
+
+See Also:
+o )show PseudoRemainderSequence
+
+\end{chunk}
 \pagehead{PseudoRemainderSequence}{PRS}
 \pagepic{ps/v104pseudoremaindersequence.ps}{PRS}{1.00}
 
@@ -134495,6 +144057,36 @@ PseudoRemainderSequence(R, polR) : Specification == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTPAF PureAlgebraicIntegration}
+\begin{chunk}{PureAlgebraicIntegration.input}
+)set break resume
+)sys rm -f PureAlgebraicIntegration.output
+)spool PureAlgebraicIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PureAlgebraicIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PureAlgebraicIntegration.help}
+====================================================================
+PureAlgebraicIntegration examples
+====================================================================
+
+Integration of pure algebraic functions.
+
+This package provides functions for integration, limited integration,
+extended integration and the risch differential equation for
+pure algebraic integrands.
+
+See Also:
+o )show PureAlgebraicIntegration
+
+\end{chunk}
 \pagehead{PureAlgebraicIntegration}{INTPAF}
 \pagepic{ps/v104purealgebraicintegration.ps}{INTPAF}{1.00}
 
@@ -134900,6 +144492,33 @@ PureAlgebraicIntegration(R, F, L): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODEPAL PureAlgebraicLODE}
+\begin{chunk}{PureAlgebraicLODE.input}
+)set break resume
+)sys rm -f PureAlgebraicLODE.output
+)spool PureAlgebraicLODE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PureAlgebraicLODE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PureAlgebraicLODE.help}
+====================================================================
+PureAlgebraicLODE examples
+====================================================================
+
+In-field solution of an linear ordinary differential equation,
+pure algebraic case.
+
+See Also:
+o )show PureAlgebraicLODE
+
+\end{chunk}
 \pagehead{PureAlgebraicLODE}{ODEPAL}
 \pagepic{ps/v104purealgebraiclode.ps}{ODEPAL}{1.00}
 
@@ -134958,6 +144577,32 @@ PureAlgebraicLODE(F, UP, UPUP, R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package PUSHVAR PushVariables}
+\begin{chunk}{PushVariables.input}
+)set break resume
+)sys rm -f PushVariables.output
+)spool PushVariables.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PushVariables
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{PushVariables.help}
+====================================================================
+PushVariables examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show PushVariables
+
+\end{chunk}
 \pagehead{PushVariables}{PUSHVAR}
 \pagepic{ps/v104pushvariables.ps}{PUSHVAR}{1.00}
 
@@ -135042,6 +144687,55 @@ PushVariables(R,E,OV,PPR):C == T where
 \chapter{Chapter Q}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package QALGSET2 QuasiAlgebraicSet2}
+\begin{chunk}{QuasiAlgebraicSet2.input}
+)set break resume
+)sys rm -f QuasiAlgebraicSet2.output
+)spool QuasiAlgebraicSet2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuasiAlgebraicSet2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{QuasiAlgebraicSet2.help}
+====================================================================
+QuasiAlgebraicSet2 examples
+====================================================================
+
+QuasiAlgebraicSet2 adds a function radicalSimplify which uses
+IdealDecompositionPackage to simplify the representation of a
+quasi-algebraic set.
+
+A quasi-algebraic set is the intersection of a Zariski closed set,
+defined as the common zeros of a given list of polynomials (the
+defining polynomials for equations), and a principal Zariski open set,
+defined as the complement of the common zeros of a polynomial f (the
+defining polynomial for the inequation).
+
+Quasi-algebraic sets are implemented in the domain QuasiAlgebraicSet,
+where two simplification routines are provided: idealSimplify and
+simplify.
+
+The function radicalSimplify is added for comparison study only.  
+
+Because the domain IdealDecompositionPackage provides facilities for
+computing with radical ideals, it is necessary to restrict the ground 
+ring to the domain Fraction Integer, and the polynomial ring to be of type
+DistributedMultivariatePolynomial.
+
+The routine radicalSimplify uses these to compute groebner basis of 
+radical ideals and is inefficient and restricted when compared to the
+two in QuasiAlgebraicSet.
+
+See Also:
+o )show QuasiAlgebraicSet2
+
+\end{chunk}
 \pagehead{QuasiAlgebraicSet2}{QALGSET2}
 \pagepic{ps/v104quasialgebraicset2.ps}{QALGSET2}{1.00}
 
@@ -135161,6 +144855,34 @@ QuasiAlgebraicSet2(vl,nv) : C == T where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package QCMPACK QuasiComponentPackage}
+\begin{chunk}{QuasiComponentPackage.input}
+)set break resume
+)sys rm -f QuasiComponentPackage.output
+)spool QuasiComponentPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuasiComponentPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{QuasiComponentPackage.help}
+====================================================================
+QuasiComponentPackage examples
+====================================================================
+
+A package for removing redundant quasi-components and redundant
+branches when decomposing a variety by means of quasi-components
+of regular triangular sets. 
+
+See Also:
+o )show QuasiComponentPackage
+
+\end{chunk}
 \pagehead{QuasiComponentPackage}{QCMPACK}
 \pagepic{ps/v104quasicomponentpackage.ps}{QCMPACK}{1.00}
 
@@ -135571,6 +145293,33 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package QFCAT2 QuotientFieldCategoryFunctions2}
+\begin{chunk}{QuotientFieldCategoryFunctions2.input}
+)set break resume
+)sys rm -f QuotientFieldCategoryFunctions2.output
+)spool QuotientFieldCategoryFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuotientFieldCategoryFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{QuotientFieldCategoryFunctions2.help}
+====================================================================
+QuotientFieldCategoryFunctions2 examples
+====================================================================
+
+This package extends a function between integral domains
+to a mapping between their quotient fields.
+
+See Also:
+o )show QuotientFieldCategoryFunctions2
+
+\end{chunk}
 \pagehead{QuotientFieldCategoryFunctions2}{QFCAT2}
 \pagepic{ps/v104quotientfieldcategoryfunctions2.ps}{QFCAT2}{1.00}
 
@@ -135743,6 +145492,37 @@ QuaternionCategoryFunctions2(QR,R,QS,S) : Exports ==
 \chapter{Chapter R}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REP RadicalEigenPackage}
+\begin{chunk}{RadicalEigenPackage.input}
+)set break resume
+)sys rm -f RadicalEigenPackage.output
+)spool RadicalEigenPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RadicalEigenPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RadicalEigenPackage.help}
+====================================================================
+RadicalEigenPackage examples
+====================================================================
+
+Package for the computation of eigenvalues and eigenvectors.  This
+package works for matrices with coefficients which are rational
+functions over the integers.
+
+The eigenvalues and eigenvectors are expressed in terms of radicals.
+
+See Also:
+o )show RadicalEigenPackage
+o )show Fraction(Polynomial(Integer))
+
+\end{chunk}
 \pagehead{RadicalEigenPackage}{REP}
 \pagepic{ps/v104radicaleigenpackage.ps}{REP}{1.00}
 
@@ -136731,6 +146511,32 @@ RadicalSolvePackage(R): Cat == Capsule where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RADUTIL RadixUtilities}
+\begin{chunk}{RadixUtilities.input}
+)set break resume
+)sys rm -f RadixUtilities.output
+)spool RadixUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RadixUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RadixUtilities.help}
+====================================================================
+RadixUtilities examples
+====================================================================
+
+This package provides tools for creating radix expansions.
+
+See Also:
+o )show RadixUtilities
+
+\end{chunk}
 \pagehead{RadixUtilities}{RADUTIL}
 \pagepic{ps/v104radixutilities.ps}{RADUTIL}{1.00}
 
@@ -136764,6 +146570,32 @@ RadixUtilities: Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RDIST RandomDistributions}
+\begin{chunk}{RandomDistributions.input}
+)set break resume
+)sys rm -f RandomDistributions.output
+)spool RandomDistributions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RandomDistributions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RandomDistributions.help}
+====================================================================
+RandomDistributions examples
+====================================================================
+
+This package exports random distributions
+
+See Also:
+o )show RandomDistributions
+
+\end{chunk}
 \pagehead{RandomDistributions}{RDIST}
 \pagepic{ps/v104randomdistributions.ps}{RDIST}{1.00}
 
@@ -136832,6 +146664,32 @@ RandomDistributions(S: SetCategory): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RFDIST RandomFloatDistributions}
+\begin{chunk}{RandomFloatDistributions.input}
+)set break resume
+)sys rm -f RandomFloatDistributions.output
+)spool RandomFloatDistributions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RandomFloatDistributions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RandomFloatDistributions.help}
+====================================================================
+RandomFloatDistributions examples
+====================================================================
+
+This package exports random floating-point distributions
+
+See Also:
+o )show RandomFloatDistributions
+
+\end{chunk}
 \pagehead{RandomFloatDistributions}{RFDIST}
 \pagepic{ps/v104randomfloatdistributions.ps}{RFDIST}{1.00}
 
@@ -136951,6 +146809,32 @@ RandomFloatDistributions(): Cat == Body where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RIDIST RandomIntegerDistributions}
+\begin{chunk}{RandomIntegerDistributions.input}
+)set break resume
+)sys rm -f RandomIntegerDistributions.output
+)spool RandomIntegerDistributions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RandomIntegerDistributions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RandomIntegerDistributions.help}
+====================================================================
+RandomIntegerDistributions examples
+====================================================================
+
+This package exports integer distributions
+
+See Also:
+o )show RandomIntegerDistributions
+
+\end{chunk}
 \pagehead{RandomIntegerDistributions}{RIDIST}
 \pagepic{ps/v104randomintegerdistributions.ps}{RIDIST}{1.00}
 
@@ -137018,6 +146902,33 @@ RandomIntegerDistributions(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RANDSRC RandomNumberSource}
+\begin{chunk}{RandomNumberSource.input}
+)set break resume
+)sys rm -f RandomNumberSource.output
+)spool RandomNumberSource.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RandomNumberSource
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RandomNumberSource.help}
+====================================================================
+RandomNumberSource examples
+====================================================================
+
+All random numbers used in the system should originate from
+the same generator.  This package is intended to be the source.
+
+See Also:
+o )show RandomNumberSource
+
+\end{chunk}
 \pagehead{RandomNumberSource}{RANDSRC}
 \pagepic{ps/v104randomnumbersource.ps}{RANDSRC}{1.00}
 
@@ -137093,6 +147004,38 @@ RandomNumberSource(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RATFACT RationalFactorize}
+\begin{chunk}{RationalFactorize.input}
+)set break resume
+)sys rm -f RationalFactorize.output
+)spool RationalFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFactorize.help}
+====================================================================
+RationalFactorize examples
+====================================================================
+
+Factorization of extended polynomials with rational coefficients.
+This package implements factorization of extended polynomials whose
+coefficients are rational numbers. It does this by taking the lcm of
+the coefficients of the polynomial and creating a polynomial with
+integer coefficients. The algorithm in GaloisGroupFactorizer is then
+used to factor the integer polynomial. The result is normalized with
+respect to the original lcm of the denominators.
+
+See Also:
+o )show RationalFactorize
+
+\end{chunk}
 \pagehead{RationalFactorize}{RATFACT}
 \pagepic{ps/v104rationalfactorize.ps}{RATFACT}{1.00}
 
@@ -137169,6 +147112,33 @@ RationalFactorize(RP) : public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RF RationalFunction}
+\begin{chunk}{RationalFunction.input}
+)set break resume
+)sys rm -f RationalFunction.output
+)spool RationalFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunction
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunction.help}
+====================================================================
+RationalFunction examples
+====================================================================
+
+Utilities that provide the same top-level manipulations on fractions
+than on polynomials.
+
+See Also:
+o )show RationalFunction
+
+\end{chunk}
 \pagehead{RationalFunction}{RF}
 \pagepic{ps/v104rationalfunction.ps}{RF}{1.00}
 
@@ -137263,6 +147233,34 @@ RationalFunction(R:IntegralDomain): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DEFINTRF RationalFunctionDefiniteIntegration}
+\begin{chunk}{RationalFunctionDefiniteIntegration.input}
+)set break resume
+)sys rm -f RationalFunctionDefiniteIntegration.output
+)spool RationalFunctionDefiniteIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunctionDefiniteIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunctionDefiniteIntegration.help}
+====================================================================
+RationalFunctionDefiniteIntegration examples
+====================================================================
+
+Definite integration of rational functions. 
+RationalFunctionDefiniteIntegration provides functions to compute 
+definite integrals of rational functions.
+
+See Also:
+o )show RationalFunctionDefiniteIntegration
+
+\end{chunk}
 \pagehead{RationalFunctionDefiniteIntegration}{DEFINTRF}
 \pagepic{ps/v104rationalfunctiondefiniteintegration.ps}{DEFINTRF}{1.00}
 
@@ -137368,6 +147366,33 @@ RationalFunctionDefiniteIntegration(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RFFACT RationalFunctionFactor}
+\begin{chunk}{RationalFunctionFactor.input}
+)set break resume
+)sys rm -f RationalFunctionFactor.output
+)spool RationalFunctionFactor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunctionFactor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunctionFactor.help}
+====================================================================
+RationalFunctionFactor examples
+====================================================================
+
+Factorization of univariate polynomials with coefficients which
+are rational functions with integer coefficients.
+
+See Also:
+o )show RationalFunctionFactor
+
+\end{chunk}
 \pagehead{RationalFunctionFactor}{RFFACT}
 \pagepic{ps/v104rationalfunctionfactor.ps}{RFFACT}{1.00}
 
@@ -137417,6 +147442,35 @@ RationalFunctionFactor(UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RFFACTOR RationalFunctionFactorizer}
+\begin{chunk}{RationalFunctionFactorizer.input}
+)set break resume
+)sys rm -f RationalFunctionFactorizer.output
+)spool RationalFunctionFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunctionFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunctionFactorizer.help}
+====================================================================
+RationalFunctionFactorizer examples
+====================================================================
+
+RationalFunctionFactorizer contains the factor function (called
+factorFraction) which factors fractions of polynomials by factoring
+the numerator and denominator. Since any non zero fraction is a unit
+the usual factor operation will just return the original fraction.
+
+See Also:
+o )show RationalFunctionFactorizer
+
+\end{chunk}
 \pagehead{RationalFunctionFactorizer}{RFFACTOR}
 \pagepic{ps/v104rationalfunctionfactorizer.ps}{RFFACTOR}{1.00}
 
@@ -137470,6 +147524,32 @@ RationalFunctionFactorizer(R) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTRF RationalFunctionIntegration}
+\begin{chunk}{RationalFunctionIntegration.input}
+)set break resume
+)sys rm -f RationalFunctionIntegration.output
+)spool RationalFunctionIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunctionIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunctionIntegration.help}
+====================================================================
+RationalFunctionIntegration examples
+====================================================================
+
+This package provides functions for the integration of rational functions.
+
+See Also:
+o )show RationalFunctionIntegration
+
+\end{chunk}
 \pagehead{RationalFunctionIntegration}{INTRF}
 \pagepic{ps/v104rationalfunctionintegration.ps}{INTRF}{1.00}
 
@@ -137548,6 +147628,32 @@ RationalFunctionIntegration(F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package LIMITRF RationalFunctionLimitPackage}
+\begin{chunk}{RationalFunctionLimitPackage.input}
+)set break resume
+)sys rm -f RationalFunctionLimitPackage.output
+)spool RationalFunctionLimitPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunctionLimitPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunctionLimitPackage.help}
+====================================================================
+RationalFunctionLimitPackage examples
+====================================================================
+
+Computation of limits for rational functions.
+
+See Also:
+o )show RationalFunctionLimitPackage
+
+\end{chunk}
 \pagehead{RationalFunctionLimitPackage}{LIMITRF}
 \pagepic{ps/v104rationalfunctionlimitpackage.ps}{LIMITRF}{1.00}
 
@@ -137713,6 +147819,32 @@ RationalFunctionLimitPackage(R:GcdDomain):Exports==Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SIGNRF RationalFunctionSign}
+\begin{chunk}{RationalFunctionSign.input}
+)set break resume
+)sys rm -f RationalFunctionSign.output
+)spool RationalFunctionSign.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalFunctionSign
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalFunctionSign.help}
+====================================================================
+RationalFunctionSign examples
+====================================================================
+
+Find the sign of a rational function around a point or infinity.
+
+See Also:
+o )show RationalFunctionSign
+
+\end{chunk}
 \pagehead{RationalFunctionSign}{SIGNRF}
 \pagepic{ps/v104rationalfunctionsign.ps}{SIGNRF}{1.00}
 
@@ -138159,6 +148291,33 @@ RationalFunctionSum(R): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTRAT RationalIntegration}
+\begin{chunk}{RationalIntegration.input}
+)set break resume
+)sys rm -f RationalIntegration.output
+)spool RationalIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalIntegration.help}
+====================================================================
+RationalIntegration examples
+====================================================================
+
+Rational function integration.  This package provides functions for
+the base case of the Risch algorithm.
+
+See Also:
+o )show RationalIntegration
+
+\end{chunk}
 \pagehead{RationalIntegration}{INTRAT}
 \pagepic{ps/v104rationalintegration.ps}{INTRAT}{1.00}
 
@@ -138256,6 +148415,32 @@ where the coefficients of the rational function are in any given field.
 \item Comments welcome!
 \end{itemize}
 
+\begin{chunk}{RationalInterpolation.input}
+)set break resume
+)sys rm -f RationalInterpolation.output
+)spool RationalInterpolation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalInterpolation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalInterpolation.help}
+====================================================================
+RationalInterpolation examples
+====================================================================
+
+This package exports rational interpolation algorithms
+
+See Also:
+o )show RationalInterpolation
+
+\end{chunk}
 \pagehead{RationalInterpolation}{RINTERP}
 \pagepic{ps/v104rationalinterpolation.ps}{RINTERP}{1.00}
 
@@ -138376,6 +148561,33 @@ Finally, we generate the rational function:
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODERAT RationalLODE}
+\begin{chunk}{RationalLODE.input}
+)set break resume
+)sys rm -f RationalLODE.output
+)spool RationalLODE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalLODE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalLODE.help}
+====================================================================
+RationalLODE examples
+====================================================================
+
+RationalLODE provides functions for in-field solutions of linear
+ordinary differential equations, in the rational case.
+
+See Also:
+o )show RationalLODE
+
+\end{chunk}
 \pagehead{RationalLODE}{ODERAT}
 \pagepic{ps/v104rationallode.ps}{ODERAT}{1.00}
 
@@ -138624,6 +148836,32 @@ RationalLODE(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RATRET RationalRetractions}
+\begin{chunk}{RationalRetractions.input}
+)set break resume
+)sys rm -f RationalRetractions.output
+)spool RationalRetractions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalRetractions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalRetractions.help}
+====================================================================
+RationalRetractions examples
+====================================================================
+
+Rational number testing and retraction functions.
+
+See Also:
+o )show RationalRetractions
+
+\end{chunk}
 \pagehead{RationalRetractions}{RATRET}
 \pagepic{ps/v104rationalretractions.ps}{RATRET}{1.00}
 
@@ -138668,6 +148906,32 @@ RationalRetractions(S:RetractableTo(Fraction Integer)): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODERTRIC RationalRicDE}
+\begin{chunk}{RationalRicDE.input}
+)set break resume
+)sys rm -f RationalRicDE.output
+)spool RationalRicDE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalRicDE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalRicDE.help}
+====================================================================
+RationalRicDE examples
+====================================================================
+
+In-field solution of Riccati equations, rational case.
+
+See Also:
+o )show RationalRicDE
+
+\end{chunk}
 \pagehead{RationalRicDE}{ODERTRIC}
 \pagepic{ps/v104rationalricde.ps}{ODERTRIC}{1.00}
 
@@ -138973,6 +149237,37 @@ RationalRicDE(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RURPK RationalUnivariateRepresentationPackage}
+\begin{chunk}{RationalUnivariateRepresentationPackage.input}
+)set break resume
+)sys rm -f RationalUnivariateRepresentationPackage.output
+)spool RationalUnivariateRepresentationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RationalUnivariateRepresentationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RationalUnivariateRepresentationPackage.help}
+====================================================================
+RationalUnivariateRepresentationPackage examples
+====================================================================
+
+A package for computing the rational univariate representation
+of a zero-dimensional algebraic variety given by a regular
+triangular set. This package is essentially an interface for the
+InternalRationalUnivariateRepresentationPackage constructor.
+It is used in the ZeroDimensionalSolvePackage for solving polynomial 
+systems with finitely many solutions.
+
+See Also:
+o )show RationalUnivariateRepresentationPackage
+
+\end{chunk}
 \pagehead{RationalUnivariateRepresentationPackage}{RURPK}
 \pagepic{ps/v104rationalunivariaterepresentationpackage.ps}{RURPK}{1.00}
 
@@ -139114,13 +149409,13 @@ RationalUnivariateRepresentationPackage(R,ls): Exports == Implementation where
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLUTIL RealPolynomialUtilitiesPackage}
 This file describes the Real Closure 1.0 package which consists of different
-packages, categoris and domains :
+packages, categories and domains.
 
-The package RealPolynomialUtilitiesPackage whichs receives a field and a
+The package RealPolynomialUtilitiesPackage which receives a field and a
 univariate polynomial domain with coefficients in the field. It computes some
 simple functions such as Strum and Sylvester sequences.
 
-The category RealRootCharacterizationCategory provides abstarct
+The category RealRootCharacterizationCategory provides abstract
 functionalities to work with "real roots" of univariate polynomials. These
 resemble variables with some functionalities needed to compute important
 operations.
@@ -139149,7 +149444,7 @@ The file reclos.input show some basic use of the package.  This packages uses
 algorithms which are published in [1] and [2] which are based on field
 arithmetics, in particular for polynomial gcd related algorithms. This can be
 quite slow for high degree polynomials and subresultants methods usually work
-best. Betas versions of the package try to use these techniques in a better
+best. Beta versions of the package try to use these techniques in a better
 way and work significantly faster. These are mostly based on unpublished
 algorithms and cannot be distributed. Please contact the author if you have a
 particular problem to solve or want to use these versions.
@@ -139158,6 +149453,33 @@ Be aware that approximations behave as post-processing and that all
 computations are done excatly. They can thus be quite time consuming when
 depending on several ``real roots''.
 
+\begin{chunk}{RealPolynomialUtilitiesPackage.input}
+)set break resume
+)sys rm -f RealPolynomialUtilitiesPackage.output
+)spool RealPolynomialUtilitiesPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealPolynomialUtilitiesPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RealPolynomialUtilitiesPackage.help}
+====================================================================
+RealPolynomialUtilitiesPackage examples
+====================================================================
+
+RealPolynomialUtilitiesPackage provides common functions used
+by interval coding.
+
+See Also:
+o )show RealPolynomialUtilitiesPackage
+
+\end{chunk}
 \pagehead{RealPolynomialUtilitiesPackage}{POLUTIL}
 \pagepic{ps/v104realpolynomialutilitiespackage.ps}{POLUTIL}{1.00}
 
@@ -139518,6 +149840,36 @@ RealSolvePackage(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REAL0 RealZeroPackage}
+\begin{chunk}{RealZeroPackage.input}
+)set break resume
+)sys rm -f RealZeroPackage.output
+)spool RealZeroPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealZeroPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RealZeroPackage.help}
+====================================================================
+RealZeroPackage examples
+====================================================================
+
+This package provides functions for finding the real zeros of
+univariate polynomials over the integers to arbitrary user-specified
+precision. The results are returned as a list of isolating intervals
+which are expressed as records with "left" and "right" rational number
+components.
+
+See Also:
+o )show RealZeroPackage
+
+\end{chunk}
 \pagehead{RealZeroPackage}{REAL0}
 \pagepic{ps/v104realzeropackage.ps}{REAL0}{1.00}
 
@@ -139821,6 +150173,35 @@ RealZeroPackage(Pol): T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REAL0Q RealZeroPackageQ}
+\begin{chunk}{RealZeroPackageQ.input}
+)set break resume
+)sys rm -f RealZeroPackageQ.output
+)spool RealZeroPackageQ.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealZeroPackageQ
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RealZeroPackageQ.help}
+====================================================================
+RealZeroPackageQ examples
+====================================================================
+
+This package provides functions for finding the real zeros of univariate 
+polynomials over the rational numbers to arbitrary user-specified 
+precision. The results are returned as a list of isolating intervals, 
+expressed as records with "left" and "right" rational number components.
+
+See Also:
+o )show RealZeroPackageQ
+
+\end{chunk}
 \pagehead{RealZeroPackageQ}{REAL0Q}
 \pagepic{ps/v104realzeropackageq.ps}{REAL0Q}{1.00}
 
@@ -139905,6 +150286,33 @@ RealZeroPackageQ(Pol): T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RMCAT2 RectangularMatrixCategoryFunctions2}
+\begin{chunk}{RectangularMatrixCategoryFunctions2.input}
+)set break resume
+)sys rm -f RectangularMatrixCategoryFunctions2.output
+)spool RectangularMatrixCategoryFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RectangularMatrixCategoryFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RectangularMatrixCategoryFunctions2.help}
+====================================================================
+RectangularMatrixCategoryFunctions2 examples
+====================================================================
+
+RectangularMatrixCategoryFunctions2 provides functions between
+two matrix domains.  The functions provided are map and reduce.
+
+See Also:
+o )show RectangularMatrixCategoryFunctions2
+
+\end{chunk}
 \pagehead{RectangularMatrixCategoryFunctions2}{RMCAT2}
 \pagepic{ps/v104rectangularmatrixcategoryfunctions2.ps}{RMCAT2}{1.00}
 
@@ -139973,9 +150381,34 @@ RectangularMatrixCategoryFunctions2(m,n,R1,Row1,Col1,M1,R2,Row2,Col2,M2):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RECOP RecurrenceOperator}
-The package defined in this file provide an operator for the
-$n^{th}$ term of a recurrence and an operator for the
-coefficient of $x^n$ in a function specified by a functional equation.
+\begin{chunk}{RecurrenceOperator.input}
+)set break resume
+)sys rm -f RecurrenceOperator.output
+)spool RecurrenceOperator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RecurrenceOperator
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RecurrenceOperator.help}
+====================================================================
+RecurrenceOperator examples
+====================================================================
+
+This package provides an operator for the n-th term of a recurrence and an
+operator for the coefficient of x^n in a function specified by a functional
+equation.
+
+See Also:
+o )show RecurrenceOperator
+
+\end{chunk}
 \pagehead{RecurrenceOperator}{RECOP}
 \pagepic{ps/v104recurrenceoperator.ps}{RECOP}{1.00}
 
@@ -140483,6 +150916,32 @@ getOrder returns the maximum derivative of op occurring in f.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RDIV ReducedDivisor}
+\begin{chunk}{ReducedDivisor.input}
+)set break resume
+)sys rm -f ReducedDivisor.output
+)spool ReducedDivisor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ReducedDivisor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ReducedDivisor.help}
+====================================================================
+ReducedDivisor examples
+====================================================================
+
+Finds the order of a divisor over a finite field
+
+See Also:
+o )show ReducedDivisor
+
+\end{chunk}
 \pagehead{ReducedDivisor}{RDIV}
 \pagepic{ps/v104reduceddivisor.ps}{RDIV}{1.00}
 
@@ -140548,6 +151007,33 @@ ReducedDivisor(F1, UP, UPUP, R, F2): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODERED ReduceLODE}
+\begin{chunk}{ReduceLODE.input}
+)set break resume
+)sys rm -f ReduceLODE.output
+)spool ReduceLODE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ReduceLODE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ReduceLODE.help}
+====================================================================
+ReduceLODE examples
+====================================================================
+
+Elimination of an algebraic from the coefficentss of a linear ordinary
+differential equation.
+
+See Also:
+o )show ReduceLODE
+
+\end{chunk}
 \pagehead{ReduceLODE}{ODERED}
 \pagepic{ps/v104reducelode.ps}{ODERED}{1.00}
 
@@ -140620,6 +151106,33 @@ ReduceLODE(F, L, UP, A, LO): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REDORDER ReductionOfOrder}
+\begin{chunk}{ReductionOfOrder.input}
+)set break resume
+)sys rm -f ReductionOfOrder.output
+)spool ReductionOfOrder.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ReductionOfOrder
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ReductionOfOrder.help}
+====================================================================
+ReductionOfOrder examples
+====================================================================
+
+ReductionOfOrder provides functions for reducing the order of linear 
+ordinary differential equations once some solutions are known.
+
+See Also:
+o )show ReductionOfOrder
+
+\end{chunk}
 \pagehead{ReductionOfOrder}{REDORDER}
 \pagepic{ps/v104reductionoforder.ps}{REDORDER}{1.00}
 
@@ -140700,6 +151213,52 @@ ReductionOfOrder(F, L): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RSDCMPK RegularSetDecompositionPackage}
+\begin{chunk}{RegularSetDecompositionPackage.input}
+)set break resume
+)sys rm -f RegularSetDecompositionPackage.output
+)spool RegularSetDecompositionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RegularSetDecompositionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RegularSetDecompositionPackage.help}
+====================================================================
+RegularSetDecompositionPackage examples
+====================================================================
+
+A package providing a new algorithm for solving polynomial systems by
+means of regular chains. Two ways of solving are proposed: in the
+sense of Zariski closure (like in Kalkbrener's algorithm) or in the
+sense of the regular zeros (like in Wu, Wang or Lazard methods). This
+algorithm is valid for any type of regular set. It does not care about
+the way a polynomial is added in an regular set, or how two
+quasi-components are compared (by an inclusion-test), or how the
+invertibility test is made in the tower of simple extensions
+associated with a regular set.
+
+These operations are realized respectively by the domain TS
+and the packages QCMPACK(R,E,V,P,TS) and RSETGCD(R,E,V,P,TS).
+
+The same way it does not care about the way univariate polynomial
+gcd (with coefficients in the tower of simple extensions associated 
+with a regular set) are computed. The only requirement is that these
+gcd need to have invertible initials (normalized or not).
+
+WARNING. There is no need for a user to call directly any operation
+of this package since they can be accessed by the domain TS.
+Thus, the operations of this package are not documented.
+
+See Also:
+o )show RegularSetDecompositionPackage
+
+\end{chunk}
 \pagehead{RegularSetDecompositionPackage}{RSDCMPK}
 \pagepic{ps/v104regularsetdecompositionpackage.ps}{RSDCMPK}{1.00}
 
@@ -140729,7 +151288,7 @@ ReductionOfOrder(F, L): Exports == Impl where
 ++ by means of regular chains. Two ways of solving are proposed:
 ++ in the sense of Zariski closure (like in Kalkbrener's algorithm)
 ++ or in the sense of the regular zeros (like in Wu, Wang or Lazard
-++ methods). This algorithm is valid for nay type
+++ methods). This algorithm is valid for any type
 ++ of regular set. It does not care about the way a polynomial is
 ++ added in an regular set, or how two quasi-components are compared
 ++ (by an inclusion-test), or how the invertibility test is made in
@@ -140741,7 +151300,7 @@ ReductionOfOrder(F, L): Exports == Impl where
 ++ gcd (with coefficients in the tower of simple extensions associated 
 ++ with a regular set) are computed. The only requirement is that these
 ++ gcd need to have invertible initials (normalized or not).
-++ WARNING. There is no need for a user to call diectly any operation
+++ WARNING. There is no need for a user to call directly any operation
 ++ of this package since they can be accessed by the domain \axiom{TS}.
 ++ Thus, the operations of this package are not documented.
 
@@ -140996,6 +151555,33 @@ RegularSetDecompositionPackage(R,E,V,P,TS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RSETGCD RegularTriangularSetGcdPackage}
+\begin{chunk}{RegularTriangularSetGcdPackage.input}
+)set break resume
+)sys rm -f RegularTriangularSetGcdPackage.output
+)spool RegularTriangularSetGcdPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RegularTriangularSetGcdPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RegularTriangularSetGcdPackage.help}
+====================================================================
+RegularTriangularSetGcdPackage examples
+====================================================================
+
+An internal package for computing gcds and resultants of univariate
+polynomials with coefficients in a tower of simple extensions of a field.
+
+See Also:
+o )show RegularTriangularSetGcdPackage
+
+\end{chunk}
 \pagehead{RegularTriangularSetGcdPackage}{RSETGCD}
 \pagepic{ps/v104regulartriangularsetgcdpackage.ps}{RSETGCD}{1.00}
 
@@ -141371,6 +151957,32 @@ RegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REPDB RepeatedDoubling}
+\begin{chunk}{RepeatedDoubling.input}
+)set break resume
+)sys rm -f RepeatedDoubling.output
+)spool RepeatedDoubling.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RepeatedDoubling
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RepeatedDoubling.help}
+====================================================================
+RepeatedDoubling examples
+====================================================================
+
+Implements multiplication by repeated addition
+
+See Also:
+o )show RepeatedDoubling
+
+\end{chunk}
 \pagehead{RepeatedDoubling}{REPDB}
 \pagepic{ps/v104repeateddoubling.ps}{REPDB}{1.00}
 
@@ -141416,22 +152028,45 @@ RepeatedDoubling(S):Exports ==Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REPSQ RepeatedSquaring}
-This code computes $x^n$ by repeated squaring. It takes advantage of the
-law of exponents so that if $n=a*b$ then 
-\[ x^n = x^a x^b \]
-It also takes advantage of the fact that $n$ has a binary representation
+\begin{chunk}{RepeatedSquaring.input}
+)set break resume
+)sys rm -f RepeatedSquaring.output
+)spool RepeatedSquaring.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RepeatedSquaring
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RepeatedSquaring.help}
+====================================================================
+RepeatedSquaring examples
+====================================================================
+
+This code computes x^n by repeated squaring. It takes advantage of the
+law of exponents so that if n=a*b then 
+
+     x^n = x^a x^b 
+
+It also takes advantage of the fact that n has a binary representation
 so that a one-bit right-shift of a number divides it by 2. Thus we get
 three cases:
-\[
-\begin{array}{l}
- n = 1 \rightarrow x^1 \\
- n \textrm{\ \ odd} \rightarrow \textrm{repeatedsquare}(x*x,n/2)*x \\
- n \textrm{\ even} \rightarrow \textrm{repeatedsquare}(x*x,n/2) 
-\end{array}
-\]
 
-Since each recursive call divides $n$ by $2$ the algorithm is O(log(n)).
+     n = 1  -> x^1
+     n odd  -> repeatedsquare(x*x,n/2)*x
+     n even -> repeatedsquare(x*x,n/2) 
 
+Since each recursive call divides n by 2 the algorithm is O(log(n)).
+
+See Also:
+o )show RepeatedSquaring
+
+\end{chunk}
 \pagehead{RepeatedSquaring}{REPSQ}
 \pagepic{ps/v104repeatedsquaring.ps}{REPSQ}{1.00}
 
@@ -141476,6 +152111,41 @@ RepeatedSquaring(S): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REP1 RepresentationPackage1}
+\begin{chunk}{RepresentationPackage1.input}
+)set break resume
+)sys rm -f RepresentationPackage1.output
+)spool RepresentationPackage1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RepresentationPackage1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RepresentationPackage1.help}
+====================================================================
+RepresentationPackage1 examples
+====================================================================
+
+RepresentationPackage1 provides functions for representation theory
+for finite groups and algebras.
+
+The package creates permutation representations and uses tensor products
+and its symmetric and antisymmetric components to create new
+representations of larger degree from given ones.
+
+Note that instead of having parameters from Permutation this package
+allows list notation of permutations as well: e.g. [1,4,3,2] denotes
+permutes 2 and 4 and fixes 1 and 3.
+
+See Also:
+o )show RepresentationPackage1
+
+\end{chunk}
 \pagehead{RepresentationPackage1}{REP1}
 \pagepic{ps/v104representationpackage1.ps}{REP1}{1.00}
 
@@ -141818,6 +152488,41 @@ RepresentationPackage1(R): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package REP2 RepresentationPackage2}
+\begin{chunk}{RepresentationPackage2.input}
+)set break resume
+)sys rm -f RepresentationPackage2.output
+)spool RepresentationPackage2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RepresentationPackage2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RepresentationPackage2.help}
+====================================================================
+RepresentationPackage2 examples
+====================================================================
+
+RepresentationPackage2 provides functions for working with
+modular representations of finite groups and algebra.
+The routines in this package are created, using ideas of R. Parker,
+(the meat-Axe) to get smaller representations from bigger ones, 
+i.e. finding sub- and factormodules, or to show, that such the
+representations are irreducible.
+
+Note that most functions are randomized functions of Las Vegas type
+i.e. every answer is correct, but with small probability
+the algorithm fails to get an answer.
+
+See Also:
+o )show RepresentationPackage2
+
+\end{chunk}
 \pagehead{RepresentationPackage2}{REP2}
 \pagepic{ps/v104representationpackage2.ps}{REP2}{1.00}
 
@@ -142609,6 +153314,32 @@ RepresentationPackage2(R): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RESLATC ResolveLatticeCompletion}
+\begin{chunk}{ResolveLatticeCompletion.input}
+)set break resume
+)sys rm -f ResolveLatticeCompletion.output
+)spool ResolveLatticeCompletion.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ResolveLatticeCompletion
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ResolveLatticeCompletion.help}
+====================================================================
+ResolveLatticeCompletion examples
+====================================================================
+
+This package provides coercions for the special types Exit and Void.
+
+See Also:
+o )show ResolveLatticeCompletion
+
+\end{chunk}
 \pagehead{ResolveLatticeCompletion}{RESLATC}
 \pagepic{ps/v104resolvelatticecompletion.ps}{RESLATC}{1.00}
 
@@ -142650,6 +153381,33 @@ ResolveLatticeCompletion(S: Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RETSOL RetractSolvePackage}
+\begin{chunk}{RetractSolvePackage.input}
+)set break resume
+)sys rm -f RetractSolvePackage.output
+)spool RetractSolvePackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RetractSolvePackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{RetractSolvePackage.help}
+====================================================================
+RetractSolvePackage examples
+====================================================================
+
+RetractSolvePackage is an interface to SystemSolvePackage that
+attempts to retract the coefficients of the equations before solving.
+
+See Also:
+o )show RetractSolvePackage
+
+\end{chunk}
 \pagehead{RetractSolvePackage}{RETSOL}
 \pagepic{ps/v104retractsolvepackage.ps}{RETSOL}{1.00}
 
@@ -142911,6 +153669,33 @@ RootsFindingPackage(K):P==T where
 \chapter{Chapter S}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SAERFFC SAERationalFunctionAlgFactor}
+\begin{chunk}{SAERationalFunctionAlgFactor.input}
+)set break resume
+)sys rm -f SAERationalFunctionAlgFactor.output
+)spool SAERationalFunctionAlgFactor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SAERationalFunctionAlgFactor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SAERationalFunctionAlgFactor.help}
+====================================================================
+SAERationalFunctionAlgFactor examples
+====================================================================
+
+Factorization of univariate polynomials with coefficients in an
+algebraic extension of Fraction Polynomial Integer.
+
+See Also:
+o )show SAERationalFunctionAlgFactor
+
+\end{chunk}
 \pagehead{SAERationalFunctionAlgFactor}{SAERFFC}
 \pagepic{ps/v104saerationalfunctionalgfactor.ps}{SAERFFC}{1.00}
 
@@ -142948,6 +153733,34 @@ SAERationalFunctionAlgFactor(UP, SAE, UPA): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package FORMULA1 ScriptFormulaFormat1}
+\begin{chunk}{ScriptFormulaFormat1.input}
+)set break resume
+)sys rm -f ScriptFormulaFormat1.output
+)spool ScriptFormulaFormat1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ScriptFormulaFormat1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ScriptFormulaFormat1.help}
+====================================================================
+ScriptFormulaFormat1 examples
+====================================================================
+
+ScriptFormulaFormat1 provides a utility coercion for changing to
+SCRIPT formula format anything that has a coercion to the standard
+output format.
+
+See Also:
+o )show ScriptFormulaFormat1
+
+\end{chunk}
 \pagehead{ScriptFormulaFormat1}{FORMULA1}
 \pagepic{ps/v104scriptformulaformat1.ps}{FORMULA1}{1.00}
 
@@ -142992,6 +153805,32 @@ ScriptFormulaFormat1(S : SetCategory): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SEGBIND2 SegmentBindingFunctions2}
+\begin{chunk}{SegmentBindingFunctions2.input}
+)set break resume
+)sys rm -f SegmentBindingFunctions2.output
+)spool SegmentBindingFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SegmentBindingFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SegmentBindingFunctions2.help}
+====================================================================
+SegmentBindingFunctions2 examples
+====================================================================
+
+This package provides operations for mapping functions onto SegmentBinding.
+
+See Also:
+o )show SegmentBindingFunctions2
+
+\end{chunk}
 \pagehead{SegmentBindingFunctions2}{SEGBIND2}
 \pagepic{ps/v104segmentbindingfunctions2.ps}{SEGBIND2}{1.00}
 
@@ -143021,6 +153860,32 @@ SegmentBindingFunctions2(R:Type, S:Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SEG2 SegmentFunctions2}
+\begin{chunk}{SegmentFunctions2.input}
+)set break resume
+)sys rm -f SegmentFunctions2.output
+)spool SegmentFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SegmentFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SegmentFunctions2.help}
+====================================================================
+SegmentFunctions2 examples
+====================================================================
+
+This package provides operations for mapping functions onto segments.
+
+See Also:
+o )show SegmentFunctions2
+
+\end{chunk}
 \pagehead{SegmentFunctions2}{SEG2}
 \pagepic{ps/v104segmentfunctions2.ps}{SEG2}{1.00}
 
@@ -143075,6 +153940,33 @@ SegmentFunctions2(R:Type, S:Type): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SAEFACT SimpleAlgebraicExtensionAlgFactor}
+\begin{chunk}{SimpleAlgebraicExtensionAlgFactor.input}
+)set break resume
+)sys rm -f SimpleAlgebraicExtensionAlgFactor.output
+)spool SimpleAlgebraicExtensionAlgFactor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SimpleAlgebraicExtensionAlgFactor
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SimpleAlgebraicExtensionAlgFactor.help}
+====================================================================
+SimpleAlgebraicExtensionAlgFactor examples
+====================================================================
+
+Factorization of univariate polynomials with coefficients in an
+algebraic extension of the rational numbers (Fraction Integer).
+
+See Also:
+o )show SimpleAlgebraicExtensionAlgFactor
+
+\end{chunk}
 \pagehead{SimpleAlgebraicExtensionAlgFactor}{SAEFACT}
 \pagepic{ps/v104simplealgebraicextensionalgfactor.ps}{SAEFACT}{1.00}
 
@@ -143112,6 +154004,33 @@ SimpleAlgebraicExtensionAlgFactor(UP,SAE,UPA):Exports==Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SIMPAN SimplifyAlgebraicNumberConvertPackage}
+\begin{chunk}{SimplifyAlgebraicNumberConvertPackage.input}
+)set break resume
+)sys rm -f SimplifyAlgebraicNumberConvertPackage.output
+)spool SimplifyAlgebraicNumberConvertPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SimplifyAlgebraicNumberConvertPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SimplifyAlgebraicNumberConvertPackage.help}
+====================================================================
+SimplifyAlgebraicNumberConvertPackage examples
+====================================================================
+
+Package to allow simplify to be called on AlgebraicNumbers
+by converting to EXPR(INT)
+
+See Also:
+o )show SimplifyAlgebraicNumberConvertPackage
+
+\end{chunk}
 \pagehead{SimplifyAlgebraicNumberConvertPackage}{SIMPAN}
 \pagepic{ps/v104simplifyalgebraicnumberconvertpackage.ps}{SIMPAN}{1.00}
 
@@ -143140,6 +154059,33 @@ SimplifyAlgebraicNumberConvertPackage(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SMITH SmithNormalForm}
+\begin{chunk}{SmithNormalForm.input}
+)set break resume
+)sys rm -f SmithNormalForm.output
+)spool SmithNormalForm.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SmithNormalForm
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SmithNormalForm.help}
+====================================================================
+SmithNormalForm examples
+====================================================================
+
+SmithNormalForm is a package which provides some standard canonical 
+forms for matrices.
+
+See Also:
+o )show SmithNormalForm
+
+\end{chunk}
 \pagehead{SmithNormalForm}{SMITH}
 \pagepic{ps/v104smithnormalform.ps}{SMITH}{1.00}
 
@@ -143381,6 +154327,36 @@ SmithNormalForm(R,Row,Col,M) : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SCACHE SortedCache}
+\begin{chunk}{SortedCache.input}
+)set break resume
+)sys rm -f SortedCache.output
+)spool SortedCache.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SortedCache
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SortedCache.help}
+====================================================================
+SortedCache examples
+====================================================================
+
+A sorted cache of a cachable set S is a dynamic structure that keeps
+the elements of S sorted and assigns an integer to each element of S
+once it is in the cache. This way, equality and ordering on S are
+tested directly on the integers associated with the elements of S,
+once they have been entered in the cache.
+
+See Also:
+o )show SortedCache
+
+\end{chunk}
 \pagehead{SortedCache}{SCACHE}
 \pagepic{ps/v104sortedcache.ps}{SCACHE}{1.00}
 
@@ -143479,6 +154455,32 @@ SortedCache(S:CachableSet): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SORTPAK SortPackage}
+\begin{chunk}{SortPackage.input}
+)set break resume
+)sys rm -f SortPackage.output
+)spool SortPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SortPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SortPackage.help}
+====================================================================
+SortPackage examples
+====================================================================
+
+This package exports sorting algorithnms
+
+See Also:
+o )show SortPackage
+
+\end{chunk}
 \pagehead{SortPackage}{SORTPAK}
 \pagepic{ps/v104sortpackage.ps}{SORTPAK}{1.00}
 
@@ -143551,6 +154553,36 @@ SortPackage(S,A) : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SUP2 SparseUnivariatePolynomialFunctions2}
+\begin{chunk}{SparseUnivariatePolynomialFunctions2.input}
+)set break resume
+)sys rm -f SparseUnivariatePolynomialFunctions2.output
+)spool SparseUnivariatePolynomialFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariatePolynomialFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SparseUnivariatePolynomialFunctions2.help}
+====================================================================
+SparseUnivariatePolynomialFunctions2 examples
+====================================================================
+
+This package lifts a mapping from coefficient rings R to S to a
+mapping from sparse univariate polynomial over R to a sparse
+univariate polynomial over S.  Note that the mapping is assumed to
+send zero to zero, since it will only be applied to the non-zero
+coefficients of the polynomial.
+
+See Also:
+o )show SparseUnivariatePolynomialFunctions2
+
+\end{chunk}
 \pagehead{SparseUnivariatePolynomialFunctions2}{SUP2}
 \pagepic{ps/v104sparseunivariatepolynomialfunctions2.ps}{SUP2}{1.00}
 
@@ -143586,6 +154618,33 @@ SparseUnivariatePolynomialFunctions2(R:Ring, S:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SPECOUT SpecialOutputPackage}
+\begin{chunk}{SpecialOutputPackage.input}
+)set break resume
+)sys rm -f SpecialOutputPackage.output
+)spool SpecialOutputPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SpecialOutputPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SpecialOutputPackage.help}
+====================================================================
+SpecialOutputPackage examples
+====================================================================
+
+SpecialOutputPackage allows FORTRAN, Tex and Script Formula Formatter
+output from programs.
+
+See Also:
+o )show SpecialOutputPackage
+
+\end{chunk}
 \pagehead{SpecialOutputPackage}{SPECOUT}
 \pagepic{ps/v104specialoutputpackage.ps}{SPECOUT}{1.00}
 
@@ -143678,6 +154737,34 @@ SpecialOutputPackage: public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SFQCMPK SquareFreeQuasiComponentPackage}
+\begin{chunk}{SquareFreeQuasiComponentPackage.input}
+)set break resume
+)sys rm -f SquareFreeQuasiComponentPackage.output
+)spool SquareFreeQuasiComponentPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SquareFreeQuasiComponentPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SquareFreeQuasiComponentPackage.help}
+====================================================================
+SquareFreeQuasiComponentPackage examples
+====================================================================
+
+A internal package for removing redundant quasi-components and redundant
+branches when decomposing a variety by means of quasi-components
+of regular triangular sets. 
+
+See Also:
+o )show SquareFreeQuasiComponentPackage
+
+\end{chunk}
 \pagehead{SquareFreeQuasiComponentPackage}{SFQCMPK}
 \pagepic{ps/v104squarefreequasicomponentpackage.ps}{SFQCMPK}{1.00}
 
@@ -144109,6 +155196,52 @@ SquareFreeQuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SRDCMPK SquareFreeRegularSetDecompositionPackage}
+\begin{chunk}{SquareFreeRegularSetDecompositionPackage.input}
+)set break resume
+)sys rm -f SquareFreeRegularSetDecompositionPackage.output
+)spool SquareFreeRegularSetDecompositionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SquareFreeRegularSetDecompositionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SquareFreeRegularSetDecompositionPackage.help}
+====================================================================
+SquareFreeRegularSetDecompositionPackage examples
+====================================================================
+
+A package providing a new algorithm for solving polynomial systems
+by means of regular chains. Two ways of solving are provided:
+in the sense of Zariski closure (like in Kalkbrener's algorithm)
+or in the sense of the regular zeros (like in Wu, Wang or Lazard-
+Moreno methods). This algorithm is valid for any type
+of regular set. It does not care about the way a polynomial is
+added in an regular set, or how two quasi-components are compared
+(by an inclusion-test), or how the invertibility test is made in
+the tower of simple extensions associated with a regular set.
+
+These operations are realized respectively by the domain TS
+and the packages QCMPPK(R,E,V,P,TS) and RSETGCD(R,E,V,P,TS).
+
+The same way it does not care about the way univariate polynomial
+gcds (with coefficients in the tower of simple extensions associated 
+with a regular set) are computed. The only requirement is that these
+gcds need to have invertible initials (normalized or not).
+
+WARNING. There is no need for a user to call directly any operation
+of this package since they can be accessed by the domain \axiomType{TS}.
+Thus, the operations of this package are not documented.
+
+See Also:
+o )show SquareFreeRegularSetDecompositionPackage
+
+\end{chunk}
 \pagehead{SquareFreeRegularSetDecompositionPackage}{SRDCMPK}
 \pagepic{ps/v104squarefreeregularsetdecompositionpackage.ps}{SRDCMPK}{1.00}
 
@@ -144138,7 +155271,7 @@ SquareFreeQuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 ++ by means of regular chains. Two ways of solving are provided:
 ++ in the sense of Zariski closure (like in Kalkbrener's algorithm)
 ++ or in the sense of the regular zeros (like in Wu, Wang or Lazard-
-++ Moreno methods). This algorithm is valid for nay type
+++ Moreno methods). This algorithm is valid for any type
 ++ of regular set. It does not care about the way a polynomial is
 ++ added in an regular set, or how two quasi-components are compared
 ++ (by an inclusion-test), or how the invertibility test is made in
@@ -144149,7 +155282,7 @@ SquareFreeQuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 ++ gcds (with coefficients in the tower of simple extensions associated 
 ++ with a regular set) are computed. The only requirement is that these
 ++ gcds need to have invertible initials (normalized or not).
-++ WARNING. There is no need for a user to call diectly any operation
+++ WARNING. There is no need for a user to call directly any operation
 ++ of this package since they can be accessed by the domain \axiomType{TS}.
 ++ Thus, the operations of this package are not documented.
 
@@ -144403,6 +155536,35 @@ SquareFreeRegularSetDecompositionPackage(R,E,V,P,TS): Exports == Implementation
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SFRGCD SquareFreeRegularTriangularSetGcdPackage}
+\begin{chunk}{SquareFreeRegularTriangularSetGcdPackage.input}
+)set break resume
+)sys rm -f SquareFreeRegularTriangularSetGcdPackage.output
+)spool SquareFreeRegularTriangularSetGcdPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SquareFreeRegularTriangularSetGcdPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SquareFreeRegularTriangularSetGcdPackage.help}
+====================================================================
+SquareFreeRegularTriangularSetGcdPackage examples
+====================================================================
+
+A internal package for computing gcds and resultants of univariate 
+polynomials with coefficients in a tower of simple extensions of a field.
+There is no need to use directly this package since its main operations are
+available from TS. 
+
+See Also:
+o )show SquareFreeRegularTriangularSetGcdPackage
+
+\end{chunk}
 \pagehead{SquareFreeRegularTriangularSetGcdPackage}{SFRGCD}
 \pagepic{ps/v104squarefreeregulartriangularsetgcdpackage.ps}{SFRGCD}{1.00}
 
@@ -144876,6 +156038,36 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package MATSTOR StorageEfficientMatrixOperations}
+\begin{chunk}{StorageEfficientMatrixOperations.input}
+)set break resume
+)sys rm -f StorageEfficientMatrixOperations.output
+)spool StorageEfficientMatrixOperations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StorageEfficientMatrixOperations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StorageEfficientMatrixOperations.help}
+====================================================================
+StorageEfficientMatrixOperations examples
+====================================================================
+
+This package provides standard arithmetic operations on matrices.
+The functions in this package store the results of computations
+in existing matrices, rather than creating new matrices.  This
+package works only for matrices of type Matrix and uses the
+internal representation of this type.
+
+See Also:
+o )show StorageEfficientMatrixOperations
+
+\end{chunk}
 \pagehead{StorageEfficientMatrixOperations}{MATSTOR}
 \pagepic{ps/v104storageefficientmatrixoperations.ps}{MATSTOR}{1.00}
 
@@ -145084,6 +156276,32 @@ StorageEfficientMatrixOperations(R): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STREAM1 StreamFunctions1}
+\begin{chunk}{StreamFunctions1.input}
+)set break resume
+)sys rm -f StreamFunctions1.output
+)spool StreamFunctions1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamFunctions1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamFunctions1.help}
+====================================================================
+StreamFunctions1 examples
+====================================================================
+
+Functions defined on streams with entries in one set.
+
+See Also:
+o )show StreamFunctions1
+
+\end{chunk}
 \pagehead{StreamFunctions1}{STREAM1}
 \pagepic{ps/v104streamfunctions1.ps}{STREAM1}{1.00}
 
@@ -145127,6 +156345,32 @@ StreamFunctions1(S:Type): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STREAM2 StreamFunctions2}
+\begin{chunk}{StreamFunctions2.input}
+)set break resume
+)sys rm -f StreamFunctions2.output
+)spool StreamFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamFunctions2.help}
+====================================================================
+StreamFunctions2 examples
+====================================================================
+
+Functions defined on streams with entries in two sets.
+
+See Also:
+o )show StreamFunctions2
+
+\end{chunk}
 \pagehead{StreamFunctions2}{STREAM2}
 \pagepic{ps/v104streamfunctions2.ps}{STREAM2}{1.00}
 
@@ -145219,6 +156463,32 @@ StreamFunctions2(A:Type,B:Type): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STREAM3 StreamFunctions3}
+\begin{chunk}{StreamFunctions3.input}
+)set break resume
+)sys rm -f StreamFunctions3.output
+)spool StreamFunctions3.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamFunctions3
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamFunctions3.help}
+====================================================================
+StreamFunctions3 examples
+====================================================================
+
+Functions defined on streams with entries in three sets.
+
+See Also:
+o )show StreamFunctions3
+
+\end{chunk}
 \pagehead{StreamFunctions3}{STREAM3}
 \pagepic{ps/v104streamfunctions3.ps}{STREAM3}{1.00}
 
@@ -145274,6 +156544,34 @@ StreamFunctions3(A,B,C): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STINPROD StreamInfiniteProduct}
+\begin{chunk}{StreamInfiniteProduct.input}
+)set break resume
+)sys rm -f StreamInfiniteProduct.output
+)spool StreamInfiniteProduct.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamInfiniteProduct
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamInfiniteProduct.help}
+====================================================================
+StreamInfiniteProduct examples
+====================================================================
+
+This package computes infinite products of Taylor series over an
+integral domain of characteristic 0.  Here Taylor series are
+represented by streams of Taylor coefficients.
+
+See Also:
+o )show StreamInfiniteProduct
+
+\end{chunk}
 \pagehead{StreamInfiniteProduct}{STINPROD}
 \pagepic{ps/v104streaminfiniteproduct.ps}{STINPROD}{1.00}
 
@@ -145354,6 +156652,29 @@ StreamInfiniteProduct(Coef): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STTAYLOR StreamTaylorSeriesOperations}
+\begin{chunk}{StreamTaylorSeriesOperations.input}
+)set break resume
+)sys rm -f StreamTaylorSeriesOperations.output
+)spool StreamTaylorSeriesOperations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamTaylorSeriesOperations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamTaylorSeriesOperations.help}
+====================================================================
+StreamTaylorSeriesOperations examples
+====================================================================
+
+StreamTaylorSeriesOperations implements Taylor series arithmetic,
+where a Taylor series is represented by a stream of its coefficients.
+
 Problems raising a UTS to a negative integer power.
 
 The code in powern(rn,x) which raises an unnecessary error
@@ -145362,6 +156683,10 @@ where no distinction between rational and integer powers are made.
 The fix is easy. Since the problem does not exist in SUPS we can
 just take the definition there.
 
+See Also:
+o )show StreamTaylorSeriesOperations
+
+\end{chunk}
 \pagehead{StreamTaylorSeriesOperations}{STTAYLOR}
 \pagepic{ps/v104streamtaylorseriesoperations.ps}{STTAYLOR}{1.00}
 
@@ -145922,6 +157247,34 @@ StreamTensor(R: Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STTF StreamTranscendentalFunctions}
+\begin{chunk}{StreamTranscendentalFunctions.input}
+)set break resume
+)sys rm -f StreamTranscendentalFunctions.output
+)spool StreamTranscendentalFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamTranscendentalFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamTranscendentalFunctions.help}
+====================================================================
+StreamTranscendentalFunctions examples
+====================================================================
+
+StreamTranscendentalFunctions implements transcendental functions on
+Taylor series, where a Taylor series is represented by a stream of
+its coefficients.
+
+See Also:
+o )show StreamTranscendentalFunctions
+
+\end{chunk}
 \pagehead{StreamTranscendentalFunctions}{STTF}
 \pagepic{ps/v104streamtranscendentalfunctions.ps}{STTF}{1.00}
 
@@ -146396,6 +157749,34 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package STTFNC StreamTranscendentalFunctionsNonCommutative}
+\begin{chunk}{StreamTranscendentalFunctionsNonCommutative.input}
+)set break resume
+)sys rm -f StreamTranscendentalFunctionsNonCommutative.output
+)spool StreamTranscendentalFunctionsNonCommutative.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamTranscendentalFunctionsNonCommutative
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StreamTranscendentalFunctionsNonCommutative.help}
+====================================================================
+StreamTranscendentalFunctionsNonCommutative examples
+====================================================================
+
+StreamTranscendentalFunctionsNonCommutative implements transcendental
+functions on Taylor series over a non-commutative ring, where a Taylor
+series is represented by a stream of its coefficients.
+
+See Also:
+o )show StreamTranscendentalFunctionsNonCommutative
+
+\end{chunk}
 \pagehead{StreamTranscendentalFunctionsNonCommutative}{STTFNC}
 \pagepic{ps/v104streamtranscendentalfunctionsnoncommutative.ps}{STTFNC}{1.00}
 
@@ -146656,6 +158037,34 @@ StreamTranscendentalFunctionsNonCommutative(Coef): _
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SCPKG StructuralConstantsPackage}
+\begin{chunk}{StructuralConstantsPackage.input}
+)set break resume
+)sys rm -f StructuralConstantsPackage.output
+)spool StructuralConstantsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StructuralConstantsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{StructuralConstantsPackage.help}
+====================================================================
+StructuralConstantsPackage examples
+====================================================================
+
+StructuralConstantsPackage provides functions creating
+structural constants from a multiplication tables or a basis
+of a matrix algebra and other useful functions in this context.
+
+See Also:
+o )show StructuralConstantsPackage
+
+\end{chunk}
 \pagehead{StructuralConstantsPackage}{SCPKG}
 \pagepic{ps/v104structuralconstantspackage.ps}{SCPKG}{1.00}
 
@@ -146805,6 +158214,33 @@ must be linear polynomials in the generators"
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SHP SturmHabichtPackage}
+\begin{chunk}{SturmHabichtPackage.input}
+)set break resume
+)sys rm -f SturmHabichtPackage.output
+)spool SturmHabichtPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SturmHabichtPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SturmHabichtPackage.help}
+====================================================================
+SturmHabichtPackage examples
+====================================================================
+
+This package produces functions for counting etc. real roots of univariate 
+polynomials in x over R, which must be an OrderedIntegralDomain
+
+See Also:
+o )show SturmHabichtPackage
+
+\end{chunk}
 \pagehead{SturmHabichtPackage}{SHP}
 \pagepic{ps/v104sturmhabichtpackage.ps}{SHP}{1.00}
 
@@ -147187,6 +158623,35 @@ SturmHabichtPackage(R,x): T == C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SUBRESP SubResultantPackage}
+\begin{chunk}{SubResultantPackage.input}
+)set break resume
+)sys rm -f SubResultantPackage.output
+)spool SubResultantPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SubResultantPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SubResultantPackage.help}
+====================================================================
+SubResultantPackage examples
+====================================================================
+
+This package computes the subresultants of two polynomials which is needed
+for the `Lazard Rioboo' enhancement to Tragers integrations formula
+For efficiency reasons this has been rewritten to call Lionel Ducos
+package which is currently the best one.
+
+See Also:
+o )show SubResultantPackage
+
+\end{chunk}
 \pagehead{SubResultantPackage}{SUBRESP}
 \pagepic{ps/v104subresultantpackage.ps}{SUBRESP}{1.00}
 
@@ -147334,6 +158799,34 @@ SubResultantPackage(R, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SUPFRACF SupFractionFactorizer}
+\begin{chunk}{SupFractionFactorizer.input}
+)set break resume
+)sys rm -f SupFractionFactorizer.output
+)spool SupFractionFactorizer.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SupFractionFactorizer
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SupFractionFactorizer.help}
+====================================================================
+SupFractionFactorizer examples
+====================================================================
+
+SupFractionFactorize  contains the factor function for univariate 
+polynomials over the quotient field of a ring S such that the package
+MultivariateFactorize works for S
+
+See Also:
+o )show SupFractionFactorizer
+
+\end{chunk}
 \pagehead{SupFractionFactorizer}{SUPFRACF}
 \pagepic{ps/v104supfractionfactorizer.ps}{SUPFRACF}{1.00}
 
@@ -147411,6 +158904,33 @@ SupFractionFactorizer(E,OV,R,P) : C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ODESYS SystemODESolver}
+\begin{chunk}{SystemODESolver.input}
+)set break resume
+)sys rm -f SystemODESolver.output
+)spool SystemODESolver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SystemODESolver
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SystemODESolver.help}
+====================================================================
+SystemODESolver examples
+====================================================================
+
+SystemODESolver provides tools for triangulating and solving some
+systems of linear ordinary differential equations.
+
+See Also:
+o )show SystemODESolver
+
+\end{chunk}
 \pagehead{SystemODESolver}{ODESYS}
 \pagepic{ps/v104systemodesolver.ps}{ODESYS}{1.00}
 
@@ -147665,6 +159185,48 @@ SystemODESolver(F, LO): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SYSSOLP SystemSolvePackage}
+\begin{chunk}{SystemSolvePackage.input}
+)set break resume
+)sys rm -f SystemSolvePackage.output
+)spool SystemSolvePackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SystemSolvePackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SystemSolvePackage.help}
+====================================================================
+SystemSolvePackage examples
+====================================================================
+
+Symbolic solver for systems of rational functions with coefficients
+in an integral domain R.
+
+The systems are solved in the field of rational functions over R.
+Solutions are exact of the form variable = value when the value is a
+member of the coefficient domain R. Otherwise the solutions are
+implicitly expressed as roots of univariate polynomial equations over R.
+
+Care is taken to guarantee that the denominators of the input
+equations do not vanish on the solution sets.
+
+The arguments to solve can either be given as equations or as rational
+functions interpreted as equal to zero. The user can specify an
+explicit list of symbols to be solved for, treating all other symbols
+appearing as parameters or omit the list of symbols in which case the
+system tries to solve with respect to all symbols appearing in the
+input.
+
+See Also:
+o )show SystemSolvePackage
+
+\end{chunk}
 \pagehead{SystemSolvePackage}{SYSSOLP}
 \pagepic{ps/v104systemsolvepackage.ps}{SYSSOLP}{1.00}
 
@@ -147917,6 +159479,34 @@ SystemSolvePackage(R): Cat == Cap where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SGCF SymmetricGroupCombinatoricFunctions}
+\begin{chunk}{SymmetricGroupCombinatoricFunctions.input}
+)set break resume
+)sys rm -f SymmetricGroupCombinatoricFunctions.output
+)spool SymmetricGroupCombinatoricFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SymmetricGroupCombinatoricFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SymmetricGroupCombinatoricFunctions.help}
+====================================================================
+SymmetricGroupCombinatoricFunctions examples
+====================================================================
+
+SymmetricGroupCombinatoricFunctions contains combinatoric functions
+concerning symmetric groups and representation theory: list young
+tableaus, improper partitions, subsets bijection of Coleman.
+
+See Also:
+o )show SymmetricGroupCombinatoricFunctions
+
+\end{chunk}
 \pagehead{SymmetricGroupCombinatoricFunctions}{SGCF}
 \pagepic{ps/v104symmetricgroupcombinatoricfunctions.ps}{SGCF}{1.00}
 
@@ -148406,6 +159996,32 @@ SymmetricGroupCombinatoricFunctions(): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SYMFUNC SymmetricFunctions}
+\begin{chunk}{SymmetricFunctions.input}
+)set break resume
+)sys rm -f SymmetricFunctions.output
+)spool SymmetricFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SymmetricFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SymmetricFunctions.help}
+====================================================================
+SymmetricFunctions examples
+====================================================================
+
+Computes all the symmetric functions in n variables.
+
+See Also:
+o )show SymmetricFunctions
+
+\end{chunk}
 \pagehead{SymmetricFunctions}{SYMFUNC}
 \pagepic{ps/v104symmetricfunctions.ps}{SYMFUNC}{1.00}
 
@@ -148457,6 +160073,34 @@ SymmetricFunctions(R:Ring): Exports == Implementation where
 \chapter{Chapter T}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TABLBUMP TableauxBumpers}
+\begin{chunk}{TableauxBumpers.input}
+)set break resume
+)sys rm -f TableauxBumpers.output
+)spool TableauxBumpers.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TableauxBumpers
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TableauxBumpers.help}
+====================================================================
+TableauxBumpers examples
+====================================================================
+
+TableauBumpers implements the Schenstead-Knuth correspondence between
+sequences and pairs of Young tableaux.  The 2 Young tableaux are
+represented as a single tableau with pairs as components.
+
+See Also:
+o )show TableauxBumpers
+
+\end{chunk}
 \pagehead{TableauxBumpers}{TABLBUMP}
 \pagepic{ps/v104tableauxbumpers.ps}{TABLBUMP}{1.00}
 
@@ -148607,6 +160251,37 @@ TableauxBumpers(S:OrderedSet):T==C where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TBCMPPK TabulatedComputationPackage}
+\begin{chunk}{TabulatedComputationPackage.input}
+)set break resume
+)sys rm -f TabulatedComputationPackage.output
+)spool TabulatedComputationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TabulatedComputationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TabulatedComputationPackage.help}
+====================================================================
+TabulatedComputationPackage examples
+====================================================================
+
+TabulatedComputationPackage(Key ,Entry) provides some modest support
+for dealing with operations with type Key -> Entry. The result of
+such operations can be stored and retrieved with this package by using
+a hash-table. The user does not need to worry about the management of
+this hash-table. However, onnly one hash-table is built by calling
+TabulatedComputationPackage(Key ,Entry). 
+
+See Also:
+o )show TabulatedComputationPackage
+
+\end{chunk}
 \pagehead{TabulatedComputationPackage}{TBCMPPK}
 \pagepic{ps/v104tabulatedcomputationpackage.ps}{TBCMPPK}{1.00}
 
@@ -148750,6 +160425,32 @@ TabulatedComputationPackage(Key ,Entry): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TANEXP TangentExpansions}
+\begin{chunk}{TangentExpansions.input}
+)set break resume
+)sys rm -f TangentExpansions.output
+)spool TangentExpansions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TangentExpansions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TangentExpansions.help}
+====================================================================
+TangentExpansions examples
+====================================================================
+
+Expands tangents of sums and scalar products.
+
+See Also:
+o )show TangentExpansions
+
+\end{chunk}
 \pagehead{TangentExpansions}{TANEXP}
 \pagepic{ps/v104tangentexpansions.ps}{TANEXP}{1.00}
 
@@ -148821,6 +160522,25 @@ TangentExpansions(R:Field): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UTSSOL TaylorSolve}
+\begin{chunk}{TaylorSolve.input}
+)set break resume
+)sys rm -f TaylorSolve.output
+)spool TaylorSolve.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TaylorSolve
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TaylorSolve.help}
+====================================================================
+TaylorSolve examples
+====================================================================
 
 UTSSOL is a facility to compute the first few coefficients of a Taylor
 series given only implicitely by a function f that vanishes when applied to
@@ -148828,13 +160548,10 @@ the Taylor series.
 
 It uses the method of undetermined coefficients.
 
-\begin{verbatim}
-  Could I either
-  \begin{itemize}
-  \item take a function UTSCAT F $->$ UTSCAT F and still be able to compute
-    with undetermined coefficients, or
-  \item take a function F $->$ F, and do likewise?
-  \end{itemize}
+Could I either
+  take a function UTSCAT F $->$ UTSCAT F and still be able to compute
+       with undetermined coefficients, or
+  take a function F $->$ F, and do likewise?
 
   Let's see.
 
@@ -148847,8 +160564,11 @@ It uses the method of undetermined coefficients.
   Unfortunately, SUP F does not have TRANFUN -- well, it can't, of
   course. However, I'd like to be able to compute %
   sin(1+monomial(1,1)$UFPS SUP EXPR INT).
-\end{verbatim}
 
+See Also:
+o )show TaylorSolve
+
+\end{chunk}
 \pagehead{TaylorSolve}{UTSSOL}
 \pagepic{ps/v104taylorsolve.ps}{UTSSOL}{1.00}
 
@@ -148986,6 +160706,32 @@ should be unique.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TEMUTL TemplateUtilities}
+\begin{chunk}{TemplateUtilities.input}
+)set break resume
+)sys rm -f TemplateUtilities.output
+)spool TemplateUtilities.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TemplateUtilities
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TemplateUtilities.help}
+====================================================================
+TemplateUtilities examples
+====================================================================
+
+This package provides functions for template manipulation
+
+See Also:
+o )show TemplateUtilities
+
+\end{chunk}
 \pagehead{TemplateUtilities}{TEMUTL}
 \pagepic{ps/v104templateutilities.ps}{TEMUTL}{1.00}
 
@@ -149039,6 +160785,33 @@ TemplateUtilities(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TEX1 TexFormat1}
+\begin{chunk}{TexFormat1.input}
+)set break resume
+)sys rm -f TexFormat1.output
+)spool TexFormat1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TexFormat1
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TexFormat1.help}
+====================================================================
+TexFormat1 examples
+====================================================================
+
+TexFormat1 provides a utility coercion for changing to TeX format
+anything that has a coercion to the standard output format.
+
+See Also:
+o )show TexFormat1
+
+\end{chunk}
 \pagehead{TexFormat1}{TEX1}
 \pagepic{ps/v104texformat1.ps}{TEX1}{1.00}
 
@@ -149078,6 +160851,32 @@ TexFormat1(S : SetCategory): public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TOOLSIGN ToolsForSign}
+\begin{chunk}{ToolsForSign.input}
+)set break resume
+)sys rm -f ToolsForSign.output
+)spool ToolsForSign.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ToolsForSign
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ToolsForSign.help}
+====================================================================
+ToolsForSign examples
+====================================================================
+
+Tools for the sign finding utilities.
+
+See Also:
+o )show ToolsForSign
+
+\end{chunk}
 \pagehead{ToolsForSign}{TOOLSIGN}
 \pagepic{ps/v104toolsforsign.ps}{TOOLSIGN}{1.00}
 
@@ -149147,6 +160946,33 @@ ToolsForSign(R:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DRAW TopLevelDrawFunctions}
+\begin{chunk}{TopLevelDrawFunctions.input}
+)set break resume
+)sys rm -f TopLevelDrawFunctions.output
+)spool TopLevelDrawFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TopLevelDrawFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TopLevelDrawFunctions.help}
+====================================================================
+TopLevelDrawFunctions examples
+====================================================================
+
+TopLevelDrawFunctions provides top level functions for drawing
+graphics of expressions.
+
+See Also:
+o )show TopLevelDrawFunctions
+
+\end{chunk}
 \pagehead{TopLevelDrawFunctions}{DRAW}
 \pagepic{ps/v104topleveldrawfunctions.ps}{DRAW}{1.00}
 
@@ -149486,6 +161312,33 @@ TopLevelDrawFunctions(Ex:Join(ConvertibleTo InputForm,SetCategory)):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DRAWCURV TopLevelDrawFunctionsForAlgebraicCurves}
+\begin{chunk}{TopLevelDrawFunctionsForAlgebraicCurves.input}
+)set break resume
+)sys rm -f TopLevelDrawFunctionsForAlgebraicCurves.output
+)spool TopLevelDrawFunctionsForAlgebraicCurves.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TopLevelDrawFunctionsForAlgebraicCurves
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TopLevelDrawFunctionsForAlgebraicCurves.help}
+====================================================================
+TopLevelDrawFunctionsForAlgebraicCurves examples
+====================================================================
+
+TopLevelDrawFunctionsForAlgebraicCurves provides top level functions
+for drawing non-singular algebraic curves.
+
+See Also:
+o )show TopLevelDrawFunctionsForAlgebraicCurves
+
+\end{chunk}
 \pagehead{TopLevelDrawFunctionsForAlgebraicCurves}{DRAWCURV}
 \pagepic{ps/v104topleveldrawfunctionsforalgebraiccurves.ps}{DRAWCURV}{1.00}
 
@@ -149617,6 +161470,33 @@ TopLevelDrawFunctionsForAlgebraicCurves(R,Ex): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DRAWCFUN TopLevelDrawFunctionsForCompiledFunctions}
+\begin{chunk}{TopLevelDrawFunctionsForCompiledFunctions.input}
+)set break resume
+)sys rm -f TopLevelDrawFunctionsForCompiledFunctions.output
+)spool TopLevelDrawFunctionsForCompiledFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TopLevelDrawFunctionsForCompiledFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TopLevelDrawFunctionsForCompiledFunctions.help}
+====================================================================
+TopLevelDrawFunctionsForCompiledFunctions examples
+====================================================================
+
+TopLevelDrawFunctionsForCompiledFunctions provides top level functions
+for drawing graphics of expressions.
+
+See Also:
+o )show TopLevelDrawFunctionsForCompiledFunctions
+
+\end{chunk}
 \pagehead{TopLevelDrawFunctionsForCompiledFunctions}{DRAWCFUN}
 \pagepic{ps/v104topleveldrawfunctionsforcompiledfunctions.ps}{DRAWCFUN}{1.00}
 
@@ -150269,6 +162149,33 @@ SingleFloat value.
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DRAWPT TopLevelDrawFunctionsForPoints}
+\begin{chunk}{TopLevelDrawFunctionsForPoints.input}
+)set break resume
+)sys rm -f TopLevelDrawFunctionsForPoints.output
+)spool TopLevelDrawFunctionsForPoints.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TopLevelDrawFunctionsForPoints
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TopLevelDrawFunctionsForPoints.help}
+====================================================================
+TopLevelDrawFunctionsForPoints examples
+====================================================================
+
+TopLevelDrawFunctionsForPoints provides top level functions for
+drawing curves and surfaces described by sets of points.
+
+See Also:
+o )show TopLevelDrawFunctionsForPoints
+
+\end{chunk}
 \pagehead{TopLevelDrawFunctionsForPoints}{DRAWPT}
 \pagepic{ps/v104topleveldrawfunctionsforpoints.ps}{DRAWPT}{1.00}
 
@@ -150364,6 +162271,32 @@ TopLevelDrawFunctionsForPoints(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TOPSP TopLevelThreeSpace}
+\begin{chunk}{TopLevelThreeSpace.input}
+)set break resume
+)sys rm -f TopLevelThreeSpace.output
+)spool TopLevelThreeSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TopLevelThreeSpace
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TopLevelThreeSpace.help}
+====================================================================
+TopLevelThreeSpace examples
+====================================================================
+
+This package exports a function for making a ThreeSpace.
+
+See Also:
+o )show TopLevelThreeSpace
+
+\end{chunk}
 \pagehead{TopLevelThreeSpace}{TOPSP}
 \pagepic{ps/v104toplevelthreespace.ps}{TOPSP}{1.00}
 
@@ -150393,6 +162326,32 @@ TopLevelThreeSpace(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTHERTR TranscendentalHermiteIntegration}
+\begin{chunk}{TranscendentalHermiteIntegration.input}
+)set break resume
+)sys rm -f TranscendentalHermiteIntegration.output
+)spool TranscendentalHermiteIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TranscendentalHermiteIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TranscendentalHermiteIntegration.help}
+====================================================================
+TranscendentalHermiteIntegration examples
+====================================================================
+
+Hermite integration, transcendental case.
+
+See Also:
+o )show TranscendentalHermiteIntegration
+
+\end{chunk}
 \pagehead{TranscendentalHermiteIntegration}{INTHERTR}
 \pagepic{ps/v104transcendentalhermiteintegration.ps}{INTHERTR}{1.00}
 
@@ -150470,6 +162429,33 @@ TranscendentalHermiteIntegration(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTTR TranscendentalIntegration}
+\begin{chunk}{TranscendentalIntegration.input}
+)set break resume
+)sys rm -f TranscendentalIntegration.output
+)spool TranscendentalIntegration.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TranscendentalIntegration
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TranscendentalIntegration.help}
+====================================================================
+TranscendentalIntegration examples
+====================================================================
+
+This package provides functions for the transcendental case of the
+Risch algorithm.
+
+See Also:
+o )show TranscendentalIntegration
+
+\end{chunk}
 \pagehead{TranscendentalIntegration}{INTTR}
 \pagepic{ps/v104transcendentalintegration.ps}{INTTR}{1.00}
 
@@ -150949,6 +162935,33 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TRMANIP TranscendentalManipulations}
+\begin{chunk}{TranscendentalManipulations.input}
+)set break resume
+)sys rm -f TranscendentalManipulations.output
+)spool TranscendentalManipulations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TranscendentalManipulations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TranscendentalManipulations.help}
+====================================================================
+TranscendentalManipulations examples
+====================================================================
+
+TranscendentalManipulations provides functions to simplify and
+expand expressions involving transcendental operators.
+
+See Also:
+o )show TranscendentalManipulations
+
+\end{chunk}
 \pagehead{TranscendentalManipulations}{TRMANIP}
 \pagepic{ps/v104transcendentalmanipulations.ps}{TRMANIP}{1.00}
 
@@ -151636,6 +163649,32 @@ so the result is 0
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RDETR TranscendentalRischDE}
+\begin{chunk}{TranscendentalRischDE.input}
+)set break resume
+)sys rm -f TranscendentalRischDE.output
+)spool TranscendentalRischDE.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TranscendentalRischDE
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TranscendentalRischDE.help}
+====================================================================
+TranscendentalRischDE examples
+====================================================================
+
+Risch differential equation, transcendental case.
+
+See Also:
+o )show TranscendentalRischDE
+
+\end{chunk}
 \pagehead{TranscendentalRischDE}{RDETR}
 \pagepic{ps/v104transcendentalrischde.ps}{RDETR}{1.00}
 
@@ -151822,6 +163861,32 @@ TranscendentalRischDE(F, UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package RDETRS TranscendentalRischDESystem}
+\begin{chunk}{TranscendentalRischDESystem.input}
+)set break resume
+)sys rm -f TranscendentalRischDESystem.output
+)spool TranscendentalRischDESystem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TranscendentalRischDESystem
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TranscendentalRischDESystem.help}
+====================================================================
+TranscendentalRischDESystem examples
+====================================================================
+
+Risch differential equation system, transcendental case.
+
+See Also:
+o )show TranscendentalRischDESystem
+
+\end{chunk}
 \pagehead{TranscendentalRischDESystem}{RDETRS}
 \pagepic{ps/v104transcendentalrischdesystem.ps}{RDETRS}{1.00}
 
@@ -152889,6 +164954,48 @@ generates the error (reported as bug \# 102):
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SOLVESER TransSolvePackageService}
+\begin{chunk}{TransSolvePackageService.input}
+)set break resume
+)sys rm -f TransSolvePackageService.output
+)spool TransSolvePackageService.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TransSolvePackageService
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TransSolvePackageService.help}
+====================================================================
+TransSolvePackageService examples
+====================================================================
+
+This package finds the function func3 where  func1 and func2
+are given and  func1 = func3(func2) .  If there is no solution then
+function func1 will be returned.
+
+An example would be  
+
+     func1:= 8*X**3+32*X**2-14*X ::EXPR INT 
+
+and
+
+     func2:=2*X ::EXPR INT 
+
+convert them via univariate to FRAC SUP EXPR INT and then the solution is 
+
+     func3:=X**3+X**2-X
+
+of type FRAC SUP EXPR INT
+
+See Also:
+o )show TransSolvePackageService
+
+\end{chunk}
 \pagehead{TransSolvePackageService}{SOLVESER}
 \pagepic{ps/v104transsolvepackageservice.ps}{SOLVESER}{1.00}
 
@@ -153010,6 +165117,38 @@ TransSolvePackageService(R) : Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TRIMAT TriangularMatrixOperations}
+\begin{chunk}{TriangularMatrixOperations.input}
+)set break resume
+)sys rm -f TriangularMatrixOperations.output
+)spool TriangularMatrixOperations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TriangularMatrixOperations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TriangularMatrixOperations.help}
+====================================================================
+TriangularMatrixOperations examples
+====================================================================
+
+This package provides functions that compute "fraction-free"
+inverses of upper and lower triangular matrices over a integral
+domain.  By "fraction-free inverses" we mean the following:
+given a matrix B with entries in R and an element d of R such that
+d * inv(B) also has entries in R, we return d * inv(B).  Thus,
+it is not necessary to pass to the quotient field in any of our
+computations.
+
+See Also:
+o )show TriangularMatrixOperations
+
+\end{chunk}
 \pagehead{TriangularMatrixOperations}{TRIMAT}
 \pagepic{ps/v104triangularmatrixoperations.ps}{TRIMAT}{1.00}
 
@@ -153090,6 +165229,33 @@ TriangularMatrixOperations(R,Row,Col,M): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TRIGMNIP TrigonometricManipulations}
+\begin{chunk}{TrigonometricManipulations.input}
+)set break resume
+)sys rm -f TrigonometricManipulations.output
+)spool TrigonometricManipulations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TrigonometricManipulations
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TrigonometricManipulations.help}
+====================================================================
+TrigonometricManipulations examples
+====================================================================
+
+TrigonometricManipulations provides transformations from trigonometric
+functions to complex exponentials and logarithms, and back.
+
+See Also:
+o )show TrigonometricManipulations
+
+\end{chunk}
 \pagehead{TrigonometricManipulations}{TRIGMNIP}
 \pagepic{ps/v104trigonometricmanipulations.ps}{TRIGMNIP}{1.00}
 
@@ -153256,6 +165422,32 @@ TrigonometricManipulations(R, F): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TUBETOOL TubePlotTools}
+\begin{chunk}{TubePlotTools.input}
+)set break resume
+)sys rm -f TubePlotTools.output
+)spool TubePlotTools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TubePlotTools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TubePlotTools.help}
+====================================================================
+TubePlotTools examples
+====================================================================
+
+Tools for constructing tubes around 3-dimensional parametric curves.
+
+See Also:
+o )show TubePlotTools
+
+\end{chunk}
 \pagehead{TubePlotTools}{TUBETOOL}
 \pagepic{ps/v104tubeplottools.ps}{TUBETOOL}{1.00}
 
@@ -153397,6 +165589,34 @@ TubePlotTools(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package CLIP TwoDimensionalPlotClipping}
+\begin{chunk}{TwoDimensionalPlotClipping.input}
+)set break resume
+)sys rm -f TwoDimensionalPlotClipping.output
+)spool TwoDimensionalPlotClipping.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TwoDimensionalPlotClipping
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TwoDimensionalPlotClipping.help}
+====================================================================
+TwoDimensionalPlotClipping examples
+====================================================================
+
+Automatic clipping for 2-dimensional plots.  The purpose of this
+package is to provide reasonable plots of functions with
+singularities.
+
+See Also:
+o )show TwoDimensionalPlotClipping
+
+\end{chunk}
 \pagehead{TwoDimensionalPlotClipping}{CLIP}
 \pagepic{ps/v104twodimensionalplotclipping.ps}{CLIP}{1.00}
 
@@ -153701,6 +165921,34 @@ TwoDimensionalPlotClipping(): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package TWOFACT TwoFactorize}
+\begin{chunk}{TwoFactorize.input}
+)set break resume
+)sys rm -f TwoFactorize.output
+)spool TwoFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TwoFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{TwoFactorize.help}
+====================================================================
+TwoFactorize examples
+====================================================================
+
+A basic package for the factorization of bivariate polynomials over a
+finite field.  The functions here represent the base step for the
+multivariate factorizer.
+
+See Also:
+o )show TwoFactorize
+
+\end{chunk}
 \pagehead{TwoFactorize}{TWOFACT}
 \pagepic{ps/v104twofactorize.ps}{TWOFACT}{1.00}
 
@@ -153944,6 +166192,34 @@ TwoFactorize(F) : C == T
 \chapter{Chapter U}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UNIFACT UnivariateFactorize}
+\begin{chunk}{UnivariateFactorize.input}
+)set break resume
+)sys rm -f UnivariateFactorize.output
+)spool UnivariateFactorize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateFactorize
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariateFactorize.help}
+====================================================================
+UnivariateFactorize examples
+====================================================================
+
+Package for the factorization of univariate polynomials with integer
+coefficients. The factorization is done by "lifting" (HENSEL) the
+factorization over a finite field.
+
+See Also:
+o )show UnivariateFactorize
+
+\end{chunk}
 \pagehead{UnivariateFactorize}{UNIFACT}
 \pagepic{ps/v104univariatefactorize.ps}{UNIFACT}{1.00}
 
@@ -154275,6 +166551,32 @@ UnivariateFactorize(ZP) : public == private where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UFPS1 UnivariateFormalPowerSeriesFunctions}
+\begin{chunk}{UnivariateFormalPowerSeriesFunctions.input}
+)set break resume
+)sys rm -f UnivariateFormalPowerSeriesFunctions.output
+)spool UnivariateFormalPowerSeriesFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateFormalPowerSeriesFunctions
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariateFormalPowerSeriesFunctions.help}
+====================================================================
+UnivariateFormalPowerSeriesFunctions examples
+====================================================================
+
+This package has no description
+
+See Also:
+o )show UnivariateFormalPowerSeriesFunctions
+
+\end{chunk}
 \pagehead{UnivariateFormalPowerSeriesFunctions}{UFPS1}
 \pagepic{ps/v104univariateformalpowerseriesfunctions.ps}{UFPS1}{1.00}
 
@@ -154311,6 +166613,34 @@ UnivariateFormalPowerSeriesFunctions(Coef: Ring): Exports == Implementation
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package ULS2 UnivariateLaurentSeriesFunctions2}
+\begin{chunk}{UnivariateLaurentSeriesFunctions2.input}
+)set break resume
+)sys rm -f UnivariateLaurentSeriesFunctions2.output
+)spool UnivariateLaurentSeriesFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateLaurentSeriesFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariateLaurentSeriesFunctions2.help}
+====================================================================
+UnivariateLaurentSeriesFunctions2 examples
+====================================================================
+
+Mapping package for univariate Laurent series.  This package allows
+one to apply a function to the coefficients of a univariate Laurent
+series.
+
+See Also:
+o )show UnivariateLaurentSeriesFunctions2
+
+\end{chunk}
 \pagehead{UnivariateLaurentSeriesFunctions2}{ULS2}
 \pagepic{ps/v104univariatelaurentseriesfunctions2.ps}{ULS2}{1.00}
 
@@ -154361,6 +166691,33 @@ UnivariateLaurentSeriesFunctions2(Coef1,Coef2,var1,var2,cen1,cen2):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPOLYC2 UnivariatePolynomialCategoryFunctions2}
+\begin{chunk}{UnivariatePolynomialCategoryFunctions2.input}
+)set break resume
+)sys rm -f UnivariatePolynomialCategoryFunctions2.output
+)spool UnivariatePolynomialCategoryFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialCategoryFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialCategoryFunctions2.help}
+====================================================================
+UnivariatePolynomialCategoryFunctions2 examples
+====================================================================
+
+Mapping from polynomials over R to polynomials over S given a map from
+R to S assumed to send zero to zero.
+
+See Also:
+o )show UnivariatePolynomialCategoryFunctions2
+
+\end{chunk}
 \pagehead{UnivariatePolynomialCategoryFunctions2}{UPOLYC2}
 \pagepic{ps/v104univariatepolynomialcategoryfunctions2.ps}{UPOLYC2}{1.00}
 
@@ -154403,6 +166760,34 @@ UnivariatePolynomialCategoryFunctions2(R,PR,S,PS): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPCDEN UnivariatePolynomialCommonDenominator}
+\begin{chunk}{UnivariatePolynomialCommonDenominator.input}
+)set break resume
+)sys rm -f UnivariatePolynomialCommonDenominator.output
+)spool UnivariatePolynomialCommonDenominator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialCommonDenominator
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialCommonDenominator.help}
+====================================================================
+UnivariatePolynomialCommonDenominator examples
+====================================================================
+
+UnivariatePolynomialCommonDenominator provides functions to compute
+the common denominator of the coefficients of univariate polynomials
+over the quotient field of a gcd domain.
+
+See Also:
+o )show UnivariatePolynomialCommonDenominator
+
+\end{chunk}
 \pagehead{UnivariatePolynomialCommonDenominator}{UPCDEN}
 \pagepic{ps/v104univariatepolynomialcommondenominator.ps}{UPCDEN}{1.00}
 
@@ -154461,6 +166846,34 @@ UnivariatePolynomialCommonDenominator(R, Q, UP): Exports == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPDECOMP UnivariatePolynomialDecompositionPackage}
+\begin{chunk}{UnivariatePolynomialDecompositionPackage.input}
+)set break resume
+)sys rm -f UnivariatePolynomialDecompositionPackage.output
+)spool UnivariatePolynomialDecompositionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialDecompositionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialDecompositionPackage.help}
+====================================================================
+UnivariatePolynomialDecompositionPackage examples
+====================================================================
+
+UnivariatePolynomialDecompositionPackage implements functional
+decomposition of univariate polynomial with coefficients in an
+IntegralDomain of CharacteristicZero.
+
+See Also:
+o )show UnivariatePolynomialDecompositionPackage
+
+\end{chunk}
 \pagehead{UnivariatePolynomialDecompositionPackage}{UPDECOMP}
 \pagepic{ps/v104univariatepolynomialdecompositionpackage.ps}{UPDECOMP}{1.00}
 
@@ -154600,6 +167013,33 @@ UnivariatePolynomialDecompositionPackage(R,UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPDIVP UnivariatePolynomialDivisionPackage}
+\begin{chunk}{UnivariatePolynomialDivisionPackage.input}
+)set break resume
+)sys rm -f UnivariatePolynomialDivisionPackage.output
+)spool UnivariatePolynomialDivisionPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialDivisionPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialDivisionPackage.help}
+====================================================================
+UnivariatePolynomialDivisionPackage examples
+====================================================================
+
+UnivariatePolynomialDivisionPackage provides a division for non monic
+univarite polynomials with coefficients in an IntegralDomain.
+
+See Also:
+o )show UnivariatePolynomialDivisionPackage
+
+\end{chunk}
 \pagehead{UnivariatePolynomialDivisionPackage}{UPDIVP}
 \pagepic{ps/v104univariatepolynomialdivisionpackage.ps}{UPDIVP}{1.00}
 
@@ -154653,6 +167093,36 @@ UnivariatePolynomialDivisionPackage(R,UP): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UP2 UnivariatePolynomialFunctions2}
+\begin{chunk}{UnivariatePolynomialFunctions2.input}
+)set break resume
+)sys rm -f UnivariatePolynomialFunctions2.output
+)spool UnivariatePolynomialFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialFunctions2.help}
+====================================================================
+UnivariatePolynomialFunctions2 examples
+====================================================================
+
+This package lifts a mapping from coefficient rings R to S to a
+mapping from UnivariatePolynomial(x,R) to UnivariatePolynomial(y,S). 
+
+Note that the mapping is assumed to send zero to zero, since it will 
+only be applied to the non-zero coefficients of the polynomial.
+
+See Also:
+o )show UnivariatePolynomialFunctions2
+
+\end{chunk}
 \pagehead{UnivariatePolynomialFunctions2}{UP2}
 \pagepic{ps/v104univariatepolynomialfunctions2.ps}{UP2}{1.00}
 
@@ -154687,6 +167157,35 @@ UnivariatePolynomialFunctions2(x:Symbol, R:Ring, y:Symbol, S:Ring): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPMP UnivariatePolynomialMultiplicationPackage}
+\begin{chunk}{UnivariatePolynomialMultiplicationPackage.input}
+)set break resume
+)sys rm -f UnivariatePolynomialMultiplicationPackage.output
+)spool UnivariatePolynomialMultiplicationPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialMultiplicationPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialMultiplicationPackage.help}
+====================================================================
+UnivariatePolynomialMultiplicationPackage examples
+====================================================================
+
+This package implements Karatsuba's trick for multiplying (large)
+univariate polynomials. It could be improved with a version doing the
+work on place and also with a special case for squares. We've done
+this in Basicmath, but we believe that this out of the scope of Axiom.
+
+See Also:
+o )show UnivariatePolynomialMultiplicationPackage
+
+\end{chunk}
 \pagehead{UnivariatePolynomialMultiplicationPackage}{UPMP}
 \pagepic{ps/v104univariatepolynomialmultiplicationpackage.ps}{UPMP}{1.00}
 
@@ -154794,6 +167293,41 @@ UnivariatePolynomialMultiplicationPackage(R: Ring, U: UnivariatePolynomialCatego
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPSQFREE UnivariatePolynomialSquareFree}
+\begin{chunk}{UnivariatePolynomialSquareFree.input}
+)set break resume
+)sys rm -f UnivariatePolynomialSquareFree.output
+)spool UnivariatePolynomialSquareFree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialSquareFree
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePolynomialSquareFree.help}
+====================================================================
+UnivariatePolynomialSquareFree examples
+====================================================================
+
+This package provides for square-free decomposition of univariate
+polynomials over arbitrary rings, i.e.  a partial factorization such
+that each factor is a product of irreducibles with multiplicity one
+and the factors are pairwise relatively prime. If the ring has
+characteristic zero, the result is guaranteed to satisfy this
+condition. If the ring is an infinite ring of finite characteristic,
+then it may not be possible to decide when polynomials contain factors
+which are pth powers. In this case, the flag associated with that
+polynomial is set to "nil" (meaning that that polynomials are not
+guaranteed to be square-free).
+
+See Also:
+o )show UnivariatePolynomialSquareFree
+
+\end{chunk}
 \pagehead{UnivariatePolynomialSquareFree}{UPSQFREE}
 \pagepic{ps/v104univariatepolynomialsquarefree.ps}{UPSQFREE}{1.00}
 
@@ -154924,6 +167458,33 @@ UnivariatePolynomialSquareFree(RC:IntegralDomain,P):C == T
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UPXS2 UnivariatePuiseuxSeriesFunctions2}
+\begin{chunk}{UnivariatePuiseuxSeriesFunctions2.input}
+)set break resume
+)sys rm -f UnivariatePuiseuxSeriesFunctions2.output
+)spool UnivariatePuiseuxSeriesFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePuiseuxSeriesFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariatePuiseuxSeriesFunctions2.help}
+====================================================================
+UnivariatePuiseuxSeriesFunctions2 examples
+====================================================================
+
+This package allows one to apply a function to the coefficients of
+a univariate Puiseux series.
+
+See Also:
+o )show UnivariatePuiseuxSeriesFunctions2
+
+\end{chunk}
 \pagehead{UnivariatePuiseuxSeriesFunctions2}{UPXS2}
 \pagepic{ps/v104univariatepuiseuxseriesfunctions2.ps}{UPXS2}{1.00}
 
@@ -154972,6 +167533,33 @@ UnivariatePuiseuxSeriesFunctions2(Coef1,Coef2,var1,var2,cen1,cen2):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package OREPCTO UnivariateSkewPolynomialCategoryOps}
+\begin{chunk}{UnivariateSkewPolynomialCategoryOps.input}
+)set break resume
+)sys rm -f UnivariateSkewPolynomialCategoryOps.output
+)spool UnivariateSkewPolynomialCategoryOps.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateSkewPolynomialCategoryOps
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariateSkewPolynomialCategoryOps.help}
+====================================================================
+UnivariateSkewPolynomialCategoryOps examples
+====================================================================
+
+UnivariateSkewPolynomialCategoryOps provides products and divisions of
+univariate skew polynomials.
+
+See Also:
+o )show UnivariateSkewPolynomialCategoryOps
+
+\end{chunk}
 \pagehead{UnivariateSkewPolynomialCategoryOps}{OREPCTO}
 \pagepic{ps/v104univariateskewpolynomialcategoryops.ps}{OREPCTO}{1.00}
 
@@ -155124,6 +167712,33 @@ UnivariateSkewPolynomialCategoryOps(R, C): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UTS2 UnivariateTaylorSeriesFunctions2}
+\begin{chunk}{UnivariateTaylorSeriesFunctions2.input}
+)set break resume
+)sys rm -f UnivariateTaylorSeriesFunctions2.output
+)spool UnivariateTaylorSeriesFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateTaylorSeriesFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariateTaylorSeriesFunctions2.help}
+====================================================================
+UnivariateTaylorSeriesFunctions2 examples
+====================================================================
+
+Mapping package for univariate Taylor series.  This package allows one
+to apply a function to the coefficients of a univariate Taylor series.
+
+See Also:
+o )show UnivariateTaylorSeriesFunctions2
+
+\end{chunk}
 \pagehead{UnivariateTaylorSeriesFunctions2}{UTS2}
 \pagepic{ps/v104univariatetaylorseriesfunctions2.ps}{UTS2}{1.00}
 
@@ -155166,6 +167781,33 @@ UnivariateTaylorSeriesFunctions2(Coef1,Coef2,UTS1,UTS2):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UTSODE UnivariateTaylorSeriesODESolver}
+\begin{chunk}{UnivariateTaylorSeriesODESolver.input}
+)set break resume
+)sys rm -f UnivariateTaylorSeriesODESolver.output
+)spool UnivariateTaylorSeriesODESolver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateTaylorSeriesODESolver
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UnivariateTaylorSeriesODESolver.help}
+====================================================================
+UnivariateTaylorSeriesODESolver examples
+====================================================================
+
+This package provides Taylor series solutions to regular linear or
+non-linear ordinary differential equations of arbitrary order.
+
+See Also:
+o )show UnivariateTaylorSeriesODESolver
+
+\end{chunk}
 \pagehead{UnivariateTaylorSeriesODESolver}{UTSODE}
 \pagepic{ps/v104univariatetaylorseriesodesolver.ps}{UTSODE}{1.00}
 
@@ -155314,6 +167956,32 @@ UnivariateTaylorSeriesODESolver(Coef,UTS):_
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UNISEG2 UniversalSegmentFunctions2}
+\begin{chunk}{UniversalSegmentFunctions2.input}
+)set break resume
+)sys rm -f UniversalSegmentFunctions2.output
+)spool UniversalSegmentFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UniversalSegmentFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UniversalSegmentFunctions2.help}
+====================================================================
+UniversalSegmentFunctions2 examples
+====================================================================
+
+This package provides operations for mapping functions onto segments.
+
+See Also:
+o )show UniversalSegmentFunctions2
+
+\end{chunk}
 \pagehead{UniversalSegmentFunctions2}{UNISEG2}
 \pagepic{ps/v104universalsegmentfunctions2.ps}{UNISEG2}{1.00}
 
@@ -155355,6 +168023,32 @@ UniversalSegmentFunctions2(R:Type, S:Type): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UDPO UserDefinedPartialOrdering}
+\begin{chunk}{UserDefinedPartialOrdering.input}
+)set break resume
+)sys rm -f UserDefinedPartialOrdering.output
+)spool UserDefinedPartialOrdering.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UserDefinedPartialOrdering
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UserDefinedPartialOrdering.help}
+====================================================================
+UserDefinedPartialOrdering examples
+====================================================================
+
+Provides functions to force a partial ordering on any set.
+
+See Also:
+o )show UserDefinedPartialOrdering
+
+\end{chunk}
 \pagehead{UserDefinedPartialOrdering}{UDPO}
 \pagepic{ps/v104userdefinedpartialordering.ps}{UDPO}{1.00}
 
@@ -155469,6 +168163,35 @@ UserDefinedPartialOrdering(S:SetCategory): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UDVO UserDefinedVariableOrdering}
+\begin{chunk}{UserDefinedVariableOrdering.input}
+)set break resume
+)sys rm -f UserDefinedVariableOrdering.output
+)spool UserDefinedVariableOrdering.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UserDefinedVariableOrdering
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UserDefinedVariableOrdering.help}
+====================================================================
+UserDefinedVariableOrdering examples
+====================================================================
+
+This packages provides functions to allow the user to select the
+ordering on the variables and operators for displaying polynomials,
+fractions and expressions. The ordering affects the display only and
+not the computations.
+
+See Also:
+o )show UserDefinedVariableOrdering
+
+\end{chunk}
 \pagehead{UserDefinedVariableOrdering}{UDVO}
 \pagepic{ps/v104userdefinedvariableordering.ps}{UDVO}{1.00}
 
@@ -155527,6 +168250,33 @@ UserDefinedVariableOrdering(): with
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package UTSODETL UTSodetools}
+\begin{chunk}{UTSodetools.input}
+)set break resume
+)sys rm -f UTSodetools.output
+)spool UTSodetools.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UTSodetools
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{UTSodetools.help}
+====================================================================
+UTSodetools examples
+====================================================================
+
+UTSodetools provides tools to interface with the series ODE solver
+when presented with linear ODEs.
+
+See Also:
+o )show UTSodetools
+
+\end{chunk}
 \pagehead{UTSodetools}{UTSODETL}
 \pagepic{ps/v104utsodetools.ps}{UTSODETL}{1.00}
 
@@ -155605,16 +168355,21 @@ UTSodetools(F, UP, L, UTS): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package POLYVEC U32VectorPolynomialOperations}
-\begin{chunk}{TransSolvePackage.input}
+\begin{chunk}{U32VectorPolynomialOperations.input}
 )set break resume
-)sys rm -f TransSolvePackage.output
-)spool TransSolvePackage.output
+)sys rm -f U32VectorPolynomialOperations.output
+)spool U32VectorPolynomialOperations.output
 )set message test on
 )set message auto off
 )clear all
+
+--S 1 of 1
+)show U32VectorPolynomialOperations
+--E 1
+
 )spool
+)lisp (bye)
 \end{chunk}
-
 \begin{chunk}{U32VectorPolynomialOperations.help}
 ====================================================================
 U32VectorPolynomialOperations examples
@@ -156183,6 +168938,35 @@ U32VectorPolynomialOperations() : Export == Implementation where
 \chapter{Chapter V}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package VECTOR2 VectorFunctions2}
+\begin{chunk}{VectorFunctions2.input}
+)set break resume
+)sys rm -f VectorFunctions2.output
+)spool VectorFunctions2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show VectorFunctions2
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{VectorFunctions2.help}
+====================================================================
+VectorFunctions2 examples
+====================================================================
+
+This package provides operations which all take as arguments vectors
+of elements of some type A and functions from A to another of type
+B. The operations all iterate over their vector argument and either
+return a value of type B or a vector over B.
+
+See Also:
+o )show VectorFunctions2
+
+\end{chunk}
 \pagehead{VectorFunctions2}{VECTOR2}
 \pagepic{ps/v104vectorfunctions2.ps}{VECTOR2}{1.00}
 
@@ -156247,6 +169031,33 @@ VectorFunctions2(A, B): Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package VIEWDEF ViewDefaultsPackage}
+\begin{chunk}{ViewDefaultsPackage.input}
+)set break resume
+)sys rm -f ViewDefaultsPackage.output
+)spool ViewDefaultsPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ViewDefaultsPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ViewDefaultsPackage.help}
+====================================================================
+ViewDefaultsPackage examples
+====================================================================
+
+ViewportDefaultsPackage describes default and user definable values
+for graphics
+
+See Also:
+o )show ViewDefaultsPackage
+
+\end{chunk}
 \pagehead{ViewDefaultsPackage}{VIEWDEF}
 \pagepic{ps/v104viewdefaultspackage.ps}{VIEWDEF}{1.00}
 
@@ -156478,6 +169289,33 @@ ViewDefaultsPackage():Exports == Implementation where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package VIEW ViewportPackage}
+\begin{chunk}{ViewportPackage.input}
+)set break resume
+)sys rm -f ViewportPackage.output
+)spool ViewportPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ViewportPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ViewportPackage.help}
+====================================================================
+ViewportPackage examples
+====================================================================
+
+ViewportPackage provides functions for creating GraphImages 
+and TwoDimensionalViewports from lists of lists of points.
+
+See Also:
+o )show ViewportPackage
+
+\end{chunk}
 \pagehead{ViewportPackage}{VIEW}
 \pagepic{ps/v104viewportpackage.ps}{VIEW}{1.00}
 
@@ -156598,6 +169436,42 @@ ViewportPackage():Exports == Implementation where
 \chapter{Chapter W}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package WEIER WeierstrassPreparation}
+\begin{chunk}{WeierstrassPreparation.input}
+)set break resume
+)sys rm -f WeierstrassPreparation.output
+)spool WeierstrassPreparation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show WeierstrassPreparation
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{WeierstrassPreparation.help}
+====================================================================
+WeierstrassPreparation examples
+====================================================================
+
+This package implements the Weierstrass preparation theorem f or
+multivariate power series.
+
+weierstrass(v,p) where v is a variable, and p is a TaylorSeries(R) in 
+which the terms of lowest degree s must include c*v**s where c is a 
+constant, s>0, is a list of TaylorSeries coefficients A[i] of the 
+equivalent polynomial 
+
+   A = A[0] + A[1]*v + A[2]*v**2 + ... + A[s-1]*v**(s-1) + v**s
+
+such that p=A*B , B being a TaylorSeries of minimum degree 0
+
+See Also:
+o )show WeierstrassPreparation
+
+\end{chunk}
 \pagehead{WeierstrassPreparation}{WEIER}
 \pagepic{ps/v104weierstrasspreparation.ps}{WEIER}{1.00}
 
@@ -156760,6 +169634,36 @@ WeierstrassPreparation(R): Defn == Impl where
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package WFFINTBS WildFunctionFieldIntegralBasis}
+\begin{chunk}{WildFunctionFieldIntegralBasis.input}
+)set break resume
+)sys rm -f WildFunctionFieldIntegralBasis.output
+)spool WildFunctionFieldIntegralBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show WildFunctionFieldIntegralBasis
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{WildFunctionFieldIntegralBasis.help}
+====================================================================
+WildFunctionFieldIntegralBasis examples
+====================================================================
+
+In this package K is a finite field, R is a ring of univariate
+polynomials over K, and F is a framed algebra over R.  The package
+provides a function to compute the integral closure of R in the quotient
+field of F as well as a function to compute a "local integral basis"
+at a specific prime.
+
+See Also:
+o )show WildFunctionFieldIntegralBasis
+
+\end{chunk}
 \pagehead{WildFunctionFieldIntegralBasis}{WFFINTBS}
 \pagepic{ps/v104wildfunctionfieldintegralbasis.ps}{WFFINTBS}{1.00}
 
@@ -156968,6 +169872,33 @@ WildFunctionFieldIntegralBasis(K,R,UP,F): Exports == Implementation where
 \chapter{Chapter X}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package XEXPPKG XExponentialPackage}
+\begin{chunk}{XExponentialPackage.input}
+)set break resume
+)sys rm -f XExponentialPackage.output
+)spool XExponentialPackage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show XExponentialPackage
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{XExponentialPackage.help}
+====================================================================
+XExponentialPackage examples
+====================================================================
+
+This package provides computations of logarithms and exponentials 
+for polynomials in non-commutative variables. 
+
+See Also:
+o )show XExponentialPackage
+
+\end{chunk}
 \pagehead{XExponentialPackage}{XEXPPKG}
 \pagepic{ps/v104xexponentialpackage.ps}{XEXPPKG}{1.00}
 
diff --git a/changelog b/changelog
index d8f748d..8a9bdbf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20130307 tpd src/axiom-website/patches.html 20130307.01.tpd.patch
+20130307 tpd src/algebra/Makefile set up regression tests
+20130307 tpd books/bookvol10.4 fix help documentation and regression tests
+20130307 tpd books/bookvol10.3 fix help documentation and regression tests
+20130307 tpd books/bookvol10.2 fix help documentation and regression tests
 20130306 tpd src/axiom-website/patches.html 20130306.02.tpd.patch
 20130306 tpd books/bookvol4 replace " with ``
 20130306 tpd src/axiom-website/patches.html 20130306.01.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index c8a0d2c..31d3b40 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17777,11 +17777,26 @@ REGRESS= \
  AlgebraicallyClosedField.regress \
  AlgebraicallyClosedFunctionSpace.regress \
  AlgebraicFunctionField.regress \
+ AlgebraicFunction.regress \
+ AlgebraicHermiteIntegration.regress \
+ AlgebraicIntegrate.regress \
+ AlgebraicIntegration.regress \
+ AlgebraicManipulations.regress \
+ AlgebraicMultFact.regress \
  AlgebraicNumber.regress \
+ AlgebraPackage.regress \
+ AlgFactor.regress \
+ AnnaNumericalIntegrationPackage.regress \
+ AnnaNumericalOptimizationPackage.regress \
+ AnnaOrdinaryDifferentialEquationPackage.regress \
+ AnnaPartialDifferentialEquationPackage.regress \
  AnonymousFunction.regress \
  AntiSymm.regress \
  Any.regress \
+ AnyFunctions1.regress \
  ApplicationProgramInterface.regress \
+ ApplyRules.regress \
+ ApplyUnivariateSkewPolynomial.regress \
  ArcHyperbolicFunctionCategory.regress \
  ArcTrigonometricFunctionCategory.regress \
  ArrayStack.regress \
@@ -17814,21 +17829,27 @@ REGRESS= \
  Asp8.regress \
  Asp80.regress \
  Asp9.regress \
+ AssociatedEquations.regress \
  AssociatedJordanAlgebra.regress \
  AssociatedLieAlgebra.regress \
  AssociationList.regress \
  AssociationListAggregate.regress \
+ AttachPredicates.regress \
  AttributeButtons.regress \
  Automorphism.regress \
+ AxiomServer.regress \
  BalancedBinaryTree.regress \
+ BalancedFactorisation.regress \
  BalancedPAdicInteger.regress \
  BalancedPAdicRational.regress \
  BagAggregate.regress \
  BasicFunctions.regress \
  BasicOperator.regress \
+ BasicOperatorFunctions1.regress \
  BasicStochasticDifferential.regress \
  BasicType.regress \
  Bezier.regress \
+ BezoutMatrix.regress \
  BiModule.regress \
  BinaryExpansion.regress \
  BinaryFile.regress \
@@ -17845,36 +17866,66 @@ REGRESS= \
  BlowUpWithHamburgerNoether.regress \
  BlowUpWithQuadTrans.regress \
  Boolean.regress \
+ BoundIntegerRoots.regress \
+ BrillhartTests.regress \
  CachableSet.regress \
  CancellationAbelianMonoid.regress \
  CardinalNumber.regress \
  CartesianTensor.regress \
+ CartesianTensorFunctions2.regress \
+ ChangeOfVariable.regress \
  Character.regress \
  CharacterClass.regress \
  CharacteristicNonZero.regress \
+ CharacteristicPolynomialInMonogenicalAlgebra.regress \
+ CharacteristicPolynomialPackage.regress \
  CharacteristicZero.regress \
+ ChineseRemainderToolsForIntegralBases.regress \
  CliffordAlgebra.regress \
  CoercibleTo.regress \
+ CoerceVectorMatrixPackage.regress \
  Collection.regress \
  Color.regress \
  CombinatorialFunction.regress \
  CombinatorialFunctionCategory.regress \
  CombinatorialOpsCategory.regress \
+ CommonDenominator.regress \
+ CommonOperators.regress \
  CommutativeRing.regress \
  Commutator.regress \
+ CommuteUnivariatePolynomialCategory.regress \
  Complex.regress \
  ComplexCategory.regress \
  ComplexDoubleFloatMatrix.regress \
  ComplexDoubleFloatVector.regress \
+ ComplexFactorization.regress \
+ ComplexIntegerSolveLinearPolynomialEquation.regress \
+ ComplexFunctions2.regress \
+ ComplexPattern.regress \
+ ComplexPatternMatch.regress \
+ ComplexRootFindingPackage.regress \
+ ComplexRootPackage.regress \
+ ComplexTrigonometricManipulations.regress \
+ ConstantLODE.regress \
  ContinuedFraction.regress \
  ConvertibleTo.regress \
+ CoordinateSystems.regress \
+ CRApackage.regress \
  CycleIndicators.regress \
- Dequeue.regress \
- DequeueAggregate.regress \
- DeRhamComplex.regress \
+ CyclicStreamTools.regress \
+ CyclotomicPolynomialPackage.regress \
+ dasum.regress \
+ daxpy.regress \
+ dcabs1.regress \
+ dcopy.regress \
  Database.regress \
  DataList.regress \
  DecimalExpansion.regress \
+ DefiniteIntegrationTools.regress \
+ DegreeReductionPackage.regress \
+ Dequeue.regress \
+ DequeueAggregate.regress \
+ DeRhamComplex.regress \
  DesingTree.regress \
  DesingTreeCategory.regress \
  DesingTreePackage.regress \
@@ -17885,12 +17936,17 @@ REGRESS= \
  DifferentialRing.regress \
  DifferentialSparseMultivariatePolynomial.regress \
  DifferentialVariableCategory.regress \
+ DiophantineSolutionPackage.regress \
  DirectProduct.regress \
  DirectProductCategory.regress \
+ DirectProductFunctions2.regress \
  DirectProductMatrixModule.regress \
  DirectProductModule.regress \
  DirichletRing.regress \
+ DiscreteLogarithmPackage.regress \
+ DisplayPackage.regress \
  DistributedMultivariatePolynomial.regress \
+ DistinctDegreeFactorize.regress \
  DivisionRing.regress \
  Divisor.regress \
  DivisorCategory.regress \
@@ -17898,8 +17954,14 @@ REGRESS= \
  DoubleFloatMatrix.regress \
  DoubleFloatSpecialFunctions.regress \
  DoubleFloatVector.regress \
+ DoubleResultantPackage.regress \
  DoublyLinkedAggregate.regress \
+ DrawComplex.regress \
+ DrawNumericHack.regress \
  DrawOption.regress \
+ DrawOptionFunctions0.regress \
+ DrawOptionFunctions1.regress \
+ d01AgentsPackage.regress \
  d01ajfAnnaType.regress \
  d01akfAnnaType.regress \
  d01alfAnnaType.regress \
@@ -17911,31 +17973,63 @@ REGRESS= \
  d01fcfAnnaType.regress \
  d01gbfAnnaType.regress \
  d01TransformFunctionType.regress \
+ d01WeightsPackage.regress \
+ d02AgentsPackage.regress \
  d02bbfAnnaType.regress \
  d02bhfAnnaType.regress \
  d02cjfAnnaType.regress \
  d02ejfAnnaType.regress \
+ d03AgentsPackage.regress \
  d03eefAnnaType.regress \
  d03fafAnnaType.regress \
+ EigenPackage.regress \
  ElementaryFunction.regress \
  ElementaryFunctionCategory.regress \
+ ElementaryFunctionDefiniteIntegration.regress \
+ ElementaryFunctionLODESolver.regress \
+ ElementaryFunctionODESolver.regress \
+ ElementaryFunctionSign.regress \
+ ElementaryFunctionStructurePackage.regress \
+ ElementaryFunctionsUnivariateLaurentSeries.regress \
+ ElementaryFunctionsUnivariatePuiseuxSeries.regress \
+ ElementaryIntegration.regress \
+ ElementaryRischDE.regress \
+ ElementaryRischDESystem.regress \
+ EllipticFunctionsUnivariateTaylorSeries.regress \
  Eltable.regress \
  EltableAggregate.regress \
  EntireRing.regress \
  EqTable.regress \
  Equation.regress \
+ EquationFunctions2.regress \
+ ErrorFunctions.regress \
  EuclideanDomain.regress \
  EuclideanGroebnerBasisPackage.regress \
  EuclideanModularRing.regress \
  Evalable.regress \
+ EvaluateCycleIndicators.regress \
+ ExpertSystemContinuityPackage.regress \
+ ExpertSystemContinuityPackage1.regress \
+ ExpertSystemToolsPackage.regress \
+ ExpertSystemToolsPackage1.regress \
+ ExpertSystemToolsPackage2.regress \
+ ExponentialExpansion.regress \
+ ExponentialOfUnivariatePuiseuxSeries.regress \
  Export3D.regress \
  Expression.regress \
+ ExpressionFunctions2.regress \
  ExpressionSpace.regress \
- ExponentialExpansion.regress \
- ExponentialOfUnivariatePuiseuxSeries.regress \
+ ExpressionSolve.regress \
+ ExpressionSpaceFunctions1.regress \
+ ExpressionSpaceFunctions2.regress \
+ ExpressionSpaceODESolver.regress \
+ ExpressionToOpenMath.regress \
+ ExpressionToUnivariatePowerSeries.regress \
+ ExpressionTubePlot.regress \
  ExtAlgBasis.regress \
  ExtensibleLinearAggregate.regress \
  ExtensionField.regress \
+ e04AgentsPackage.regress \
  e04dgfAnnaType.regress \
  e04fdfAnnaType.regress \
  e04gcfAnnaType.regress \
@@ -17944,20 +18038,27 @@ REGRESS= \
  e04nafAnnaType.regress \
  e04ucfAnnaType.regress \
  Factored.regress \
+ FactoredFunctions.regress \
  FactoredFunctions2.regress \
+ FactoredFunctionUtilities.regress \
+ FactoringUtilities.regress \
  FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber.regress \
  FactorisationOverPseudoAlgebraicClosureOfRationalNumber.regress \
+ FGLMIfCanPackage.regress \
  Field.regress \
  FieldOfPrimeCharacteristic.regress \
  File.regress \
  FileCategory.regress \
  FileName.regress \
  FileNameCategory.regress \
+ FindOrderFinite.regress \
  Finite.regress \
  FiniteAbelianMonoidRing.regress \
+ FiniteAbelianMonoidRingFunctions2.regress \
  FiniteAlgebraicExtensionField.regress \
  FiniteDivisor.regress \
  FiniteDivisorCategory.regress \
+ FiniteDivisorFunctions2.regress \
  FiniteField.regress \
  FiniteFieldCategory.regress \
  FiniteFieldCyclicGroup.regress \
@@ -17966,23 +18067,37 @@ REGRESS= \
  FiniteFieldExtension.regress \
  FiniteFieldExtensionByPolynomial.regress \
  FiniteFieldFactorizationWithSizeParseBySideEffect.regress \
+ FiniteFieldFunctions.regress \
+ FiniteFieldHomomorphisms.regress \
  FiniteFieldNormalBasis.regress \
  FiniteFieldNormalBasisExtension.regress \
  FiniteFieldNormalBasisExtensionByPolynomial.regress \
+ FiniteFieldPolynomialPackage.regress \
+ FiniteFieldSolveLinearPolynomialEquation.regress \
+ FiniteFieldPolynomialPackage2.regress \
+ FiniteFieldSolveLinearPolynomialEquation.regress \
  FiniteFieldSquareFreeDecomposition.regress \
  FiniteLinearAggregate.regress \
+ FiniteLinearAggregateFunctions2.regress \
+ FiniteLinearAggregateSort.regress \
  FiniteRankAlgebra.regress \
  FiniteRankNonAssociativeAlgebra.regress \
  FiniteSetAggregate.regress \
+ FiniteSetAggregateFunctions2.regress \
  FlexibleArray.regress \
  Float.regress \
+ FloatingComplexPackage.regress \
  FloatingPointSystem.regress \
+ FloatingRealPackage.regress \
  FortranCode.regress \
+ FortranCodePackage1.regress \
  FortranExpression.regress \
  FortranFunctionCategory.regress \
  FortranMachineTypeCategory.regress \
  FortranMatrixCategory.regress \
  FortranMatrixFunctionCategory.regress \
+ FortranOutputStackPackage.regress \
+ FortranPackage.regress \
  FortranProgram.regress \
  FortranProgramCategory.regress \
  FortranScalarType.regress \
@@ -17994,9 +18109,14 @@ REGRESS= \
  FourierSeries.regress \
  Fraction.regress \
  FractionalIdeal.regress \
+ FractionalIdealFunctions2.regress \
+ FractionFreeFastGaussian.regress \
+ FractionFreeFastGaussianFractions.regress \
+ FractionFunctions2.regress \
  FramedAlgebra.regress \
  FramedModule.regress \
  FramedNonAssociativeAlgebra.regress \
+ FramedNonAssociativeAlgebraFunctions2.regress \
  FreeAbelianGroup.regress \
  FreeAbelianMonoid.regress \
  FreeAbelianMonoidCategory.regress \
@@ -18012,29 +18132,69 @@ REGRESS= \
  FullyLinearlyExplicitRingOver.regress \
  FullyPatternMatchable.regress \
  FullyRetractableTo.regress \
+ FunctionalSpecialFunction.regress \
  FunctionCalled.regress \
  FunctionFieldCategory.regress \
+ FunctionFieldCategoryFunctions2.regress \
+ FunctionFieldIntegralBasis.regress \
  FunctionSpace.regress \
+ FunctionSpaceAssertions.regress \
+ FunctionSpaceAttachPredicates.regress \
+ FunctionSpaceComplexIntegration.regress \
+ FunctionSpaceFunctions2.regress \
+ FunctionSpaceIntegration.regress \
+ FunctionSpacePrimitiveElement.regress \
+ FunctionSpaceReduce.regress \
+ FunctionSpaceSum.regress \
+ FunctionSpaceToExponentialExpansion.regress \
+ FunctionSpaceToUnivariatePowerSeries.regress \
+ FunctionSpaceUnivariatePolynomialFactor.regress \
+ GaloisGroupFactorizer.regress \
+ GaloisGroupFactorizationUtilities.regress \
+ GaloisGroupPolynomialUtilities.regress \
+ GaloisGroupUtilities.regress \
+ GaussianFactorizationPackage.regress \
  GcdDomain.regress \
  GeneralDistributedMultivariatePolynomial.regress \
+ GeneralHenselPackage.regress \
+ GeneralizedMultivariateFactorize.regress \
  GeneralModulePolynomial.regress \
  GeneralPackageForAlgebraicFunctionField.regress \
+ GeneralPolynomialGcdPackage.regress \
  GeneralSparseTable.regress \
  GenericNonAssociativeAlgebra.regress \
  GeneralPolynomialSet.regress \
  GeneralTriangularSet.regress \
  GeneralUnivariatePowerSeries.regress \
+ GenerateUnivariatePowerSeries.regress \
+ GenExEuclid.regress \
+ GenUFactorize.regress \
+ GenusZeroIntegration.regress \
  GnuDraw.regress \
+ GosperSummationMethod.regress \
  GradedAlgebra.regress \
  GradedModule.regress \
+ GraphicsDefaults.regress \
  GraphImage.regress \
+ GrayCode.regress \
  GroebnerFactorizationPackage.regress \
+ GroebnerInternalPackage.regress \
  GroebnerPackage.regress \
+ GroebnerSolve.regress \
  Group.regress \
+ Guess.regress \
+ GuessAlgebraicNumber.regress \
+ GuessFinite.regress \
+ GuessFiniteFunctions.regress \
+ GuessInteger.regress \
  GuessOption.regress \
  GuessOptionFunctions0.regress \
+ GuessPolynomial.regress \
+ GuessUnivariatePolynomial.regress \
+ HallBasis.regress \
  HashTable.regress \
  Heap.regress \
+ HeuGcd.regress \
  HexadecimalExpansion.regress \
  HTMLFormat.regress \
  HomogeneousAggregate.regress \
@@ -18042,6 +18202,8 @@ REGRESS= \
  HomogeneousDistributedMultivariatePolynomial.regress \
  HyperbolicFunctionCategory.regress \
  HyperellipticFiniteDivisor.regress \
+ IdealDecompositionPackage.regress \
+ IncrementingMaps.regress \
  IndexCard.regress \
  IndexedAggregate.regress \
  IndexedBits.regress \
@@ -18060,41 +18222,81 @@ REGRESS= \
  IndexedTwoDimensionalArray.regress \
  IndexedVector.regress \
  InfClsPt.regress \
+ InfiniteProductCharacteristicZero.regress \
+ InfiniteProductFiniteField.regress \
+ InfiniteProductPrimeField.regress \
  InfiniteTuple.regress \
+ InfiniteTupleFunctions2.regress \
+ InfiniteTupleFunctions3.regress \
  InfinitlyClosePoint.regress \
  InfinitlyClosePointCategory.regress \
  InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.regress \
+ Infinity.regress \
  InnerAlgebraicNumber.regress \
+ InnerAlgFactor.regress \
+ InnerCommonDenominator.regress \
  InnerEvalable.regress \
  InnerFiniteField.regress \
  InnerFreeAbelianMonoid.regress \
  InnerIndexedTwoDimensionalArray.regress \
+ InnerMatrixLinearAlgebraFunctions.regress \
+ InnerMatrixQuotientFieldFunctions.regress \
+ InnerModularGcd.regress \
+ InnerMultFact.regress \
+ InnerNormalBasisFieldFunctions.regress \
+ InnerNumericEigenPackage.regress \
+ InnerNumericFloatSolvePackage.regress \
  InnerPAdicInteger.regress \
+ InnerPolySign.regress \
+ InnerPolySum.regress \
  InnerPrimeField.regress \
  InnerSparseUnivariatePowerSeries.regress \
  InnerTable.regress \
  InnerTaylorSeries.regress \
+ InnerTrigonometricManipulations.regress \
  InputForm.regress \
+ InputFormFunctions1.regress \
  Integer.regress \
  IntegerCombinatoricFunctions.regress \
+ IntegerBits.regress \
+ IntegerFactorizationPackage.regress \
  IntegerLinearDependence.regress \
  IntegerMod.regress \
  IntegerNumberSystem.regress \
  IntegerNumberTheoryFunctions.regress \
+ IntegerPrimesPackage.regress \
+ IntegerRetractions.regress \
+ IntegerRoots.regress \
+ IntegerSolveLinearPolynomialEquation.regress \
+ IntegralBasisTools.regress \
+ IntegralBasisPolynomialTools.regress \
  IntegralDomain.regress \
  IntegrationFunctionsTable.regress \
  IntegrationResult.regress \
+ IntegrationResultFunctions2.regress \
+ IntegrationResultRFToFunction.regress \
+ IntegrationResultToFunction.regress \
+ IntegrationTools.regress \
  InterfaceGroebnerPackage.regress \
+ InternalPrintPackage.regress \
+ InternalRationalUnivariateRepresentationPackage.regress \
  InterpolateFormsPackage.regress \
  IntersectionDivisorPackage.regress \
  Interval.regress \
  IntervalCategory.regress \
+ InverseLaplaceTransform.regress \
+ IrredPolyOverFiniteField.regress \
+ IrrRepSymNatPackage.regress \
  Kernel.regress \
+ KernelFunctions2.regress \
  KeyedAccessFile.regress \
  KeyedDictionary.regress \
+ Kovacic.regress \
+ LaplaceTransform.regress \
  LaurentPolynomial.regress \
  LazyStreamAggregate.regress \
  LazardSetSolvingPackage.regress \
+ LeadingCoefDetermination.regress \
  LeftAlgebra.regress \
  LeftModule.regress \
  LexTriangularPackage.regress \
@@ -18103,19 +18305,31 @@ REGRESS= \
  LieExponentials.regress \
  LiePolynomial.regress \
  LieSquareMatrix.regress \
+ LinearDependence.regress \
  LinearlyExplicitRingOver.regress \
  LinearAggregate.regress \
  LinearOrdinaryDifferentialOperator.regress \
  LinearOrdinaryDifferentialOperator1.regress \
  LinearOrdinaryDifferentialOperator2.regress \
  LinearOrdinaryDifferentialOperatorCategory.regress \
+ LinearOrdinaryDifferentialOperatorFactorizer.regress \
+ LinearOrdinaryDifferentialOperatorsOps.regress \
+ LinearPolynomialEquationByFractions.regress \
  LinearSystemFromPowerSeriesPackage.regress \
+ LinearSystemMatrixPackage.regress \
+ LinearSystemMatrixPackage1.regress \
+ LinearSystemPolynomialPackage.regress \
+ LinesOpPack.regress \
+ LinGroebnerPackage.regress \
+ LiouvillianFunction.regress \
+ LiouvillianFunctionCategory.regress \
+ List.regress \
  ListAggregate.regress \
+ ListFunctions2.regress \
+ ListFunctions3.regress \
  ListMonoidOps.regress \
  ListMultiDictionary.regress \
- LiouvillianFunctionCategory.regress \
- List.regress \
- LinesOpPack.regress \
+ ListToMap.regress \
  LocalAlgebra.regress \
  Localize.regress \
  LocalParametrizationOfSimplePointPackage.regress \
@@ -18126,16 +18340,30 @@ REGRESS= \
  MachineFloat.regress \
  MachineInteger.regress \
  Magma.regress \
+ MakeBinaryCompiledFunction.regress \
+ MakeFloatCompiledFunction.regress \
+ MakeRecord.regress \
+ MakeUnaryCompiledFunction.regress \
  MathMLFormat.regress \
  MakeCachableSet.regress \
  MakeFunction.regress \
  MappingPackage1.regress \
  MappingPackage2.regress \
  MappingPackage3.regress \
+ MappingPackageInternalHacks1.regress \
+ MappingPackageInternalHacks2.regress \
+ MappingPackageInternalHacks3.regress \
  Matrix.regress \
  MatrixCategory.regress \
+ MatrixCategoryFunctions2.regress \
+ MatrixCommonDenominator.regress \
+ MatrixLinearAlgebraFunctions.regress \
+ MergeThing.regress \
+ MeshCreationRoutinesForThreeDimensions.regress \
  ModMonic.regress \
+ ModularDistinctDegreeFactorizer.regress \
  ModularField.regress \
+ ModularHermitianRowReduction.regress \
  ModularRing.regress \
  Module.regress \
  ModuleMonomial.regress \
@@ -18147,42 +18375,84 @@ REGRESS= \
  MonogenicLinearOperator.regress \
  Monoid.regress \
  MonoidRing.regress \
+ MonoidRingFunctions2.regress \
+ MonomialExtensionTools.regress \
+ MoreSystemCommands.regress \
+ MPolyCatFunctions2.regress \
+ MPolyCatFunctions3.regress \
+ MPolyCatPolyFactorizer.regress \
+ MPolyCatRationalFunctionFactorizer.regress \
+ MRationalFactorize.regress \
+ MultFiniteFactorize.regress \
  MultiDictionary.regress \
+ MultipleMap.regress \
  Multiset.regress \
  MultisetAggregate.regress \
+ MultiVariableCalculusFunctions.regress \
+ MultivariateFactorize.regress \
  MultivariatePolynomial.regress \
+ MultivariateSquareFree.regress \
  MultivariateTaylorSeriesCategory.regress \
  MyExpression.regress \
  MyUnivariatePolynomial.regress \
+ NAGLinkSupportPackage.regress \
  NeitherSparseOrDensePowerSeries.regress \
  NewSparseMultivariatePolynomial.regress \
  NewSparseUnivariatePolynomial.regress \
+ NewSparseUnivariatePolynomialFunctions2.regress \
+ NewtonInterpolation.regress \
  NewtonPolygon.regress \
  NonAssociativeAlgebra.regress \
  NonAssociativeRing.regress \
  NonAssociativeRng.regress \
+ NonCommutativeOperatorDivision.regress \
  None.regress \
+ NoneFunctions1.regress \
+ NonLinearFirstOrderODESolver.regress \
+ NonLinearSolvePackage.regress \
  NonNegativeInteger.regress \
+ NormalizationPackage.regress \
  NormalizedTriangularSetCategory.regress \
+ NormInMonogenicAlgebra.regress \
+ NormRetractPackage.regress \
  NottinghamGroup.regress \
+ NPCoef.regress \
+ NumberFieldIntegralBasis.regress \
+ NumberFormats.regress \
+ NumberTheoreticPolynomialFunctions.regress \
+ Numeric.regress \
  NumericalIntegrationCategory.regress \
  NumericalIntegrationProblem.regress \
  NumericalODEProblem.regress \
  NumericalOptimizationCategory.regress \
  NumericalOptimizationProblem.regress \
+ NumericalOrdinaryDifferentialEquations.regress \
  NumericalPDEProblem.regress \
+ NumericalQuadrature.regress \
+ NumericComplexEigenPackage.regress \
+ NumericContinuedFraction.regress \
+ NumericRealEigenPackage.regress \
+ NumericTubePlot.regress \
  Octonion.regress \
  OctonionCategory.regress \
+ OctonionCategoryFunctions2.regress \
+ ODEIntegration.regress \
  ODEIntensityFunctionsTable.regress \
+ ODETools.regress \
  OneDimensionalArray.regress \
  OneDimensionalArrayAggregate.regress \
+ OneDimensionalArrayFunctions2.regress \
  OnePointCompletion.regress \
+ OnePointCompletionFunctions2.regress \
  OpenMath.regress \
  OpenMathConnection.regress \
  OpenMathDevice.regress \
  OpenMathEncoding.regress \
  OpenMathError.regress \
  OpenMathErrorKind.regress \
+ OpenMathPackage.regress \
+ OpenMathServerPackage.regress \
+ OperationsQuery.regress \
  Operator.regress \
  OppositeMonogenicLinearOperator.regress \
  OrderedAbelianGroup.regress \
@@ -18191,6 +18461,7 @@ REGRESS= \
  OrderedAbelianSemiGroup.regress \
  OrderedCancellationAbelianMonoid.regress \
  OrderedCompletion.regress \
+ OrderedCompletionFunctions2.regress \
  OrderedDirectProduct.regress \
  OrderedFinite.regress \
  OrderedFreeMonoid.regress \
@@ -18200,25 +18471,35 @@ REGRESS= \
  OrderedRing.regress \
  OrderedSet.regress \
  OrderedVariableList.regress \
+ OrderingFunctions.regress \
  OrderlyDifferentialPolynomial.regress \
  OrderlyDifferentialVariable.regress \
  OrdinaryDifferentialEquationsSolverCategory.regress \
  OrdinaryDifferentialRing.regress \
  OrdinaryWeightedPolynomials.regress \
  OrdSetInts.regress \
+ OrthogonalPolynomialFunctions.regress \
  OutputForm.regress \
+ OutputPackage.regress \
  PackageForAlgebraicFunctionField.regress \
  PackageForAlgebraicFunctionFieldOverFiniteField.regress \
  PackageForPoly.regress \
+ PadeApproximantPackage.regress \
  PadeApproximants.regress \
  PAdicInteger.regress \
  PAdicIntegerCategory.regress \
  PAdicRational.regress \
  PAdicRationalConstructor.regress \
+ PAdicWildFunctionFieldIntegralBasis.regress \
  Palette.regress \
+ ParadoxicalCombinatorsForStreams.regress \
+ ParametricLinearEquations.regress \
  ParametricPlaneCurve.regress \
+ ParametricPlaneCurveFunctions2.regress \
  ParametricSpaceCurve.regress \
+ ParametricSpaceCurveFunctions2.regress \
  ParametricSurface.regress \
+ ParametricSurfaceFunctions2.regress \
  ParametrizationPackage.regress \
  PartialDifferentialEquationsSolverCategory.regress \
  PartialDifferentialRing.regress \
@@ -18226,17 +18507,35 @@ REGRESS= \
  PartialFractionPackage.regress \
  PartialTranscendentalFunctions.regress \
  Partition.regress \
+ PartitionsAndPermutations.regress \
  Pattern.regress \
  Patternable.regress \
+ PatternFunctions1.regress \
+ PatternFunctions2.regress \
+ PatternMatch.regress \
  PatternMatchable.regress \
+ PatternMatchAssertions.regress \
+ PatternMatchFunctionSpace.regress \
+ PatternMatchIntegerNumberSystem.regress \
+ PatternMatchIntegration.regress \
+ PatternMatchKernel.regress \
+ PatternMatchListAggregate.regress \
  PatternMatchListResult.regress \
+ PatternMatchPolynomialCategory.regress \
+ PatternMatchPushDown.regress \
+ PatternMatchQuotientFieldCategory.regress \
  PatternMatchResult.regress \
+ PatternMatchResultFunctions2.regress \
+ PatternMatchSymbol.regress \
+ PatternMatchTools.regress \
+ PermutationGroupExamples.regress \
  PendantTree.regress \
  Permanent.regress \
  Permutation.regress \
  PermutationCategory.regress \
  PermutationGroup.regress \
  Pi.regress \
+ PiCoercions.regress \
  Places.regress \
  PlacesCategory.regress \
  PlacesOverPseudoAlgebraicClosureOfFiniteField.regress \
@@ -18244,24 +18543,57 @@ REGRESS= \
  Plcs.regress \
  Plot.regress \
  Plot3D.regress \
+ PlotFunctions1.regress \
+ PointFunctions2.regress \
  PlottablePlaneCurveCategory.regress \
  PlottableSpaceCurveCategory.regress \
+ PlotTools.regress \
  PoincareBirkhoffWittLyndonBasis.regress \
  Point.regress \
  PointCategory.regress \
+ PointPackage.regress \
+ PointsOfFiniteOrder.regress \
+ PointsOfFiniteOrderRational.regress \
+ PointsOfFiniteOrderTools.regress \
+ PolToPol.regress \
+ PolyGroebner.regress \
  Polynomial.regress \
+ PolynomialAN2Expression.regress \
  PolynomialCategory.regress \
+ PolynomialCategoryLifting.regress \
+ PolynomialCategoryQuotientFunctions.regress \
+ PolynomialComposition.regress \
+ PolynomialDecomposition.regress \
+ PolynomialFactorizationByRecursion.regress \
+ PolynomialFactorizationByRecursionUnivariate.regress \
  PolynomialFactorizationExplicit.regress \
+ PolynomialFunctions2.regress \
+ PolynomialGcdPackage.regress \
  PolynomialIdeals.regress \
+ PolynomialInterpolation.regress \
+ PolynomialInterpolationAlgorithms.regress \
+ PolynomialNumberTheoryFunctions.regress \
  PolynomialPackageForCurve.regress \
  PolynomialRing.regress \
+ PolynomialRoots.regress \
  PolynomialSetCategory.regress \
+ PolynomialSetUtilitiesPackage.regress \
+ PolynomialSolveByFormulas.regress \
+ PolynomialSquareFree.regress \
+ PolynomialToUnivariatePolynomial.regress \
  PositiveInteger.regress \
  PowerSeriesCategory.regress \
+ PowerSeriesLimitPackage.regress \
+ PrecomputedAssociatedEquations.regress \
  PrimeField.regress \
  PrimitiveArray.regress \
+ PrimitiveArrayFunctions2.regress \
+ PrimitiveElement.regress \
  PrimitiveFunctionCategory.regress \
+ PrimitiveRatDE.regress \
+ PrimitiveRatRicDE.regress \
  PrincipalIdealDomain.regress \
+ PrintPackage.regress \
  PriorityQueueAggregate.regress \
  Product.regress \
  ProjectiveAlgebraicSetPackage.regress \
@@ -18276,8 +18608,15 @@ REGRESS= \
  PseudoAlgebraicClosureOfPerfectFieldCategory.regress \
  PseudoAlgebraicClosureOfRationalNumber.regress \
  PseudoAlgebraicClosureOfRationalNumberCategory.regress \
+ PseudoLinearNormalForm.regress \
+ PseudoRemainderSequence.regress \
+ PureAlgebraicIntegration.regress \
+ PureAlgebraicLODE.regress \
+ PushVariables.regress \
  QuadraticForm.regress \
  QuasiAlgebraicSet.regress \
+ QuasiAlgebraicSet2.regress \
+ QuasiComponentPackage.regress \
  Quaternion.regress \
  QuaternionCategory.regress \
  QuaternionCategoryFunctions2.regress \
@@ -18285,28 +18624,65 @@ REGRESS= \
  Queue.regress \
  QueueAggregate.regress \
  QuotientFieldCategory.regress \
+ QuotientFieldCategoryFunctions2.regress \
  RadicalCategory.regress \
+ RadicalEigenPackage.regress \
  RadicalFunctionField.regress \
  RadicalSolvePackage.regress \
  RadixExpansion.regress \
+ RadixUtilities.regress \
+ RandomDistributions.regress \
+ RandomFloatDistributions.regress \
+ RandomIntegerDistributions.regress \
+ RandomNumberSource.regress \
+ RationalFactorize.regress \
+ RationalFunction.regress \
+ RationalFunctionDefiniteIntegration.regress \
+ RationalFunctionFactor.regress \
+ RationalFunctionFactorizer.regress \
+ RationalFunctionIntegration.regress \
+ RationalFunctionLimitPackage.regress \
+ RationalFunctionSign.regress \
  RationalFunctionSum.regress \
+ RationalIntegration.regress \
+ RationalInterpolation.regress \
+ RationalLODE.regress \
+ RationalRetractions.regress \
+ RationalRicDE.regress \
+ RationalUnivariateRepresentationPackage.regress \
  RealClosedField.regress \
  RealClosure.regress \
  RealConstant.regress \
  RealNumberSystem.regress \
+ RealPolynomialUtilitiesPackage.regress \
  RealRootCharacterizationCategory.regress \
  RealSolvePackage.regress \
+ RealZeroPackage.regress \
+ RealZeroPackageQ.regress \
  RectangularMatrix.regress \
  RectangularMatrixCategory.regress \
+ RectangularMatrixCategoryFunctions2.regress \
+ RecurrenceOperator.regress \
  RecursiveAggregate.regress \
  RecursivePolynomialCategory.regress \
+ ReducedDivisor.regress \
+ ReduceLODE.regress \
+ ReductionOfOrder.regress \
  Reference.regress \
  RegularChain.regress \
+ RegularSetDecompositionPackage.regress \
  RegularTriangularSet.regress \
  RegularTriangularSetCategory.regress \
+ RegularTriangularSetGcdPackage.regress \
+ RepeatedDoubling.regress \
+ RepeatedSquaring.regress \
+ RepresentationPackage1.regress \
+ RepresentationPackage2.regress \
  ResidueRing.regress \
+ ResolveLatticeCompletion.regress \
  Result.regress \
  RetractableTo.regress \
+ RetractSolvePackage.regress \
  RewriteRule.regress \
  RightModule.regress \
  RightOpenIntervalRootCharacterization.regress \
@@ -18317,10 +18693,14 @@ REGRESS= \
  RoutinesTable.regress \
  RuleCalled.regress \
  Ruleset.regress \
+ SAERationalFunctionAlgFactor.regress \
  ScriptFormulaFormat.regress \
+ ScriptFormulaFormat1.regress \
  Segment.regress \
+ SegmentBindingFunctions2.regress \
  SegmentCategory.regress \
  SegmentExpansionCategory.regress \
+ SegmentFunctions2.regress \
  SemiGroup.regress \
  Set.regress \
  SetAggregate.regress \
@@ -18333,86 +18713,153 @@ REGRESS= \
  SExpressionCategory.regress \
  SExpressionOf.regress \
  SimpleAlgebraicExtension.regress \
+ SimpleAlgebraicExtensionAlgFactor.regress \
  SimpleFortranProgram.regress \
  SingleInteger.regress \
  SingletonAsOrderedSet.regress \
+ SimplifyAlgebraicNumberConvertPackage.regress \
+ SmithNormalForm.regress \
+ SortedCache.regress \
+ SortPackage.regress \
  SparseTable.regress \
  SparseMultivariatePolynomial.regress \
  SparseMultivariateTaylorSeries.regress \
  SparseUnivariateLaurentSeries.regress \
  SparseUnivariatePolynomial.regress \
  SparseUnivariatePolynomialExpressions.regress \
+ SparseUnivariatePolynomialFunctions2.regress \
  SparseUnivariatePuiseuxSeries.regress \
  SparseUnivariateSkewPolynomial.regress \
  SparseUnivariateTaylorSeries.regress \
  SpecialFunctionCategory.regress \
+ SpecialOutputPackage.regress \
  SplitHomogeneousDirectProduct.regress \
  SplittingNode.regress \
  SplittingTree.regress \
  SquareMatrix.regress \
  SquareFreeNormalizedTriangularSetCategory.regress \
+ SquareFreeQuasiComponentPackage.regress \
+ SquareFreeRegularSetDecompositionPackage.regress \
  SquareFreeRegularTriangularSet.regress \
  SquareFreeRegularTriangularSetCategory.regress \
+ SquareFreeRegularTriangularSetGcdPackage.regress \
  SquareMatrixCategory.regress \
  Stack.regress \
  StackAggregate.regress \
  StepThrough.regress \
  StochasticDifferential.regress \
+ StorageEfficientMatrixOperations.regress \
  Stream.regress \
  StreamAggregate.regress \
+ StreamFunctions1.regress \
+ StreamFunctions2.regress \
+ StreamFunctions3.regress \
+ StreamInfiniteProduct.regress \
+ StreamTaylorSeriesOperations.regress \
  StreamTensor.regress \
+ StreamTranscendentalFunctions.regress \
+ StreamTranscendentalFunctionsNonCommutative.regress \
  String.regress \
  StringAggregate.regress \
  StringCategory.regress \
  StringTable.regress \
+ StructuralConstantsPackage.regress \
+ SturmHabichtPackage.regress \
+ SubResultantPackage.regress \
  SubSpace.regress \
  SubSpaceComponentProperty.regress \
  SuchThat.regress \
+ SupFractionFactorizer.regress \
  Switch.regress \
  Symbol.regress \
  SymbolTable.regress \
+ SymmetricFunctions.regress \
+ SymmetricGroupCombinatoricFunctions.regress \
  SymmetricPolynomial.regress \
+ SystemODESolver.regress \
+ SystemSolvePackage.regress \
  Table.regress \
  TableAggregate.regress \
  Tableau.regress \
+ TableauxBumpers.regress \
+ TabulatedComputationPackage.regress \
+ TangentExpansions.regress \
  TaylorSeries.regress \
+ TaylorSolve.regress \
+ TemplateUtilities.regress \
  TexFormat.regress \
+ TexFormat1.regress \
  TextFile.regress \
  TheSymbolTable.regress \
  ThreeDimensionalMatrix.regress \
  ThreeDimensionalViewport.regress \
  ThreeSpace.regress \
  ThreeSpaceCategory.regress \
+ ToolsForSign.regress \
+ TopLevelDrawFunctions.regress \
+ TopLevelDrawFunctionsForAlgebraicCurves.regress \
+ TopLevelDrawFunctionsForCompiledFunctions.regress \
+ TopLevelDrawFunctionsForPoints.regress \
+ TopLevelThreeSpace.regress \
  TranscendentalFunctionCategory.regress \
+ TranscendentalHermiteIntegration.regress \
+ TranscendentalIntegration.regress \
+ TranscendentalManipulations.regress \
+ TranscendentalRischDE.regress \
+ TranscendentalRischDESystem.regress \
  TransSolvePackage.regress \
+ TransSolvePackageService.regress \
  Tree.regress \
  TriangularSetCategory.regress \
+ TriangularMatrixOperations.regress \
  TrigonometricFunctionCategory.regress \
+ TrigonometricManipulations.regress \
  TubePlot.regress \
+ TubePlotTools.regress \
  Tuple.regress \
  TwoDimensionalArray.regress \
  TwoDimensionalArrayCategory.regress \
+ TwoDimensionalPlotClipping.regress \
+ TwoFactorize.regress \
  UnaryRecursiveAggregate.regress \
  UniqueFactorizationDomain.regress \
+ UnivariateFactorize.regress \
  UnivariateFormalPowerSeries.regress \
+ UnivariateFormalPowerSeriesFunctions.regress \
  UnivariateLaurentSeries.regress \
  UnivariateLaurentSeriesCategory.regress \
  UnivariateLaurentSeriesConstructor.regress \
  UnivariateLaurentSeriesConstructorCategory.regress \
+ UnivariateLaurentSeriesFunctions2.regress \
  UnivariatePolynomial.regress \
  UnivariatePolynomialCategory.regress \
+ UnivariatePolynomialCategoryFunctions2.regress \
+ UnivariatePolynomialCommonDenominator.regress \
+ UnivariatePolynomialDecompositionPackage.regress \
+ UnivariatePolynomialDivisionPackage.regress \
+ UnivariatePolynomialFunctions2.regress \
+ UnivariatePolynomialMultiplicationPackage.regress \
+ UnivariatePolynomialSquareFree.regress \
  UnivariatePowerSeriesCategory.regress \
  UnivariatePuiseuxSeries.regress \
  UnivariatePuiseuxSeriesCategory.regress \
  UnivariatePuiseuxSeriesConstructor.regress \
  UnivariatePuiseuxSeriesConstructorCategory.regress \
+ UnivariatePuiseuxSeriesFunctions2.regress \
  UnivariatePuiseuxSeriesWithExponentialSingularity.regress \
  UnivariateSkewPolynomial.regress \
  UnivariateSkewPolynomialCategory.regress \
+ UnivariateSkewPolynomialCategoryOps.regress \
  UnivariateTaylorSeries.regress \
  UnivariateTaylorSeriesCZero.regress \
  UnivariateTaylorSeriesCategory.regress \
+ UnivariateTaylorSeriesFunctions2.regress \
+ UnivariateTaylorSeriesODESolver.regress \
  UniversalSegment.regress \
+ UniversalSegmentFunctions2.regress \
+ UserDefinedPartialOrdering.regress \
+ UserDefinedVariableOrdering.regress \
+ UTSodetools.regress \
  U8Matrix.regress \
  U16Matrix.regress \
  U32Matrix.regress \
@@ -18423,23 +18870,25 @@ REGRESS= \
  Variable.regress \
  Vector.regress \
  VectorCategory.regress \
+ VectorFunctions2.regress \
  VectorSpace.regress \
+ ViewDefaultsPackage.regress \
+ ViewportPackage.regress \
  Void.regress \
  WeightedPolynomials.regress \
+ WeierstrassPreparation.regress \
+ WildFunctionFieldIntegralBasis.regress \
  WuWenTsunTriangularSet.regress \
  XAlgebra.regress \
  XDistributedPolynomial.regress \
+ XExponentialPackage.regress \
  XFreeAlgebra.regress \
  XPBWPolynomial.regress \
  XPolynomial.regress \
  XPolynomialRing.regress \
  XPolynomialsCat.regress \
  XRecursivePolynomial.regress \
- ZeroDimensionalSolvePackage.regress \
- dcabs1.regress \
- dasum.regress \
- daxpy.regress \
- dcopy.regress
+ ZeroDimensionalSolvePackage.regress 
 # these requires graphics
 # TwoDimensionalViewport
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 92878e1..7147c9a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4011,5 +4011,7 @@ books/bookvol10.4 write help documentation
 books/bookvol4 fix mixing end verbatim
 <a href="patches/20130306.02.tpd.patch">20130306.02.tpd.patch</a>
 books/bookvol4 replace " with ``
+<a href="patches/20130307.01.tpd.patch">20130307.01.tpd.patch</a>
+books/bookvol10.* fix help documentation and regression tests
  </body>
 </html>
